
unit Eco;

interface

function GetOpening(const AMoves: string): string;

implementation

uses
  Classes;

type
  TOpening = record
    FCode, FName, FMoves: string;
  end;

const
  CData: array[1..1970] of TOpening = (
    (FCode: 'A00'; FName: 'Polish (Sokolsky) opening'; FMoves: 'b2b4'),
    (FCode: 'A00'; FName: 'Polish: Tuebingen variation'; FMoves: 'b2b4g8h6'),
    (FCode: 'A00'; FName: 'Polish: Outflank variation'; FMoves: 'b2b4c7c6'),
    (FCode: 'A00'; FName: 'Benko''s opening'; FMoves: 'g2g3'),
    (FCode: 'A00'; FName: 'Lasker simul special'; FMoves: 'g2g3h7h5'),
    (FCode: 'A00'; FName: 'Benko''s opening: reversed Alekhine'; FMoves: 'g2g3e7e5g1f3'),
    (FCode: 'A00'; FName: 'Grob''s attack'; FMoves: 'g2g4'),
    (FCode: 'A00'; FName: 'Grob: spike attack'; FMoves: 'g2g4d7d5f1g2c7c6g4g5'),
    (FCode: 'A00'; FName: 'Grob: Fritz gambit'; FMoves: 'g2g4d7d5f1g2c8g4c2c4'),
    (FCode: 'A00'; FName: 'Grob: Romford counter-gambit'; FMoves: 'g2g4d7d5f1g2c8g4c2c4d5d4'),
    (FCode: 'A00'; FName: 'Clemenz (Mead''s, Basman''s or de Klerk''s) opening'; FMoves: 'h2h3'),
    (FCode: 'A00'; FName: 'Global opening'; FMoves: 'h2h3e7e5a2a3'),
    (FCode: 'A00'; FName: 'Amar (Paris) opening'; FMoves: 'g1h3'),
    (FCode: 'A00'; FName: 'Amar gambit'; FMoves: 'g1h3d7d5g2g3e7e5f2f4c8h3f1h3e5f4'),
    (FCode: 'A00'; FName: 'Dunst (Sleipner, Heinrichsen) opening'; FMoves: 'b1c3'),
    (FCode: 'A00'; FName: 'Dunst (Sleipner,Heinrichsen) opening'; FMoves: 'b1c3e7e5'),
    (FCode: 'A00'; FName: 'Battambang opening'; FMoves: 'b1c3e7e5a2a3'),
    (FCode: 'A00'; FName: 'Novosibirsk opening'; FMoves: 'b1c3c7c5d2d4c5d4d1d4b8c6d4h4'),
    (FCode: 'A00'; FName: 'Anderssen''s opening'; FMoves: 'a2a3'),
    (FCode: 'A00'; FName: 'Ware (Meadow Hay) opening'; FMoves: 'a2a4'),
    (FCode: 'A00'; FName: 'Crab opening'; FMoves: 'a2a4e7e5h2h4'),
    (FCode: 'A00'; FName: 'Saragossa opening'; FMoves: 'c2c3'),
    (FCode: 'A00'; FName: 'Mieses opening'; FMoves: 'd2d3'),
    (FCode: 'A00'; FName: 'Mieses opening'; FMoves: 'd2d3e7e5'),
    (FCode: 'A00'; FName: 'Valencia opening'; FMoves: 'd2d3e7e5b1d2'),
    (FCode: 'A00'; FName: 'Venezolana opening'; FMoves: 'd2d3c7c5b1c3b8c6g2g3'),
    (FCode: 'A00'; FName: 'Van''t Kruijs opening'; FMoves: 'e2e3'),
    (FCode: 'A00'; FName: 'Amsterdam attack'; FMoves: 'e2e3e7e5c2c4d7d6b1c3b8c6b2b3g8f6'),
    (FCode: 'A00'; FName: 'Gedult''s opening'; FMoves: 'f2f3'),
    (FCode: 'A00'; FName: 'Hammerschlag (Fried fox/Pork chop opening)'; FMoves: 'f2f3e7e5e1f2'),
    (FCode: 'A00'; FName: 'Anti-Borg (Desprez) opening'; FMoves: 'h2h4'),
    (FCode: 'A00'; FName: 'Durkin''s attack'; FMoves: 'b1a3'),
    (FCode: 'A01'; FName: 'Nimzovich-Larsen attack'; FMoves: 'b2b3'),
    (FCode: 'A01'; FName: 'Nimzovich-Larsen attack: modern variation'; FMoves: 'b2b3e7e5'),
    (FCode: 'A01'; FName: 'Nimzovich-Larsen attack: Indian variation'; FMoves: 'b2b3g8f6'),
    (FCode: 'A01'; FName: 'Nimzovich-Larsen attack: classical variation'; FMoves: 'b2b3d7d5'),
    (FCode: 'A01'; FName: 'Nimzovich-Larsen attack: English variation'; FMoves: 'b2b3c7c5'),
    (FCode: 'A01'; FName: 'Nimzovich-Larsen attack: Dutch variation'; FMoves: 'b2b3f7f5'),
    (FCode: 'A01'; FName: 'Nimzovich-Larsen attack: Polish variation'; FMoves: 'b2b3b7b5'),
    (FCode: 'A01'; FName: 'Nimzovich-Larsen attack: symmetrical variation'; FMoves: 'b2b3b7b6'),
    (FCode: 'A02'; FName: 'Bird''s opening'; FMoves: 'f2f4'),
    (FCode: 'A02'; FName: 'Bird: From gambit'; FMoves: 'f2f4e7e5'),
    (FCode: 'A02'; FName: 'Bird: From gambit, Lasker variation'; FMoves: 'f2f4e7e5f4e5d7d6e5d6f8d6g1f3g7g5'),
    (FCode: 'A02'; FName: 'Bird: From gambit, Lipke variation'; FMoves: 'f2f4e7e5f4e5d7d6e5d6f8d6g1f3g8h6d2d4'),
    (FCode: 'A02'; FName: 'Bird''s opening, Swiss gambit'; FMoves: 'f2f4f7f5e2e4f5e4b1c3g8f6g2g4'),
    (FCode: 'A02'; FName: 'Bird: Hobbs gambit'; FMoves: 'f2f4g7g5'),
    (FCode: 'A03'; FName: 'Bird''s opening'; FMoves: 'f2f4d7d5'),
    (FCode: 'A03'; FName: 'Mujannah opening'; FMoves: 'f2f4d7d5c2c4'),
    (FCode: 'A03'; FName: 'Bird''s opening: Williams gambit'; FMoves: 'f2f4d7d5e2e4'),
    (FCode: 'A03'; FName: 'Bird''s opening: Lasker variation'; FMoves: 'f2f4d7d5g1f3g8f6e2e3c7c5'),
    (FCode: 'A04'; FName: 'Reti opening'; FMoves: 'g1f3'),
    (FCode: 'A04'; FName: 'Reti v Dutch'; FMoves: 'g1f3f7f5'),
    (FCode: 'A04'; FName: 'Reti: Pirc-Lisitsin gambit'; FMoves: 'g1f3f7f5e2e4'),
    (FCode: 'A04'; FName: 'Reti: Lisitsin gambit deferred'; FMoves: 'g1f3f7f5d2d3g8f6e2e4'),
    (FCode: 'A04'; FName: 'Reti opening'; FMoves: 'g1f3d7d6'),
    (FCode: 'A04'; FName: 'Reti: Wade defence'; FMoves: 'g1f3d7d6e2e4c8g4'),
    (FCode: 'A04'; FName: 'Reti: Herrstroem gambit'; FMoves: 'g1f3g7g5'),
    (FCode: 'A05'; FName: 'Reti opening'; FMoves: 'g1f3g8f6'),
    (FCode: 'A05'; FName: 'Reti: King''s Indian attack, Spassky''s variation'; FMoves: 'g1f3g8f6g2g3b7b5'),
    (FCode: 'A05'; FName: 'Reti: King''s Indian attack'; FMoves: 'g1f3g8f6g2g3g7g6'),
    (FCode: 'A05'; FName: 'Reti: King''s Indian attack, Reti-Smyslov variation'; FMoves: 'g1f3g8f6g2g3g7g6b2b4'),
    (FCode: 'A06'; FName: 'Reti opening'; FMoves: 'g1f3d7d5'),
    (FCode: 'A06'; FName: 'Reti: old Indian attack'; FMoves: 'g1f3d7d5d2d3'),
    (FCode: 'A06'; FName: 'Santasiere''s folly'; FMoves: 'g1f3d7d5b2b4'),
    (FCode: 'A06'; FName: 'Tennison (Lemberg, Zukertort) gambit'; FMoves: 'g1f3d7d5e2e4'),
    (FCode: 'A06'; FName: 'Reti: Nimzovich-Larsen attack'; FMoves: 'g1f3d7d5b2b3'),
    (FCode: 'A07'; FName: 'Reti: King''s Indian attack (Barcza system)'; FMoves: 'g1f3d7d5g2g3'),
    (FCode: 'A07'; FName: 'Reti: King''s Indian attack, Yugoslav variation'; FMoves: 'g1f3d7d5g2g3g8f6f1g2c7c6e1g1c8g4'),
    (FCode: 'A07'; FName: 'Reti: King''s Indian attack, Keres variation'; FMoves: 'g1f3d7d5g2g3c8g4f1g2b8d7'),
    (FCode: 'A07'; FName: 'Reti: King''s Indian attack'; FMoves: 'g1f3d7d5g2g3g7g6'),
    (FCode: 'A07'; FName: 'Reti: King''s Indian attack, Pachman system'; FMoves: 'g1f3d7d5g2g3g7g6f1g2f8g7e1g1e7e5d2d3g8e7'),
    (FCode: 'A07'; FName: 'Reti: King''s Indian attack (with ...c5)'; FMoves: 'g1f3d7d5g2g3c7c5'),
    (FCode: 'A08'; FName: 'Reti: King''s Indian attack'; FMoves: 'g1f3d7d5g2g3c7c5f1g2'),
    (FCode: 'A08'; FName: 'Reti: King''s Indian attack, French variation'; FMoves: 'g1f3d7d5g2g3c7c5f1g2b8c6e1g1e7e6d2d3g8f6b1d2f8e7e2e4e8g8f1e1'),
    (FCode: 'A09'; FName: 'Reti opening'; FMoves: 'g1f3d7d5c2c4'),
    (FCode: 'A09'; FName: 'Reti: advance variation'; FMoves: 'g1f3d7d5c2c4d5d4'),
    (FCode: 'A09'; FName: 'Reti accepted'; FMoves: 'g1f3d7d5c2c4d5c4'),
    (FCode: 'A09'; FName: 'Reti accepted: Keres variation'; FMoves: 'g1f3d7d5c2c4d5c4e2e3c8e6'),
    (FCode: 'A10'; FName: 'English opening'; FMoves: 'c2c4'),
    (FCode: 'A10'; FName: 'English opening'; FMoves: 'c2c4g7g6'),
    (FCode: 'A10'; FName: 'English: Adorjan defence'; FMoves: 'c2c4g7g6e2e4e7e5'),
    (FCode: 'A10'; FName: 'English: Jaenisch gambit'; FMoves: 'c2c4b7b5'),
    (FCode: 'A10'; FName: 'English: Anglo-Dutch defense'; FMoves: 'c2c4f7f5'),
    (FCode: 'A11'; FName: 'English: Caro-Kann defensive system'; FMoves: 'c2c4c7c6'),
    (FCode: 'A12'; FName: 'English: Caro-Kann defensive system'; FMoves: 'c2c4c7c6g1f3d7d5b2b3'),
    (FCode: 'A12'; FName: 'English: Torre defensive system'; FMoves: 'c2c4c7c6g1f3d7d5b2b3g8f6g2g3c8g4'),
    (FCode: 'A12'; FName: 'English: London defensive system'; FMoves: 'c2c4c7c6g1f3d7d5b2b3g8f6g2g3c8f5'),
    (FCode: 'A12'; FName: 'English: Caro-Kann defensive system'; FMoves: 'c2c4c7c6g1f3d7d5b2b3g8f6c1b2'),
    (FCode: 'A12'; FName: 'English: Bled variation'; FMoves: 'c2c4c7c6g1f3d7d5b2b3g8f6c1b2g7g6'),
    (FCode: 'A12'; FName: 'English: New York (London) defensive system'; FMoves: 'c2c4c7c6g1f3d7d5b2b3g8f6c1b2c8f5'),
    (FCode: 'A12'; FName: 'English: Capablanca''s variation'; FMoves: 'c2c4c7c6g1f3d7d5b2b3g8f6c1b2c8g4'),
    (FCode: 'A12'; FName: 'English: Caro-Kann defensive system, Bogolyubov variation'; FMoves: 'c2c4c7c6g1f3d7d5b2b3c8g4'),
    (FCode: 'A13'; FName: 'English opening'; FMoves: 'c2c4e7e6'),
    (FCode: 'A13'; FName: 'English: Romanishin gambit'; FMoves: 'c2c4e7e6g1f3g8f6g2g3a7a6f1g2b7b5'),
    (FCode: 'A13'; FName: 'English opening: Agincourt variation'; FMoves: 'c2c4e7e6g1f3d7d5'),
    (FCode: 'A13'; FName: 'English: Wimpey system'; FMoves: 'c2c4e7e6g1f3d7d5b2b3g8f6c1b2c7c5e2e3'),
    (FCode: 'A13'; FName: 'English opening: Agincourt variation'; FMoves: 'c2c4e7e6g1f3d7d5g2g3'),
    (FCode: 'A13'; FName: 'English: Kurajica defence'; FMoves: 'c2c4e7e6g1f3d7d5g2g3c7c6'),
    (FCode: 'A13'; FName: 'English: Neo-Catalan'; FMoves: 'c2c4e7e6g1f3d7d5g2g3g8f6'),
    (FCode: 'A13'; FName: 'English: Neo-Catalan accepted'; FMoves: 'c2c4e7e6g1f3d7d5g2g3g8f6f1g2d5c4'),
    (FCode: 'A14'; FName: 'English: Neo-Catalan declined'; FMoves: 'c2c4e7e6g1f3d7d5g2g3g8f6f1g2f8e7e1g1'),
    (FCode: 'A14'; FName: 'English: Symmetrical, Keres defence'; FMoves: 'c2c4e7e6g1f3d7d5g2g3g8f6f1g2f8e7e1g1c7c5c4d5f6d5b1c3b8c6'),
    (FCode: 'A15'; FName: 'English, 1...Nf6 (Anglo-Indian defense)'; FMoves: 'c2c4g8f6'),
    (FCode: 'A15'; FName: 'English orang-utan'; FMoves: 'c2c4g8f6b2b4'),
    (FCode: 'A15'; FName: 'English opening'; FMoves: 'c2c4g8f6g1f3'),
    (FCode: 'A16'; FName: 'English opening'; FMoves: 'c2c4g8f6b1c3'),
    (FCode: 'A16'; FName: 'English: Anglo-Gruenfeld defense'; FMoves: 'c2c4g8f6b1c3d7d5'),
    (FCode: 'A16'; FName: 'English: Anglo-Gruenfeld, Smyslov defense'; FMoves: 'c2c4g8f6b1c3d7d5c4d5f6d5g2g3g7g6f1g2d5c3'),
    (FCode: 'A16'; FName: 'English: Anglo-Gruenfeld, Czech defense'; FMoves: 'c2c4g8f6b1c3d7d5c4d5f6d5g2g3g7g6f1g2d5b6'),
    (FCode: 'A16'; FName: 'English: Anglo-Gruenfeld defense'; FMoves: 'c2c4g8f6b1c3d7d5c4d5f6d5g1f3'),
    (FCode: 'A16'; FName: 'English: Anglo-Gruenfeld defense, Korchnoi variation'; FMoves: 'c2c4g8f6b1c3d7d5c4d5f6d5g1f3g7g6g2g3f8g7f1g2e7e5'),
    (FCode: 'A17'; FName: 'English opening'; FMoves: 'c2c4g8f6b1c3e7e6'),
    (FCode: 'A17'; FName: 'English: Queens Indian formation'; FMoves: 'c2c4g8f6b1c3e7e6g1f3b7b6'),
    (FCode: 'A17'; FName: 'English: Queens Indian, Romanishin variation'; FMoves: 'c2c4g8f6b1c3e7e6g1f3b7b6e2e4c8b7f1d3'),
    (FCode: 'A17'; FName: 'English: Nimzo-English opening'; FMoves: 'c2c4g8f6b1c3e7e6g1f3f8b4'),
    (FCode: 'A18'; FName: 'English: Mikenas-Carls variation'; FMoves: 'c2c4g8f6b1c3e7e6e2e4'),
    (FCode: 'A18'; FName: 'English: Mikenas-Carls, Flohr variation'; FMoves: 'c2c4g8f6b1c3e7e6e2e4d7d5e4e5'),
    (FCode: 'A18'; FName: 'English: Mikenas-Carls, Kevitz variation'; FMoves: 'c2c4g8f6b1c3e7e6e2e4b8c6'),
    (FCode: 'A19'; FName: 'English: Mikenas-Carls, Sicilian variation'; FMoves: 'c2c4g8f6b1c3e7e6e2e4c7c5'),
    (FCode: 'A20'; FName: 'English opening'; FMoves: 'c2c4e7e5'),
    (FCode: 'A20'; FName: 'English, Nimzovich variation'; FMoves: 'c2c4e7e5g1f3'),
    (FCode: 'A20'; FName: 'English, Nimzovich, Flohr variation'; FMoves: 'c2c4e7e5g1f3e5e4'),
    (FCode: 'A21'; FName: 'English opening'; FMoves: 'c2c4e7e5b1c3'),
    (FCode: 'A21'; FName: 'English, Troeger defence'; FMoves: 'c2c4e7e5b1c3d7d6g2g3c8e6f1g2b8c6'),
    (FCode: 'A21'; FName: 'English, Keres variation'; FMoves: 'c2c4e7e5b1c3d7d6g2g3c7c6'),
    (FCode: 'A21'; FName: 'English opening'; FMoves: 'c2c4e7e5b1c3d7d6g1f3'),
    (FCode: 'A21'; FName: 'English, Smyslov defence'; FMoves: 'c2c4e7e5b1c3d7d6g1f3c8g4'),
    (FCode: 'A21'; FName: 'English, Kramnik-Shirov counterattack'; FMoves: 'c2c4e7e5b1c3f8b4'),
    (FCode: 'A22'; FName: 'English opening'; FMoves: 'c2c4e7e5b1c3g8f6'),
    (FCode: 'A22'; FName: 'English: Bellon gambit'; FMoves: 'c2c4e7e5b1c3g8f6g1f3e5e4f3g5b7b5'),
    (FCode: 'A22'; FName: 'English: Carls'' Bremen system'; FMoves: 'c2c4e7e5b1c3g8f6g2g3'),
    (FCode: 'A22'; FName: 'English: Bremen, reverse dragon'; FMoves: 'c2c4e7e5b1c3g8f6g2g3d7d5'),
    (FCode: 'A22'; FName: 'English: Bremen, Smyslov system'; FMoves: 'c2c4e7e5b1c3g8f6g2g3f8b4'),
    (FCode: 'A23'; FName: 'English: Bremen system, Keres variation'; FMoves: 'c2c4e7e5b1c3g8f6g2g3c7c6'),
    (FCode: 'A24'; FName: 'English: Bremen system with ...g6'; FMoves: 'c2c4e7e5b1c3g8f6g2g3g7g6'),
    (FCode: 'A25'; FName: 'English: Sicilian reversed'; FMoves: 'c2c4e7e5b1c3b8c6'),
    (FCode: 'A25'; FName: 'English: closed system'; FMoves: 'c2c4e7e5b1c3b8c6g2g3g7g6f1g2f8g7'),
    (FCode: 'A25'; FName: 'English: closed, Taimanov variation'; FMoves: 'c2c4e7e5b1c3b8c6g2g3g7g6f1g2f8g7e2e3d7d6g1e2g8h6'),
    (FCode: 'A25'; FName: 'English: closed, Hort variation'; FMoves: 'c2c4e7e5b1c3b8c6g2g3g7g6f1g2f8g7e2e3d7d6g1e2c8e6'),
    (FCode: 'A25'; FName: 'English: closed, 5.Rb1'; FMoves: 'c2c4e7e5b1c3b8c6g2g3g7g6f1g2f8g7a1b1'),
    (FCode: 'A25'; FName: 'English: closed, 5.Rb1 Taimanov variation'; FMoves: 'c2c4e7e5b1c3b8c6g2g3g7g6f1g2f8g7a1b1g8h6'),
    (FCode: 'A25'; FName: 'English: closed system (without ...d6)'; FMoves: 'c2c4e7e5b1c3b8c6g2g3g7g6f1g2f8g7d2d3'),
    (FCode: 'A26'; FName: 'English: closed system'; FMoves: 'c2c4e7e5b1c3b8c6g2g3g7g6f1g2f8g7d2d3d7d6'),
    (FCode: 'A26'; FName: 'English: Botvinnik system'; FMoves: 'c2c4e7e5b1c3b8c6g2g3g7g6f1g2f8g7d2d3d7d6e2e4'),
    (FCode: 'A27'; FName: 'English: three knights system'; FMoves: 'c2c4e7e5b1c3b8c6g1f3'),
    (FCode: 'A28'; FName: 'English: four knights system'; FMoves: 'c2c4e7e5b1c3b8c6g1f3g8f6'),
    (FCode: 'A28'; FName: 'English: Nenarokov variation'; FMoves: 'c2c4e7e5b1c3b8c6g1f3g8f6d2d4e5d4f3d4f8b4c1g5h7h6g5h4b4c3b2c3c6e5'),
    (FCode: 'A28'; FName: 'English: Bradley Beach variation'; FMoves: 'c2c4e7e5b1c3b8c6g1f3g8f6d2d4e5e4'),
    (FCode: 'A28'; FName: 'English: four knights, Nimzovich variation'; FMoves: 'c2c4e7e5b1c3b8c6g1f3g8f6e2e4'),
    (FCode: 'A28'; FName: 'English: four knights, Marini variation'; FMoves: 'c2c4e7e5b1c3b8c6g1f3g8f6a2a3'),
    (FCode: 'A28'; FName: 'English: four knights, Capablanca variation'; FMoves: 'c2c4e7e5b1c3b8c6g1f3g8f6d2d3'),
    (FCode: 'A28'; FName: 'English: four knights, 4.e3'; FMoves: 'c2c4e7e5b1c3b8c6g1f3g8f6e2e3'),
    (FCode: 'A28'; FName: 'English: four knights, Stean variation'; FMoves: 'c2c4e7e5b1c3b8c6g1f3g8f6e2e3f8b4d1c2e8g8c3d5f8e8c2f5'),
    (FCode: 'A28'; FName: 'English: four knights, Romanishin variation'; FMoves: 'c2c4e7e5b1c3b8c6g1f3g8f6e2e3f8b4d1c2b4c3'),
    (FCode: 'A29'; FName: 'English: four knights, kingside fianchetto'; FMoves: 'c2c4e7e5b1c3b8c6g1f3g8f6g2g3'),
    (FCode: 'A30'; FName: 'English: symmetrical variation'; FMoves: 'c2c4c7c5'),
    (FCode: 'A30'; FName: 'English: symmetrical, hedgehog system'; FMoves: 'c2c4c7c5g1f3g8f6g2g3b7b6f1g2c8b7e1g1e7e6b1c3f8e7'),
    (FCode: 'A30'; FName: 'English: symmetrical, hedgehog, flexible formation'; FMoves: 'c2c4c7c5g1f3g8f6g2g3b7b6f1g2c8b7e1g1e7e6b1c3f8e7d2d4c5d4d1d4d7d6f1d1a7a6b2b3b8d7'),
    (FCode: 'A31'; FName: 'English: symmetrical, Benoni formation'; FMoves: 'c2c4c7c5g1f3g8f6d2d4'),
    (FCode: 'A32'; FName: 'English: symmetrical variation'; FMoves: 'c2c4c7c5g1f3g8f6d2d4c5d4f3d4e7e6'),
    (FCode: 'A33'; FName: 'English: symmetrical variation'; FMoves: 'c2c4c7c5g1f3g8f6d2d4c5d4f3d4e7e6b1c3b8c6'),
    (FCode: 'A33'; FName: 'English: symmetrical, Geller variation'; FMoves: 'c2c4c7c5g1f3g8f6d2d4c5d4f3d4e7e6b1c3b8c6g2g3d8b6'),
    (FCode: 'A34'; FName: 'English: symmetrical variation'; FMoves: 'c2c4c7c5b1c3'),
    (FCode: 'A34'; FName: 'English: symmetrical, three knights system'; FMoves: 'c2c4c7c5b1c3g8f6g1f3d7d5c4d5f6d5'),
    (FCode: 'A34'; FName: 'English: symmetrical variation'; FMoves: 'c2c4c7c5b1c3g8f6g2g3'),
    (FCode: 'A34'; FName: 'English: symmetrical, Rubinstein system'; FMoves: 'c2c4c7c5b1c3g8f6g2g3d7d5c4d5f6d5f1g2d5c7'),
    (FCode: 'A35'; FName: 'English: symmetrical variation'; FMoves: 'c2c4c7c5b1c3b8c6'),
    (FCode: 'A35'; FName: 'English: symmetrical, four knights system'; FMoves: 'c2c4c7c5b1c3b8c6g1f3g8f6'),
    (FCode: 'A36'; FName: 'English: symmetrical variation'; FMoves: 'c2c4c7c5b1c3b8c6g2g3'),
    (FCode: 'A36'; FName: 'English: ultra-symmetrical variation'; FMoves: 'c2c4c7c5b1c3b8c6g2g3g7g6f1g2f8g7'),
    (FCode: 'A36'; FName: 'English: symmetrical, Botvinnik system reversed'; FMoves: 'c2c4c7c5b1c3b8c6g2g3g7g6f1g2f8g7e2e3e7e5'),
    (FCode: 'A36'; FName: 'English: symmetrical, Botvinnik system'; FMoves: 'c2c4c7c5b1c3b8c6g2g3g7g6f1g2f8g7e2e4'),
    (FCode: 'A37'; FName: 'English: symmetrical variation'; FMoves: 'c2c4c7c5b1c3b8c6g2g3g7g6f1g2f8g7g1f3'),
    (FCode: 'A37'; FName: 'English: symmetrical, Botvinnik system reversed'; FMoves: 'c2c4c7c5b1c3b8c6g2g3g7g6f1g2f8g7g1f3e7e5'),
    (FCode: 'A38'; FName: 'English: symmetrical variation'; FMoves: 'c2c4c7c5b1c3b8c6g2g3g7g6f1g2f8g7g1f3g8f6'),
    (FCode: 'A38'; FName: 'English: symmetrical, main line with d3'; FMoves: 'c2c4c7c5b1c3b8c6g2g3g7g6f1g2f8g7g1f3g8f6e1g1e8g8d2d3'),
    (FCode: 'A38'; FName: 'English: symmetrical, main line with b3'; FMoves: 'c2c4c7c5b1c3b8c6g2g3g7g6f1g2f8g7g1f3g8f6e1g1e8g8b2b3'),
    (FCode: 'A39'; FName: 'English: symmetrical, main line with d4'; FMoves: 'c2c4c7c5b1c3b8c6g2g3g7g6f1g2f8g7g1f3g8f6e1g1e8g8d2d4'),
    (FCode: 'A40'; FName: 'Queen''s pawn'; FMoves: 'd2d4'),
    (FCode: 'A40'; FName: 'Queen''s pawn: Lundin (Kevitz-Mikenas) defence'; FMoves: 'd2d4b8c6'),
    (FCode: 'A40'; FName: 'Queen''s pawn: Charlick (Englund) gambit'; FMoves: 'd2d4e7e5'),
    (FCode: 'A40'; FName: 'Queen''s pawn: Englund gambit'; FMoves: 'd2d4e7e5d4e5b8c6g1f3d8e7d1d5f7f6e5f6g8f6'),
    (FCode: 'A40'; FName: 'Queen''s pawn: English defence'; FMoves: 'd2d4b7b6'),
    (FCode: 'A40'; FName: 'Polish defence'; FMoves: 'd2d4b7b5'),
    (FCode: 'A40'; FName: 'Queen''s pawn'; FMoves: 'd2d4e7e6'),
    (FCode: 'A40'; FName: 'Queen''s pawn: Keres defence'; FMoves: 'd2d4e7e6c2c4b7b6'),
    (FCode: 'A40'; FName: 'Queen''s pawn: Franco-Indian (Keres) defence'; FMoves: 'd2d4e7e6c2c4f8b4'),
    (FCode: 'A40'; FName: 'Modern defence'; FMoves: 'd2d4g7g6'),
    (FCode: 'A40'; FName: 'Beefeater defence'; FMoves: 'd2d4g7g6c2c4f8g7b1c3c7c5d4d5g7c3b2c3f7f5'),
    (FCode: 'A41'; FName: 'Queen''s Pawn'; FMoves: 'd2d4d7d6'),
    (FCode: 'A41'; FName: 'Old Indian: Tartakower (Wade) variation'; FMoves: 'd2d4d7d6g1f3c8g4'),
    (FCode: 'A41'; FName: 'Old Indian defence'; FMoves: 'd2d4d7d6c2c4'),
    (FCode: 'A41'; FName: 'Modern defence'; FMoves: 'd2d4d7d6c2c4g7g6b1c3f8g7'),
    (FCode: 'A41'; FName: 'Robatsch defence: Rossolimo variation'; FMoves: 'e2e4g7g6d2d4f8g7g1f3d7d6c2c4c8g4'),
    (FCode: 'A42'; FName: 'Modern defence: Averbakh system'; FMoves: 'd2d4d7d6c2c4g7g6b1c3f8g7e2e4'),
    (FCode: 'A42'; FName: 'Pterodactyl defence'; FMoves: 'd2d4d7d6c2c4g7g6b1c3f8g7e2e4c7c5g1f3d8a5'),
    (FCode: 'A42'; FName: 'Modern defence: Averbakh system, Randspringer variation'; FMoves: 'd2d4d7d6c2c4g7g6b1c3f8g7e2e4f7f5'),
    (FCode: 'A42'; FName: 'Modern defence: Averbakh system, Kotov variation'; FMoves: 'd2d4d7d6c2c4g7g6b1c3f8g7e2e4b8c6'),
    (FCode: 'A43'; FName: 'Old Benoni defence'; FMoves: 'd2d4c7c5'),
    (FCode: 'A43'; FName: 'Old Benoni: Franco-Benoni defence'; FMoves: 'd2d4c7c5d4d5e7e6e2e4'),
    (FCode: 'A43'; FName: 'Old Benoni: Mujannah formation'; FMoves: 'd2d4c7c5d4d5f7f5'),
    (FCode: 'A43'; FName: 'Old Benoni defence'; FMoves: 'd2d4c7c5d4d5g8f6'),
    (FCode: 'A43'; FName: 'Woozle defence'; FMoves: 'd2d4c7c5d4d5g8f6b1c3d8a5'),
    (FCode: 'A43'; FName: 'Old Benoni defence'; FMoves: 'd2d4c7c5d4d5g8f6g1f3'),
    (FCode: 'A43'; FName: 'Hawk (Habichd) defence'; FMoves: 'd2d4c7c5d4d5g8f6g1f3c5c4'),
    (FCode: 'A43'; FName: 'Old Benoni defence'; FMoves: 'd2d4c7c5d4d5d7d6'),
    (FCode: 'A43'; FName: 'Old Benoni: Schmid''s system'; FMoves: 'd2d4c7c5d4d5d7d6b1c3g7g6'),
    (FCode: 'A44'; FName: 'Old Benoni defence'; FMoves: 'd2d4c7c5d4d5e7e5'),
    (FCode: 'A45'; FName: 'Queen''s pawn game'; FMoves: 'd2d4g8f6'),
    (FCode: 'A45'; FName: 'Queen''s pawn: Bronstein gambit'; FMoves: 'd2d4g8f6g2g4'),
    (FCode: 'A45'; FName: 'Canard opening'; FMoves: 'd2d4g8f6f2f4'),
    (FCode: 'A45'; FName: 'Paleface attack'; FMoves: 'd2d4g8f6f2f3'),
    (FCode: 'A45'; FName: 'Blackmar-Diemer gambit'; FMoves: 'd2d4g8f6f2f3d7d5e2e4'),
    (FCode: 'A45'; FName: 'Gedult attack'; FMoves: 'd2d4g8f6f2f3d7d5g2g4'),
    (FCode: 'A45'; FName: 'Trompovsky attack (Ruth, Opovcensky opening)'; FMoves: 'd2d4g8f6c1g5'),
    (FCode: 'A46'; FName: 'Queen''s pawn game'; FMoves: 'd2d4g8f6g1f3'),
    (FCode: 'A46'; FName: 'Queen''s pawn: Torre attack'; FMoves: 'd2d4g8f6g1f3e7e6c1g5'),
    (FCode: 'A46'; FName: 'Queen''s pawn: Torre attack, Wagner gambit'; FMoves: 'd2d4g8f6g1f3e7e6c1g5c7c5e2e4'),
    (FCode: 'A46'; FName: 'Queen''s pawn: Yusupov-Rubinstein system'; FMoves: 'd2d4g8f6g1f3e7e6e2e3'),
    (FCode: 'A46'; FName: 'Doery defence'; FMoves: 'd2d4g8f6g1f3f6e4'),
    (FCode: 'A47'; FName: 'Queen''s Indian defence'; FMoves: 'd2d4g8f6g1f3b7b6'),
    (FCode: 'A47'; FName: 'Queen''s Indian: Marienbad system'; FMoves: 'd2d4g8f6g1f3b7b6g2g3c8b7f1g2c7c5'),
    (FCode: 'A47'; FName: 'Queen''s Indian: Marienbad system, Berg variation'; FMoves: 'd2d4g8f6g1f3b7b6g2g3c8b7f1g2c7c5c2c4c5d4d1d4'),
    (FCode: 'A48'; FName: 'King''s Indian: East Indian defence'; FMoves: 'd2d4g8f6g1f3g7g6'),
    (FCode: 'A48'; FName: 'King''s Indian: Torre attack'; FMoves: 'd2d4g8f6g1f3g7g6c1g5'),
    (FCode: 'A48'; FName: 'King''s Indian: London system'; FMoves: 'd2d4g8f6g1f3g7g6c1f4'),
    (FCode: 'A49'; FName: 'King''s Indian: fianchetto without c4'; FMoves: 'd2d4g8f6g1f3g7g6g2g3'),
    (FCode: 'A50'; FName: 'Queen''s pawn game'; FMoves: 'd2d4g8f6c2c4'),
    (FCode: 'A50'; FName: 'Kevitz-Trajkovich defence'; FMoves: 'd2d4g8f6c2c4b8c6'),
    (FCode: 'A50'; FName: 'Queen''s Indian accelerated'; FMoves: 'd2d4g8f6c2c4b7b6'),
    (FCode: 'A51'; FName: 'Budapest defence declined'; FMoves: 'd2d4g8f6c2c4e7e5'),
    (FCode: 'A51'; FName: 'Budapest: Fajarowicz variation'; FMoves: 'd2d4g8f6c2c4e7e5d4e5f6e4'),
    (FCode: 'A51'; FName: 'Budapest: Fajarowicz, Steiner variation'; FMoves: 'd2d4g8f6c2c4e7e5d4e5f6e4d1c2'),
    (FCode: 'A52'; FName: 'Budapest defence'; FMoves: 'd2d4g8f6c2c4e7e5d4e5f6g4'),
    (FCode: 'A52'; FName: 'Budapest: Adler variation'; FMoves: 'd2d4g8f6c2c4e7e5d4e5f6g4g1f3'),
    (FCode: 'A52'; FName: 'Budapest: Rubinstein variation'; FMoves: 'd2d4g8f6c2c4e7e5d4e5f6g4c1f4'),
    (FCode: 'A52'; FName: 'Budapest: Alekhine variation'; FMoves: 'd2d4g8f6c2c4e7e5d4e5f6g4e2e4'),
    (FCode: 'A52'; FName: 'Budapest: Alekhine, Abonyi variation'; FMoves: 'd2d4g8f6c2c4e7e5d4e5f6g4e2e4g4e5f2f4e5c6'),
    (FCode: 'A52'; FName: 'Budapest: Alekhine variation, Balogh gambit'; FMoves: 'd2d4g8f6c2c4e7e5d4e5f6g4e2e4d7d6'),
    (FCode: 'A53'; FName: 'Old Indian defence'; FMoves: 'd2d4g8f6c2c4d7d6'),
    (FCode: 'A53'; FName: 'Old Indian: Janowski variation'; FMoves: 'd2d4g8f6c2c4d7d6b1c3c8f5'),
    (FCode: 'A54'; FName: 'Old Indian: Ukrainian variation'; FMoves: 'd2d4g8f6c2c4d7d6b1c3e7e5'),
    (FCode: 'A54'; FName: 'Old Indian: Dus-Khotimirsky variation'; FMoves: 'd2d4g8f6c2c4d7d6b1c3e7e5e2e3b8d7f1d3'),
    (FCode: 'A54'; FName: 'Old Indian: Ukrainian variation, 4.Nf3'; FMoves: 'd2d4g8f6c2c4d7d6b1c3e7e5g1f3'),
    (FCode: 'A55'; FName: 'Old Indian: main line'; FMoves: 'd2d4g8f6c2c4d7d6b1c3e7e5g1f3b8d7e2e4'),
    (FCode: 'A56'; FName: 'Benoni defence'; FMoves: 'd2d4g8f6c2c4c7c5'),
    (FCode: 'A56'; FName: 'Benoni defence, Hromodka system'; FMoves: 'd2d4g8f6c2c4c7c5d4d5d7d6'),
    (FCode: 'A56'; FName: 'Vulture defence'; FMoves: 'd2d4g8f6c2c4c7c5d4d5f6e4'),
    (FCode: 'A56'; FName: 'Czech Benoni defence'; FMoves: 'd2d4g8f6c2c4c7c5d4d5e7e5'),
    (FCode: 'A56'; FName: 'Czech Benoni: King''s Indian system'; FMoves: 'd2d4g8f6c2c4c7c5d4d5e7e5b1c3d7d6e2e4g7g6'),
    (FCode: 'A57'; FName: 'Benko gambit'; FMoves: 'd2d4g8f6c2c4c7c5d4d5b7b5'),
    (FCode: 'A57'; FName: 'Benko gambit half accepted'; FMoves: 'd2d4g8f6c2c4c7c5d4d5b7b5c4b5a7a6'),
    (FCode: 'A57'; FName: 'Benko gambit: Zaitsev system'; FMoves: 'd2d4g8f6c2c4c7c5d4d5b7b5c4b5a7a6b1c3'),
    (FCode: 'A57'; FName: 'Benko gambit: Nescafe Frappe attack'; FMoves: 'd2d4g8f6c2c4c7c5d4d5b7b5c4b5a7a6b1c3a6b5e2e4b5b4c3b5d7d6f1c4'),
    (FCode: 'A58'; FName: 'Benko gambit accepted'; FMoves: 'd2d4g8f6c2c4c7c5d4d5b7b5c4b5a7a6b5a6'),
    (FCode: 'A58'; FName: 'Benko gambit: Nd2 variation'; FMoves: 'd2d4g8f6c2c4c7c5d4d5b7b5c4b5a7a6b5a6c8a6b1c3d7d6g1f3g7g6f3d2'),
    (FCode: 'A58'; FName: 'Benko gambit: fianchetto variation'; FMoves: 'd2d4g8f6c2c4c7c5d4d5b7b5c4b5a7a6b5a6c8a6b1c3d7d6g1f3g7g6g2g3'),
    (FCode: 'A59'; FName: 'Benko gambit: 7.e4'; FMoves: 'd2d4g8f6c2c4c7c5d4d5b7b5c4b5a7a6b5a6c8a6b1c3d7d6e2e4'),
    (FCode: 'A59'; FName: 'Benko gambit: Ne2 variation'; FMoves: 'd2d4g8f6c2c4c7c5d4d5b7b5c4b5a7a6b5a6c8a6b1c3d7d6e2e4a6f1e1f1g7g6g1e2'),
    (FCode: 'A59'; FName: 'Benko gambit'; FMoves: 'd2d4g8f6c2c4c7c5d4d5b7b5c4b5a7a6b5a6c8a6b1c3d7d6e2e4a6f1e1f1g7g6g2g3'),
    (FCode: 'A59'; FName: 'Benko gambit: main line'; FMoves: 'd2d4g8f6c2c4c7c5d4d5b7b5c4b5a7a6b5a6c8a6b1c3d7d6e2e4a6f1e1f1g7g6g2g3f8g7f1g2e8g8g1f3'),
    (FCode: 'A60'; FName: 'Benoni defence'; FMoves: 'd2d4g8f6c2c4c7c5d4d5e7e6'),
    (FCode: 'A61'; FName: 'Benoni defence'; FMoves: 'd2d4g8f6c2c4c7c5d4d5e7e6b1c3e6d5c4d5d7d6g1f3g7g6'),
    (FCode: 'A61'; FName: 'Benoni: Uhlmann variation'; FMoves: 'd2d4g8f6c2c4c7c5d4d5e7e6b1c3e6d5c4d5d7d6g1f3g7g6c1g5'),
    (FCode: 'A61'; FName: 'Benoni: Nimzovich (knight''s tour) variation'; FMoves: 'd2d4g8f6c2c4c7c5d4d5e7e6b1c3e6d5c4d5d7d6g1f3g7g6f3d2'),
    (FCode: 'A61'; FName: 'Benoni: fianchetto variation'; FMoves: 'd2d4g8f6c2c4c7c5d4d5e7e6b1c3e6d5c4d5d7d6g1f3g7g6g2g3'),
    (FCode: 'A62'; FName: 'Benoni: fianchetto variation'; FMoves: 'd2d4g8f6c2c4c7c5d4d5e7e6b1c3e6d5c4d5d7d6g1f3g7g6g2g3f8g7f1g2e8g8'),
    (FCode: 'A63'; FName: 'Benoni: fianchetto, 9...Nbd7'; FMoves: 'd2d4g8f6c2c4c7c5d4d5e7e6b1c3e6d5c4d5d7d6g1f3g7g6g2g3f8g7f1g2e8g8e1g1b8d7'),
    (FCode: 'A64'; FName: 'Benoni: fianchetto, 11...Re8'; FMoves: 'd2d4g8f6c2c4c7c5d4d5e7e6b1c3e6d5c4d5d7d6g1f3g7g6g2g3f8g7f1g2e8g8e1g1b8d7f3d2a7a6a2a4f8e8'),
    (FCode: 'A65'; FName: 'Benoni: 6.e4'; FMoves: 'd2d4g8f6c2c4c7c5d4d5e7e6b1c3e6d5c4d5d7d6e2e4'),
    (FCode: 'A66'; FName: 'Benoni: pawn storm variation'; FMoves: 'd2d4g8f6c2c4c7c5d4d5e7e6b1c3e6d5c4d5d7d6e2e4g7g6f2f4'),
    (FCode: 'A66'; FName: 'Benoni: Mikenas variation'; FMoves: 'd2d4g8f6c2c4c7c5d4d5e7e6b1c3e6d5c4d5d7d6e2e4g7g6f2f4f8g7e4e5'),
    (FCode: 'A67'; FName: 'Benoni: Taimanov variation'; FMoves: 'd2d4g8f6c2c4c7c5d4d5e7e6b1c3e6d5c4d5d7d6e2e4g7g6f2f4f8g7f1b5'),
    (FCode: 'A68'; FName: 'Benoni: four pawns attack'; FMoves: 'd2d4g8f6c2c4c7c5d4d5e7e6b1c3e6d5c4d5d7d6e2e4g7g6f2f4f8g7g1f3e8g8'),
    (FCode: 'A69'; FName: 'Benoni: four pawns attack, main line'; FMoves: 'd2d4g8f6c2c4c7c5d4d5e7e6b1c3e6d5c4d5d7d6e2e4g7g6f2f4f8g7g1f3e8g8f1e2f8e8'),
    (FCode: 'A70'; FName: 'Benoni: classical with e4 and Nf3'; FMoves: 'd2d4g8f6c2c4c7c5d4d5e7e6b1c3e6d5c4d5d7d6e2e4g7g6g1f3'),
    (FCode: 'A70'; FName: 'Benoni: classical without 9.O-O'; FMoves: 'd2d4g8f6c2c4c7c5d4d5e7e6b1c3e6d5c4d5d7d6e2e4g7g6g1f3f8g7f1e2'),
    (FCode: 'A71'; FName: 'Benoni: classical, 8.Bg5'; FMoves: 'd2d4g8f6c2c4c7c5d4d5e7e6b1c3e6d5c4d5d7d6e2e4g7g6g1f3f8g7c1g5'),
    (FCode: 'A72'; FName: 'Benoni: classical without 9.O-O'; FMoves: 'd2d4g8f6c2c4c7c5d4d5e7e6b1c3e6d5c4d5d7d6e2e4g7g6g1f3f8g7f1e2e8g8'),
    (FCode: 'A73'; FName: 'Benoni: classical, 9.O-O'; FMoves: 'd2d4g8f6c2c4c7c5d4d5e7e6b1c3e6d5c4d5d7d6e2e4g7g6g1f3f8g7f1e2e8g8e1g1'),
    (FCode: 'A74'; FName: 'Benoni: classical, 9...a6, 10.a4'; FMoves: 'd2d4g8f6c2c4c7c5d4d5e7e6b1c3e6d5c4d5d7d6e2e4g7g6g1f3f8g7f1e2e8g8e1g1a7a6a2a4'),
    (FCode: 'A75'; FName: 'Benoni: classical with ...a6 and 10...Bg4'; FMoves: 'd2d4g8f6c2c4c7c5d4d5e7e6b1c3e6d5c4d5d7d6e2e4g7g6g1f3f8g7f1e2e8g8e1g1a7a6a2a4c8g4'),
    (FCode: 'A76'; FName: 'Benoni: classical, 9...Re8'; FMoves: 'd2d4g8f6c2c4c7c5d4d5e7e6b1c3e6d5c4d5d7d6e2e4g7g6g1f3f8g7f1e2e8g8e1g1f8e8'),
    (FCode: 'A77'; FName: 'Benoni: classical, 9...Re8, 10.Nd2'; FMoves: 'd2d4g8f6c2c4c7c5d4d5e7e6b1c3e6d5c4d5d7d6e2e4g7g6g1f3f8g7f1e2e8g8e1g1f8e8f3d2'),
    (FCode: 'A78'; FName: 'Benoni: classical with ...Re8 and ...Na6'; FMoves: 'd2d4g8f6c2c4c7c5d4d5e7e6b1c3e6d5c4d5d7d6e2e4g7g6g1f3f8g7f1e2e8g8e1g1f8e8f3d2b8a6'),
    (FCode: 'A79'; FName: 'Benoni: classical, 11.f3'; FMoves: 'd2d4g8f6c2c4c7c5d4d5e7e6b1c3e6d5c4d5d7d6e2e4g7g6g1f3f8g7f1e2e8g8e1g1f8e8f3d2b8a6f2f3'),
    (FCode: 'A80'; FName: 'Dutch'; FMoves: 'd2d4f7f5'),
    (FCode: 'A80'; FName: 'Dutch, Spielmann gambit'; FMoves: 'd2d4f7f5b1c3g8f6g2g4'),
    (FCode: 'A80'; FName: 'Dutch, Manhattan (Alapin, Ulvestad) variation'; FMoves: 'd2d4f7f5d1d3'),
    (FCode: 'A80'; FName: 'Dutch, Von Pretzel gambit'; FMoves: 'd2d4f7f5d1d3e7e6g2g4'),
    (FCode: 'A80'; FName: 'Dutch, Korchnoi attack'; FMoves: 'd2d4f7f5h2h3'),
    (FCode: 'A80'; FName: 'Dutch, Krejcik gambit'; FMoves: 'd2d4f7f5g2g4'),
    (FCode: 'A80'; FName: 'Dutch, 2.Bg5 variation'; FMoves: 'd2d4f7f5c1g5'),
    (FCode: 'A81'; FName: 'Dutch defence'; FMoves: 'd2d4f7f5g2g3'),
    (FCode: 'A81'; FName: 'Dutch defence, Blackburne variation'; FMoves: 'd2d4f7f5g2g3g8f6f1g2e7e6g1h3'),
    (FCode: 'A81'; FName: 'Dutch defence'; FMoves: 'd2d4f7f5g2g3g8f6f1g2g7g6'),
    (FCode: 'A81'; FName: 'Dutch: Leningrad, Basman system'; FMoves: 'd2d4f7f5g2g3g7g6f1g2f8g7g1f3c7c6e1g1g8h6'),
    (FCode: 'A81'; FName: 'Dutch: Leningrad, Karlsbad variation'; FMoves: 'd2d4f7f5g2g3g7g6f1g2f8g7g1h3'),
    (FCode: 'A82'; FName: 'Dutch: Staunton gambit'; FMoves: 'd2d4f7f5e2e4'),
    (FCode: 'A82'; FName: 'Dutch: Balogh defence'; FMoves: 'd2d4f7f5e2e4d7d6'),
    (FCode: 'A82'; FName: 'Dutch: Staunton gambit'; FMoves: 'd2d4f7f5e2e4f5e4'),
    (FCode: 'A82'; FName: 'Dutch: Staunton gambit, Tartakower variation'; FMoves: 'd2d4f7f5e2e4f5e4b1c3g8f6g2g4'),
    (FCode: 'A83'; FName: 'Dutch: Staunton gambit, Staunton''s line'; FMoves: 'd2d4f7f5e2e4f5e4b1c3g8f6c1g5'),
    (FCode: 'A83'; FName: 'Dutch: Staunton gambit, Alekhine variation'; FMoves: 'd2d4f7f5e2e4f5e4b1c3g8f6c1g5g7g6h2h4'),
    (FCode: 'A83'; FName: 'Dutch: Staunton gambit, Lasker variation'; FMoves: 'd2d4f7f5e2e4f5e4b1c3g8f6c1g5g7g6f2f3'),
    (FCode: 'A83'; FName: 'Dutch: Staunton gambit, Chigorin variation'; FMoves: 'd2d4f7f5e2e4f5e4b1c3g8f6c1g5c7c6'),
    (FCode: 'A83'; FName: 'Dutch: Staunton gambit, Nimzovich variation'; FMoves: 'd2d4f7f5e2e4f5e4b1c3g8f6c1g5b7b6'),
    (FCode: 'A84'; FName: 'Dutch defence'; FMoves: 'd2d4f7f5c2c4'),
    (FCode: 'A84'; FName: 'Dutch defence: Bladel variation'; FMoves: 'd2d4f7f5c2c4g7g6b1c3g8h6'),
    (FCode: 'A84'; FName: 'Dutch defence'; FMoves: 'd2d4f7f5c2c4e7e6'),
    (FCode: 'A84'; FName: 'Dutch defence, Rubinstein variation'; FMoves: 'd2d4f7f5c2c4e7e6b1c3'),
    (FCode: 'A84'; FName: 'Dutch: Staunton gambit deferred'; FMoves: 'd2d4f7f5c2c4e7e6e2e4'),
    (FCode: 'A84'; FName: 'Dutch defence'; FMoves: 'd2d4f7f5c2c4g8f6'),
    (FCode: 'A86'; FName: 'Dutch: Hort-Antoshin system'; FMoves: 'd2d4f7f5c2c4g8f6g2g3d7d6f1g2c7c6b1c3d8c7'),
    (FCode: 'A86'; FName: 'Dutch: Leningrad variation'; FMoves: 'd2d4f7f5c2c4g8f6g2g3g7g6'),
    (FCode: 'A87'; FName: 'Dutch: Leningrad, main variation'; FMoves: 'd2d4f7f5c2c4g8f6g2g3g7g6f1g2f8g7g1f3'),
    (FCode: 'A88'; FName: 'Dutch: Leningrad, main variation with c6'; FMoves: 'd2d4f7f5c2c4g8f6g2g3g7g6f1g2f8g7g1f3e8g8e1g1d7d6b1c3c7c6'),
    (FCode: 'A89'; FName: 'Dutch: Leningrad, main variation with Nc6'; FMoves: 'd2d4f7f5c2c4g8f6g2g3g7g6f1g2f8g7g1f3e8g8e1g1d7d6b1c3b8c6'),
    (FCode: 'A90'; FName: 'Dutch defence'; FMoves: 'd2d4f7f5c2c4g8f6g2g3e7e6f1g2'),
    (FCode: 'A90'; FName: 'Dutch defence: Dutch-Indian (Nimzo-Dutch) variation'; FMoves: 'd2d4f7f5c2c4g8f6g2g3e7e6f1g2f8b4'),
    (FCode: 'A90'; FName: 'Dutch-Indian, Alekhine variation'; FMoves: 'd2d4f7f5c2c4g8f6g2g3e7e6f1g2f8b4c1d2b4e7'),
    (FCode: 'A91'; FName: 'Dutch defence'; FMoves: 'd2d4f7f5c2c4g8f6g2g3e7e6f1g2f8e7'),
    (FCode: 'A92'; FName: 'Dutch defence'; FMoves: 'd2d4f7f5c2c4g8f6g2g3e7e6f1g2f8e7g1f3e8g8'),
    (FCode: 'A92'; FName: 'Dutch defence, Alekhine variation'; FMoves: 'd2d4f7f5c2c4g8f6g2g3e7e6f1g2f8e7g1f3e8g8e1g1f6e4'),
    (FCode: 'A92'; FName: 'Dutch: stonewall variation'; FMoves: 'd2d4f7f5c2c4g8f6g2g3e7e6f1g2f8e7g1f3e8g8e1g1d7d5'),
    (FCode: 'A92'; FName: 'Dutch: stonewall with Nc3'; FMoves: 'd2d4f7f5c2c4g8f6g2g3e7e6f1g2f8e7g1f3e8g8e1g1d7d5b1c3'),
    (FCode: 'A93'; FName: 'Dutch: stonewall, Botwinnik variation'; FMoves: 'd2d4f7f5c2c4g8f6g2g3e7e6f1g2f8e7g1f3e8g8e1g1d7d5b2b3'),
    (FCode: 'A94'; FName: 'Dutch: stonewall with Ba3'; FMoves: 'd2d4f7f5c2c4g8f6g2g3e7e6f1g2f8e7g1f3e8g8e1g1d7d5b2b3c7c6c1a3'),
    (FCode: 'A95'; FName: 'Dutch: stonewall with Nc3'; FMoves: 'd2d4f7f5c2c4g8f6g2g3e7e6f1g2f8e7g1f3e8g8e1g1d7d5b1c3c7c6'),
    (FCode: 'A95'; FName: 'Dutch: stonewall: Chekhover variation'; FMoves: 'd2d4f7f5c2c4g8f6g2g3e7e6f1g2f8e7g1f3e8g8e1g1d7d5b1c3c7c6d1c2d8e8c1g5'),
    (FCode: 'A96'; FName: 'Dutch: classical variation'; FMoves: 'd2d4f7f5c2c4g8f6g2g3e7e6f1g2f8e7g1f3e8g8e1g1d7d6'),
    (FCode: 'A97'; FName: 'Dutch: Ilyin-Genevsky variation'; FMoves: 'd2d4f7f5c2c4g8f6g2g3e7e6f1g2f8e7g1f3e8g8e1g1d7d6b1c3d8e8'),
    (FCode: 'A97'; FName: 'Dutch: Ilyin-Genevsky, Winter variation'; FMoves: 'd2d4f7f5c2c4g8f6g2g3e7e6f1g2f8e7g1f3e8g8e1g1d7d6b1c3d8e8f1e1'),
    (FCode: 'A98'; FName: 'Dutch: Ilyin-Genevsky variation with Qc2'; FMoves: 'd2d4f7f5c2c4g8f6g2g3e7e6f1g2f8e7g1f3e8g8e1g1d7d6b1c3d8e8d1c2'),
    (FCode: 'A99'; FName: 'Dutch: Ilyin-Genevsky variation with b3'; FMoves: 'd2d4f7f5c2c4g8f6g2g3e7e6f1g2f8e7g1f3e8g8e1g1d7d6b1c3d8e8b2b3'),
    (FCode: 'B00'; FName: 'King''s pawn opening'; FMoves: 'e2e4'),
    (FCode: 'B00'; FName: 'Hippopotamus defence'; FMoves: 'e2e4g8h6d2d4g7g6c2c4f7f6'),
    (FCode: 'B00'; FName: 'Corn stalk defence'; FMoves: 'e2e4a7a5'),
    (FCode: 'B00'; FName: 'Lemming defence'; FMoves: 'e2e4b8a6'),
    (FCode: 'B00'; FName: 'Fred'; FMoves: 'e2e4f7f5'),
    (FCode: 'B00'; FName: 'Barnes defence'; FMoves: 'e2e4f7f6'),
    (FCode: 'B00'; FName: 'Fried fox defence'; FMoves: 'e2e4f7f6d2d4e8f7'),
    (FCode: 'B00'; FName: 'Carr''s defence'; FMoves: 'e2e4h7h6'),
    (FCode: 'B00'; FName: 'Reversed Grob (Borg/Basman defence/macho Grob)'; FMoves: 'e2e4g7g5'),
    (FCode: 'B00'; FName: 'St. George (Baker) defence'; FMoves: 'e2e4a7a6'),
    (FCode: 'B00'; FName: 'Owen defence'; FMoves: 'e2e4b7b6'),
    (FCode: 'B00'; FName: 'Guatemala defence'; FMoves: 'e2e4b7b6d2d4c8a6'),
    (FCode: 'B00'; FName: 'KP: Nimzovich defence'; FMoves: 'e2e4b8c6'),
    (FCode: 'B00'; FName: 'KP: Nimzovich defence, Wheeler gambit'; FMoves: 'e2e4b8c6b2b4c6b4c2c3b4c6d2d4'),
    (FCode: 'B00'; FName: 'KP: Nimzovich defence'; FMoves: 'e2e4b8c6g1f3'),
    (FCode: 'B00'; FName: 'KP: Colorado counter'; FMoves: 'e2e4b8c6g1f3f7f5'),
    (FCode: 'B00'; FName: 'KP: Nimzovich defence'; FMoves: 'e2e4b8c6d2d4'),
    (FCode: 'B00'; FName: 'KP: Nimzovich defence, Marshall gambit'; FMoves: 'e2e4b8c6d2d4d7d5e4d5d8d5b1c3'),
    (FCode: 'B00'; FName: 'KP: Nimzovich defence, Bogolyubov variation'; FMoves: 'e2e4b8c6d2d4d7d5b1c3'),
    (FCode: 'B00'; FName: 'KP: Neo-Mongoloid defence'; FMoves: 'e2e4b8c6d2d4f7f6'),
    (FCode: 'B01'; FName: 'Scandinavian (centre counter) defence'; FMoves: 'e2e4d7d5'),
    (FCode: 'B01'; FName: 'Scandinavian defence, Lasker variation'; FMoves: 'e2e4d7d5e4d5d8d5b1c3d5a5d2d4g8f6g1f3c8g4h2h3'),
    (FCode: 'B01'; FName: 'Scandinavian defence'; FMoves: 'e2e4d7d5e4d5d8d5b1c3d5a5d2d4g8f6g1f3c8f5'),
    (FCode: 'B01'; FName: 'Scandinavian defence, Gruenfeld variation'; FMoves: 'e2e4d7d5e4d5d8d5b1c3d5a5d2d4g8f6g1f3c8f5f3e5c7c6g2g4'),
    (FCode: 'B01'; FName: 'Scandinavian: Anderssen counter-attack'; FMoves: 'e2e4d7d5e4d5d8d5b1c3d5a5d2d4e7e5'),
    (FCode: 'B01'; FName: 'Scandinavian: Anderssen counter-attack orthodox attack'; FMoves: 'e2e4d7d5e4d5d8d5b1c3d5a5d2d4e7e5d4e5f8b4c1d2b8c6g1f3'),
    (FCode: 'B01'; FName: 'Scandinavian: Anderssen counter-attack, Goteborg system'; FMoves: 'e2e4d7d5e4d5d8d5b1c3d5a5d2d4e7e5g1f3'),
    (FCode: 'B01'; FName: 'Scandinavian: Anderssen counter-attack, Collijn variation'; FMoves: 'e2e4d7d5e4d5d8d5b1c3d5a5d2d4e7e5g1f3c8g4'),
    (FCode: 'B01'; FName: 'Scandinavian, Mieses-Kotrvc gambit'; FMoves: 'e2e4d7d5e4d5d8d5b1c3d5a5b2b4'),
    (FCode: 'B01'; FName: 'Scandinavian: Pytel-Wade variation'; FMoves: 'e2e4d7d5e4d5d8d5b1c3d5d6'),
    (FCode: 'B01'; FName: 'Scandinavian defence'; FMoves: 'e2e4d7d5e4d5g8f6'),
    (FCode: 'B01'; FName: 'Scandinavian: Icelandic gambit'; FMoves: 'e2e4d7d5e4d5g8f6c2c4e7e6'),
    (FCode: 'B01'; FName: 'Scandinavian gambit'; FMoves: 'e2e4d7d5e4d5g8f6c2c4c7c6'),
    (FCode: 'B01'; FName: 'Scandinavian defence'; FMoves: 'e2e4d7d5e4d5g8f6d2d4'),
    (FCode: 'B01'; FName: 'Scandinavian: Marshall variation'; FMoves: 'e2e4d7d5e4d5g8f6d2d4f6d5'),
    (FCode: 'B01'; FName: 'Scandinavian: Kiel variation'; FMoves: 'e2e4d7d5e4d5g8f6d2d4f6d5c2c4d5b4'),
    (FCode: 'B01'; FName: 'Scandinavian: Richter variation'; FMoves: 'e2e4d7d5e4d5g8f6d2d4g7g6'),
    (FCode: 'B02'; FName: 'Alekhine''s defence'; FMoves: 'e2e4g8f6'),
    (FCode: 'B02'; FName: 'Alekhine''s defence: Scandinavian variation'; FMoves: 'e2e4g8f6b1c3d7d5'),
    (FCode: 'B02'; FName: 'Alekhine''s defence: Spielmann variation'; FMoves: 'e2e4g8f6b1c3d7d5e4e5f6d7e5e6'),
    (FCode: 'B02'; FName: 'Alekhine''s defence: Maroczy variation'; FMoves: 'e2e4g8f6d2d3'),
    (FCode: 'B02'; FName: 'Alekhine''s defence: Krejcik variation'; FMoves: 'e2e4g8f6f1c4'),
    (FCode: 'B02'; FName: 'Alekhine''s defence: Mokele Mbembe (Buecker) variation'; FMoves: 'e2e4g8f6e4e5f6e4'),
    (FCode: 'B02'; FName: 'Alekhine''s defence: Brooklyn defence'; FMoves: 'e2e4g8f6e4e5f6g8'),
    (FCode: 'B02'; FName: 'Alekhine''s defence'; FMoves: 'e2e4g8f6e4e5f6d5'),
    (FCode: 'B02'; FName: 'Alekhine''s defence: Kmoch variation'; FMoves: 'e2e4g8f6e4e5f6d5f1c4d5b6c4b3c7c5d2d3'),
    (FCode: 'B02'; FName: 'Alekhine''s defence: Saemisch attack'; FMoves: 'e2e4g8f6e4e5f6d5b1c3'),
    (FCode: 'B02'; FName: 'Alekhine''s defence: Welling variation'; FMoves: 'e2e4g8f6e4e5f6d5b2b3'),
    (FCode: 'B02'; FName: 'Alekhine''s defence'; FMoves: 'e2e4g8f6e4e5f6d5c2c4'),
    (FCode: 'B02'; FName: 'Alekhine''s defence: Steiner variation'; FMoves: 'e2e4g8f6e4e5f6d5c2c4d5b6b2b3'),
    (FCode: 'B02'; FName: 'Alekhine''s defence: two pawns'' (Lasker''s) attack'; FMoves: 'e2e4g8f6e4e5f6d5c2c4d5b6c4c5'),
    (FCode: 'B02'; FName: 'Alekhine''s defence: two pawns'' attack, Mikenas variation'; FMoves: 'e2e4g8f6e4e5f6d5c2c4d5b6c4c5b6d5f1c4e7e6b1c3d7d6'),
    (FCode: 'B03'; FName: 'Alekhine''s defence'; FMoves: 'e2e4g8f6e4e5f6d5d2d4'),
    (FCode: 'B03'; FName: 'Alekhine''s defence: O''Sullivan gambit'; FMoves: 'e2e4g8f6e4e5f6d5d2d4b7b5'),
    (FCode: 'B03'; FName: 'Alekhine''s defence'; FMoves: 'e2e4g8f6e4e5f6d5d2d4d7d6'),
    (FCode: 'B03'; FName: 'Alekhine''s defence: Balogh variation'; FMoves: 'e2e4g8f6e4e5f6d5d2d4d7d6f1c4'),
    (FCode: 'B03'; FName: 'Alekhine''s defence'; FMoves: 'e2e4g8f6e4e5f6d5d2d4d7d6c2c4'),
    (FCode: 'B03'; FName: 'Alekhine''s defence: exchange variation'; FMoves: 'e2e4g8f6e4e5f6d5d2d4d7d6c2c4d5b6e5d6'),
    (FCode: 'B03'; FName: 'Alekhine''s defence: exchange, Karpov variation'; FMoves: 'e2e4g8f6e4e5f6d5d2d4d7d6c2c4d5b6e5d6c7d6g1f3g7g6f1e2f8g7e1g1e8g8h2h3b8c6b1c3c8f5c1f4'),
    (FCode: 'B03'; FName: 'Alekhine''s defence: four pawns attack'; FMoves: 'e2e4g8f6e4e5f6d5d2d4d7d6c2c4d5b6f2f4'),
    (FCode: 'B03'; FName: 'Alekhine''s defence: four pawns attack, Korchnoi variation'; FMoves: 'e2e4g8f6e4e5f6d5d2d4d7d6c2c4d5b6f2f4d6e5f4e5c8f5b1c3e7e6g1f3f8e7f1e2e8g8e1g1f7f6'),
    (FCode: 'B03'; FName: 'Alekhine''s defence: four pawns attack, 6...Nc6'; FMoves: 'e2e4g8f6e4e5f6d5d2d4d7d6c2c4d5b6f2f4d6e5f4e5b8c6'),
    (FCode: 'B03'; FName: 'Alekhine''s defence: four pawns attack, Ilyin-Genevsky var.'; FMoves: 'e2e4g8f6e4e5f6d5d2d4d7d6c2c4d5b6f2f4d6e5f4e5b8c6g1f3c8g4e5e6f7e6c4c5'),
    (FCode: 'B03'; FName: 'Alekhine''s defence: four pawns attack, 7.Be3'; FMoves: 'e2e4g8f6e4e5f6d5d2d4d7d6c2c4d5b6f2f4d6e5f4e5b8c6c1e3'),
    (FCode: 'B03'; FName: 'Alekhine''s defence: four pawns attack, Tartakower variation'; FMoves: 'e2e4g8f6e4e5f6d5d2d4d7d6c2c4d5b6f2f4d6e5f4e5b8c6c1e3c8f5b1c3e7e6g1f3d8d7f1e2e8c8e1g1f8e7'),
    (FCode: 'B03'; FName: 'Alekhine''s defence: four pawns attack, Planinc variation'; FMoves: 'e2e4g8f6e4e5f6d5d2d4d7d6c2c4d5b6f2f4g7g5'),
    (FCode: 'B03'; FName: 'Alekhine''s defence: four pawns attack, fianchetto variation'; FMoves: 'e2e4g8f6e4e5f6d5d2d4d7d6c2c4d5b6f2f4g7g6'),
    (FCode: 'B03'; FName: 'Alekhine''s defence: four pawns attack, Trifunovic variation'; FMoves: 'e2e4g8f6e4e5f6d5d2d4d7d6c2c4d5b6f2f4c8f5'),
    (FCode: 'B04'; FName: 'Alekhine''s defence: modern variation'; FMoves: 'e2e4g8f6e4e5f6d5d2d4d7d6g1f3'),
    (FCode: 'B04'; FName: 'Alekhine''s defence: modern, Larsen variation'; FMoves: 'e2e4g8f6e4e5f6d5d2d4d7d6g1f3d6e5'),
    (FCode: 'B04'; FName: 'Alekhine''s defence: modern, Schmid variation'; FMoves: 'e2e4g8f6e4e5f6d5d2d4d7d6g1f3d5b6'),
    (FCode: 'B04'; FName: 'Alekhine''s defence: modern, fianchetto variation'; FMoves: 'e2e4g8f6e4e5f6d5d2d4d7d6g1f3g7g6'),
    (FCode: 'B04'; FName: 'Alekhine''s defence: modern, Keres variation'; FMoves: 'e2e4g8f6e4e5f6d5d2d4d7d6g1f3g7g6f1c4d5b6c4b3f8g7a2a4'),
    (FCode: 'B05'; FName: 'Alekhine''s defence: modern variation, 4...Bg4'; FMoves: 'e2e4g8f6e4e5f6d5d2d4d7d6g1f3c8g4'),
    (FCode: 'B05'; FName: 'Alekhine''s defence: modern, Flohr variation'; FMoves: 'e2e4g8f6e4e5f6d5d2d4d7d6g1f3c8g4f1e2c7c6'),
    (FCode: 'B05'; FName: 'Alekhine''s defence: modern, Panov variation'; FMoves: 'e2e4g8f6e4e5f6d5d2d4d7d6g1f3c8g4h2h3'),
    (FCode: 'B05'; FName: 'Alekhine''s defence: modern, Alekhine variation'; FMoves: 'e2e4g8f6e4e5f6d5d2d4d7d6g1f3c8g4c2c4'),
    (FCode: 'B05'; FName: 'Alekhine''s defence: modern, Vitolins attack'; FMoves: 'e2e4g8f6e4e5f6d5d2d4d7d6g1f3c8g4c2c4d5b6d4d5'),
    (FCode: 'B06'; FName: 'Robatsch (modern) defence'; FMoves: 'e2e4g7g6'),
    (FCode: 'B06'; FName: 'Norwegian defence'; FMoves: 'e2e4g7g6d2d4g8f6e4e5f6h5g2g4h5g7'),
    (FCode: 'B06'; FName: 'Robatsch (modern) defence'; FMoves: 'e2e4g7g6d2d4f8g7'),
    (FCode: 'B06'; FName: 'Robatsch defence: three pawns attack'; FMoves: 'e2e4g7g6d2d4f8g7f2f4'),
    (FCode: 'B06'; FName: 'Robatsch defence'; FMoves: 'e2e4g7g6d2d4f8g7b1c3'),
    (FCode: 'B06'; FName: 'Robatsch defence: Gurgenidze variation'; FMoves: 'e2e4g7g6d2d4f8g7b1c3c7c6f2f4d7d5e4e5h7h5'),
    (FCode: 'B06'; FName: 'Robatsch (modern) defence'; FMoves: 'e2e4g7g6d2d4f8g7b1c3d7d6'),
    (FCode: 'B06'; FName: 'Robatsch defence: two knights variation'; FMoves: 'e2e4g7g6d2d4f8g7b1c3d7d6g1f3'),
    (FCode: 'B06'; FName: 'Robatsch defence: two knights, Suttles variation'; FMoves: 'e2e4g7g6d2d4f8g7b1c3d7d6g1f3c7c6'),
    (FCode: 'B06'; FName: 'Robatsch defence: Pseudo-Austrian attack'; FMoves: 'e2e4g7g6d2d4f8g7b1c3d7d6f2f4'),
    (FCode: 'B07'; FName: 'Pirc defence'; FMoves: 'e2e4d7d6d2d4g8f6b1c3'),
    (FCode: 'B07'; FName: 'Pirc: Ufimtsev-Pytel variation'; FMoves: 'e2e4d7d6d2d4g8f6b1c3c7c6'),
    (FCode: 'B07'; FName: 'Pirc defence'; FMoves: 'e2e4d7d6d2d4g8f6b1c3g7g6'),
    (FCode: 'B07'; FName: 'Pirc: 150 attack'; FMoves: 'e2e4d7d6d2d4g8f6b1c3g7g6c1e3c7c6d1d2'),
    (FCode: 'B07'; FName: 'Pirc: Sveshnikov system'; FMoves: 'e2e4d7d6d2d4g8f6b1c3g7g6g2g3'),
    (FCode: 'B07'; FName: 'Pirc: Holmov system'; FMoves: 'e2e4d7d6d2d4g8f6b1c3g7g6f1c4'),
    (FCode: 'B07'; FName: 'Pirc: Byrne variation'; FMoves: 'e2e4d7d6d2d4g8f6b1c3g7g6c1g5'),
    (FCode: 'B07'; FName: 'Pirc defence'; FMoves: 'e2e4d7d6d2d4g8f6b1c3g7g6f1e2'),
    (FCode: 'B07'; FName: 'Pirc: Chinese variation'; FMoves: 'e2e4d7d6d2d4g8f6b1c3g7g6f1e2f8g7g2g4'),
    (FCode: 'B07'; FName: 'Pirc: bayonet (Mariotti) attack'; FMoves: 'e2e4d7d6d2d4g8f6b1c3g7g6f1e2f8g7h2h4'),
    (FCode: 'B07'; FName: 'Robatsch defence: Geller''s system'; FMoves: 'e2e4g7g6d2d4f8g7g1f3d7d6c2c3'),
    (FCode: 'B08'; FName: 'Pirc: classical (two knights) system'; FMoves: 'e2e4d7d6d2d4g8f6b1c3g7g6g1f3'),
    (FCode: 'B08'; FName: 'Pirc: classical (two knights) system'; FMoves: 'e2e4d7d6d2d4g8f6b1c3g7g6g1f3f8g7'),
    (FCode: 'B08'; FName: 'Pirc: classical, h3 system'; FMoves: 'e2e4d7d6d2d4g8f6b1c3g7g6g1f3f8g7h2h3'),
    (FCode: 'B08'; FName: 'Pirc: classical system, 5.Be2'; FMoves: 'e2e4d7d6d2d4g8f6b1c3g7g6g1f3f8g7f1e2'),
    (FCode: 'B09'; FName: 'Pirc: Austrian attack'; FMoves: 'e2e4d7d6d2d4g8f6b1c3g7g6f2f4'),
    (FCode: 'B09'; FName: 'Pirc: Austrian attack'; FMoves: 'e2e4d7d6d2d4g8f6b1c3g7g6f2f4f8g7g1f3e8g8'),
    (FCode: 'B09'; FName: 'Pirc: Austrian attack, 6.e5'; FMoves: 'e2e4d7d6d2d4g8f6b1c3g7g6f2f4f8g7g1f3e8g8e4e5'),
    (FCode: 'B09'; FName: 'Pirc: Austrian attack, 6.Be3'; FMoves: 'e2e4d7d6d2d4g8f6b1c3g7g6f2f4f8g7g1f3e8g8c1e3'),
    (FCode: 'B09'; FName: 'Pirc: Austrian attack, 6.Bd3'; FMoves: 'e2e4d7d6d2d4g8f6b1c3g7g6f2f4f8g7g1f3e8g8f1d3'),
    (FCode: 'B09'; FName: 'Pirc: Austrian attack, dragon formation'; FMoves: 'e2e4d7d6d2d4g8f6b1c3g7g6f2f4f8g7g1f3c7c5'),
    (FCode: 'B09'; FName: 'Pirc: Austrian attack, Ljubojevic variation'; FMoves: 'e2e4d7d6d2d4g8f6b1c3g7g6f2f4f8g7f1c4'),
    (FCode: 'B10'; FName: 'Caro-Kann defence'; FMoves: 'e2e4c7c6'),
    (FCode: 'B10'; FName: 'Caro-Kann: Hillbilly attack'; FMoves: 'e2e4c7c6f1c4'),
    (FCode: 'B10'; FName: 'Caro-Kann: anti-Caro-Kann defence'; FMoves: 'e2e4c7c6c2c4'),
    (FCode: 'B10'; FName: 'Caro-Kann: anti-anti-Caro-Kann defence'; FMoves: 'e2e4c7c6c2c4d7d5'),
    (FCode: 'B10'; FName: 'Caro-Kann: closed (Breyer) variation'; FMoves: 'e2e4c7c6d2d3'),
    (FCode: 'B10'; FName: 'Caro-Kann defence'; FMoves: 'e2e4c7c6b1c3'),
    (FCode: 'B10'; FName: 'Caro-Kann: Goldman (Spielmann) variation'; FMoves: 'e2e4c7c6b1c3d7d5d1f3'),
    (FCode: 'B10'; FName: 'Caro-Kann: two knights variation'; FMoves: 'e2e4c7c6b1c3d7d5g1f3'),
    (FCode: 'B11'; FName: 'Caro-Kann: two knights, 3...Bg4'; FMoves: 'e2e4c7c6b1c3d7d5g1f3c8g4'),
    (FCode: 'B12'; FName: 'Caro-Kann defence'; FMoves: 'e2e4c7c6d2d4'),
    (FCode: 'B12'; FName: 'Caro-Masi defence'; FMoves: 'e2e4c7c6d2d4g8f6'),
    (FCode: 'B12'; FName: 'Caro-Kann defence'; FMoves: 'e2e4c7c6d2d4d7d5'),
    (FCode: 'B12'; FName: 'Caro-Kann: Tartakower (fantasy) variation'; FMoves: 'e2e4c7c6d2d4d7d5f2f3'),
    (FCode: 'B12'; FName: 'Caro-Kann: 3.Nd2'; FMoves: 'e2e4c7c6d2d4d7d5b1d2'),
    (FCode: 'B12'; FName: 'Caro-Kann: Edinburgh variation'; FMoves: 'e2e4c7c6d2d4d7d5b1d2d8b6'),
    (FCode: 'B12'; FName: 'Caro-Kann: advance variation'; FMoves: 'e2e4c7c6d2d4d7d5e4e5'),
    (FCode: 'B12'; FName: 'Caro-Kann: advance, Short variation'; FMoves: 'e2e4c7c6d2d4d7d5e4e5c8f5c2c3e7e6f1e2'),
    (FCode: 'B13'; FName: 'Caro-Kann: exchange variation'; FMoves: 'e2e4c7c6d2d4d7d5e4d5'),
    (FCode: 'B13'; FName: 'Caro-Kann: exchange, Rubinstein variation'; FMoves: 'e2e4c7c6d2d4d7d5e4d5c6d5f1d3b8c6c2c3g8f6c1f4'),
    (FCode: 'B13'; FName: 'Caro-Kann: Panov-Botvinnik attack'; FMoves: 'e2e4c7c6d2d4d7d5e4d5c6d5c2c4'),
    (FCode: 'B13'; FName: 'Caro-Kann: Panov-Botvinnik, Gunderam attack'; FMoves: 'e2e4c7c6d2d4d7d5e4d5c6d5c2c4g8f6c4c5'),
    (FCode: 'B13'; FName: 'Caro-Kann: Panov-Botvinnik attack'; FMoves: 'e2e4c7c6d2d4d7d5e4d5c6d5c2c4g8f6b1c3'),
    (FCode: 'B13'; FName: 'Caro-Kann: Panov-Botvinnik, Herzog defence'; FMoves: 'e2e4c7c6d2d4d7d5e4d5c6d5c2c4g8f6b1c3b8c6c1g5d5c4d4d5c6a5'),
    (FCode: 'B13'; FName: 'Caro-Kann: Panov-Botvinnik, normal variation'; FMoves: 'e2e4c7c6d2d4d7d5e4d5c6d5c2c4g8f6b1c3b8c6c1g5e7e6'),
    (FCode: 'B13'; FName: 'Caro-Kann: Panov-Botvinnik, Czerniak variation'; FMoves: 'e2e4c7c6d2d4d7d5e4d5c6d5c2c4g8f6b1c3b8c6c1g5d8a5'),
    (FCode: 'B13'; FName: 'Caro-Kann: Panov-Botvinnik, Reifir (Spielmann) variation'; FMoves: 'e2e4c7c6d2d4d7d5e4d5c6d5c2c4g8f6b1c3b8c6c1g5d8b6'),
    (FCode: 'B14'; FName: 'Caro-Kann: Panov-Botvinnik attack, 5...e6'; FMoves: 'e2e4c7c6d2d4d7d5e4d5c6d5c2c4g8f6b1c3e7e6'),
    (FCode: 'B14'; FName: 'Caro-Kann: Panov-Botvinnik attack, 5...g6'; FMoves: 'e2e4c7c6d2d4d7d5e4d5c6d5c2c4g8f6b1c3g7g6'),
    (FCode: 'B15'; FName: 'Caro-Kann defence'; FMoves: 'e2e4c7c6d2d4d7d5b1c3'),
    (FCode: 'B15'; FName: 'Caro-Kann: Gurgenidze counter-attack'; FMoves: 'e2e4c7c6d2d4d7d5b1c3b7b5'),
    (FCode: 'B15'; FName: 'Caro-Kann: Gurgenidze system'; FMoves: 'e2e4c7c6d2d4d7d5b1c3g7g6'),
    (FCode: 'B15'; FName: 'Caro-Kann: Rasa-Studier gambit'; FMoves: 'e2e4c7c6d2d4d7d5b1c3d5e4f2f3'),
    (FCode: 'B15'; FName: 'Caro-Kann defence'; FMoves: 'e2e4c7c6d2d4d7d5b1c3d5e4c3e4'),
    (FCode: 'B15'; FName: 'Caro-Kann: Alekhine gambit'; FMoves: 'e2e4c7c6d2d4d7d5b1c3d5e4c3e4g8f6f1d3'),
    (FCode: 'B15'; FName: 'Caro-Kann: Tartakower (Nimzovich) variation'; FMoves: 'e2e4c7c6d2d4d7d5b1c3d5e4c3e4g8f6e4f6e7f6'),
    (FCode: 'B15'; FName: 'Caro-Kann: Forgacs variation'; FMoves: 'e2e4c7c6d2d4d7d5b1c3d5e4c3e4g8f6e4f6e7f6f1c4'),
    (FCode: 'B16'; FName: 'Caro-Kann: Bronstein-Larsen variation'; FMoves: 'e2e4c7c6d2d4d7d5b1c3d5e4c3e4g8f6e4f6g7f6'),
    (FCode: 'B17'; FName: 'Caro-Kann: Steinitz variation'; FMoves: 'e2e4c7c6d2d4d7d5b1c3d5e4c3e4b8d7'),
    (FCode: 'B18'; FName: 'Caro-Kann: classical variation'; FMoves: 'e2e4c7c6d2d4d7d5b1c3d5e4c3e4c8f5'),
    (FCode: 'B18'; FName: 'Caro-Kann: classical, Flohr variation'; FMoves: 'e2e4c7c6d2d4d7d5b1c3d5e4c3e4c8f5e4g3f5g6g1h3'),
    (FCode: 'B18'; FName: 'Caro-Kann: classical, Maroczy attack'; FMoves: 'e2e4c7c6d2d4d7d5b1c3d5e4c3e4c8f5e4g3f5g6f2f4'),
    (FCode: 'B18'; FName: 'Caro-Kann: classical, 6.h4'; FMoves: 'e2e4c7c6d2d4d7d5b1c3d5e4c3e4c8f5e4g3f5g6h2h4'),
    (FCode: 'B19'; FName: 'Caro-Kann: classical, 7...Nd7'; FMoves: 'e2e4c7c6d2d4d7d5b1c3d5e4c3e4c8f5e4g3f5g6h2h4h7h6g1f3b8d7'),
    (FCode: 'B19'; FName: 'Caro-Kann: classical, Spassky variation'; FMoves: 'e2e4c7c6d2d4d7d5b1c3d5e4c3e4c8f5e4g3f5g6h2h4h7h6g1f3b8d7h4h5'),
    (FCode: 'B20'; FName: 'Sicilian defence'; FMoves: 'e2e4c7c5'),
    (FCode: 'B20'; FName: 'Sicilian: Gloria variation'; FMoves: 'e2e4c7c5c2c4d7d6b1c3b8c6g2g3h7h5'),
    (FCode: 'B20'; FName: 'Sicilian: Steinitz variation'; FMoves: 'e2e4c7c5g2g3'),
    (FCode: 'B20'; FName: 'Sicilian: wing gambit'; FMoves: 'e2e4c7c5b2b4'),
    (FCode: 'B20'; FName: 'Sicilian: wing gambit, Santasiere variation'; FMoves: 'e2e4c7c5b2b4c5b4c2c4'),
    (FCode: 'B20'; FName: 'Sicilian: wing gambit, Marshall variation'; FMoves: 'e2e4c7c5b2b4c5b4a2a3'),
    (FCode: 'B20'; FName: 'Sicilian: wing gambit, Marienbad variation'; FMoves: 'e2e4c7c5b2b4c5b4a2a3d7d5e4d5d8d5c1b2'),
    (FCode: 'B20'; FName: 'Sicilian: wing gambit, Carlsbad variation'; FMoves: 'e2e4c7c5b2b4c5b4a2a3b4a3'),
    (FCode: 'B20'; FName: 'Sicilian: Keres variation (2.Ne2)'; FMoves: 'e2e4c7c5g1e2'),
    (FCode: 'B21'; FName: 'Sicilian: Grand Prix attack'; FMoves: 'e2e4c7c5f2f4'),
    (FCode: 'B21'; FName: 'Sicilian: Smith-Morra gambit'; FMoves: 'e2e4c7c5d2d4'),
    (FCode: 'B21'; FName: 'Sicilian: Andreaschek gambit'; FMoves: 'e2e4c7c5d2d4c5d4g1f3e7e5c2c3'),
    (FCode: 'B21'; FName: 'Sicilian: Smith-Morra gambit'; FMoves: 'e2e4c7c5d2d4c5d4c2c3'),
    (FCode: 'B21'; FName: 'Sicilian: Smith-Morra gambit, Chicago defence'; FMoves: 'e2e4c7c5d2d4c5d4c2c3d4c3b1c3b8c6g1f3d7d6f1c4e7e6e1g1a7a6d1e2b7b5c4b3a8a7'),
    (FCode: 'B22'; FName: 'Sicilian: Alapin''s variation (2.c3)'; FMoves: 'e2e4c7c5c2c3'),
    (FCode: 'B22'; FName: 'Sicilian: 2.c3, Heidenfeld variation'; FMoves: 'e2e4c7c5c2c3g8f6e4e5f6d5g1f3b8c6b1a3'),
    (FCode: 'B23'; FName: 'Sicilian: closed'; FMoves: 'e2e4c7c5b1c3'),
    (FCode: 'B23'; FName: 'Sicilian: closed, Korchnoi variation'; FMoves: 'e2e4c7c5b1c3e7e6g2g3d7d5'),
    (FCode: 'B23'; FName: 'Sicilian: closed, 2...Nc6'; FMoves: 'e2e4c7c5b1c3b8c6'),
    (FCode: 'B23'; FName: 'Sicilian: chameleon variation'; FMoves: 'e2e4c7c5b1c3b8c6g1e2'),
    (FCode: 'B23'; FName: 'Sicilian: Grand Prix attack'; FMoves: 'e2e4c7c5b1c3b8c6f2f4'),
    (FCode: 'B23'; FName: 'Sicilian: Grand Prix attack, Schofman variation'; FMoves: 'e2e4c7c5b1c3b8c6f2f4g7g6g1f3f8g7f1c4e7e6f4f5'),
    (FCode: 'B24'; FName: 'Sicilian: closed'; FMoves: 'e2e4c7c5b1c3b8c6g2g3'),
    (FCode: 'B24'; FName: 'Sicilian: closed, Smyslov variation'; FMoves: 'e2e4c7c5b1c3b8c6g2g3g7g6f1g2f8g7d2d3e7e6c1e3c6d4c3e2'),
    (FCode: 'B25'; FName: 'Sicilian: closed'; FMoves: 'e2e4c7c5b1c3b8c6g2g3g7g6f1g2f8g7d2d3d7d6'),
    (FCode: 'B25'; FName: 'Sicilian: closed, 6.Ne2 e5 (Botvinnik)'; FMoves: 'e2e4c7c5b1c3b8c6g2g3g7g6f1g2f8g7d2d3d7d6g1e2e7e5'),
    (FCode: 'B25'; FName: 'Sicilian: closed, 6.f4'; FMoves: 'e2e4c7c5b1c3b8c6g2g3g7g6f1g2f8g7d2d3d7d6f2f4'),
    (FCode: 'B25'; FName: 'Sicilian: closed, 6.f4 e5 (Botvinnik)'; FMoves: 'e2e4c7c5b1c3b8c6g2g3g7g6f1g2f8g7d2d3d7d6f2f4e7e5'),
    (FCode: 'B26'; FName: 'Sicilian: closed, 6.Be3'; FMoves: 'e2e4c7c5b1c3b8c6g2g3g7g6f1g2f8g7d2d3d7d6c1e3'),
    (FCode: 'B27'; FName: 'Sicilian defence'; FMoves: 'e2e4c7c5g1f3'),
    (FCode: 'B27'; FName: 'Sicilian: Stiletto (Althouse) variation'; FMoves: 'e2e4c7c5g1f3d8a5'),
    (FCode: 'B27'; FName: 'Sicilian: Quinteros variation'; FMoves: 'e2e4c7c5g1f3d8c7'),
    (FCode: 'B27'; FName: 'Sicilian: Katalimov variation'; FMoves: 'e2e4c7c5g1f3b7b6'),
    (FCode: 'B27'; FName: 'Sicilian: Hungarian variation'; FMoves: 'e2e4c7c5g1f3g7g6'),
    (FCode: 'B27'; FName: 'Sicilian: Acton extension'; FMoves: 'e2e4c7c5g1f3g7g6c2c4f8h6'),
    (FCode: 'B28'; FName: 'Sicilian: O''Kelly variation'; FMoves: 'e2e4c7c5g1f3a7a6'),
    (FCode: 'B29'; FName: 'Sicilian: Nimzovich-Rubinstein variation'; FMoves: 'e2e4c7c5g1f3g8f6'),
    (FCode: 'B30'; FName: 'Sicilian defence'; FMoves: 'e2e4c7c5g1f3b8c6'),
    (FCode: 'B30'; FName: 'Sicilian: Nimzovich-Rossolimo attack (without ...d6)'; FMoves: 'e2e4c7c5g1f3b8c6f1b5'),
    (FCode: 'B31'; FName: 'Sicilian: Nimzovich-Rossolimo attack (with ...g6, without ...d6)'; FMoves: 'e2e4c7c5g1f3b8c6f1b5g7g6'),
    (FCode: 'B31'; FName: 'Sicilian: Nimzovich-Rossolimo attack, Gurgenidze variation'; FMoves: 'e2e4c7c5g1f3b8c6f1b5g7g6e1g1f8g7f1e1e7e5b2b4'),
    (FCode: 'B32'; FName: 'Sicilian defence'; FMoves: 'e2e4c7c5g1f3b8c6d2d4'),
    (FCode: 'B32'; FName: 'Sicilian: Flohr variation'; FMoves: 'e2e4c7c5g1f3b8c6d2d4c5d4f3d4d8c7'),
    (FCode: 'B32'; FName: 'Sicilian: Nimzovich variation'; FMoves: 'e2e4c7c5g1f3b8c6d2d4c5d4f3d4d7d5'),
    (FCode: 'B32'; FName: 'Sicilian: Labourdonnais-Loewenthal variation'; FMoves: 'e2e4c7c5g1f3b8c6d2d4c5d4f3d4e7e5'),
    (FCode: 'B32'; FName: 'Sicilian: Labourdonnais-Loewenthal (Kalashnikov) variation'; FMoves: 'e2e4c7c5g1f3b8c6d2d4c5d4f3d4e7e5d4b5d7d6'),
    (FCode: 'B33'; FName: 'Sicilian defence'; FMoves: 'e2e4c7c5g1f3b8c6d2d4c5d4f3d4g8f6'),
    (FCode: 'B33'; FName: 'Sicilian: Pelikan (Lasker/Sveshnikov) variation'; FMoves: 'e2e4c7c5g1f3b8c6d2d4c5d4f3d4g8f6b1c3e7e5'),
    (FCode: 'B33'; FName: 'Sicilian: Pelikan, Bird variation'; FMoves: 'e2e4c7c5g1f3b8c6d2d4c5d4f3d4g8f6b1c3e7e5d4b5d7d6c1g5a7a6b5a3c8e6'),
    (FCode: 'B33'; FName: 'Sicilian: Pelikan, Chelyabinsk variation'; FMoves: 'e2e4c7c5g1f3b8c6d2d4c5d4f3d4g8f6b1c3e7e5d4b5d7d6c1g5a7a6b5a3b7b5'),
    (FCode: 'B33'; FName: 'Sicilian: Sveshnikov variation'; FMoves: 'e2e4c7c5g1f3b8c6d2d4c5d4f3d4g8f6b1c3e7e5d4b5d7d6c1g5a7a6b5a3b7b5g5f6g7f6c3d5f6f5'),
    (FCode: 'B34'; FName: 'Sicilian: accelerated fianchetto, exchange variation'; FMoves: 'e2e4c7c5g1f3b8c6d2d4c5d4f3d4g7g6d4c6'),
    (FCode: 'B34'; FName: 'Sicilian: accelerated fianchetto, modern variation'; FMoves: 'e2e4c7c5g1f3b8c6d2d4c5d4f3d4g7g6b1c3'),
    (FCode: 'B35'; FName: 'Sicilian: accelerated fianchetto, modern variation with Bc4'; FMoves: 'e2e4c7c5g1f3b8c6d2d4c5d4f3d4g7g6b1c3f8g7c1e3g8f6f1c4'),
    (FCode: 'B36'; FName: 'Sicilian: accelerated fianchetto, Maroczy bind'; FMoves: 'e2e4c7c5g1f3b8c6d2d4c5d4f3d4g7g6c2c4'),
    (FCode: 'B36'; FName: 'Sicilian: accelerated fianchetto, Gurgenidze variation'; FMoves: 'e2e4c7c5g1f3b8c6d2d4c5d4f3d4g7g6c2c4g8f6b1c3c6d4d1d4d7d6'),
    (FCode: 'B37'; FName: 'Sicilian: accelerated fianchetto, Maroczy bind, 5...Bg7'; FMoves: 'e2e4c7c5g1f3b8c6d2d4c5d4f3d4g7g6c2c4f8g7'),
    (FCode: 'B37'; FName: 'Sicilian: accelerated fianchetto, Simagin variation'; FMoves: 'e2e4c7c5g1f3b8c6d2d4c5d4f3d4g7g6c2c4f8g7d4c2d7d6f1e2g8h6'),
    (FCode: 'B38'; FName: 'Sicilian: accelerated fianchetto, Maroczy bind, 6.Be3'; FMoves: 'e2e4c7c5g1f3b8c6d2d4c5d4f3d4g7g6c2c4f8g7c1e3'),
    (FCode: 'B39'; FName: 'Sicilian: accelerated fianchetto, Breyer variation'; FMoves: 'e2e4c7c5g1f3b8c6d2d4c5d4f3d4g7g6c2c4f8g7c1e3g8f6b1c3f6g4'),
    (FCode: 'B40'; FName: 'Sicilian defence'; FMoves: 'e2e4c7c5g1f3e7e6'),
    (FCode: 'B40'; FName: 'Sicilian: Marshall variation'; FMoves: 'e2e4c7c5g1f3e7e6d2d4d7d5'),
    (FCode: 'B40'; FName: 'Sicilian defence'; FMoves: 'e2e4c7c5g1f3e7e6d2d4c5d4'),
    (FCode: 'B40'; FName: 'Sicilian: Anderssen variation'; FMoves: 'e2e4c7c5g1f3e7e6d2d4c5d4f3d4g8f6'),
    (FCode: 'B40'; FName: 'Sicilian: Pin variation (Sicilian counter-attack)'; FMoves: 'e2e4c7c5g1f3e7e6d2d4c5d4f3d4g8f6b1c3f8b4'),
    (FCode: 'B40'; FName: 'Sicilian: Pin, Jaffe variation'; FMoves: 'e2e4c7c5g1f3e7e6d2d4c5d4f3d4g8f6b1c3f8b4f1d3e6e5'),
    (FCode: 'B40'; FName: 'Sicilian: Pin, Koch variation'; FMoves: 'e2e4c7c5g1f3e7e6d2d4c5d4f3d4g8f6b1c3f8b4e4e5'),
    (FCode: 'B41'; FName: 'Sicilian: Kan variation'; FMoves: 'e2e4c7c5g1f3e7e6d2d4c5d4f3d4a7a6'),
    (FCode: 'B41'; FName: 'Sicilian: Kan, Maroczy bind (Reti variation)'; FMoves: 'e2e4c7c5g1f3e7e6d2d4c5d4f3d4a7a6c2c4'),
    (FCode: 'B41'; FName: 'Sicilian: Kan, Maroczy bind - Bronstein variation'; FMoves: 'e2e4c7c5g1f3e7e6d2d4c5d4f3d4a7a6c2c4g8f6b1c3f8b4f1d3b8c6d3c2'),
    (FCode: 'B42'; FName: 'Sicilian: Kan, 5.Bd3'; FMoves: 'e2e4c7c5g1f3e7e6d2d4c5d4f3d4a7a6f1d3'),
    (FCode: 'B42'; FName: 'Sicilian: Kan, Gipslis variation'; FMoves: 'e2e4c7c5g1f3e7e6d2d4c5d4f3d4a7a6f1d3g8f6e1g1d7d6c2c4g7g6'),
    (FCode: 'B42'; FName: 'Sicilian: Kan, Polugaievsky variation'; FMoves: 'e2e4c7c5g1f3e7e6d2d4c5d4f3d4a7a6f1d3f8c5'),
    (FCode: 'B42'; FName: 'Sicilian: Kan, Swiss cheese variation'; FMoves: 'e2e4c7c5g1f3e7e6d2d4c5d4f3d4a7a6f1d3g7g6'),
    (FCode: 'B43'; FName: 'Sicilian: Kan, 5.Nc3'; FMoves: 'e2e4c7c5g1f3e7e6d2d4c5d4f3d4a7a6b1c3'),
    (FCode: 'B44'; FName: 'Sicilian defence'; FMoves: 'e2e4c7c5g1f3e7e6d2d4c5d4f3d4b8c6'),
    (FCode: 'B44'; FName: 'Sicilian, Szen, hedgehog variation'; FMoves: 'e2e4c7c5g1f3e7e6d2d4c5d4f3d4b8c6d4b5d7d6c2c4g8f6b1c3a7a6b5a3f8e7f1e2e8g8e1g1b7b6'),
    (FCode: 'B44'; FName: 'Sicilian, Szen variation, Dely-Kasparov gambit'; FMoves: 'e2e4c7c5g1f3e7e6d2d4c5d4f3d4b8c6d4b5d7d6c2c4g8f6b1c3a7a6b5a3d6d5'),
    (FCode: 'B45'; FName: 'Sicilian: Taimanov variation'; FMoves: 'e2e4c7c5g1f3e7e6d2d4c5d4f3d4b8c6b1c3'),
    (FCode: 'B45'; FName: 'Sicilian: Taimanov, American attack'; FMoves: 'e2e4c7c5g1f3e7e6d2d4c5d4f3d4b8c6b1c3g8f6d4b5f8b4b5d6'),
    (FCode: 'B46'; FName: 'Sicilian: Taimanov variation'; FMoves: 'e2e4c7c5g1f3e7e6d2d4c5d4f3d4b8c6b1c3a7a6'),
    (FCode: 'B47'; FName: 'Sicilian: Taimanov (Bastrikov) variation'; FMoves: 'e2e4c7c5g1f3e7e6d2d4c5d4f3d4b8c6b1c3d8c7'),
    (FCode: 'B48'; FName: 'Sicilian: Taimanov variation'; FMoves: 'e2e4c7c5g1f3e7e6d2d4c5d4f3d4b8c6b1c3d8c7c1e3'),
    (FCode: 'B49'; FName: 'Sicilian: Taimanov variation'; FMoves: 'e2e4c7c5g1f3e7e6d2d4c5d4f3d4b8c6b1c3d8c7c1e3a7a6f1e2'),
    (FCode: 'B50'; FName: 'Sicilian'; FMoves: 'e2e4c7c5g1f3d7d6'),
    (FCode: 'B50'; FName: 'Sicilian: wing gambit deferred'; FMoves: 'e2e4c7c5g1f3d7d6b2b4'),
    (FCode: 'B51'; FName: 'Sicilian: Canal-Sokolsky (Nimzovich-Rossolimo, Moscow) attack'; FMoves: 'e2e4c7c5g1f3d7d6f1b5'),
    (FCode: 'B52'; FName: 'Sicilian: Canal-Sokolsky attack, 3...Bd7'; FMoves: 'e2e4c7c5g1f3d7d6f1b5c8d7'),
    (FCode: 'B52'; FName: 'Sicilian: Canal-Sokolsky attack, Bronstein gambit'; FMoves: 'e2e4c7c5g1f3d7d6f1b5c8d7b5d7d8d7e1g1b8c6c2c3g8f6d2d4'),
    (FCode: 'B52'; FName: 'Sicilian: Canal-Sokolsky attack, Sokolsky variation'; FMoves: 'e2e4c7c5g1f3d7d6f1b5c8d7b5d7d8d7c2c4'),
    (FCode: 'B53'; FName: 'Sicilian, Chekhover variation'; FMoves: 'e2e4c7c5g1f3d7d6d2d4c5d4d1d4'),
    (FCode: 'B53'; FName: 'Sicilian: Chekhover, Zaitsev variation'; FMoves: 'e2e4c7c5g1f3d7d6d2d4c5d4d1d4b8c6f1b5d8d7'),
    (FCode: 'B54'; FName: 'Sicilian'; FMoves: 'e2e4c7c5g1f3d7d6d2d4c5d4f3d4'),
    (FCode: 'B54'; FName: 'Sicilian: Prins (Moscow) variation'; FMoves: 'e2e4c7c5g1f3d7d6d2d4c5d4f3d4g8f6f2f3'),
    (FCode: 'B55'; FName: 'Sicilian: Prins variation, Venice attack'; FMoves: 'e2e4c7c5g1f3d7d6d2d4c5d4f3d4g8f6f2f3e7e5f1b5'),
    (FCode: 'B56'; FName: 'Sicilian'; FMoves: 'e2e4c7c5g1f3d7d6d2d4c5d4f3d4g8f6b1c3'),
    (FCode: 'B56'; FName: 'Sicilian: Venice attack'; FMoves: 'e2e4c7c5g1f3d7d6d2d4c5d4f3d4g8f6b1c3e7e5f1b5'),
    (FCode: 'B56'; FName: 'Sicilian'; FMoves: 'e2e4c7c5g1f3d7d6d2d4c5d4f3d4g8f6b1c3b8c6'),
    (FCode: 'B57'; FName: 'Sicilian: Sozin, not Scheveningen'; FMoves: 'e2e4c7c5g1f3d7d6d2d4c5d4f3d4g8f6b1c3b8c6f1c4'),
    (FCode: 'B57'; FName: 'Sicilian: Magnus Smith trap'; FMoves: 'e2e4c7c5g1f3d7d6d2d4c5d4f3d4g8f6b1c3b8c6f1c4g7g6d4c6b7c6e4e5'),
    (FCode: 'B57'; FName: 'Sicilian: Sozin, Benko variation'; FMoves: 'e2e4c7c5g1f3d7d6d2d4c5d4f3d4g8f6b1c3b8c6f1c4d8b6'),
    (FCode: 'B58'; FName: 'Sicilian: classical'; FMoves: 'e2e4c7c5g1f3b8c6d2d4c5d4f3d4g8f6b1c3d7d6f1e2'),
    (FCode: 'B58'; FName: 'Sicilian: Boleslavsky variation'; FMoves: 'e2e4c7c5g1f3b8c6d2d4c5d4f3d4g8f6b1c3d7d6f1e2e7e5'),
    (FCode: 'B58'; FName: 'Sicilian: Boleslavsky, Louma variation'; FMoves: 'e2e4c7c5g1f3b8c6d2d4c5d4f3d4g8f6b1c3d7d6f1e2e7e5d4c6'),
    (FCode: 'B59'; FName: 'Sicilian: Boleslavsky variation, 7.Nb3'; FMoves: 'e2e4c7c5g1f3b8c6d2d4c5d4f3d4g8f6b1c3d7d6f1e2e7e5d4b3'),
    (FCode: 'B60'; FName: 'Sicilian: Richter-Rauzer'; FMoves: 'e2e4c7c5g1f3d7d6d2d4c5d4f3d4g8f6b1c3b8c6c1g5'),
    (FCode: 'B60'; FName: 'Sicilian: Richter-Rauzer, Bondarevsky variation'; FMoves: 'e2e4c7c5g1f3d7d6d2d4c5d4f3d4g8f6b1c3b8c6c1g5g7g6'),
    (FCode: 'B60'; FName: 'Sicilian: Richter-Rauzer, Larsen variation'; FMoves: 'e2e4c7c5g1f3d7d6d2d4c5d4f3d4g8f6b1c3b8c6c1g5c8d7'),
    (FCode: 'B61'; FName: 'Sicilian: Richter-Rauzer, Larsen variation, 7.Qd2'; FMoves: 'e2e4c7c5g1f3d7d6d2d4c5d4f3d4g8f6b1c3b8c6c1g5c8d7d1d2'),
    (FCode: 'B62'; FName: 'Sicilian: Richter-Rauzer, 6...e6'; FMoves: 'e2e4c7c5g1f3d7d6d2d4c5d4f3d4g8f6b1c3b8c6c1g5e7e6'),
    (FCode: 'B62'; FName: 'Sicilian: Richter-Rauzer, Podvebrady variation'; FMoves: 'e2e4c7c5g1f3d7d6d2d4c5d4f3d4g8f6b1c3b8c6c1g5e7e6d4b3'),
    (FCode: 'B62'; FName: 'Sicilian: Richter-Rauzer, Margate (Alekhine) variation'; FMoves: 'e2e4c7c5g1f3d7d6d2d4c5d4f3d4g8f6b1c3b8c6c1g5e7e6f1b5'),
    (FCode: 'B62'; FName: 'Sicilian: Richter-Rauzer, Richter attack'; FMoves: 'e2e4c7c5g1f3d7d6d2d4c5d4f3d4g8f6b1c3b8c6c1g5e7e6d4c6'),
    (FCode: 'B62'; FName: 'Sicilian: Richter-Rauzer, Keres variation'; FMoves: 'e2e4c7c5g1f3d7d6d2d4c5d4f3d4g8f6b1c3b8c6c1g5e7e6d1d3'),
    (FCode: 'B63'; FName: 'Sicilian: Richter-Rauzer, Rauzer attack'; FMoves: 'e2e4c7c5g1f3d7d6d2d4c5d4f3d4g8f6b1c3b8c6c1g5e7e6d1d2'),
    (FCode: 'B63'; FName: 'Sicilian: Richter-Rauzer, Rauzer attack, 7...Be7'; FMoves: 'e2e4c7c5g1f3d7d6d2d4c5d4f3d4g8f6b1c3b8c6c1g5e7e6d1d2f8e7'),
    (FCode: 'B64'; FName: 'Sicilian: Richter-Rauzer, Rauzer attack, 7...Be7 defence, 9.f4'; FMoves: 'e2e4c7c5g1f3d7d6d2d4c5d4f3d4g8f6b1c3b8c6c1g5e7e6d1d2f8e7e1c1e8g8f2f4'),
    (FCode: 'B64'; FName: 'Sicilian: Richter-Rauzer, Rauzer attack, Geller variation'; FMoves: 'e2e4c7c5g1f3d7d6d2d4c5d4f3d4g8f6b1c3b8c6c1g5e7e6d1d2f8e7e1c1e8g8f2f4e6e5'),
    (FCode: 'B65'; FName: 'Sicilian: Richter-Rauzer, Rauzer attack, 7...Be7 defence, 9...Nxd4'; FMoves: 'e2e4c7c5g1f3d7d6d2d4c5d4f3d4g8f6b1c3b8c6c1g5e7e6d1d2f8e7e1c1e8g8f2f4c6d4'),
    (FCode: 'B65'; FName: 'Sicilian: Richter-Rauzer, Rauzer attack, 7...Be7 defence, 9...Nxd4'; FMoves: 'e2e4c7c5g1f3d7d6d2d4c5d4f3d4g8f6b1c3b8c6c1g5e7e6d1d2f8e7e1c1e8g8f2f4c6d4d2d4'),
    (FCode: 'B66'; FName: 'Sicilian: Richter-Rauzer, Rauzer attack, 7...a6'; FMoves: 'e2e4c7c5g1f3d7d6d2d4c5d4f3d4g8f6b1c3b8c6c1g5e7e6d1d2a7a6'),
    (FCode: 'B67'; FName: 'Sicilian: Richter-Rauzer, Rauzer attack, 7...a6 defence, 8...Bd7'; FMoves: 'e2e4c7c5g1f3d7d6d2d4c5d4f3d4g8f6b1c3b8c6c1g5e7e6d1d2a7a6e1c1c8d7'),
    (FCode: 'B68'; FName: 'Sicilian: Richter-Rauzer, Rauzer attack, 7...a6 defence, 9...Be7'; FMoves: 'e2e4c7c5g1f3d7d6d2d4c5d4f3d4g8f6b1c3b8c6c1g5e7e6d1d2a7a6e1c1c8d7f2f4f8e7'),
    (FCode: 'B69'; FName: 'Sicilian: Richter-Rauzer, Rauzer attack, 7...a6 defence, 11.Bxf6'; FMoves: 'e2e4c7c5g1f3d7d6d2d4c5d4f3d4g8f6b1c3b8c6c1g5e7e6d1d2a7a6e1c1c8d7f2f4f8e7d4f3b7b5g5f6'),
    (FCode: 'B70'; FName: 'Sicilian: dragon variation'; FMoves: 'e2e4c7c5g1f3d7d6d2d4c5d4f3d4g8f6b1c3g7g6'),
    (FCode: 'B71'; FName: 'Sicilian: dragon, Levenfish variation'; FMoves: 'e2e4c7c5g1f3d7d6d2d4c5d4f3d4g8f6b1c3g7g6f2f4'),
    (FCode: 'B72'; FName: 'Sicilian: dragon, 6.Be3'; FMoves: 'e2e4c7c5g1f3d7d6d2d4c5d4f3d4g8f6b1c3g7g6c1e3'),
    (FCode: 'B72'; FName: 'Sicilian: dragon, classical attack'; FMoves: 'e2e4c7c5g1f3d7d6d2d4c5d4f3d4g8f6b1c3g7g6c1e3f8g7f1e2'),
    (FCode: 'B72'; FName: 'Sicilian: dragon, classical, Amsterdam variation'; FMoves: 'e2e4c7c5g1f3d7d6d2d4c5d4f3d4g8f6b1c3g7g6c1e3f8g7f1e2b8c6d1d2'),
    (FCode: 'B72'; FName: 'Sicilian: dragon, classical, Grigoriev variation'; FMoves: 'e2e4c7c5g1f3d7d6d2d4c5d4f3d4g8f6b1c3g7g6c1e3f8g7f1e2b8c6d1d2e8g8e1c1'),
    (FCode: 'B72'; FName: 'Sicilian: dragon, classical, Nottingham variation'; FMoves: 'e2e4c7c5g1f3d7d6d2d4c5d4f3d4g8f6b1c3g7g6c1e3f8g7f1e2b8c6d4b3'),
    (FCode: 'B73'; FName: 'Sicilian: dragon, classical, 8.O-O'; FMoves: 'e2e4c7c5g1f3d7d6d2d4c5d4f3d4g8f6b1c3g7g6c1e3f8g7f1e2b8c6e1g1'),
    (FCode: 'B73'; FName: 'Sicilian: dragon, classical, Zollner gambit'; FMoves: 'e2e4c7c5g1f3d7d6d2d4c5d4f3d4g8f6b1c3g7g6c1e3f8g7f1e2b8c6e1g1e8g8f2f4d8b6e4e5'),
    (FCode: 'B73'; FName: 'Sicilian: dragon, classical, Richter variation'; FMoves: 'e2e4c7c5g1f3d7d6d2d4c5d4f3d4g8f6b1c3g7g6c1e3f8g7f1e2b8c6e1g1e8g8d1d2'),
    (FCode: 'B74'; FName: 'Sicilian: dragon, classical, 9.Nb3'; FMoves: 'e2e4c7c5g1f3d7d6d2d4c5d4f3d4g8f6b1c3g7g6c1e3f8g7f1e2b8c6e1g1e8g8d4b3'),
    (FCode: 'B74'; FName: 'Sicilian: dragon, classical, Stockholm attack'; FMoves: 'e2e4c7c5g1f3d7d6d2d4c5d4f3d4g8f6b1c3g7g6c1e3f8g7f1e2b8c6e1g1e8g8d4b3c8e6f2f4c6a5f4f5e6c4b3a5c4e2d1e2d8a5g2g4'),
    (FCode: 'B74'; FName: 'Sicilian: dragon, classical, Spielmann variation'; FMoves: 'e2e4c7c5g1f3d7d6d2d4c5d4f3d4g8f6b1c3g7g6c1e3f8g7f1e2b8c6e1g1e8g8d4b3c8e6f2f4c6a5f4f5e6c4e2d3'),
    (FCode: 'B74'; FName: 'Sicilian: dragon, classical, Bernard defence'; FMoves: 'e2e4c7c5g1f3d7d6d2d4c5d4f3d4g8f6b1c3g7g6c1e3f8g7f1e2b8c6e1g1e8g8d4b3c8e6f2f4c6a5f4f5e6c4e2d3c4d3c2d3d6d5'),
    (FCode: 'B74'; FName: 'Sicilian: dragon, classical, Reti-Tartakower variation'; FMoves: 'e2e4c7c5g1f3d7d6d2d4c5d4f3d4g8f6b1c3g7g6c1e3f8g7f1e2b8c6e1g1e8g8d4b3c8e6f2f4d8c8'),
    (FCode: 'B74'; FName: 'Sicilian: dragon, classical, Alekhine variation'; FMoves: 'e2e4c7c5g1f3d7d6d2d4c5d4f3d4g8f6b1c3g7g6c1e3f8g7f1e2b8c6e1g1e8g8d4b3a7a5'),
    (FCode: 'B75'; FName: 'Sicilian: dragon, Yugoslav attack'; FMoves: 'e2e4c7c5g1f3d7d6d2d4c5d4f3d4g8f6b1c3g7g6c1e3f8g7f2f3'),
    (FCode: 'B76'; FName: 'Sicilian: dragon, Yugoslav attack, 7...O-O'; FMoves: 'e2e4c7c5g1f3d7d6d2d4c5d4f3d4g8f6b1c3g7g6c1e3f8g7f2f3e8g8'),
    (FCode: 'B76'; FName: 'Sicilian: dragon, Yugoslav attack, Rauser variation'; FMoves: 'e2e4c7c5g1f3d7d6d2d4c5d4f3d4g8f6b1c3g7g6c1e3f8g7f2f3e8g8d1d2b8c6e1c1'),
    (FCode: 'B77'; FName: 'Sicilian: dragon, Yugoslav attack, 9.Bc4'; FMoves: 'e2e4c7c5g1f3d7d6d2d4c5d4f3d4g8f6b1c3g7g6c1e3f8g7f2f3e8g8d1d2b8c6f1c4'),
    (FCode: 'B77'; FName: 'Sicilian: dragon, Yugoslav attack, Byrne variation'; FMoves: 'e2e4c7c5g1f3d7d6d2d4c5d4f3d4g8f6b1c3g7g6c1e3f8g7f2f3e8g8d1d2b8c6f1c4a7a5'),
    (FCode: 'B77'; FName: 'Sicilian: dragon, Yugoslav attack, 9...Bd7'; FMoves: 'e2e4c7c5g1f3d7d6d2d4c5d4f3d4g8f6b1c3g7g6c1e3f8g7f2f3e8g8d1d2b8c6f1c4c8d7'),
    (FCode: 'B78'; FName: 'Sicilian: dragon, Yugoslav attack, 10.O-O-O'; FMoves: 'e2e4c7c5g1f3d7d6d2d4c5d4f3d4g8f6b1c3g7g6c1e3f8g7f2f3e8g8d1d2b8c6f1c4c8d7e1c1'),
    (FCode: 'B79'; FName: 'Sicilian: dragon, Yugoslav attack, 12.h4'; FMoves: 'e2e4c7c5g1f3d7d6d2d4c5d4f3d4g8f6b1c3g7g6c1e3f8g7f2f3e8g8d1d2b8c6f1c4c8d7e1c1d8a5c4b3f8c8h2h4'),
    (FCode: 'B80'; FName: 'Sicilian: Scheveningen variation'; FMoves: 'e2e4c7c5g1f3d7d6d2d4c5d4f3d4g8f6b1c3e7e6'),
    (FCode: 'B80'; FName: 'Sicilian: Scheveningen, English variation'; FMoves: 'e2e4c7c5g1f3d7d6d2d4c5d4f3d4g8f6b1c3e7e6c1e3a7a6d1d2'),
    (FCode: 'B80'; FName: 'Sicilian: Scheveningen, Vitolins variation'; FMoves: 'e2e4c7c5g1f3d7d6d2d4c5d4f3d4g8f6b1c3e7e6f1b5'),
    (FCode: 'B80'; FName: 'Sicilian: Scheveningen, fianchetto variation'; FMoves: 'e2e4c7c5g1f3d7d6d2d4c5d4f3d4g8f6b1c3e7e6g2g3'),
    (FCode: 'B81'; FName: 'Sicilian: Scheveningen, Keres attack'; FMoves: 'e2e4c7c5g1f3d7d6d2d4c5d4f3d4g8f6b1c3e7e6g2g4'),
    (FCode: 'B82'; FName: 'Sicilian: Scheveningen, 6.f4'; FMoves: 'e2e4c7c5g1f3d7d6d2d4c5d4f3d4g8f6b1c3e7e6f2f4'),
    (FCode: 'B82'; FName: 'Sicilian: Scheveningen, Tal variation'; FMoves: 'e2e4c7c5g1f3d7d6d2d4c5d4f3d4g8f6b1c3e7e6f2f4b8c6c1e3f8e7d1f3'),
    (FCode: 'B83'; FName: 'Sicilian: Scheveningen, 6.Be2'; FMoves: 'e2e4c7c5g1f3d7d6d2d4c5d4f3d4g8f6b1c3e7e6f1e2'),
    (FCode: 'B83'; FName: 'Sicilian: modern Scheveningen'; FMoves: 'e2e4c7c5g1f3d7d6d2d4c5d4f3d4g8f6b1c3e7e6f1e2b8c6'),
    (FCode: 'B83'; FName: 'Sicilian: modern Scheveningen, main line'; FMoves: 'e2e4c7c5g1f3d7d6d2d4c5d4f3d4g8f6b1c3e7e6f1e2b8c6e1g1f8e7c1e3e8g8f2f4'),
    (FCode: 'B83'; FName: 'Sicilian: modern Scheveningen, main line with Nb3'; FMoves: 'e2e4c7c5g1f3d7d6d2d4c5d4f3d4g8f6b1c3e7e6f1e2b8c6e1g1f8e7c1e3e8g8f2f4c8d7d4b3'),
    (FCode: 'B84'; FName: 'Sicilian: Scheveningen (Paulsen), classical variation'; FMoves: 'e2e4c7c5g1f3d7d6d2d4c5d4f3d4g8f6b1c3e7e6f1e2a7a6'),
    (FCode: 'B84'; FName: 'Sicilian: Scheveningen, classical, Nd7 system'; FMoves: 'e2e4c7c5g1f3d7d6d2d4c5d4f3d4g8f6b1c3e7e6f1e2a7a6e1g1b8d7'),
    (FCode: 'B84'; FName: 'Sicilian: Scheveningen (Paulsen), classical variation'; FMoves: 'e2e4c7c5g1f3d7d6d2d4c5d4f3d4g8f6b1c3e7e6f1e2a7a6e1g1d8c7'),
    (FCode: 'B85'; FName: 'Sicilian: Scheveningen, classical variation with ...Qc7 and ...Nc6'; FMoves: 'e2e4c7c5g1f3d7d6d2d4c5d4f3d4g8f6b1c3e7e6f1e2a7a6e1g1d8c7f2f4b8c6'),
    (FCode: 'B85'; FName: 'Sicilian: Scheveningen, classical, Maroczy system'; FMoves: 'e2e4c7c5g1f3d7d6d2d4c5d4f3d4g8f6b1c3e7e6f1e2a7a6e1g1d8c7f2f4b8c6g1h1f8e7a2a4'),
    (FCode: 'B85'; FName: 'Sicilian: Scheveningen, classical'; FMoves: 'e2e4c7c5g1f3d7d6d2d4c5d4f3d4g8f6b1c3e7e6f1e2a7a6e1g1d8c7f2f4b8c6c1e3'),
    (FCode: 'B85'; FName: 'Sicilian: Scheveningen, classical main line'; FMoves: 'e2e4c7c5g1f3d7d6d2d4c5d4f3d4g8f6b1c3e7e6f1e2a7a6e1g1d8c7f2f4b8c6c1e3f8e7d1e1e8g8'),
    (FCode: 'B86'; FName: 'Sicilian: Sozin attack'; FMoves: 'e2e4c7c5g1f3d7d6d2d4c5d4f3d4g8f6b1c3e7e6f1c4'),
    (FCode: 'B87'; FName: 'Sicilian: Sozin with ...a6 and ...b5'; FMoves: 'e2e4c7c5g1f3d7d6d2d4c5d4f3d4g8f6b1c3e7e6f1c4a7a6c4b3b7b5'),
    (FCode: 'B88'; FName: 'Sicilian: Sozin, Leonhardt variation'; FMoves: 'e2e4c7c5g1f3d7d6d2d4c5d4f3d4g8f6b1c3e7e6f1c4b8c6'),
    (FCode: 'B88'; FName: 'Sicilian: Sozin, Fischer variation'; FMoves: 'e2e4c7c5g1f3d7d6d2d4c5d4f3d4g8f6b1c3e7e6f1c4b8c6c4b3f8e7c1e3e8g8f2f4'),
    (FCode: 'B89'; FName: 'Sicilian: Sozin, 7.Be3'; FMoves: 'e2e4c7c5g1f3d7d6d2d4c5d4f3d4g8f6b1c3e7e6f1c4b8c6c1e3'),
    (FCode: 'B89'; FName: 'Sicilian: Velimirovic attack'; FMoves: 'e2e4c7c5g1f3d7d6d2d4c5d4f3d4g8f6b1c3e7e6f1c4b8c6c1e3f8e7d1e2'),
    (FCode: 'B90'; FName: 'Sicilian: Najdorf'; FMoves: 'e2e4c7c5g1f3d7d6d2d4c5d4f3d4g8f6b1c3a7a6'),
    (FCode: 'B90'; FName: 'Sicilian: Najdorf, Adams attack'; FMoves: 'e2e4c7c5g1f3d7d6d2d4c5d4f3d4g8f6b1c3a7a6h2h3'),
    (FCode: 'B90'; FName: 'Sicilian: Najdorf, Lipnitzky attack'; FMoves: 'e2e4c7c5g1f3d7d6d2d4c5d4f3d4g8f6b1c3a7a6f1c4'),
    (FCode: 'B90'; FName: 'Sicilian: Najdorf, Byrne (English) attack'; FMoves: 'e2e4c7c5g1f3d7d6d2d4c5d4f3d4g8f6b1c3a7a6c1e3'),
    (FCode: 'B91'; FName: 'Sicilian: Najdorf, Zagreb (fianchetto) variation'; FMoves: 'e2e4c7c5g1f3d7d6d2d4c5d4f3d4g8f6b1c3a7a6g2g3'),
    (FCode: 'B92'; FName: 'Sicilian: Najdorf, Opovcensky variation'; FMoves: 'e2e4c7c5g1f3d7d6d2d4c5d4f3d4g8f6b1c3a7a6f1e2'),
    (FCode: 'B93'; FName: 'Sicilian: Najdorf, 6.f4'; FMoves: 'e2e4c7c5g1f3d7d6d2d4c5d4f3d4g8f6b1c3a7a6f2f4'),
    (FCode: 'B94'; FName: 'Sicilian: Najdorf, 6.Bg5'; FMoves: 'e2e4c7c5g1f3d7d6d2d4c5d4f3d4g8f6b1c3a7a6c1g5'),
    (FCode: 'B94'; FName: 'Sicilian: Najdorf, Ivkov variation'; FMoves: 'e2e4c7c5g1f3d7d6d2d4c5d4f3d4g8f6b1c3a7a6c1g5b8d7f1c4d8a5d1d2e7e6e1c1b7b5c4b3c8b7h1e1d7c5e4e5'),
    (FCode: 'B95'; FName: 'Sicilian: Najdorf, 6...e6'; FMoves: 'e2e4c7c5g1f3d7d6d2d4c5d4f3d4g8f6b1c3a7a6c1g5e7e6'),
    (FCode: 'B96'; FName: 'Sicilian: Najdorf, 7.f4'; FMoves: 'e2e4c7c5g1f3d7d6d2d4c5d4f3d4g8f6b1c3a7a6c1g5e7e6f2f4'),
    (FCode: 'B96'; FName: 'Sicilian: Najdorf, Polugayevsky variation'; FMoves: 'e2e4c7c5g1f3d7d6d2d4c5d4f3d4g8f6b1c3a7a6c1g5e7e6f2f4b7b5'),
    (FCode: 'B96'; FName: 'Sicilian: Najdorf, Polugayevsky, Simagin variation'; FMoves: 'e2e4c7c5g1f3d7d6d2d4c5d4f3d4g8f6b1c3a7a6c1g5e7e6f2f4b7b5e4e5d6e5f4e5d8c7d1e2'),
    (FCode: 'B97'; FName: 'Sicilian: Najdorf, 7...Qb6'; FMoves: 'e2e4c7c5g1f3d7d6d2d4c5d4f3d4g8f6b1c3a7a6c1g5e7e6f2f4d8b6'),
    (FCode: 'B97'; FName: 'Sicilian: Najdorf, Poisoned pawn variation'; FMoves: 'e2e4c7c5g1f3d7d6d2d4c5d4f3d4g8f6b1c3a7a6c1g5e7e6f2f4d8b6d1d2b6b2a1b1b2a3'),
    (FCode: 'B98'; FName: 'Sicilian: Najdorf, 7...Be7'; FMoves: 'e2e4c7c5g1f3d7d6d2d4c5d4f3d4g8f6b1c3a7a6c1g5e7e6f2f4f8e7'),
    (FCode: 'B98'; FName: 'Sicilian: Najdorf, Browne variation'; FMoves: 'e2e4c7c5g1f3d7d6d2d4c5d4f3d4g8f6b1c3a7a6c1g5e7e6f2f4f8e7d1f3h7h6g5h4d8c7'),
    (FCode: 'B98'; FName: 'Sicilian: Najdorf, Goteborg (Argentine) variation'; FMoves: 'e2e4c7c5g1f3d7d6d2d4c5d4f3d4g8f6b1c3a7a6c1g5e7e6f2f4f8e7d1f3h7h6g5h4g7g5'),
    (FCode: 'B98'; FName: 'Sicilian: Najdorf variation'; FMoves: 'e2e4c7c5g1f3d7d6d2d4c5d4f3d4g8f6b1c3a7a6c1g5e7e6f2f4f8e7d1f3d8c7'),
    (FCode: 'B99'; FName: 'Sicilian: Najdorf, 7...Be7 main line'; FMoves: 'e2e4c7c5g1f3d7d6d2d4c5d4f3d4g8f6b1c3a7a6c1g5e7e6f2f4f8e7d1f3d8c7e1c1b8d7'),
    (FCode: 'C00'; FName: 'French defence'; FMoves: 'e2e4e7e6'),
    (FCode: 'C00'; FName: 'French defence, Steiner variation'; FMoves: 'e2e4e7e6c2c4'),
    (FCode: 'C00'; FName: 'French: Reti (Spielmann) variation'; FMoves: 'e2e4e7e6b2b3'),
    (FCode: 'C00'; FName: 'French: Steinitz attack'; FMoves: 'e2e4e7e6e4e5'),
    (FCode: 'C00'; FName: 'French: Labourdonnais variation'; FMoves: 'e2e4e7e6f2f4'),
    (FCode: 'C00'; FName: 'French defence'; FMoves: 'e2e4e7e6g1f3'),
    (FCode: 'C00'; FName: 'French: Wing gambit'; FMoves: 'e2e4e7e6g1f3d7d5e4e5c7c5b2b4'),
    (FCode: 'C00'; FName: 'French defence'; FMoves: 'e2e4e7e6b1c3'),
    (FCode: 'C00'; FName: 'French: Pelikan variation'; FMoves: 'e2e4e7e6b1c3d7d5f2f4'),
    (FCode: 'C00'; FName: 'French: Two knights variation'; FMoves: 'e2e4e7e6b1c3d7d5g1f3'),
    (FCode: 'C00'; FName: 'French: Chigorin variation'; FMoves: 'e2e4e7e6d1e2'),
    (FCode: 'C00'; FName: 'French: King''s Indian attack'; FMoves: 'e2e4e7e6d2d3'),
    (FCode: 'C00'; FName: 'French: Reversed Philidor formation'; FMoves: 'e2e4e7e6d2d3d7d5b1d2g8f6g1f3b8c6f1e2'),
    (FCode: 'C00'; FName: 'French defence'; FMoves: 'e2e4e7e6d2d4'),
    (FCode: 'C00'; FName: 'Lengfellner system'; FMoves: 'e2e4e7e6d2d4d7d6'),
    (FCode: 'C00'; FName: 'St. George defence'; FMoves: 'e2e4e7e6d2d4a7a6'),
    (FCode: 'C00'; FName: 'French defence'; FMoves: 'e2e4e7e6d2d4d7d5'),
    (FCode: 'C00'; FName: 'French: Schlechter variation'; FMoves: 'e2e4e7e6d2d4d7d5f1d3'),
    (FCode: 'C00'; FName: 'French: Alapin variation'; FMoves: 'e2e4e7e6d2d4d7d5c1e3'),
    (FCode: 'C01'; FName: 'French: exchange variation'; FMoves: 'e2e4e7e6d2d4d7d5e4d5'),
    (FCode: 'C01'; FName: 'French: exchange, Svenonius variation'; FMoves: 'e2e4e7e6d2d4d7d5e4d5e6d5b1c3g8f6c1g5'),
    (FCode: 'C01'; FName: 'French: exchange, Bogolyubov variation'; FMoves: 'e2e4e7e6d2d4d7d5e4d5e6d5b1c3g8f6c1g5b8c6'),
    (FCode: 'C02'; FName: 'French: advance variation'; FMoves: 'e2e4e7e6d2d4d7d5e4e5'),
    (FCode: 'C02'; FName: 'French: advance, Steinitz variation'; FMoves: 'e2e4e7e6d2d4d7d5e4e5c7c5d4c5'),
    (FCode: 'C02'; FName: 'French: advance, Nimzovich variation'; FMoves: 'e2e4e7e6d2d4d7d5e4e5c7c5d1g4'),
    (FCode: 'C02'; FName: 'French: advance, Nimzovich system'; FMoves: 'e2e4e7e6d2d4d7d5e4e5c7c5g1f3'),
    (FCode: 'C02'; FName: 'French: advance variation'; FMoves: 'e2e4e7e6d2d4d7d5e4e5c7c5c2c3'),
    (FCode: 'C02'; FName: 'French: advance, Wade variation'; FMoves: 'e2e4e7e6d2d4d7d5e4e5c7c5c2c3d8b6g1f3c8d7'),
    (FCode: 'C02'; FName: 'French: advance variation'; FMoves: 'e2e4e7e6d2d4d7d5e4e5c7c5c2c3b8c6'),
    (FCode: 'C02'; FName: 'French: advance, Paulsen attack'; FMoves: 'e2e4e7e6d2d4d7d5e4e5c7c5c2c3b8c6g1f3'),
    (FCode: 'C02'; FName: 'French: advance, Milner-Barry gambit'; FMoves: 'e2e4e7e6d2d4d7d5e4e5c7c5c2c3b8c6g1f3d8b6f1d3'),
    (FCode: 'C02'; FName: 'French: advance, Euwe variation'; FMoves: 'e2e4e7e6d2d4d7d5e4e5c7c5c2c3b8c6g1f3c8d7'),
    (FCode: 'C03'; FName: 'French: Tarrasch'; FMoves: 'e2e4e7e6d2d4d7d5b1d2'),
    (FCode: 'C03'; FName: 'French: Tarrasch, Haberditz variation'; FMoves: 'e2e4e7e6d2d4d7d5b1d2f7f5'),
    (FCode: 'C03'; FName: 'French: Tarrasch, Guimard variation'; FMoves: 'e2e4e7e6d2d4d7d5b1d2b8c6'),
    (FCode: 'C04'; FName: 'French: Tarrasch, Guimard main line'; FMoves: 'e2e4e7e6d2d4d7d5b1d2b8c6g1f3g8f6'),
    (FCode: 'C05'; FName: 'French: Tarrasch, closed variation'; FMoves: 'e2e4e7e6d2d4d7d5b1d2g8f6'),
    (FCode: 'C05'; FName: 'French: Tarrasch, Botvinnik variation'; FMoves: 'e2e4e7e6d2d4d7d5b1d2g8f6e4e5f6d7f1d3c7c5c2c3b7b6'),
    (FCode: 'C05'; FName: 'French: Tarrasch, closed variation'; FMoves: 'e2e4e7e6d2d4d7d5b1d2g8f6e4e5f6d7f1d3c7c5c2c3b8c6'),
    (FCode: 'C06'; FName: 'French: Tarrasch, closed variation, main line'; FMoves: 'e2e4e7e6d2d4d7d5b1d2g8f6e4e5f6d7f1d3c7c5c2c3b8c6g1e2c5d4c3d4'),
    (FCode: 'C06'; FName: 'French: Tarrasch, Leningrad variation'; FMoves: 'e2e4e7e6d2d4d7d5b1d2g8f6e4e5f6d7f1d3c7c5c2c3b8c6g1e2c5d4c3d4d7b6'),
    (FCode: 'C07'; FName: 'French: Tarrasch, open variation'; FMoves: 'e2e4e7e6d2d4d7d5b1d2c7c5'),
    (FCode: 'C07'; FName: 'French: Tarrasch, Eliskases variation'; FMoves: 'e2e4e7e6d2d4d7d5b1d2c7c5e4d5d8d5g1f3c5d4f1c4d5d8'),
    (FCode: 'C08'; FName: 'French: Tarrasch, open, 4.ed ed'; FMoves: 'e2e4e7e6d2d4d7d5b1d2c7c5e4d5e6d5'),
    (FCode: 'C09'; FName: 'French: Tarrasch, open variation, main line'; FMoves: 'e2e4e7e6d2d4d7d5b1d2c7c5e4d5e6d5g1f3b8c6'),
    (FCode: 'C10'; FName: 'French: Paulsen variation'; FMoves: 'e2e4e7e6d2d4d7d5b1c3'),
    (FCode: 'C10'; FName: 'French: Marshall variation'; FMoves: 'e2e4e7e6d2d4d7d5b1c3c7c5'),
    (FCode: 'C10'; FName: 'French: Rubinstein variation'; FMoves: 'e2e4e7e6d2d4d7d5b1c3d5e4'),
    (FCode: 'C10'; FName: 'French: Fort Knox variation'; FMoves: 'e2e4e7e6d2d4d7d5b1c3d5e4c3e4c8d7g1f3d7c6'),
    (FCode: 'C10'; FName: 'French: Rubinstein variation'; FMoves: 'e2e4e7e6d2d4d7d5b1c3d5e4c3e4b8d7'),
    (FCode: 'C10'; FName: 'French: Rubinstein, Capablanca line'; FMoves: 'e2e4e7e6d2d4d7d5b1c3d5e4c3e4b8d7g1f3g8f6e4f6d7f6f3e5'),
    (FCode: 'C10'; FName: 'French: Frere (Becker) variation'; FMoves: 'e2e4e7e6d2d4d7d5b1c3d5e4c3e4d8d5'),
    (FCode: 'C11'; FName: 'French defence'; FMoves: 'e2e4e7e6d2d4d7d5b1c3g8f6'),
    (FCode: 'C11'; FName: 'French: Swiss variation'; FMoves: 'e2e4e7e6d2d4d7d5b1c3g8f6f1d3'),
    (FCode: 'C11'; FName: 'French: Henneberger variation'; FMoves: 'e2e4e7e6d2d4d7d5b1c3g8f6c1e3'),
    (FCode: 'C11'; FName: 'French: Steinitz variation'; FMoves: 'e2e4e7e6d2d4d7d5b1c3g8f6e4e5'),
    (FCode: 'C11'; FName: 'French: Steinitz, Bradford attack'; FMoves: 'e2e4e7e6d2d4d7d5b1c3g8f6e4e5f6d7f2f4c7c5d4c5f8c5d1g4'),
    (FCode: 'C11'; FName: 'French: Steinitz variation'; FMoves: 'e2e4e7e6d2d4d7d5b1c3g8f6e4e5f6d7f2f4c7c5d4c5b8c6'),
    (FCode: 'C11'; FName: 'French: Steinitz, Brodsky-Jones variation'; FMoves: 'e2e4e7e6d2d4d7d5b1c3g8f6e4e5f6d7f2f4c7c5d4c5b8c6a2a3f8c5d1g4e8g8g1f3f7f6'),
    (FCode: 'C11'; FName: 'French: Steinitz variation'; FMoves: 'e2e4e7e6d2d4d7d5b1c3g8f6e4e5f6d7f2f4c7c5g1f3'),
    (FCode: 'C11'; FName: 'French: Steinitz, Boleslavsky variation'; FMoves: 'e2e4e7e6d2d4d7d5b1c3g8f6e4e5f6d7f2f4c7c5g1f3b8c6c1e3'),
    (FCode: 'C11'; FName: 'French: Steinitz, Gledhill attack'; FMoves: 'e2e4e7e6d2d4d7d5b1c3g8f6e4e5f6d7d1g4'),
    (FCode: 'C11'; FName: 'French: Burn variation'; FMoves: 'e2e4e7e6d2d4d7d5b1c3g8f6c1g5d5e4'),
    (FCode: 'C12'; FName: 'French: MacCutcheon variation'; FMoves: 'e2e4e7e6d2d4d7d5b1c3g8f6c1g5f8b4'),
    (FCode: 'C12'; FName: 'French: MacCutcheon, Bogolyubov variation'; FMoves: 'e2e4e7e6d2d4d7d5b1c3g8f6c1g5f8b4e4d5d8d5g5f6g7f6d1d2d5a5'),
    (FCode: 'C12'; FName: 'French: MacCutcheon, advance variation'; FMoves: 'e2e4e7e6d2d4d7d5b1c3g8f6c1g5f8b4e4e5'),
    (FCode: 'C12'; FName: 'French: MacCutcheon, Chigorin variation'; FMoves: 'e2e4e7e6d2d4d7d5b1c3g8f6c1g5f8b4e4e5h7h6e5f6'),
    (FCode: 'C12'; FName: 'French: MacCutcheon, Grigoriev variation'; FMoves: 'e2e4e7e6d2d4d7d5b1c3g8f6c1g5f8b4e4e5h7h6e5f6h6g5f6g7h8g8h2h4g5h4d1g4'),
    (FCode: 'C12'; FName: 'French: MacCutcheon, Bernstein variation'; FMoves: 'e2e4e7e6d2d4d7d5b1c3g8f6c1g5f8b4e4e5h7h6g5h4'),
    (FCode: 'C12'; FName: 'French: MacCutcheon, Janowski variation'; FMoves: 'e2e4e7e6d2d4d7d5b1c3g8f6c1g5f8b4e4e5h7h6g5e3'),
    (FCode: 'C12'; FName: 'French: MacCutcheon, Dr. Olland (Dutch) variation'; FMoves: 'e2e4e7e6d2d4d7d5b1c3g8f6c1g5f8b4e4e5h7h6g5c1'),
    (FCode: 'C12'; FName: 'French: MacCutcheon, Tartakower variation'; FMoves: 'e2e4e7e6d2d4d7d5b1c3g8f6c1g5f8b4e4e5h7h6g5d2f6d7'),
    (FCode: 'C12'; FName: 'French: MacCutcheon, Lasker variation'; FMoves: 'e2e4e7e6d2d4d7d5b1c3g8f6c1g5f8b4e4e5h7h6g5d2b4c3'),
    (FCode: 'C12'; FName: 'French: MacCutcheon, Duras variation'; FMoves: 'e2e4e7e6d2d4d7d5b1c3g8f6c1g5f8b4e4e5h7h6g5d2b4c3b2c3f6e4d1g4e8f8d2c1'),
    (FCode: 'C12'; FName: 'French: MacCutcheon, Lasker variation, 8...g6'; FMoves: 'e2e4e7e6d2d4d7d5b1c3g8f6c1g5f8b4e4e5h7h6g5d2b4c3b2c3f6e4d1g4g7g6'),
    (FCode: 'C13'; FName: 'French: classical'; FMoves: 'e2e4e7e6d2d4d7d5b1c3g8f6c1g5f8e7'),
    (FCode: 'C13'; FName: 'French: classical, Anderssen variation'; FMoves: 'e2e4e7e6d2d4d7d5b1c3g8f6c1g5f8e7g5f6'),
    (FCode: 'C13'; FName: 'French: classical, Anderssen-Richter variation'; FMoves: 'e2e4e7e6d2d4d7d5b1c3g8f6c1g5f8e7g5f6e7f6e4e5f6e7d1g4'),
    (FCode: 'C13'; FName: 'French: classical, Vistaneckis (Nimzovich) variation'; FMoves: 'e2e4e7e6d2d4d7d5b1c3g8f6c1g5f8e7e4e5f6g8'),
    (FCode: 'C13'; FName: 'French: classical, Frankfurt variation'; FMoves: 'e2e4e7e6d2d4d7d5b1c3g8f6c1g5f8e7e4e5f6g8g5e3b7b6'),
    (FCode: 'C13'; FName: 'French: classical, Tartakower variation'; FMoves: 'e2e4e7e6d2d4d7d5b1c3g8f6c1g5f8e7e4e5f6e4'),
    (FCode: 'C13'; FName: 'French: Albin-Alekhine-Chatard attack'; FMoves: 'e2e4e7e6d2d4d7d5b1c3g8f6c1g5f8e7e4e5f6d7h2h4'),
    (FCode: 'C13'; FName: 'French: Albin-Alekhine-Chatard attack, Maroczy variation'; FMoves: 'e2e4e7e6d2d4d7d5b1c3g8f6c1g5f8e7e4e5f6d7h2h4a7a6'),
    (FCode: 'C13'; FName: 'French: Albin-Alekhine-Chatard attack, Breyer variation'; FMoves: 'e2e4e7e6d2d4d7d5b1c3g8f6c1g5f8e7e4e5f6d7h2h4c7c5'),
    (FCode: 'C13'; FName: 'French: Albin-Alekhine-Chatard attack, Teichmann variation'; FMoves: 'e2e4e7e6d2d4d7d5b1c3g8f6c1g5f8e7e4e5f6d7h2h4f7f6'),
    (FCode: 'C13'; FName: 'French: Albin-Alekhine-Chatard attack, Spielmann variation'; FMoves: 'e2e4e7e6d2d4d7d5b1c3g8f6c1g5f8e7e4e5f6d7h2h4e8g8'),
    (FCode: 'C14'; FName: 'French: classical variation'; FMoves: 'e2e4e7e6d2d4d7d5b1c3g8f6c1g5f8e7e4e5f6d7g5e7d8e7'),
    (FCode: 'C14'; FName: 'French: classical, Tarrasch variation'; FMoves: 'e2e4e7e6d2d4d7d5b1c3g8f6c1g5f8e7e4e5f6d7g5e7d8e7f1d3'),
    (FCode: 'C14'; FName: 'French: classical, Rubinstein variation'; FMoves: 'e2e4e7e6d2d4d7d5b1c3g8f6c1g5f8e7e4e5f6d7g5e7d8e7d1d2'),
    (FCode: 'C14'; FName: 'French: classical, Alapin variation'; FMoves: 'e2e4e7e6d2d4d7d5b1c3g8f6c1g5f8e7e4e5f6d7g5e7d8e7c3b5'),
    (FCode: 'C14'; FName: 'French: classical, Pollock variation'; FMoves: 'e2e4e7e6d2d4d7d5b1c3g8f6c1g5f8e7e4e5f6d7g5e7d8e7d1g4'),
    (FCode: 'C14'; FName: 'French: classical, Steinitz variation'; FMoves: 'e2e4e7e6d2d4d7d5b1c3g8f6c1g5f8e7e4e5f6d7g5e7d8e7f2f4'),
    (FCode: 'C14'; FName: 'French: classical, Stahlberg variation'; FMoves: 'e2e4e7e6d2d4d7d5b1c3g8f6c1g5f8e7e4e5f6d7g5e7d8e7f2f4e8g8g1f3c7c5d1d2b8c6e1c1c5c4'),
    (FCode: 'C15'; FName: 'French: Winawer (Nimzovich) variation'; FMoves: 'e2e4e7e6d2d4d7d5b1c3f8b4'),
    (FCode: 'C15'; FName: 'French: Winawer, Kondratiyev variation'; FMoves: 'e2e4e7e6d2d4d7d5b1c3f8b4f1d3c7c5e4d5d8d5c1d2'),
    (FCode: 'C15'; FName: 'French: Winawer, fingerslip variation'; FMoves: 'e2e4e7e6d2d4d7d5b1c3f8b4c1d2'),
    (FCode: 'C15'; FName: 'French: Winawer, Alekhine (Maroczy) gambit'; FMoves: 'e2e4e7e6d2d4d7d5b1c3f8b4g1e2'),
    (FCode: 'C15'; FName: 'French: Winawer, Alekhine gambit, Alatortsev variation'; FMoves: 'e2e4e7e6d2d4d7d5b1c3f8b4g1e2d5e4a2a3b4e7c3e4g8f6e2g3e8g8f1e2b8c6'),
    (FCode: 'C15'; FName: 'French: Winawer, Alekhine gambit'; FMoves: 'e2e4e7e6d2d4d7d5b1c3f8b4g1e2d5e4a2a3b4c3'),
    (FCode: 'C15'; FName: 'French: Winawer, Alekhine gambit, Kan variation'; FMoves: 'e2e4e7e6d2d4d7d5b1c3f8b4g1e2d5e4a2a3b4c3e2c3b8c6'),
    (FCode: 'C16'; FName: 'French: Winawer, advance variation'; FMoves: 'e2e4e7e6d2d4d7d5b1c3f8b4e4e5'),
    (FCode: 'C16'; FName: 'French: Winawer, Petrosian variation'; FMoves: 'e2e4e7e6d2d4d7d5b1c3f8b4e4e5d8d7'),
    (FCode: 'C17'; FName: 'French: Winawer, advance variation'; FMoves: 'e2e4e7e6d2d4d7d5b1c3f8b4e4e5c7c5'),
    (FCode: 'C17'; FName: 'French: Winawer, advance, Bogolyubov variation'; FMoves: 'e2e4e7e6d2d4d7d5b1c3f8b4e4e5c7c5c1d2'),
    (FCode: 'C17'; FName: 'French: Winawer, advance, Russian variation'; FMoves: 'e2e4e7e6d2d4d7d5b1c3f8b4e4e5c7c5d1g4'),
    (FCode: 'C17'; FName: 'French: Winawer, advance, 5.a3'; FMoves: 'e2e4e7e6d2d4d7d5b1c3f8b4e4e5c7c5a2a3'),
    (FCode: 'C17'; FName: 'French: Winawer, advance, Rauzer variation'; FMoves: 'e2e4e7e6d2d4d7d5b1c3f8b4e4e5c7c5a2a3c5d4a3b4d4c3g1f3'),
    (FCode: 'C18'; FName: 'French: Winawer, advance variation'; FMoves: 'e2e4e7e6d2d4d7d5b1c3f8b4e4e5c7c5a2a3b4c3b2c3'),
    (FCode: 'C18'; FName: 'French: Winawer, classical variation'; FMoves: 'e2e4e7e6d2d4d7d5b1c3f8b4e4e5c7c5a2a3b4c3b2c3d8c7'),
    (FCode: 'C19'; FName: 'French: Winawer, advance, 6...Ne7'; FMoves: 'e2e4e7e6d2d4d7d5b1c3f8b4e4e5c7c5a2a3b4c3b2c3g8e7'),
    (FCode: 'C19'; FName: 'French: Winawer, advance, Smyslov variation'; FMoves: 'e2e4e7e6d2d4d7d5b1c3f8b4e4e5c7c5a2a3b4c3b2c3g8e7a3a4'),
    (FCode: 'C19'; FName: 'French: Winawer, advance, positional main line'; FMoves: 'e2e4e7e6d2d4d7d5b1c3f8b4e4e5c7c5a2a3b4c3b2c3g8e7g1f3'),
    (FCode: 'C19'; FName: 'French: Winawer, advance, poisoned pawn variation'; FMoves: 'e2e4e7e6d2d4d7d5b1c3f8b4e4e5c7c5a2a3b4c3b2c3g8e7d1g4'),
    (FCode: 'C19'; FName: 'French: Winawer, advance, poisoned pawn, Euwe-Gligoric variation'; FMoves: 'e2e4e7e6d2d4d7d5b1c3f8b4e4e5c7c5a2a3b4c3b2c3g8e7d1g4d8c7g4g7h8g8g7h7c5d4e1d1'),
    (FCode: 'C19'; FName: 'French: Winawer, advance, poisoned pawn, Konstantinopolsky variation'; FMoves: 'e2e4e7e6d2d4d7d5b1c3f8b4e4e5c7c5a2a3b4c3b2c3g8e7d1g4d8c7g4g7h8g8g7h7c5d4g1e2'),
    (FCode: 'C20'; FName: 'King''s pawn game'; FMoves: 'e2e4e7e5'),
    (FCode: 'C20'; FName: 'KP: Indian opening'; FMoves: 'e2e4e7e5d2d3'),
    (FCode: 'C20'; FName: 'KP: Mengarini''s opening'; FMoves: 'e2e4e7e5a2a3'),
    (FCode: 'C20'; FName: 'KP: King''s head opening'; FMoves: 'e2e4e7e5f2f3'),
    (FCode: 'C20'; FName: 'KP: Patzer opening'; FMoves: 'e2e4e7e5d1h5'),
    (FCode: 'C20'; FName: 'KP: Napoleon''s opening'; FMoves: 'e2e4e7e5d1f3'),
    (FCode: 'C20'; FName: 'KP: Lopez opening'; FMoves: 'e2e4e7e5c2c3'),
    (FCode: 'C20'; FName: 'Alapin''s opening'; FMoves: 'e2e4e7e5g1e2'),
    (FCode: 'C21'; FName: 'Centre game'; FMoves: 'e2e4e7e5d2d4e5d4'),
    (FCode: 'C21'; FName: 'Centre game, Kieseritsky variation'; FMoves: 'e2e4e7e5d2d4e5d4g1f3c7c5f1c4b7b5'),
    (FCode: 'C21'; FName: 'Halasz gambit'; FMoves: 'e2e4e7e5d2d4e5d4f2f4'),
    (FCode: 'C21'; FName: 'Danish gambit'; FMoves: 'e2e4e7e5d2d4e5d4c2c3'),
    (FCode: 'C21'; FName: 'Danish gambit: Collijn defence'; FMoves: 'e2e4e7e5d2d4e5d4c2c3d4c3f1c4c3b2c1b2d8e7'),
    (FCode: 'C21'; FName: 'Danish gambit: Schlechter defence'; FMoves: 'e2e4e7e5d2d4e5d4c2c3d4c3f1c4c3b2c1b2d7d5'),
    (FCode: 'C21'; FName: 'Danish gambit: Soerensen defence'; FMoves: 'e2e4e7e5d2d4e5d4c2c3d7d5'),
    (FCode: 'C21'; FName: 'Centre game'; FMoves: 'e2e4e7e5d2d4e5d4d1d4'),
    (FCode: 'C22'; FName: 'Centre game'; FMoves: 'e2e4e7e5d2d4e5d4d1d4b8c6'),
    (FCode: 'C22'; FName: 'Centre game: Paulsen attack'; FMoves: 'e2e4e7e5d2d4e5d4d1d4b8c6d4e3'),
    (FCode: 'C22'; FName: 'Centre game: Charousek variation'; FMoves: 'e2e4e7e5d2d4e5d4d1d4b8c6d4e3f8b4c2c3b4e7'),
    (FCode: 'C22'; FName: 'Centre game: l''Hermet variation'; FMoves: 'e2e4e7e5d2d4e5d4d1d4b8c6d4e3f7f5'),
    (FCode: 'C22'; FName: 'Centre game: Berger variation'; FMoves: 'e2e4e7e5d2d4e5d4d1d4b8c6d4e3g8f6'),
    (FCode: 'C22'; FName: 'Centre game: Kupreichik variation'; FMoves: 'e2e4e7e5d2d4e5d4d1d4b8c6d4e3g8f6b1c3f8b4c1d2e8g8e1c1f8e8f1c4d7d6g1h3'),
    (FCode: 'C22'; FName: 'Centre game: Hall variation'; FMoves: 'e2e4e7e5d2d4e5d4d1d4b8c6d4c4'),
    (FCode: 'C23'; FName: 'Bishop''s opening'; FMoves: 'e2e4e7e5f1c4'),
    (FCode: 'C23'; FName: 'Bishop''s opening: Philidor counter-attack'; FMoves: 'e2e4e7e5f1c4c7c6'),
    (FCode: 'C23'; FName: 'Bishop''s opening: Lisitsyn variation'; FMoves: 'e2e4e7e5f1c4c7c6d2d4d7d5e4d5c6d5c4b5c8d7b5d7b8d7d4e5d7e5g1e2'),
    (FCode: 'C23'; FName: 'Bishop''s opening: Calabrese counter-gambit'; FMoves: 'e2e4e7e5f1c4f7f5'),
    (FCode: 'C23'; FName: 'Bishop''s opening: Calabrese counter-gambit, Jaenisch variation'; FMoves: 'e2e4e7e5f1c4f7f5d2d3'),
    (FCode: 'C23'; FName: 'Bishop''s opening: Classical variation'; FMoves: 'e2e4e7e5f1c4f8c5'),
    (FCode: 'C23'; FName: 'Bishop''s opening: Lopez gambit'; FMoves: 'e2e4e7e5f1c4f8c5d1e2b8c6c2c3g8f6f2f4'),
    (FCode: 'C23'; FName: 'Bishop''s opening: Philidor variation'; FMoves: 'e2e4e7e5f1c4f8c5c2c3'),
    (FCode: 'C23'; FName: 'Bishop''s opening: Pratt variation'; FMoves: 'e2e4e7e5f1c4f8c5c2c3g8f6d2d4e5d4e4e5d7d5e5f6d5c4d1h5e8g8'),
    (FCode: 'C23'; FName: 'Bishop''s opening: Lewis counter-gambit'; FMoves: 'e2e4e7e5f1c4f8c5c2c3d7d5'),
    (FCode: 'C23'; FName: 'Bishop''s opening: del Rio variation'; FMoves: 'e2e4e7e5f1c4f8c5c2c3d8g5'),
    (FCode: 'C23'; FName: 'Bishop''s opening: Lewis gambit'; FMoves: 'e2e4e7e5f1c4f8c5d2d4'),
    (FCode: 'C23'; FName: 'Bishop''s opening: Wing gambit'; FMoves: 'e2e4e7e5f1c4f8c5b2b4'),
    (FCode: 'C23'; FName: 'Bishop''s opening: MacDonnell double gambit'; FMoves: 'e2e4e7e5f1c4f8c5b2b4c5b4f2f4'),
    (FCode: 'C23'; FName: 'Bishop''s opening: Four pawns'' gambit'; FMoves: 'e2e4e7e5f1c4f8c5b2b4c5b4f2f4e5f4g1f3b4e7d2d4e7h4g2g3f4g3e1g1g3h2g1h1'),
    (FCode: 'C24'; FName: 'Bishop''s opening: Berlin defence'; FMoves: 'e2e4e7e5f1c4g8f6'),
    (FCode: 'C24'; FName: 'Bishop''s opening: Greco gambit'; FMoves: 'e2e4e7e5f1c4g8f6f2f4'),
    (FCode: 'C24'; FName: 'Bishop''s opening: Ponziani gambit'; FMoves: 'e2e4e7e5f1c4g8f6d2d4'),
    (FCode: 'C24'; FName: 'Bishop''s opening: Urusov gambit'; FMoves: 'e2e4e7e5f1c4g8f6d2d4e5d4g1f3'),
    (FCode: 'C24'; FName: 'Bishop''s opening: Urusov gambit, Panov variation'; FMoves: 'e2e4e7e5f1c4g8f6d2d4e5d4g1f3d7d5e4d5f8b4c2c3d8e7'),
    (FCode: 'C25'; FName: 'Vienna game'; FMoves: 'e2e4e7e5b1c3'),
    (FCode: 'C25'; FName: 'Vienna: Zhuravlev countergambit'; FMoves: 'e2e4e7e5b1c3f8b4d1g4g8f6'),
    (FCode: 'C25'; FName: 'Vienna game, Max Lange defence'; FMoves: 'e2e4e7e5b1c3b8c6'),
    (FCode: 'C25'; FName: 'Vienna: Paulsen variation'; FMoves: 'e2e4e7e5b1c3b8c6g2g3'),
    (FCode: 'C25'; FName: 'Vienna: Fyfe gambit'; FMoves: 'e2e4e7e5b1c3b8c6d2d4'),
    (FCode: 'C25'; FName: 'Vienna gambit'; FMoves: 'e2e4e7e5b1c3b8c6f2f4'),
    (FCode: 'C25'; FName: 'Vienna: Steinitz gambit'; FMoves: 'e2e4e7e5b1c3b8c6f2f4e5f4d2d4'),
    (FCode: 'C25'; FName: 'Vienna: Steinitz gambit, Zukertort defence'; FMoves: 'e2e4e7e5b1c3b8c6f2f4e5f4d2d4d8h4e1e2d7d5'),
    (FCode: 'C25'; FName: 'Vienna: Steinitz gambit, Fraser-Minckwitz variation'; FMoves: 'e2e4e7e5b1c3b8c6f2f4e5f4d2d4d8h4e1e2b7b6'),
    (FCode: 'C25'; FName: 'Vienna gambit'; FMoves: 'e2e4e7e5b1c3b8c6f2f4e5f4g1f3'),
    (FCode: 'C25'; FName: 'Vienna: Hamppe-Allgaier gambit'; FMoves: 'e2e4e7e5b1c3b8c6f2f4e5f4g1f3g7g5h2h4g5g4f3g5'),
    (FCode: 'C25'; FName: 'Vienna: Hamppe-Allgaier gambit, Alapin variation'; FMoves: 'e2e4e7e5b1c3b8c6f2f4e5f4g1f3g7g5h2h4g5g4f3g5d7d6'),
    (FCode: 'C25'; FName: 'Vienna: Hamppe-Muzio gambit'; FMoves: 'e2e4e7e5b1c3b8c6f2f4e5f4g1f3g7g5f1c4g5g4e1g1'),
    (FCode: 'C25'; FName: 'Vienna: Hamppe-Muzio, Dubois variation'; FMoves: 'e2e4e7e5b1c3b8c6f2f4e5f4g1f3g7g5f1c4g5g4e1g1g4f3d1f3c6e5f3f4d8f6'),
    (FCode: 'C25'; FName: 'Vienna: Pierce gambit'; FMoves: 'e2e4e7e5b1c3b8c6f2f4e5f4g1f3g7g5d2d4'),
    (FCode: 'C25'; FName: 'Vienna: Pierce gambit, Rushmere attack'; FMoves: 'e2e4e7e5b1c3b8c6f2f4e5f4g1f3g7g5d2d4g5g4f1c4g4f3e1g1d7d5e4d5c8g4d5c6'),
    (FCode: 'C26'; FName: 'Vienna: Falkbeer variation'; FMoves: 'e2e4e7e5b1c3g8f6'),
    (FCode: 'C26'; FName: 'Vienna: Mengarini variation'; FMoves: 'e2e4e7e5b1c3g8f6a2a3'),
    (FCode: 'C26'; FName: 'Vienna: Paulsen-Mieses variation'; FMoves: 'e2e4e7e5b1c3g8f6g2g3'),
    (FCode: 'C26'; FName: 'Vienna game'; FMoves: 'e2e4e7e5b1c3g8f6f1c4'),
    (FCode: 'C27'; FName: 'Vienna game'; FMoves: 'e2e4e7e5b1c3g8f6f1c4f6e4'),
    (FCode: 'C27'; FName: 'Vienna: Adams'' gambit'; FMoves: 'e2e4e7e5b1c3g8f6f1c4f6e4d1h5e4d6c4b3b8c6d2d4'),
    (FCode: 'C27'; FName: 'Vienna game'; FMoves: 'e2e4e7e5b1c3g8f6f1c4f6e4d1h5e4d6c4b3f8e7'),
    (FCode: 'C27'; FName: 'Vienna: Alekhine variation'; FMoves: 'e2e4e7e5b1c3g8f6f1c4f6e4d1h5e4d6c4b3f8e7g1f3b8c6f3e5'),
    (FCode: 'C27'; FName: 'Boden-Kieseritsky gambit'; FMoves: 'e2e4e7e5b1c3g8f6f1c4f6e4g1f3'),
    (FCode: 'C27'; FName: 'Boden-Kieseritsky gambit: Lichtenhein defence'; FMoves: 'e2e4e7e5b1c3g8f6f1c4f6e4g1f3d7d5'),
    (FCode: 'C28'; FName: 'Vienna game'; FMoves: 'e2e4e7e5b1c3g8f6f1c4b8c6'),
    (FCode: 'C29'; FName: 'Vienna gambit'; FMoves: 'e2e4e7e5b1c3g8f6f2f4d7d5'),
    (FCode: 'C29'; FName: 'Vienna gambit: Kaufmann variation'; FMoves: 'e2e4e7e5b1c3g8f6f2f4d7d5f4e5f6e4g1f3c8g4d1e2'),
    (FCode: 'C29'; FName: 'Vienna gambit: Breyer variation'; FMoves: 'e2e4e7e5b1c3g8f6f2f4d7d5f4e5f6e4g1f3f8e7'),
    (FCode: 'C29'; FName: 'Vienna gambit: Paulsen attack'; FMoves: 'e2e4e7e5b1c3g8f6f2f4d7d5f4e5f6e4d1f3'),
    (FCode: 'C29'; FName: 'Vienna gambit: Bardeleben variation'; FMoves: 'e2e4e7e5b1c3g8f6f2f4d7d5f4e5f6e4d1f3f7f5'),
    (FCode: 'C29'; FName: 'Vienna gambit: Heyde variation'; FMoves: 'e2e4e7e5b1c3g8f6f2f4d7d5f4e5f6e4d1f3f7f5d2d4'),
    (FCode: 'C29'; FName: 'Vienna gambit'; FMoves: 'e2e4e7e5b1c3g8f6f2f4d7d5f4e5f6e4d2d3'),
    (FCode: 'C29'; FName: 'Vienna gambit, Wurzburger trap'; FMoves: 'e2e4e7e5b1c3g8f6f2f4d7d5f4e5f6e4d2d3d8h4g2g3e4g3g1f3h4h5c3d5'),
    (FCode: 'C29'; FName: 'Vienna gambit, Steinitz variation'; FMoves: 'e2e4e7e5b1c3g8f6f2f4d7d5d2d3'),
    (FCode: 'C30'; FName: 'King''s gambit'; FMoves: 'e2e4e7e5f2f4'),
    (FCode: 'C30'; FName: 'KGD: Keene''s defence'; FMoves: 'e2e4e7e5f2f4d8h4g2g3h4e7'),
    (FCode: 'C30'; FName: 'KGD: Mafia defence'; FMoves: 'e2e4e7e5f2f4c7c5'),
    (FCode: 'C30'; FName: 'KGD: Norwalde variation'; FMoves: 'e2e4e7e5f2f4d8f6'),
    (FCode: 'C30'; FName: 'KGD: Norwalde variation, Buecker gambit'; FMoves: 'e2e4e7e5f2f4d8f6g1f3f6f4b1c3f8b4f1c4'),
    (FCode: 'C30'; FName: 'KGD: classical variation'; FMoves: 'e2e4e7e5f2f4f8c5'),
    (FCode: 'C30'; FName: 'KGD: classical, Svenonius variation'; FMoves: 'e2e4e7e5f2f4f8c5g1f3d7d6b1c3g8f6f1c4b8c6d2d3c8g4h2h3g4f3d1f3e5f4'),
    (FCode: 'C30'; FName: 'KGD: classical, Hanham variation'; FMoves: 'e2e4e7e5f2f4f8c5g1f3d7d6b1c3b8d7'),
    (FCode: 'C30'; FName: 'KGD: classical, 4.c3'; FMoves: 'e2e4e7e5f2f4f8c5g1f3d7d6c2c3'),
    (FCode: 'C30'; FName: 'KGD: classical, Marshall attack'; FMoves: 'e2e4e7e5f2f4f8c5g1f3d7d6c2c3c8g4f4e5d6e5d1a4'),
    (FCode: 'C30'; FName: 'KGD: classical counter-gambit'; FMoves: 'e2e4e7e5f2f4f8c5g1f3d7d6c2c3f7f5'),
    (FCode: 'C30'; FName: 'KGD: classical, Reti variation'; FMoves: 'e2e4e7e5f2f4f8c5g1f3d7d6c2c3f7f5f4e5d6e5d2d4e5d4f1c4'),
    (FCode: 'C30'; FName: 'KGD: classical, Soldatenkov variation'; FMoves: 'e2e4e7e5f2f4f8c5g1f3d7d6f4e5'),
    (FCode: 'C30'; FName: 'KGD: classical, Heath variation'; FMoves: 'e2e4e7e5f2f4f8c5g1f3d7d6b2b4'),
    (FCode: 'C30'; FName: 'KGD: 2...Nf6'; FMoves: 'e2e4e7e5f2f4g8f6'),
    (FCode: 'C31'; FName: 'KGD: Falkbeer counter-gambit'; FMoves: 'e2e4e7e5f2f4d7d5'),
    (FCode: 'C31'; FName: 'KGD: Falkbeer, Tartakower variation'; FMoves: 'e2e4e7e5f2f4d7d5g1f3'),
    (FCode: 'C31'; FName: 'KGD: Falkbeer, Milner-Barry variation'; FMoves: 'e2e4e7e5f2f4d7d5b1c3'),
    (FCode: 'C31'; FName: 'KGD: Falkbeer counter-gambit'; FMoves: 'e2e4e7e5f2f4d7d5e4d5'),
    (FCode: 'C31'; FName: 'KGD: Nimzovich counter-gambit'; FMoves: 'e2e4e7e5f2f4d7d5e4d5c7c6'),
    (FCode: 'C31'; FName: 'KGD: Falkbeer, 3...e4'; FMoves: 'e2e4e7e5f2f4d7d5e4d5e5e4'),
    (FCode: 'C31'; FName: 'KGD: Falkbeer, Rubinstein variation'; FMoves: 'e2e4e7e5f2f4d7d5e4d5e5e4b1c3g8f6d1e2'),
    (FCode: 'C31'; FName: 'KGD: Falkbeer, Nimzovich variation'; FMoves: 'e2e4e7e5f2f4d7d5e4d5e5e4f1b5'),
    (FCode: 'C31'; FName: 'KGD: Falkbeer, 4.d3'; FMoves: 'e2e4e7e5f2f4d7d5e4d5e5e4d2d3'),
    (FCode: 'C31'; FName: 'KGD: Falkbeer, Morphy gambit'; FMoves: 'e2e4e7e5f2f4d7d5e4d5e5e4d2d3g8f6b1c3f8b4c1d2e4e3'),
    (FCode: 'C32'; FName: 'KGD: Falkbeer, 5.de'; FMoves: 'e2e4e7e5f2f4d7d5e4d5e5e4d2d3g8f6d3e4'),
    (FCode: 'C32'; FName: 'KGD: Falkbeer, Alapin variation'; FMoves: 'e2e4e7e5f2f4d7d5e4d5e5e4d2d3g8f6d3e4f6e4g1f3f8c5d1e2c5f2e1d1d8d5f3d2'),
    (FCode: 'C32'; FName: 'KGD: Falkbeer, main line, 7...Bf5'; FMoves: 'e2e4e7e5f2f4d7d5e4d5e5e4d2d3g8f6d3e4f6e4g1f3f8c5d1e2c8f5'),
    (FCode: 'C32'; FName: 'KGD: Falkbeer, Tarrasch variation'; FMoves: 'e2e4e7e5f2f4d7d5e4d5e5e4d2d3g8f6d3e4f6e4g1f3f8c5d1e2c8f5g2g4e8g8'),
    (FCode: 'C32'; FName: 'KGD: Falkbeer, Charousek gambit'; FMoves: 'e2e4e7e5f2f4d7d5e4d5e5e4d2d3g8f6d3e4f6e4d1e2'),
    (FCode: 'C32'; FName: 'KGD: Falkbeer, Charousek variation'; FMoves: 'e2e4e7e5f2f4d7d5e4d5e5e4d2d3g8f6d3e4f6e4d1e2d8d5b1d2f7f5g2g4'),
    (FCode: 'C32'; FName: 'KGD: Falkbeer, Keres variation'; FMoves: 'e2e4e7e5f2f4d7d5e4d5e5e4d2d3g8f6b1d2'),
    (FCode: 'C32'; FName: 'KGD: Falkbeer, Reti variation'; FMoves: 'e2e4e7e5f2f4d7d5e4d5e5e4d2d3g8f6d1e2'),
    (FCode: 'C33'; FName: 'King''s gambit accepted'; FMoves: 'e2e4e7e5f2f4e5f4'),
    (FCode: 'C33'; FName: 'KGA: Tumbleweed gambit'; FMoves: 'e2e4e7e5f2f4e5f4e1f2'),
    (FCode: 'C33'; FName: 'KGA: Orsini gambit'; FMoves: 'e2e4e7e5f2f4e5f4b2b3'),
    (FCode: 'C33'; FName: 'KGA: Pawn''s gambit (Stamma gambit)'; FMoves: 'e2e4e7e5f2f4e5f4h2h4'),
    (FCode: 'C33'; FName: 'KGA: Schurig gambit'; FMoves: 'e2e4e7e5f2f4e5f4f1d3'),
    (FCode: 'C33'; FName: 'KGA: Carrera (Basman) gambit'; FMoves: 'e2e4e7e5f2f4e5f4d1e2'),
    (FCode: 'C33'; FName: 'KGA: Villemson (Steinitz) gambit'; FMoves: 'e2e4e7e5f2f4e5f4d2d4'),
    (FCode: 'C33'; FName: 'KGA: Keres (Mason-Steinitz) gambit'; FMoves: 'e2e4e7e5f2f4e5f4b1c3'),
    (FCode: 'C33'; FName: 'KGA: Breyer gambit'; FMoves: 'e2e4e7e5f2f4e5f4d1f3'),
    (FCode: 'C33'; FName: 'KGA: Lesser bishop''s (Petroff-Jaenisch-Tartakower) gambit'; FMoves: 'e2e4e7e5f2f4e5f4f1e2'),
    (FCode: 'C33'; FName: 'KGA: bishop''s gambit'; FMoves: 'e2e4e7e5f2f4e5f4f1c4'),
    (FCode: 'C33'; FName: 'KGA: bishop''s gambit, Chigorin''s attack'; FMoves: 'e2e4e7e5f2f4e5f4f1c4d8h4e1f1d7d5c4d5g7g5g2g3'),
    (FCode: 'C33'; FName: 'KGA: bishop''s gambit, Greco variation'; FMoves: 'e2e4e7e5f2f4e5f4f1c4d8h4e1f1f8c5'),
    (FCode: 'C33'; FName: 'KGA: bishop''s gambit, classical defence'; FMoves: 'e2e4e7e5f2f4e5f4f1c4d8h4e1f1g7g5'),
    (FCode: 'C33'; FName: 'KGA: bishop''s gambit, Grimm attack'; FMoves: 'e2e4e7e5f2f4e5f4f1c4d8h4e1f1g7g5b1c3f8g7d2d4d7d6e4e5'),
    (FCode: 'C33'; FName: 'KGA: bishop''s gambit, classical defence'; FMoves: 'e2e4e7e5f2f4e5f4f1c4d8h4e1f1g7g5b1c3f8g7d2d4g8e7'),
    (FCode: 'C33'; FName: 'KGA: bishop''s gambit, McDonnell attack'; FMoves: 'e2e4e7e5f2f4e5f4f1c4d8h4e1f1g7g5b1c3f8g7d2d4g8e7g2g3'),
    (FCode: 'C33'; FName: 'KGA: bishop''s gambit, McDonnell attack'; FMoves: 'e2e4e7e5f2f4e5f4f1c4d8h4e1f1g7g5b1c3f8g7g2g3'),
    (FCode: 'C33'; FName: 'KGA: bishop''s gambit, Fraser variation'; FMoves: 'e2e4e7e5f2f4e5f4f1c4d8h4e1f1g7g5b1c3f8g7g2g3f4g3d1f3'),
    (FCode: 'C33'; FName: 'KGA: bishop''s gambit, classical defence, Cozio attack'; FMoves: 'e2e4e7e5f2f4e5f4f1c4d8h4e1f1g7g5d1f3'),
    (FCode: 'C33'; FName: 'KGA: bishop''s gambit, Boden defence'; FMoves: 'e2e4e7e5f2f4e5f4f1c4d8h4e1f1b8c6'),
    (FCode: 'C33'; FName: 'KGA: bishop''s gambit, Bryan counter-gambit'; FMoves: 'e2e4e7e5f2f4e5f4f1c4d8h4e1f1b7b5'),
    (FCode: 'C33'; FName: 'KGA: bishop''s gambit, Bryan counter-gambit'; FMoves: 'e2e4e7e5f2f4e5f4f1c4b7b5'),
    (FCode: 'C33'; FName: 'KGA: bishop''s gambit, Steinitz defence'; FMoves: 'e2e4e7e5f2f4e5f4f1c4g8e7'),
    (FCode: 'C33'; FName: 'KGA: bishop''s gambit, Maurian defence'; FMoves: 'e2e4e7e5f2f4e5f4f1c4b8c6'),
    (FCode: 'C33'; FName: 'KGA: bishop''s gambit, Ruy Lopez defence'; FMoves: 'e2e4e7e5f2f4e5f4f1c4c7c6'),
    (FCode: 'C33'; FName: 'KGA: bishop''s gambit, Lopez-Gianutio counter-gambit'; FMoves: 'e2e4e7e5f2f4e5f4f1c4f7f5'),
    (FCode: 'C33'; FName: 'KGA: Lopez-Gianutio counter-gambit, Hein variation'; FMoves: 'e2e4e7e5f2f4e5f4f1c4f7f5d1e2d8h4e1d1f5e4b1c3e8d8'),
    (FCode: 'C33'; FName: 'KGA: bishop''s gambit, Bledow variation'; FMoves: 'e2e4e7e5f2f4e5f4f1c4d7d5'),
    (FCode: 'C33'; FName: 'KGA: bishop''s gambit, Gifford variation'; FMoves: 'e2e4e7e5f2f4e5f4f1c4d7d5c4d5d8h4e1f1g7g5g2g3'),
    (FCode: 'C33'; FName: 'KGA: bishop''s gambit, Boren-Svenonius variation'; FMoves: 'e2e4e7e5f2f4e5f4f1c4d7d5c4d5d8h4e1f1f8d6'),
    (FCode: 'C33'; FName: 'KGA: bishop''s gambit, Anderssen variation'; FMoves: 'e2e4e7e5f2f4e5f4f1c4d7d5c4d5c7c6'),
    (FCode: 'C33'; FName: 'KGA: bishop''s gambit, Morphy variation'; FMoves: 'e2e4e7e5f2f4e5f4f1c4d7d5c4d5g8f6'),
    (FCode: 'C33'; FName: 'KGA: bishop''s gambit, Cozio (Morphy) defence'; FMoves: 'e2e4e7e5f2f4e5f4f1c4g8f6'),
    (FCode: 'C33'; FName: 'KGA: bishop''s gambit, Bogolyubov variation'; FMoves: 'e2e4e7e5f2f4e5f4f1c4g8f6b1c3'),
    (FCode: 'C33'; FName: 'KGA: bishop''s gambit, Paulsen attack'; FMoves: 'e2e4e7e5f2f4e5f4f1c4g8f6b1c3f8b4e4e5'),
    (FCode: 'C33'; FName: 'KGA: bishop''s gambit, Jaenisch variation'; FMoves: 'e2e4e7e5f2f4e5f4f1c4g8f6b1c3c7c6'),
    (FCode: 'C34'; FName: 'King''s knight''s gambit'; FMoves: 'e2e4e7e5f2f4e5f4g1f3'),
    (FCode: 'C34'; FName: 'KGA: Bonsch-Osmolovsky variation'; FMoves: 'e2e4e7e5f2f4e5f4g1f3g8e7'),
    (FCode: 'C34'; FName: 'KGA: Gianutio counter-gambit'; FMoves: 'e2e4e7e5f2f4e5f4g1f3f7f5'),
    (FCode: 'C34'; FName: 'KGA: Fischer defence'; FMoves: 'e2e4e7e5f2f4e5f4g1f3d7d6'),
    (FCode: 'C34'; FName: 'KGA: Becker defence'; FMoves: 'e2e4e7e5f2f4e5f4g1f3h7h6'),
    (FCode: 'C34'; FName: 'KGA: Schallop defence'; FMoves: 'e2e4e7e5f2f4e5f4g1f3g8f6'),
    (FCode: 'C35'; FName: 'KGA: Cunningham defence'; FMoves: 'e2e4e7e5f2f4e5f4g1f3f8e7'),
    (FCode: 'C35'; FName: 'KGA: Cunningham, Bertin gambit'; FMoves: 'e2e4e7e5f2f4e5f4g1f3f8e7f1c4e7h4g2g3'),
    (FCode: 'C35'; FName: 'KGA: Cunningham, three pawns gambit'; FMoves: 'e2e4e7e5f2f4e5f4g1f3f8e7f1c4e7h4g2g3f4g3e1g1g3h2g1h1'),
    (FCode: 'C35'; FName: 'KGA: Cunningham, Euwe defence'; FMoves: 'e2e4e7e5f2f4e5f4g1f3f8e7f1c4g8f6'),
    (FCode: 'C36'; FName: 'KGA: Abbazia defence, modern variation'; FMoves: 'e2e4e7e5f2f4e5f4g1f3d7d5e4d5g8f6'),
    (FCode: 'C36'; FName: 'KGA: Abbazia defence, Botvinnik variation'; FMoves: 'e2e4e7e5f2f4e5f4g1f3d7d5e4d5g8f6f1b5c7c6d5c6b7c6b5c4f6d5'),
    (FCode: 'C37'; FName: 'KGA: Quaade gambit'; FMoves: 'e2e4e7e5f2f4e5f4g1f3g7g5b1c3'),
    (FCode: 'C37'; FName: 'KGA: Rosentreter gambit'; FMoves: 'e2e4e7e5f2f4e5f4g1f3g7g5d2d4'),
    (FCode: 'C37'; FName: 'KGA: Soerensen gambit'; FMoves: 'e2e4e7e5f2f4e5f4g1f3g7g5d2d4g5g4f3e5'),
    (FCode: 'C37'; FName: 'KGA: King''s knight''s gambit'; FMoves: 'e2e4e7e5f2f4e5f4g1f3g7g5f1c4'),
    (FCode: 'C37'; FName: 'KGA: Blachly gambit'; FMoves: 'e2e4e7e5f2f4e5f4g1f3g7g5f1c4b8c6'),
    (FCode: 'C37'; FName: 'KGA: Lolli gambit (wild Muzio gambit)'; FMoves: 'e2e4e7e5f2f4e5f4g1f3g7g5f1c4g5g4c4f7'),
    (FCode: 'C37'; FName: 'KGA: Lolli gambit, Young variation'; FMoves: 'e2e4e7e5f2f4e5f4g1f3g7g5f1c4g5g4c4f7e8f7e1g1g4f3d1f3d8f6d2d4f6d4c1e3d4f6b1c3'),
    (FCode: 'C37'; FName: 'KGA: Ghulam Kassim gambit'; FMoves: 'e2e4e7e5f2f4e5f4g1f3g7g5f1c4g5g4d2d4'),
    (FCode: 'C37'; FName: 'KGA: MacDonnell gambit'; FMoves: 'e2e4e7e5f2f4e5f4g1f3g7g5f1c4g5g4b1c3'),
    (FCode: 'C37'; FName: 'KGA: Salvio gambit'; FMoves: 'e2e4e7e5f2f4e5f4g1f3g7g5f1c4g5g4f3e5'),
    (FCode: 'C37'; FName: 'KGA: Silberschmidt gambit'; FMoves: 'e2e4e7e5f2f4e5f4g1f3g7g5f1c4g5g4f3e5d8h4e1f1g8h6d2d4f4f3'),
    (FCode: 'C37'; FName: 'KGA: Salvio gambit, Anderssen counter-attack'; FMoves: 'e2e4e7e5f2f4e5f4g1f3g7g5f1c4g5g4f3e5d8h4e1f1g8h6d2d4d7d6'),
    (FCode: 'C37'; FName: 'KGA: Cochrane gambit'; FMoves: 'e2e4e7e5f2f4e5f4g1f3g7g5f1c4g5g4f3e5d8h4e1f1f4f3'),
    (FCode: 'C37'; FName: 'KGA: Herzfeld gambit'; FMoves: 'e2e4e7e5f2f4e5f4g1f3g7g5f1c4g5g4f3e5d8h4e1f1b8c6'),
    (FCode: 'C37'; FName: 'KGA: Muzio gambit'; FMoves: 'e2e4e7e5f2f4e5f4g1f3g7g5f1c4g5g4e1g1'),
    (FCode: 'C37'; FName: 'KGA: Muzio gambit, Paulsen variation'; FMoves: 'e2e4e7e5f2f4e5f4g1f3g7g5f1c4g5g4e1g1g4f3d1f3d8f6e4e5f6e5d2d3f8h6b1c3g8e7c1d2b8c6a1e1'),
    (FCode: 'C37'; FName: 'KGA: double Muzio gambit'; FMoves: 'e2e4e7e5f2f4e5f4g1f3g7g5f1c4g5g4e1g1g4f3d1f3d8f6e4e5f6e5c4f7'),
    (FCode: 'C37'; FName: 'KGA: Muzio gambit, From defence'; FMoves: 'e2e4e7e5f2f4e5f4g1f3g7g5f1c4g5g4e1g1g4f3d1f3d8e7'),
    (FCode: 'C37'; FName: 'KGA: Muzio gambit, Holloway defence'; FMoves: 'e2e4e7e5f2f4e5f4g1f3g7g5f1c4g5g4e1g1g4f3d1f3b8c6'),
    (FCode: 'C37'; FName: 'KGA: Muzio gambit, Kling and Horwitz counter-attack'; FMoves: 'e2e4e7e5f2f4e5f4g1f3g7g5f1c4g5g4e1g1d8e7'),
    (FCode: 'C37'; FName: 'KGA: Muzio gambit, Brentano defence'; FMoves: 'e2e4e7e5f2f4e5f4g1f3g7g5f1c4g5g4e1g1d7d5'),
    (FCode: 'C38'; FName: 'King''s knight''s gambit'; FMoves: 'e2e4e7e5f2f4e5f4g1f3g7g5f1c4f8g7'),
    (FCode: 'C38'; FName: 'KGA: Hanstein gambit'; FMoves: 'e2e4e7e5f2f4e5f4g1f3g7g5f1c4f8g7e1g1'),
    (FCode: 'C38'; FName: 'KGA: Philidor gambit'; FMoves: 'e2e4e7e5f2f4e5f4g1f3g7g5f1c4f8g7h2h4'),
    (FCode: 'C38'; FName: 'KGA: Greco gambit'; FMoves: 'e2e4e7e5f2f4e5f4g1f3g7g5f1c4f8g7h2h4h7h6d2d4d7d6b1c3c7c6h4g5h6g5h1h8g7h8f3e5'),
    (FCode: 'C38'; FName: 'KGA: Philidor gambit, Schultz variation'; FMoves: 'e2e4e7e5f2f4e5f4g1f3g7g5f1c4f8g7h2h4h7h6d2d4d7d6d1d3'),
    (FCode: 'C39'; FName: 'King''s knight''s gambit'; FMoves: 'e2e4e7e5f2f4e5f4g1f3g7g5h2h4'),
    (FCode: 'C39'; FName: 'KGA: Allgaier gambit'; FMoves: 'e2e4e7e5f2f4e5f4g1f3g7g5h2h4g5g4f3g5'),
    (FCode: 'C39'; FName: 'KGA: Allgaier, Horny defence'; FMoves: 'e2e4e7e5f2f4e5f4g1f3g7g5h2h4g5g4f3g5h7h6g5f7e8f7d1g4g8f6g4f4f8d6'),
    (FCode: 'C39'; FName: 'KGA: Allgaier, Thorold variation'; FMoves: 'e2e4e7e5f2f4e5f4g1f3g7g5h2h4g5g4f3g5h7h6g5f7e8f7d2d4'),
    (FCode: 'C39'; FName: 'KGA: Allgaier, Cook variation'; FMoves: 'e2e4e7e5f2f4e5f4g1f3g7g5h2h4g5g4f3g5h7h6g5f7e8f7d2d4d7d5c1f4d5e4f1c4f7g7f4e5'),
    (FCode: 'C39'; FName: 'KGA: Allgaier, Blackburne gambit'; FMoves: 'e2e4e7e5f2f4e5f4g1f3g7g5h2h4g5g4f3g5h7h6g5f7e8f7b1c3'),
    (FCode: 'C39'; FName: 'KGA: Allgaier, Walker attack'; FMoves: 'e2e4e7e5f2f4e5f4g1f3g7g5h2h4g5g4f3g5h7h6g5f7e8f7f1c4'),
    (FCode: 'C39'; FName: 'KGA: Allgaier, Urusov attack'; FMoves: 'e2e4e7e5f2f4e5f4g1f3g7g5h2h4g5g4f3g5h7h6g5f7e8f7f1c4d7d5c4d5f7g7d2d4'),
    (FCode: 'C39'; FName: 'KGA: Allgaier, Schlechter defence'; FMoves: 'e2e4e7e5f2f4e5f4g1f3g7g5h2h4g5g4f3g5g8f6'),
    (FCode: 'C39'; FName: 'KGA: Kieseritsky, Paulsen defence'; FMoves: 'e2e4e7e5f2f4e5f4g1f3g7g5h2h4g5g4f3e5f8g7'),
    (FCode: 'C39'; FName: 'KGA: Kieseritsky, long whip (Stockwhip, classical) defence'; FMoves: 'e2e4e7e5f2f4e5f4g1f3g7g5h2h4g5g4f3e5h7h5'),
    (FCode: 'C39'; FName: 'KGA: Kieseritsky, long whip defence, Jaenisch variation'; FMoves: 'e2e4e7e5f2f4e5f4g1f3g7g5h2h4g5g4f3e5h7h5f1c4h8h7d2d4f8h6b1c3'),
    (FCode: 'C39'; FName: 'KGA: Kieseritsky, Brentano (Campbell) defence'; FMoves: 'e2e4e7e5f2f4e5f4g1f3g7g5h2h4g5g4f3e5d7d5'),
    (FCode: 'C39'; FName: 'KGA: Kieseritsky, Brentano defence, Kaplanek variation'; FMoves: 'e2e4e7e5f2f4e5f4g1f3g7g5h2h4g5g4f3e5d7d5d2d4g8f6e4d5d8d5b1c3f8b4e1f2'),
    (FCode: 'C39'; FName: 'KGA: Kieseritsky, Brentano defence'; FMoves: 'e2e4e7e5f2f4e5f4g1f3g7g5h2h4g5g4f3e5d7d5d2d4g8f6c1f4'),
    (FCode: 'C39'; FName: 'KGA: Kieseritsky, Brentano defence, Caro variation'; FMoves: 'e2e4e7e5f2f4e5f4g1f3g7g5h2h4g5g4f3e5d7d5d2d4g8f6c1f4f6e4b1d2'),
    (FCode: 'C39'; FName: 'KGA: Kieseritsky, Salvio (Rosenthal) defence'; FMoves: 'e2e4e7e5f2f4e5f4g1f3g7g5h2h4g5g4f3e5d8e7'),
    (FCode: 'C39'; FName: 'KGA: Kieseritsky, Salvio defence, Cozio variation'; FMoves: 'e2e4e7e5f2f4e5f4g1f3g7g5h2h4g5g4f3e5d8e7d2d4f7f5f1c4'),
    (FCode: 'C39'; FName: 'KGA: Kieseritsky, Polerio defence'; FMoves: 'e2e4e7e5f2f4e5f4g1f3g7g5h2h4g5g4f3e5f8e7'),
    (FCode: 'C39'; FName: 'KGA: Kieseritsky, Neumann defence'; FMoves: 'e2e4e7e5f2f4e5f4g1f3g7g5h2h4g5g4f3e5b8c6'),
    (FCode: 'C39'; FName: 'KGA: Kieseritsky, Kolisch defence'; FMoves: 'e2e4e7e5f2f4e5f4g1f3g7g5h2h4g5g4f3e5d7d6'),
    (FCode: 'C39'; FName: 'KGA: Kieseritsky, Berlin defence'; FMoves: 'e2e4e7e5f2f4e5f4g1f3g7g5h2h4g5g4f3e5g8f6'),
    (FCode: 'C39'; FName: 'KGA: Kieseritsky, Berlin defence, Riviere variation'; FMoves: 'e2e4e7e5f2f4e5f4g1f3g7g5h2h4g5g4f3e5g8f6e5g4d7d5'),
    (FCode: 'C39'; FName: 'KGA: Kieseritsky, Berlin defence, 6.Bc4'; FMoves: 'e2e4e7e5f2f4e5f4g1f3g7g5h2h4g5g4f3e5g8f6f1c4'),
    (FCode: 'C39'; FName: 'KGA: Kieseritsky, Rice gambit'; FMoves: 'e2e4e7e5f2f4e5f4g1f3g7g5h2h4g5g4f3e5g8f6f1c4d7d5e4d5f8d6e1g1'),
    (FCode: 'C40'; FName: 'King''s knight opening'; FMoves: 'e2e4e7e5g1f3'),
    (FCode: 'C40'; FName: 'Gunderam defence'; FMoves: 'e2e4e7e5g1f3d8e7'),
    (FCode: 'C40'; FName: 'Greco defence'; FMoves: 'e2e4e7e5g1f3d8f6'),
    (FCode: 'C40'; FName: 'Damiano''s defence'; FMoves: 'e2e4e7e5g1f3f7f6'),
    (FCode: 'C40'; FName: 'QP counter-gambit (elephant gambit)'; FMoves: 'e2e4e7e5g1f3d7d5'),
    (FCode: 'C40'; FName: 'QP counter-gambit: Maroczy gambit'; FMoves: 'e2e4e7e5g1f3d7d5e4d5f8d6'),
    (FCode: 'C40'; FName: 'Latvian counter-gambit'; FMoves: 'e2e4e7e5g1f3f7f5'),
    (FCode: 'C40'; FName: 'Latvian: Nimzovich variation'; FMoves: 'e2e4e7e5g1f3f7f5f3e5d8f6d2d4d7d6e5c4f5e4c4e3'),
    (FCode: 'C40'; FName: 'Latvian: Fraser defence'; FMoves: 'e2e4e7e5g1f3f7f5f3e5b8c6'),
    (FCode: 'C40'; FName: 'Latvian gambit, 3.Bc4'; FMoves: 'e2e4e7e5g1f3f7f5f1c4'),
    (FCode: 'C40'; FName: 'Latvian: Behting variation'; FMoves: 'e2e4e7e5g1f3f7f5f1c4f5e4f3e5d8g5e5f7g5g2h1f1d7d5f7h8g8f6'),
    (FCode: 'C40'; FName: 'Latvian: Polerio variation'; FMoves: 'e2e4e7e5g1f3f7f5f1c4f5e4f3e5d7d5'),
    (FCode: 'C40'; FName: 'Latvian: corkscrew counter-gambit'; FMoves: 'e2e4e7e5g1f3f7f5f1c4f5e4f3e5g8f6'),
    (FCode: 'C41'; FName: 'Philidor''s defence'; FMoves: 'e2e4e7e5g1f3d7d6'),
    (FCode: 'C41'; FName: 'Philidor: Steinitz variation'; FMoves: 'e2e4e7e5g1f3d7d6f1c4f8e7c2c3'),
    (FCode: 'C41'; FName: 'Philidor: Lopez counter-gambit'; FMoves: 'e2e4e7e5g1f3d7d6f1c4f7f5'),
    (FCode: 'C41'; FName: 'Philidor: Lopez counter-gambit, Jaenisch variation'; FMoves: 'e2e4e7e5g1f3d7d6f1c4f7f5d2d4e5d4f3g5g8h6g5h7'),
    (FCode: 'C41'; FName: 'Philidor''s defence'; FMoves: 'e2e4e7e5g1f3d7d6d2d4'),
    (FCode: 'C41'; FName: 'Philidor: Philidor counter-gambit'; FMoves: 'e2e4e7e5g1f3d7d6d2d4f7f5'),
    (FCode: 'C41'; FName: 'Philidor: Philidor counter-gambit, del Rio attack'; FMoves: 'e2e4e7e5g1f3d7d6d2d4f7f5d4e5f5e4f3g5d6d5e5e6'),
    (FCode: 'C41'; FName: 'Philidor: Philidor counter-gambit, Berger variation'; FMoves: 'e2e4e7e5g1f3d7d6d2d4f7f5d4e5f5e4f3g5d6d5e5e6f8c5b1c3'),
    (FCode: 'C41'; FName: 'Philidor: Philidor counter-gambit, Zukertort variation'; FMoves: 'e2e4e7e5g1f3d7d6d2d4f7f5b1c3'),
    (FCode: 'C41'; FName: 'Philidor: exchange variation'; FMoves: 'e2e4e7e5g1f3d7d6d2d4e5d4'),
    (FCode: 'C41'; FName: 'Philidor: Boden variation'; FMoves: 'e2e4e7e5g1f3d7d6d2d4e5d4d1d4c8d7'),
    (FCode: 'C41'; FName: 'Philidor: exchange variation'; FMoves: 'e2e4e7e5g1f3d7d6d2d4e5d4f3d4'),
    (FCode: 'C41'; FName: 'Philidor: Paulsen attack'; FMoves: 'e2e4e7e5g1f3d7d6d2d4e5d4f3d4d6d5e4d5'),
    (FCode: 'C41'; FName: 'Philidor: exchange variation'; FMoves: 'e2e4e7e5g1f3d7d6d2d4e5d4f3d4g8f6'),
    (FCode: 'C41'; FName: 'Philidor: Berger variation'; FMoves: 'e2e4e7e5g1f3d7d6d2d4e5d4f3d4g8f6b1c3f8e7f1e2e8g8e1g1c7c5d4f3b8c6c1g5c8e6f1e1'),
    (FCode: 'C41'; FName: 'Philidor: Larsen variation'; FMoves: 'e2e4e7e5g1f3d7d6d2d4e5d4f3d4g7g6'),
    (FCode: 'C41'; FName: 'Philidor: Nimzovich (Jaenisch) variation'; FMoves: 'e2e4e7e5g1f3d7d6d2d4g8f6'),
    (FCode: 'C41'; FName: 'Philidor: Improved Hanham variation'; FMoves: 'e2e4e7e5g1f3d7d6d2d4g8f6b1c3b8d7'),
    (FCode: 'C41'; FName: 'Philidor: Nimzovich, Sozin variation'; FMoves: 'e2e4e7e5g1f3d7d6d2d4g8f6b1c3b8d7f1c4f8e7e1g1e8g8d1e2c7c6a2a4e5d4'),
    (FCode: 'C41'; FName: 'Philidor: Nimzovich, Larobok variation'; FMoves: 'e2e4e7e5g1f3d7d6d2d4g8f6b1c3b8d7f1c4f8e7f3g5e8g8c4f7'),
    (FCode: 'C41'; FName: 'Philidor: Nimzovich variation'; FMoves: 'e2e4e7e5g1f3d7d6d2d4g8f6d4e5'),
    (FCode: 'C41'; FName: 'Philidor: Nimzovich, Sokolsky variation'; FMoves: 'e2e4e7e5g1f3d7d6d2d4g8f6d4e5f6e4b1d2'),
    (FCode: 'C41'; FName: 'Philidor: Nimzovich, Rellstab variation'; FMoves: 'e2e4e7e5g1f3d7d6d2d4g8f6d4e5f6e4d1d5'),
    (FCode: 'C41'; FName: 'Philidor: Nimzovich, Locock variation'; FMoves: 'e2e4e7e5g1f3d7d6d2d4g8f6f3g5'),
    (FCode: 'C41'; FName: 'Philidor: Nimzovich, Klein variation'; FMoves: 'e2e4e7e5g1f3d7d6d2d4g8f6f1c4'),
    (FCode: 'C41'; FName: 'Philidor: Hanham variation'; FMoves: 'e2e4e7e5g1f3d7d6d2d4b8d7'),
    (FCode: 'C41'; FName: 'Philidor: Hanham, Krause variation'; FMoves: 'e2e4e7e5g1f3d7d6d2d4b8d7f1c4c7c6e1g1'),
    (FCode: 'C41'; FName: 'Philidor: Hanham, Steiner variation'; FMoves: 'e2e4e7e5g1f3d7d6d2d4b8d7f1c4c7c6e1g1f8e7d4e5'),
    (FCode: 'C41'; FName: 'Philidor: Hanham, Kmoch variation'; FMoves: 'e2e4e7e5g1f3d7d6d2d4b8d7f1c4c7c6f3g5'),
    (FCode: 'C41'; FName: 'Philidor: Hanham, Berger variation'; FMoves: 'e2e4e7e5g1f3d7d6d2d4b8d7f1c4c7c6f3g5g8h6f2f4f8e7e1g1e8g8c2c3d6d5'),
    (FCode: 'C41'; FName: 'Philidor: Hanham, Schlechter variation'; FMoves: 'e2e4e7e5g1f3d7d6d2d4b8d7f1c4c7c6b1c3'),
    (FCode: 'C41'; FName: 'Philidor: Hanham, Delmar variation'; FMoves: 'e2e4e7e5g1f3d7d6d2d4b8d7f1c4c7c6c2c3'),
    (FCode: 'C42'; FName: 'Petrov''s defence'; FMoves: 'e2e4e7e5g1f3g8f6'),
    (FCode: 'C42'; FName: 'Petrov: French attack'; FMoves: 'e2e4e7e5g1f3g8f6f3e5d7d6e5f3f6e4d2d3'),
    (FCode: 'C42'; FName: 'Petrov: Kaufmann attack'; FMoves: 'e2e4e7e5g1f3g8f6f3e5d7d6e5f3f6e4c2c4'),
    (FCode: 'C42'; FName: 'Petrov: Nimzovich attack'; FMoves: 'e2e4e7e5g1f3g8f6f3e5d7d6e5f3f6e4b1c3'),
    (FCode: 'C42'; FName: 'Petrov: Cozio (Lasker) attack'; FMoves: 'e2e4e7e5g1f3g8f6f3e5d7d6e5f3f6e4d1e2'),
    (FCode: 'C42'; FName: 'Petrov: classical attack'; FMoves: 'e2e4e7e5g1f3g8f6f3e5d7d6e5f3f6e4d2d4'),
    (FCode: 'C42'; FName: 'Petrov: classical attack, Chigorin variation'; FMoves: 'e2e4e7e5g1f3g8f6f3e5d7d6e5f3f6e4d2d4d6d5f1d3f8e7e1g1b8c6f1e1'),
    (FCode: 'C42'; FName: 'Petrov: classical attack, Berger variation'; FMoves: 'e2e4e7e5g1f3g8f6f3e5d7d6e5f3f6e4d2d4d6d5f1d3f8e7e1g1b8c6f1e1c8g4c2c3f7f5b1d2'),
    (FCode: 'C42'; FName: 'Petrov: classical attack, Krause variation'; FMoves: 'e2e4e7e5g1f3g8f6f3e5d7d6e5f3f6e4d2d4d6d5f1d3f8e7e1g1b8c6f1e1c8g4c2c3f7f5c3c4'),
    (FCode: 'C42'; FName: 'Petrov: classical attack, Maroczy variation'; FMoves: 'e2e4e7e5g1f3g8f6f3e5d7d6e5f3f6e4d2d4d6d5f1d3f8e7e1g1b8c6f1e1c8g4c2c3f7f5c3c4e7h4'),
    (FCode: 'C42'; FName: 'Petrov: classical attack, Jaenisch variation'; FMoves: 'e2e4e7e5g1f3g8f6f3e5d7d6e5f3f6e4d2d4d6d5f1d3f8e7e1g1b8c6c2c4'),
    (FCode: 'C42'; FName: 'Petrov: classical attack, Mason variation'; FMoves: 'e2e4e7e5g1f3g8f6f3e5d7d6e5f3f6e4d2d4d6d5f1d3f8e7e1g1e8g8'),
    (FCode: 'C42'; FName: 'Petrov: classical attack, Marshall variation'; FMoves: 'e2e4e7e5g1f3g8f6f3e5d7d6e5f3f6e4d2d4d6d5f1d3f8d6'),
    (FCode: 'C42'; FName: 'Petrov: classical attack, Tarrasch variation'; FMoves: 'e2e4e7e5g1f3g8f6f3e5d7d6e5f3f6e4d2d4d6d5f1d3f8d6e1g1e8g8c2c4c8g4'),
    (FCode: 'C42'; FName: 'Petrov: classical attack, Marshall trap'; FMoves: 'e2e4e7e5g1f3g8f6f3e5d7d6e5f3f6e4d2d4d6d5f1d3f8d6e1g1e8g8c2c4c8g4c4d5f7f5f1e1d6h2'),
    (FCode: 'C42'; FName: 'Petrov: classical attack, close variation'; FMoves: 'e2e4e7e5g1f3g8f6f3e5d7d6e5f3f6e4d2d4e4f6'),
    (FCode: 'C42'; FName: 'Petrov: Cochrane gambit'; FMoves: 'e2e4e7e5g1f3g8f6f3e5d7d6e5f7'),
    (FCode: 'C42'; FName: 'Petrov: Paulsen attack'; FMoves: 'e2e4e7e5g1f3g8f6f3e5d7d6e5c4'),
    (FCode: 'C42'; FName: 'Petrov: Damiano variation'; FMoves: 'e2e4e7e5g1f3g8f6f3e5f6e4'),
    (FCode: 'C42'; FName: 'Petrov three knights game'; FMoves: 'e2e4e7e5g1f3g8f6b1c3'),
    (FCode: 'C42'; FName: 'Petrov: Italian variation'; FMoves: 'e2e4e7e5g1f3g8f6f1c4'),
    (FCode: 'C43'; FName: 'Petrov: modern (Steinitz) attack'; FMoves: 'e2e4e7e5g1f3g8f6d2d4'),
    (FCode: 'C43'; FName: 'Petrov: modern attack, main line'; FMoves: 'e2e4e7e5g1f3g8f6d2d4e5d4e4e5f6e4d1d4'),
    (FCode: 'C43'; FName: 'Petrov: modern attack, Steinitz variation'; FMoves: 'e2e4e7e5g1f3g8f6d2d4e5d4e4e5f6e4d1e2'),
    (FCode: 'C43'; FName: 'Petrov: modern attack, Bardeleben variation'; FMoves: 'e2e4e7e5g1f3g8f6d2d4e5d4e4e5f6e4d1e2e4c5f3d4b8c6'),
    (FCode: 'C43'; FName: 'Petrov: Urusov gambit'; FMoves: 'e2e4e7e5g1f3g8f6d2d4e5d4f1c4'),
    (FCode: 'C43'; FName: 'Petrov: modern attack, Symmetrical variation'; FMoves: 'e2e4e7e5g1f3g8f6d2d4f6e4'),
    (FCode: 'C43'; FName: 'Petrov: modern attack, Trifunovic variation'; FMoves: 'e2e4e7e5g1f3g8f6d2d4f6e4f1d3d7d5f3e5f8d6e1g1e8g8c2c4d6e5'),
    (FCode: 'C44'; FName: 'King''s pawn game'; FMoves: 'e2e4e7e5g1f3b8c6'),
    (FCode: 'C44'; FName: 'Irish (Chicago) gambit'; FMoves: 'e2e4e7e5g1f3b8c6f3e5c6e5d2d4'),
    (FCode: 'C44'; FName: 'Konstantinopolsky opening'; FMoves: 'e2e4e7e5g1f3b8c6g2g3'),
    (FCode: 'C44'; FName: 'Dresden opening'; FMoves: 'e2e4e7e5g1f3b8c6c2c4'),
    (FCode: 'C44'; FName: 'Inverted Hungarian'; FMoves: 'e2e4e7e5g1f3b8c6f1e2'),
    (FCode: 'C44'; FName: 'Inverted Hanham'; FMoves: 'e2e4e7e5g1f3b8c6f1e2g8f6d2d3d7d5b1d2'),
    (FCode: 'C44'; FName: 'Tayler opening'; FMoves: 'e2e4e7e5g1f3b8c6f1e2g8f6d2d4'),
    (FCode: 'C44'; FName: 'Ponziani opening'; FMoves: 'e2e4e7e5g1f3b8c6c2c3'),
    (FCode: 'C44'; FName: 'Ponziani: Caro variation'; FMoves: 'e2e4e7e5g1f3b8c6c2c3d7d5d1a4c8d7'),
    (FCode: 'C44'; FName: 'Ponziani: Leonhardt variation'; FMoves: 'e2e4e7e5g1f3b8c6c2c3d7d5d1a4g8f6'),
    (FCode: 'C44'; FName: 'Ponziani: Steinitz variation'; FMoves: 'e2e4e7e5g1f3b8c6c2c3d7d5d1a4f7f6'),
    (FCode: 'C44'; FName: 'Ponziani: Jaenisch counter-attack'; FMoves: 'e2e4e7e5g1f3b8c6c2c3g8f6'),
    (FCode: 'C44'; FName: 'Ponziani: Fraser defence'; FMoves: 'e2e4e7e5g1f3b8c6c2c3g8f6d2d4f6e4d4d5f8c5'),
    (FCode: 'C44'; FName: 'Ponziani: Reti variation'; FMoves: 'e2e4e7e5g1f3b8c6c2c3g8e7'),
    (FCode: 'C44'; FName: 'Ponziani: Romanishin variation'; FMoves: 'e2e4e7e5g1f3b8c6c2c3f8e7'),
    (FCode: 'C44'; FName: 'Ponziani counter-gambit'; FMoves: 'e2e4e7e5g1f3b8c6c2c3f7f5'),
    (FCode: 'C44'; FName: 'Ponziani counter-gambit, Schmidt attack'; FMoves: 'e2e4e7e5g1f3b8c6c2c3f7f5d2d4d7d6d4d5'),
    (FCode: 'C44'; FName: 'Ponziani counter-gambit, Cordel variation'; FMoves: 'e2e4e7e5g1f3b8c6c2c3f7f5d2d4d7d6d4d5f5e4f3g5c6b8g5e4g8f6f1d3f8e7'),
    (FCode: 'C44'; FName: 'Scotch opening'; FMoves: 'e2e4e7e5g1f3b8c6d2d4'),
    (FCode: 'C44'; FName: 'Scotch: Lolli variation'; FMoves: 'e2e4e7e5g1f3b8c6d2d4c6d4'),
    (FCode: 'C44'; FName: 'Scotch: Cochrane variation'; FMoves: 'e2e4e7e5g1f3b8c6d2d4c6d4f3e5d4e6f1c4c7c6e1g1g8f6e5f7'),
    (FCode: 'C44'; FName: 'Scotch: Relfsson gambit (''MacLopez'')'; FMoves: 'e2e4e7e5g1f3b8c6d2d4e5d4f1b5'),
    (FCode: 'C44'; FName: 'Scotch: Goering gambit'; FMoves: 'e2e4e7e5g1f3b8c6d2d4e5d4c2c3'),
    (FCode: 'C44'; FName: 'Scotch: Sea-cadet mate'; FMoves: 'e2e4e7e5g1f3b8c6d2d4e5d4c2c3d4c3b1c3d7d6f1c4c8g4e1g1c6e5f3e5g4d1c4f7e8e7c3d5'),
    (FCode: 'C44'; FName: 'Scotch: Goering gambit'; FMoves: 'e2e4e7e5g1f3b8c6d2d4e5d4c2c3d4c3b1c3f8b4'),
    (FCode: 'C44'; FName: 'Scotch: Goering gambit, Bardeleben variation'; FMoves: 'e2e4e7e5g1f3b8c6d2d4e5d4c2c3d4c3b1c3f8b4f1c4g8f6'),
    (FCode: 'C44'; FName: 'Scotch gambit'; FMoves: 'e2e4e7e5g1f3b8c6d2d4e5d4f1c4'),
    (FCode: 'C44'; FName: 'Scotch gambit: Anderssen (Paulsen, Suhle) counter-attack'; FMoves: 'e2e4e7e5g1f3b8c6d2d4e5d4f1c4f8c5e1g1d7d6c2c3c8g4'),
    (FCode: 'C44'; FName: 'Scotch gambit'; FMoves: 'e2e4e7e5g1f3b8c6d2d4e5d4f1c4f8c5f3g5'),
    (FCode: 'C44'; FName: 'Scotch gambit: Cochrane-Shumov defence'; FMoves: 'e2e4e7e5g1f3b8c6d2d4e5d4f1c4f8c5f3g5g8h6g5f7h6f7c4f7e8f7d1h5g7g6h5c5d7d5'),
    (FCode: 'C44'; FName: 'Scotch gambit: Vitzhum attack'; FMoves: 'e2e4e7e5g1f3b8c6d2d4e5d4f1c4f8c5f3g5g8h6d1h5'),
    (FCode: 'C44'; FName: 'Scotch gambit'; FMoves: 'e2e4e7e5g1f3b8c6d2d4e5d4f1c4f8b4'),
    (FCode: 'C44'; FName: 'Scotch gambit: Hanneken variation'; FMoves: 'e2e4e7e5g1f3b8c6d2d4e5d4f1c4f8b4c2c3d4c3e1g1c3b2c1b2g8f6f3g5e8g8e4e5c6e5'),
    (FCode: 'C44'; FName: 'Scotch gambit'; FMoves: 'e2e4e7e5g1f3b8c6d2d4e5d4f1c4f8b4c2c3d4c3b2c3'),
    (FCode: 'C44'; FName: 'Scotch gambit: Cochrane variation'; FMoves: 'e2e4e7e5g1f3b8c6d2d4e5d4f1c4f8b4c2c3d4c3b2c3b4a5e4e5'),
    (FCode: 'C44'; FName: 'Scotch gambit: Benima defence'; FMoves: 'e2e4e7e5g1f3b8c6d2d4e5d4f1c4f8e7'),
    (FCode: 'C44'; FName: 'Scotch gambit: Dubois-Reti defence'; FMoves: 'e2e4e7e5g1f3b8c6d2d4e5d4f1c4g8f6'),
    (FCode: 'C45'; FName: 'Scotch game'; FMoves: 'e2e4e7e5g1f3b8c6d2d4e5d4f3d4'),
    (FCode: 'C45'; FName: 'Scotch: Ghulam Kassim variation'; FMoves: 'e2e4e7e5g1f3b8c6d2d4e5d4f3d4c6d4d1d4d7d6f1d3'),
    (FCode: 'C45'; FName: 'Scotch: Pulling counter-attack'; FMoves: 'e2e4e7e5g1f3b8c6d2d4e5d4f3d4d8h4'),
    (FCode: 'C45'; FName: 'Scotch: Horwitz attack'; FMoves: 'e2e4e7e5g1f3b8c6d2d4e5d4f3d4d8h4d4b5'),
    (FCode: 'C45'; FName: 'Scotch: Berger variation'; FMoves: 'e2e4e7e5g1f3b8c6d2d4e5d4f3d4d8h4d4b5f8b4b1d2h4e4f1e2e4g2e2f3g2h3b5c7e8d8c7a8g8f6a2a3'),
    (FCode: 'C45'; FName: 'Scotch game'; FMoves: 'e2e4e7e5g1f3b8c6d2d4e5d4f3d4d8h4d4b5f8b4c1d2'),
    (FCode: 'C45'; FName: 'Scotch: Rosenthal variation'; FMoves: 'e2e4e7e5g1f3b8c6d2d4e5d4f3d4d8h4d4b5f8b4c1d2h4e4f1e2e8d8e1g1b4d2b1d2e4g6'),
    (FCode: 'C45'; FName: 'Scotch: Fraser attack'; FMoves: 'e2e4e7e5g1f3b8c6d2d4e5d4f3d4d8h4d4f3'),
    (FCode: 'C45'; FName: 'Scotch: Steinitz variation'; FMoves: 'e2e4e7e5g1f3b8c6d2d4e5d4f3d4d8h4b1c3'),
    (FCode: 'C45'; FName: 'Scotch: Schmidt variation'; FMoves: 'e2e4e7e5g1f3b8c6d2d4e5d4f3d4g8f6'),
    (FCode: 'C45'; FName: 'Scotch: Mieses variation'; FMoves: 'e2e4e7e5g1f3b8c6d2d4e5d4f3d4g8f6d4c6b7c6e4e5'),
    (FCode: 'C45'; FName: 'Scotch: Tartakower variation'; FMoves: 'e2e4e7e5g1f3b8c6d2d4e5d4f3d4g8f6d4c6b7c6b1d2'),
    (FCode: 'C45'; FName: 'Scotch game'; FMoves: 'e2e4e7e5g1f3b8c6d2d4e5d4f3d4f8c5'),
    (FCode: 'C45'; FName: 'Scotch: Blackburne attack'; FMoves: 'e2e4e7e5g1f3b8c6d2d4e5d4f3d4f8c5c1e3d8f6c2c3g8e7d1d2'),
    (FCode: 'C45'; FName: 'Scotch: Gottschall variation'; FMoves: 'e2e4e7e5g1f3b8c6d2d4e5d4f3d4f8c5c1e3d8f6c2c3g8e7d1d2d7d5d4b5c5e3d2e3e8g8b5c7a8b8c7d5e7d5e4d5c6b4'),
    (FCode: 'C45'; FName: 'Scotch: Paulsen attack'; FMoves: 'e2e4e7e5g1f3b8c6d2d4e5d4f3d4f8c5c1e3d8f6c2c3g8e7f1b5'),
    (FCode: 'C45'; FName: 'Scotch: Paulsen, Gunsberg defence'; FMoves: 'e2e4e7e5g1f3b8c6d2d4e5d4f3d4f8c5c1e3d8f6c2c3g8e7f1b5c6d8'),
    (FCode: 'C45'; FName: 'Scotch: Meitner variation'; FMoves: 'e2e4e7e5g1f3b8c6d2d4e5d4f3d4f8c5c1e3d8f6c2c3g8e7d4c2'),
    (FCode: 'C45'; FName: 'Scotch: Blumenfeld attack'; FMoves: 'e2e4e7e5g1f3b8c6d2d4e5d4f3d4f8c5c1e3d8f6d4b5'),
    (FCode: 'C45'; FName: 'Scotch: Potter variation'; FMoves: 'e2e4e7e5g1f3b8c6d2d4e5d4f3d4f8c5d4b3'),
    (FCode: 'C45'; FName: 'Scotch: Romanishin variation'; FMoves: 'e2e4e7e5g1f3b8c6d2d4e5d4f3d4f8c5d4b3c5b4'),
    (FCode: 'C46'; FName: 'Three knights game'; FMoves: 'e2e4e7e5g1f3b8c6b1c3'),
    (FCode: 'C46'; FName: 'Three knights: Schlechter variation'; FMoves: 'e2e4e7e5g1f3b8c6b1c3f8b4c3d5g8f6'),
    (FCode: 'C46'; FName: 'Three knights: Winawer defence (Gothic defence)'; FMoves: 'e2e4e7e5g1f3b8c6b1c3f7f5'),
    (FCode: 'C46'; FName: 'Three knights: Steinitz variation'; FMoves: 'e2e4e7e5g1f3b8c6b1c3g7g6'),
    (FCode: 'C46'; FName: 'Three knights: Steinitz, Rosenthal variation'; FMoves: 'e2e4e7e5g1f3b8c6b1c3g7g6d2d4e5d4c3d5'),
    (FCode: 'C46'; FName: 'Four knights game'; FMoves: 'e2e4e7e5g1f3b8c6b1c3g8f6'),
    (FCode: 'C46'; FName: 'Four knights: Schultze-Mueller gambit'; FMoves: 'e2e4e7e5g1f3b8c6b1c3g8f6f3e5'),
    (FCode: 'C46'; FName: 'Four knights: Italian variation'; FMoves: 'e2e4e7e5g1f3b8c6b1c3g8f6f1c4'),
    (FCode: 'C46'; FName: 'Four knights: Gunsberg variation'; FMoves: 'e2e4e7e5g1f3b8c6b1c3g8f6a2a3'),
    (FCode: 'C47'; FName: 'Four knights: Scotch variation'; FMoves: 'e2e4e7e5g1f3b8c6b1c3g8f6d2d4'),
    (FCode: 'C47'; FName: 'Four knights: Scotch, Krause variation'; FMoves: 'e2e4e7e5g1f3b8c6b1c3g8f6d2d4f8b4f3e5'),
    (FCode: 'C47'; FName: 'Four knights: Scotch, 4...exd4'; FMoves: 'e2e4e7e5g1f3b8c6b1c3g8f6d2d4e5d4'),
    (FCode: 'C47'; FName: 'Four knights: Belgrade gambit'; FMoves: 'e2e4e7e5g1f3b8c6b1c3g8f6d2d4e5d4c3d5'),
    (FCode: 'C48'; FName: 'Four knights: Spanish variation'; FMoves: 'e2e4e7e5g1f3b8c6b1c3g8f6f1b5'),
    (FCode: 'C48'; FName: 'Four knights: Ranken variation'; FMoves: 'e2e4e7e5g1f3b8c6b1c3g8f6f1b5a7a6b5c6'),
    (FCode: 'C48'; FName: 'Four knights: Spielmann variation'; FMoves: 'e2e4e7e5g1f3b8c6b1c3g8f6f1b5a7a6b5c6d7c6f3e5f6e4c3e4d8d4e1g1d4e5f1e1c8e6d2d4e5d5'),
    (FCode: 'C48'; FName: 'Four knights: Spanish, classical defence'; FMoves: 'e2e4e7e5g1f3b8c6b1c3g8f6f1b5f8c5'),
    (FCode: 'C48'; FName: 'Four knights: Bardeleben variation'; FMoves: 'e2e4e7e5g1f3b8c6b1c3g8f6f1b5f8c5e1g1e8g8f3e5c6e5d2d4c5d6f2f4e5c6e4e5d6b4'),
    (FCode: 'C48'; FName: 'Four knights: Marshall variation'; FMoves: 'e2e4e7e5g1f3b8c6b1c3g8f6f1b5f8c5e1g1e8g8f3e5c6d4'),
    (FCode: 'C48'; FName: 'Four knights: Rubinstein counter-gambit'; FMoves: 'e2e4e7e5g1f3b8c6b1c3g8f6f1b5c6d4'),
    (FCode: 'C48'; FName: 'Four knights: Rubinstein counter-gambit, Bogolyubov variation'; FMoves: 'e2e4e7e5g1f3b8c6b1c3g8f6f1b5c6d4f3e5d8e7f2f4'),
    (FCode: 'C48'; FName: 'Four knights: Rubinstein counter-gambit, 5.Be2'; FMoves: 'e2e4e7e5g1f3b8c6b1c3g8f6f1b5c6d4b5e2'),
    (FCode: 'C48'; FName: 'Four knights: Rubinstein counter-gambit Maroczy variation'; FMoves: 'e2e4e7e5g1f3b8c6b1c3g8f6f1b5c6d4b5e2d4f3e2f3f8c5e1g1e8g8d2d3d7d6c3a4c5b6'),
    (FCode: 'C48'; FName: 'Four knights: Rubinstein counter-gambit, exchange variation'; FMoves: 'e2e4e7e5g1f3b8c6b1c3g8f6f1b5c6d4f3d4'),
    (FCode: 'C48'; FName: 'Four knights: Rubinstein counter-gambit, Henneberger variation'; FMoves: 'e2e4e7e5g1f3b8c6b1c3g8f6f1b5c6d4e1g1'),
    (FCode: 'C49'; FName: 'Four knights: double Ruy Lopez'; FMoves: 'e2e4e7e5g1f3b8c6b1c3g8f6f1b5f8b4'),
    (FCode: 'C49'; FName: 'Four knights: Gunsberg counter-attack'; FMoves: 'e2e4e7e5g1f3b8c6b1c3g8f6f1b5f8b4e1g1e8g8c3d5f6d5e4d5e5e4'),
    (FCode: 'C49'; FName: 'Four knights: double Ruy Lopez'; FMoves: 'e2e4e7e5g1f3b8c6b1c3g8f6f1b5f8b4e1g1e8g8d2d3'),
    (FCode: 'C49'; FName: 'Four knights: Alatortsev variation'; FMoves: 'e2e4e7e5g1f3b8c6b1c3g8f6f1b5f8b4e1g1e8g8d2d3d8e7c3e2d7d5'),
    (FCode: 'C49'; FName: 'Four knights'; FMoves: 'e2e4e7e5g1f3b8c6b1c3g8f6f1b5f8b4e1g1e8g8d2d3b4c3'),
    (FCode: 'C49'; FName: 'Four knights: Janowski variation'; FMoves: 'e2e4e7e5g1f3b8c6b1c3g8f6f1b5f8b4e1g1e8g8d2d3b4c3b2c3d7d6f1e1'),
    (FCode: 'C49'; FName: 'Four knights: Svenonius variation'; FMoves: 'e2e4e7e5g1f3b8c6b1c3g8f6f1b5f8b4e1g1e8g8d2d3b4c3b2c3d7d5'),
    (FCode: 'C49'; FName: 'Four knights: symmetrical variation'; FMoves: 'e2e4e7e5g1f3b8c6b1c3g8f6f1b5f8b4e1g1e8g8d2d3d7d6'),
    (FCode: 'C49'; FName: 'Four knights: symmetrical, Metger unpin'; FMoves: 'e2e4e7e5g1f3b8c6b1c3g8f6f1b5f8b4e1g1e8g8d2d3d7d6c1g5b4c3b2c3d8e7'),
    (FCode: 'C49'; FName: 'Four knights: symmetrical, Capablanca variation'; FMoves: 'e2e4e7e5g1f3b8c6b1c3g8f6f1b5f8b4e1g1e8g8d2d3d7d6c1g5b4c3b2c3d8e7f1e1c6d8d3d4c8g4'),
    (FCode: 'C49'; FName: 'Four knights: symmetrical, Pillsbury variation'; FMoves: 'e2e4e7e5g1f3b8c6b1c3g8f6f1b5f8b4e1g1e8g8d2d3d7d6c1g5c6e7'),
    (FCode: 'C49'; FName: 'Four knights: symmetrical, Blake variation'; FMoves: 'e2e4e7e5g1f3b8c6b1c3g8f6f1b5f8b4e1g1e8g8d2d3d7d6c1g5c6e7f3h4c7c6b5c4d6d5c4b3d8d6'),
    (FCode: 'C49'; FName: 'Four knights: symmetrical, Tarrasch variation'; FMoves: 'e2e4e7e5g1f3b8c6b1c3g8f6f1b5f8b4e1g1e8g8d2d3d7d6c1g5c8e6'),
    (FCode: 'C49'; FName: 'Four knights: symmetrical, Maroczy system'; FMoves: 'e2e4e7e5g1f3b8c6b1c3g8f6f1b5f8b4e1g1e8g8d2d3d7d6c3e2'),
    (FCode: 'C49'; FName: 'Four knights: Nimzovich (Paulsen) variation'; FMoves: 'e2e4e7e5g1f3b8c6b1c3g8f6f1b5f8b4e1g1e8g8b5c6'),
    (FCode: 'C50'; FName: 'King''s pawn game'; FMoves: 'e2e4e7e5g1f3b8c6f1c4'),
    (FCode: 'C50'; FName: 'Blackburne shilling gambit'; FMoves: 'e2e4e7e5g1f3b8c6f1c4c6d4f3e5d8g5e5f7g5g2h1f1g2e4c4e2d4f3'),
    (FCode: 'C50'; FName: 'Rousseau gambit'; FMoves: 'e2e4e7e5g1f3b8c6f1c4f7f5'),
    (FCode: 'C50'; FName: 'Hungarian defence'; FMoves: 'e2e4e7e5g1f3b8c6f1c4f8e7'),
    (FCode: 'C50'; FName: 'Hungarian defence: Tartakower variation'; FMoves: 'e2e4e7e5g1f3b8c6f1c4f8e7d2d4e5d4c2c3g8f6e4e5f6e4'),
    (FCode: 'C50'; FName: 'Giuoco Piano'; FMoves: 'e2e4e7e5g1f3b8c6f1c4f8c5'),
    (FCode: 'C50'; FName: 'Giuoco Piano: four knights variation'; FMoves: 'e2e4e7e5g1f3b8c6f1c4f8c5b1c3g8f6'),
    (FCode: 'C50'; FName: 'Giuoco Piano: Jerome gambit'; FMoves: 'e2e4e7e5g1f3b8c6f1c4f8c5c4f7'),
    (FCode: 'C50'; FName: 'Giuoco Pianissimo'; FMoves: 'e2e4e7e5g1f3b8c6f1c4f8c5d2d3'),
    (FCode: 'C50'; FName: 'Giuoco Pianissimo: Dubois variation'; FMoves: 'e2e4e7e5g1f3b8c6f1c4f8c5d2d3f7f5f3g5f5f4'),
    (FCode: 'C50'; FName: 'Giuoco Pianissimo'; FMoves: 'e2e4e7e5g1f3b8c6f1c4f8c5d2d3g8f6'),
    (FCode: 'C50'; FName: 'Giuoco Pianissimo: Italian four knights variation'; FMoves: 'e2e4e7e5g1f3b8c6f1c4f8c5d2d3g8f6b1c3'),
    (FCode: 'C50'; FName: 'Giuoco Pianissimo: Canal variation'; FMoves: 'e2e4e7e5g1f3b8c6f1c4f8c5d2d3g8f6b1c3d7d6c1g5'),
    (FCode: 'C51'; FName: 'Evans gambit declined'; FMoves: 'e2e4e7e5g1f3b8c6f1c4f8c5b2b4'),
    (FCode: 'C51'; FName: 'Evans gambit declined, Lange variation'; FMoves: 'e2e4e7e5g1f3b8c6f1c4f8c5b2b4c5b6b4b5c6a5f3e5g8h6'),
    (FCode: 'C51'; FName: 'Evans gambit declined, Pavlov variation'; FMoves: 'e2e4e7e5g1f3b8c6f1c4f8c5b2b4c5b6b4b5c6a5f3e5g8h6d2d4d7d6c1h6d6e5h6g7h8g8c4f7e8f7g7e5d8g5b1d2'),
    (FCode: 'C51'; FName: 'Evans gambit declined, Hirschbach variation'; FMoves: 'e2e4e7e5g1f3b8c6f1c4f8c5b2b4c5b6b4b5c6a5f3e5d8g5'),
    (FCode: 'C51'; FName: 'Evans gambit declined, Vasquez variation'; FMoves: 'e2e4e7e5g1f3b8c6f1c4f8c5b2b4c5b6b4b5c6a5f3e5d8g5c4f7e8e7d1h5'),
    (FCode: 'C51'; FName: 'Evans gambit declined, Hicken variation'; FMoves: 'e2e4e7e5g1f3b8c6f1c4f8c5b2b4c5b6b4b5c6a5f3e5d8g5d1f3g5e5f3f7e8d8c1b2'),
    (FCode: 'C51'; FName: 'Evans gambit declined, 5.a4'; FMoves: 'e2e4e7e5g1f3b8c6f1c4f8c5b2b4c5b6a2a4'),
    (FCode: 'C51'; FName: 'Evans gambit declined, Showalter variation'; FMoves: 'e2e4e7e5g1f3b8c6f1c4f8c5b2b4c5b6a2a4a7a6b1c3'),
    (FCode: 'C51'; FName: 'Evans gambit declined, Cordel variation'; FMoves: 'e2e4e7e5g1f3b8c6f1c4f8c5b2b4c5b6c1b2'),
    (FCode: 'C51'; FName: 'Evans counter-gambit'; FMoves: 'e2e4e7e5g1f3b8c6f1c4f8c5b2b4d7d5'),
    (FCode: 'C51'; FName: 'Evans gambit'; FMoves: 'e2e4e7e5g1f3b8c6f1c4f8c5b2b4c5b4'),
    (FCode: 'C51'; FName: 'Evans gambit: normal variation'; FMoves: 'e2e4e7e5g1f3b8c6f1c4f8c5b2b4c5b4c2c3b4c5d2d4e5d4e1g1d7d6c3d4c5b6'),
    (FCode: 'C51'; FName: 'Evans gambit: Ulvestad variation'; FMoves: 'e2e4e7e5g1f3b8c6f1c4f8c5b2b4c5b4c2c3b4c5d2d4e5d4e1g1d7d6c3d4c5b6d4d5c6a5c1b2'),
    (FCode: 'C51'; FName: 'Evans gambit: Paulsen variation'; FMoves: 'e2e4e7e5g1f3b8c6f1c4f8c5b2b4c5b4c2c3b4c5d2d4e5d4e1g1d7d6c3d4c5b6d4d5c6a5c1b2g8e7'),
    (FCode: 'C51'; FName: 'Evans gambit: Morphy attack'; FMoves: 'e2e4e7e5g1f3b8c6f1c4f8c5b2b4c5b4c2c3b4c5d2d4e5d4e1g1d7d6c3d4c5b6b1c3'),
    (FCode: 'C51'; FName: 'Evans gambit: Goering attack'; FMoves: 'e2e4e7e5g1f3b8c6f1c4f8c5b2b4c5b4c2c3b4c5d2d4e5d4e1g1d7d6c3d4c5b6b1c3c6a5c1g5'),
    (FCode: 'C51'; FName: 'Evans gambit: Steinitz variation'; FMoves: 'e2e4e7e5g1f3b8c6f1c4f8c5b2b4c5b4c2c3b4c5d2d4e5d4e1g1d7d6c3d4c5b6b1c3c6a5c1g5f7f6g5e3'),
    (FCode: 'C51'; FName: 'Evans gambit'; FMoves: 'e2e4e7e5g1f3b8c6f1c4f8c5b2b4c5b4c2c3b4c5d2d4e5d4e1g1d7d6c3d4c5b6b1c3c8g4'),
    (FCode: 'C51'; FName: 'Evans gambit: Fraser attack'; FMoves: 'e2e4e7e5g1f3b8c6f1c4f8c5b2b4c5b4c2c3b4c5d2d4e5d4e1g1d7d6c3d4c5b6b1c3c8g4d1a4'),
    (FCode: 'C51'; FName: 'Evans gambit: Fraser-Mortimer attack'; FMoves: 'e2e4e7e5g1f3b8c6f1c4f8c5b2b4c5b4c2c3b4c5d2d4e5d4e1g1d7d6c3d4c5b6b1c3c8g4d1a4g4d7a4b3c6a5c4f7e8f8b3c2'),
    (FCode: 'C51'; FName: 'Evans gambit: Stone-Ware variation'; FMoves: 'e2e4e7e5g1f3b8c6f1c4f8c5b2b4c5b4c2c3b4d6'),
    (FCode: 'C51'; FName: 'Evans gambit: Mayet defence'; FMoves: 'e2e4e7e5g1f3b8c6f1c4f8c5b2b4c5b4c2c3b4f8'),
    (FCode: 'C51'; FName: 'Evans gambit: 5...Be7'; FMoves: 'e2e4e7e5g1f3b8c6f1c4f8c5b2b4c5b4c2c3b4e7'),
    (FCode: 'C51'; FName: 'Evans gambit: Cordel variation'; FMoves: 'e2e4e7e5g1f3b8c6f1c4f8c5b2b4c5b4c2c3b4e7d2d4c6a5'),
    (FCode: 'C52'; FName: 'Evans gambit'; FMoves: 'e2e4e7e5g1f3b8c6f1c4f8c5b2b4c5b4c2c3b4a5'),
    (FCode: 'C52'; FName: 'Evans gambit: compromised defence'; FMoves: 'e2e4e7e5g1f3b8c6f1c4f8c5b2b4c5b4c2c3b4a5d2d4e5d4e1g1d4c3'),
    (FCode: 'C52'; FName: 'Evans gambit: compromised defence, Paulsen variation'; FMoves: 'e2e4e7e5g1f3b8c6f1c4f8c5b2b4c5b4c2c3b4a5d2d4e5d4e1g1d4c3d1b3d8f6e4e5f6g6b1c3g8e7c1a3'),
    (FCode: 'C52'; FName: 'Evans gambit: compromised defence, Potter variation'; FMoves: 'e2e4e7e5g1f3b8c6f1c4f8c5b2b4c5b4c2c3b4a5d2d4e5d4e1g1d4c3d1b3d8f6e4e5f6g6b1c3g8e7f1d1'),
    (FCode: 'C52'; FName: 'Evans gambit: Leonhardt variation'; FMoves: 'e2e4e7e5g1f3b8c6f1c4f8c5b2b4c5b4c2c3b4a5d2d4b7b5'),
    (FCode: 'C52'; FName: 'Evans gambit'; FMoves: 'e2e4e7e5g1f3b8c6f1c4f8c5b2b4c5b4c2c3b4a5d2d4d7d6'),
    (FCode: 'C52'; FName: 'Evans gambit: Tartakower attack'; FMoves: 'e2e4e7e5g1f3b8c6f1c4f8c5b2b4c5b4c2c3b4a5d2d4d7d6d1b3'),
    (FCode: 'C52'; FName: 'Evans gambit: Levenfish variation'; FMoves: 'e2e4e7e5g1f3b8c6f1c4f8c5b2b4c5b4c2c3b4a5d2d4d7d6d1b3d8d7d4e5d6e5e1g1a5b6c1a3c6a5f3e5'),
    (FCode: 'C52'; FName: 'Evans gambit: Sokolsky variation'; FMoves: 'e2e4e7e5g1f3b8c6f1c4f8c5b2b4c5b4c2c3b4a5d2d4d7d6c1g5'),
    (FCode: 'C52'; FName: 'Evans gambit'; FMoves: 'e2e4e7e5g1f3b8c6f1c4f8c5b2b4c5b4c2c3b4a5e1g1'),
    (FCode: 'C52'; FName: 'Evans gambit: Richardson attack'; FMoves: 'e2e4e7e5g1f3b8c6f1c4f8c5b2b4c5b4c2c3b4a5e1g1g8f6d2d4e8g8f3e5'),
    (FCode: 'C52'; FName: 'Evans gambit'; FMoves: 'e2e4e7e5g1f3b8c6f1c4f8c5b2b4c5b4c2c3b4a5e1g1d7d6'),
    (FCode: 'C52'; FName: 'Evans gambit: Waller attack'; FMoves: 'e2e4e7e5g1f3b8c6f1c4f8c5b2b4c5b4c2c3b4a5e1g1d7d6d2d4e5d4d1b3'),
    (FCode: 'C52'; FName: 'Evans gambit: Lasker defence'; FMoves: 'e2e4e7e5g1f3b8c6f1c4f8c5b2b4c5b4c2c3b4a5e1g1d7d6d2d4a5b6'),
    (FCode: 'C52'; FName: 'Evans gambit: Sanders-Alapin variation'; FMoves: 'e2e4e7e5g1f3b8c6f1c4f8c5b2b4c5b4c2c3b4a5e1g1d7d6d2d4c8d7'),
    (FCode: 'C52'; FName: 'Evans gambit: Alapin-Steinitz variation'; FMoves: 'e2e4e7e5g1f3b8c6f1c4f8c5b2b4c5b4c2c3b4a5e1g1d7d6d2d4c8g4'),
    (FCode: 'C53'; FName: 'Giuoco Piano'; FMoves: 'e2e4e7e5g1f3b8c6f1c4f8c5c2c3'),
    (FCode: 'C53'; FName: 'Giuoco Piano: LaBourdonnais variation'; FMoves: 'e2e4e7e5g1f3b8c6f1c4f8c5c2c3d7d6d2d4e5d4c3d4c5b6'),
    (FCode: 'C53'; FName: 'Giuoco Piano: close variation'; FMoves: 'e2e4e7e5g1f3b8c6f1c4f8c5c2c3d8e7'),
    (FCode: 'C53'; FName: 'Giuoco Piano: centre-holding variation'; FMoves: 'e2e4e7e5g1f3b8c6f1c4f8c5c2c3d8e7d2d4c5b6'),
    (FCode: 'C53'; FName: 'Giuoco Piano: Tarrasch variation'; FMoves: 'e2e4e7e5g1f3b8c6f1c4f8c5c2c3d8e7d2d4c5b6e1g1g8f6a2a4a7a6f1e1d7d6h2h3'),
    (FCode: 'C53'; FName: 'Giuoco Piano: Mestel variation'; FMoves: 'e2e4e7e5g1f3b8c6f1c4f8c5c2c3d8e7d2d4c5b6c1g5'),
    (FCode: 'C53'; FName: 'Giuoco Piano: Eisinger variation'; FMoves: 'e2e4e7e5g1f3b8c6f1c4f8c5c2c3d8e7d2d4c5b6d4d5c6b8d5d6'),
    (FCode: 'C53'; FName: 'Giuoco Piano'; FMoves: 'e2e4e7e5g1f3b8c6f1c4f8c5c2c3g8f6'),
    (FCode: 'C53'; FName: 'Giuoco Piano: Bird''s attack'; FMoves: 'e2e4e7e5g1f3b8c6f1c4f8c5c2c3g8f6b2b4'),
    (FCode: 'C53'; FName: 'Giuoco Piano'; FMoves: 'e2e4e7e5g1f3b8c6f1c4f8c5c2c3g8f6d2d4'),
    (FCode: 'C53'; FName: 'Giuoco Piano: Ghulam Kassim variation'; FMoves: 'e2e4e7e5g1f3b8c6f1c4f8c5c2c3g8f6d2d4e5d4e4e5f6e4c4d5e4f2e1f2d4c3f2g3'),
    (FCode: 'C53'; FName: 'Giuoco Piano'; FMoves: 'e2e4e7e5g1f3b8c6f1c4f8c5c2c3g8f6d2d4e5d4e4e5d7d5'),
    (FCode: 'C53'; FName: 'Giuoco Piano: Anderssen variation'; FMoves: 'e2e4e7e5g1f3b8c6f1c4f8c5c2c3g8f6d2d4e5d4e4e5d7d5c4b5f6e4c3d4c5b4'),
    (FCode: 'C54'; FName: 'Giuoco Piano'; FMoves: 'e2e4e7e5g1f3b8c6f1c4f8c5c2c3g8f6d2d4e5d4c3d4'),
    (FCode: 'C54'; FName: 'Giuoco Piano: Krause variation'; FMoves: 'e2e4e7e5g1f3b8c6f1c4f8c5c2c3g8f6d2d4e5d4c3d4c5b4c1d2f6e4d2b4c6b4c4f7e8f7d1b3d7d5f3e5f7f6f2f3'),
    (FCode: 'C54'; FName: 'Giuoco Piano: Cracow variation'; FMoves: 'e2e4e7e5g1f3b8c6f1c4f8c5c2c3g8f6d2d4e5d4c3d4c5b4e1f1'),
    (FCode: 'C54'; FName: 'Giuoco Piano: Greco''s attack'; FMoves: 'e2e4e7e5g1f3b8c6f1c4f8c5c2c3g8f6d2d4e5d4c3d4c5b4b1c3'),
    (FCode: 'C54'; FName: 'Giuoco Piano: Greco variation'; FMoves: 'e2e4e7e5g1f3b8c6f1c4f8c5c2c3g8f6d2d4e5d4c3d4c5b4b1c3f6e4e1g1e4c3'),
    (FCode: 'C54'; FName: 'Giuoco Piano: Bernstein variation'; FMoves: 'e2e4e7e5g1f3b8c6f1c4f8c5c2c3g8f6d2d4e5d4c3d4c5b4b1c3f6e4e1g1e4c3b2c3b4c3d1b3d7d5'),
    (FCode: 'C54'; FName: 'Giuoco Piano: Aitken variation'; FMoves: 'e2e4e7e5g1f3b8c6f1c4f8c5c2c3g8f6d2d4e5d4c3d4c5b4b1c3f6e4e1g1e4c3b2c3b4c3c1a3'),
    (FCode: 'C54'; FName: 'Giuoco Piano'; FMoves: 'e2e4e7e5g1f3b8c6f1c4f8c5c2c3g8f6d2d4e5d4c3d4c5b4b1c3f6e4e1g1b4c3'),
    (FCode: 'C54'; FName: 'Giuoco Piano: Steinitz variation'; FMoves: 'e2e4e7e5g1f3b8c6f1c4f8c5c2c3g8f6d2d4e5d4c3d4c5b4b1c3f6e4e1g1b4c3b2c3d7d5c1a3'),
    (FCode: 'C54'; FName: 'Giuoco Piano: Moeller (Therkatz) attack'; FMoves: 'e2e4e7e5g1f3b8c6f1c4f8c5c2c3g8f6d2d4e5d4c3d4c5b4b1c3f6e4e1g1b4c3d4d5'),
    (FCode: 'C54'; FName: 'Giuoco Piano: Therkatz-Herzog variation'; FMoves: 'e2e4e7e5g1f3b8c6f1c4f8c5c2c3g8f6d2d4e5d4c3d4c5b4b1c3f6e4e1g1b4c3d4d5c3f6f1e1c6e7e1e4d7d6c1g5f6g5f3g5e8g8g5h7'),
    (FCode: 'C54'; FName: 'Giuoco Piano: Moeller, bayonet attack'; FMoves: 'e2e4e7e5g1f3b8c6f1c4f8c5c2c3g8f6d2d4e5d4c3d4c5b4b1c3f6e4e1g1b4c3d4d5c3f6f1e1c6e7e1e4d7d6g2g4'),
    (FCode: 'C55'; FName: 'Two knights defence'; FMoves: 'e2e4e7e5g1f3b8c6f1c4g8f6'),
    (FCode: 'C55'; FName: 'Giuoco piano: Rosentreter variation'; FMoves: 'e2e4e7e5g1f3b8c6f1c4g8f6e1g1f8c5d2d4c5d4f3d4c6d4c1g5h7h6g5h4g7g5f2f4'),
    (FCode: 'C55'; FName: 'Giuoco piano'; FMoves: 'e2e4e7e5g1f3b8c6f1c4g8f6e1g1f8c5d2d4c5d4f3d4c6d4c1g5d7d6'),
    (FCode: 'C55'; FName: 'Giuoco piano: Holzhausen attack'; FMoves: 'e2e4e7e5g1f3b8c6f1c4g8f6e1g1f8c5d2d4c5d4f3d4c6d4c1g5d7d6f2f4d8e7f4e5d6e5b1c3'),
    (FCode: 'C55'; FName: 'Two knights defence (Modern bishop''s opening)'; FMoves: 'e2e4e7e5g1f3b8c6f1c4g8f6d2d3'),
    (FCode: 'C55'; FName: 'Two knights defence'; FMoves: 'e2e4e7e5g1f3b8c6f1c4g8f6d2d4'),
    (FCode: 'C55'; FName: 'Two knights defence, Keidanz variation'; FMoves: 'e2e4e7e5g1f3b8c6f1c4g8f6d2d4e5d4e4e5d7d5c4b5f6e4f3d4f8c5d4c6c5f2e1f1d8h4'),
    (FCode: 'C55'; FName: 'Two knights defence, Perreux variation'; FMoves: 'e2e4e7e5g1f3b8c6f1c4g8f6d2d4e5d4f3g5'),
    (FCode: 'C55'; FName: 'Two knights defence'; FMoves: 'e2e4e7e5g1f3b8c6f1c4g8f6d2d4e5d4e1g1'),
    (FCode: 'C56'; FName: 'Two knights defence'; FMoves: 'e2e4e7e5g1f3b8c6f1c4g8f6d2d4e5d4e1g1f6e4'),
    (FCode: 'C57'; FName: 'Two knights defence'; FMoves: 'e2e4e7e5g1f3b8c6f1c4g8f6f3g5'),
    (FCode: 'C58'; FName: 'Two knights defence'; FMoves: 'e2e4e7e5g1f3b8c6f1c4g8f6f3g5d7d5e4d5c6a5c4b5'),
    (FCode: 'C58'; FName: 'Two knights defence'; FMoves: 'e2e4e7e5g1f3b8c6f1c4g8f6f3g5d7d5e4d5c6a5c4b5c7c6d5c6b7c6b5e2'),
    (FCode: 'C59'; FName: 'Two knights defence'; FMoves: 'e2e4e7e5g1f3b8c6f1c4g8f6f3g5d7d5e4d5c6a5c4b5c7c6d5c6b7c6b5e2h7h6'),
    (FCode: 'C60'; FName: 'Ruy Lopez (Spanish opening)'; FMoves: 'e2e4e7e5g1f3b8c6f1b5'),
    (FCode: 'C60'; FName: 'Ruy Lopez: Nuernberg variation'; FMoves: 'e2e4e7e5g1f3b8c6f1b5f7f6'),
    (FCode: 'C60'; FName: 'Ruy Lopez: Pollock defence'; FMoves: 'e2e4e7e5g1f3b8c6f1b5c6a5'),
    (FCode: 'C60'; FName: 'Ruy Lopez: Lucena defence'; FMoves: 'e2e4e7e5g1f3b8c6f1b5f8e7'),
    (FCode: 'C60'; FName: 'Ruy Lopez: Vinogradov variation'; FMoves: 'e2e4e7e5g1f3b8c6f1b5d8e7'),
    (FCode: 'C60'; FName: 'Ruy Lopez: Brentano defence'; FMoves: 'e2e4e7e5g1f3b8c6f1b5g7g5'),
    (FCode: 'C60'; FName: 'Ruy Lopez: fianchetto (Smyslov/Barnes) defence'; FMoves: 'e2e4e7e5g1f3b8c6f1b5g7g6'),
    (FCode: 'C60'; FName: 'Ruy Lopez: Cozio defence'; FMoves: 'e2e4e7e5g1f3b8c6f1b5g8e7'),
    (FCode: 'C60'; FName: 'Ruy Lopez: Cozio defence, Paulsen variation'; FMoves: 'e2e4e7e5g1f3b8c6f1b5g8e7b1c3g7g6'),
    (FCode: 'C61'; FName: 'Ruy Lopez: Bird''s defence'; FMoves: 'e2e4e7e5g1f3b8c6f1b5c6d4'),
    (FCode: 'C61'; FName: 'Ruy Lopez: Bird''s defence, Paulsen variation'; FMoves: 'e2e4e7e5g1f3b8c6f1b5c6d4f3d4e5d4e1g1g8e7'),
    (FCode: 'C62'; FName: 'Ruy Lopez: old Steinitz defence'; FMoves: 'e2e4e7e5g1f3b8c6f1b5d7d6'),
    (FCode: 'C62'; FName: 'Ruy Lopez: old Steinitz defence, Nimzovich attack'; FMoves: 'e2e4e7e5g1f3b8c6f1b5d7d6d2d4c8d7b1c3g8f6b5c6'),
    (FCode: 'C62'; FName: 'Ruy Lopez: old Steinitz defence, semi-Duras variation'; FMoves: 'e2e4e7e5g1f3b8c6f1b5d7d6d2d4c8d7c2c4'),
    (FCode: 'C63'; FName: 'Ruy Lopez: Schliemann defence'; FMoves: 'e2e4e7e5g1f3b8c6f1b5f7f5'),
    (FCode: 'C63'; FName: 'Ruy Lopez: Schliemann defence, Berger variation'; FMoves: 'e2e4e7e5g1f3b8c6f1b5f7f5b1c3'),
    (FCode: 'C64'; FName: 'Ruy Lopez: classical (Cordel) defence'; FMoves: 'e2e4e7e5g1f3b8c6f1b5f8c5'),
    (FCode: 'C64'; FName: 'Ruy Lopez: classical defence, Zaitsev variation'; FMoves: 'e2e4e7e5g1f3b8c6f1b5f8c5e1g1c6d4b2b4'),
    (FCode: 'C64'; FName: 'Ruy Lopez: classical defence, 4.c3'; FMoves: 'e2e4e7e5g1f3b8c6f1b5f8c5c2c3'),
    (FCode: 'C64'; FName: 'Ruy Lopez: classical defence, Benelux variation  '; FMoves: 'e2e4e7e5g1f3b8c6f1b5f8c5c2c3g8f6e1g1e8g8d2d4c5b6'),
    (FCode: 'C64'; FName: 'Ruy Lopez: classical defence, Charousek variation'; FMoves: 'e2e4e7e5g1f3b8c6f1b5f8c5c2c3c5b6'),
    (FCode: 'C64'; FName: 'Ruy Lopez: classical defence, Boden variation'; FMoves: 'e2e4e7e5g1f3b8c6f1b5f8c5c2c3d8e7'),
    (FCode: 'C64'; FName: 'Ruy Lopez: Cordel gambit'; FMoves: 'e2e4e7e5g1f3b8c6f1b5f8c5c2c3f7f5'),
    (FCode: 'C65'; FName: 'Ruy Lopez: Berlin defence'; FMoves: 'e2e4e7e5g1f3b8c6f1b5g8f6'),
    (FCode: 'C65'; FName: 'Ruy Lopez: Berlin defence, Nyholm attack'; FMoves: 'e2e4e7e5g1f3b8c6f1b5g8f6d2d4e5d4e1g1'),
    (FCode: 'C65'; FName: 'Ruy Lopez: Berlin defence, Mortimer variation'; FMoves: 'e2e4e7e5g1f3b8c6f1b5g8f6d2d3c6e7'),
    (FCode: 'C65'; FName: 'Ruy Lopez: Berlin defence, Mortimer trap'; FMoves: 'e2e4e7e5g1f3b8c6f1b5g8f6d2d3c6e7f3e5c7c6'),
    (FCode: 'C65'; FName: 'Ruy Lopez: Berlin defence, Anderssen variation'; FMoves: 'e2e4e7e5g1f3b8c6f1b5g8f6d2d3d7d6b5c6'),
    (FCode: 'C65'; FName: 'Ruy Lopez: Berlin defence, Duras variation'; FMoves: 'e2e4e7e5g1f3b8c6f1b5g8f6d2d3d7d6c2c4'),
    (FCode: 'C65'; FName: 'Ruy Lopez: Berlin defence, Kaufmann variation'; FMoves: 'e2e4e7e5g1f3b8c6f1b5g8f6d2d3f8c5c1e3'),
    (FCode: 'C65'; FName: 'Ruy Lopez: Berlin defence, 4.O-O'; FMoves: 'e2e4e7e5g1f3b8c6f1b5g8f6e1g1'),
    (FCode: 'C65'; FName: 'Ruy Lopez: Berlin defence, Beverwijk variation'; FMoves: 'e2e4e7e5g1f3b8c6f1b5g8f6e1g1f8c5'),
    (FCode: 'C66'; FName: 'Ruy Lopez: Berlin defence, 4.O-O, d6'; FMoves: 'e2e4e7e5g1f3b8c6f1b5g8f6e1g1d7d6'),
    (FCode: 'C66'; FName: 'Ruy Lopez: Berlin defence, hedgehog variation'; FMoves: 'e2e4e7e5g1f3b8c6f1b5g8f6e1g1d7d6d2d4c8d7b1c3f8e7'),
    (FCode: 'C66'; FName: 'Ruy Lopez: Berlin defence, Tarrasch trap'; FMoves: 'e2e4e7e5g1f3b8c6f1b5g8f6e1g1d7d6d2d4c8d7b1c3f8e7f1e1e8g8'),
    (FCode: 'C66'; FName: 'Ruy Lopez: closed Berlin defence, Bernstein variation'; FMoves: 'e2e4e7e5g1f3b8c6f1b5g8f6e1g1d7d6d2d4c8d7b1c3f8e7c1g5'),
    (FCode: 'C66'; FName: 'Ruy Lopez: closed Berlin defence, Showalter variation'; FMoves: 'e2e4e7e5g1f3b8c6f1b5g8f6e1g1d7d6d2d4c8d7b1c3f8e7b5c6'),
    (FCode: 'C66'; FName: 'Ruy Lopez: closed Berlin defence, Wolf variation'; FMoves: 'e2e4e7e5g1f3b8c6f1b5g8f6e1g1d7d6d2d4c8d7b1c3e5d4'),
    (FCode: 'C66'; FName: 'Ruy Lopez: closed Berlin defence, Chigorin variation'; FMoves: 'e2e4e7e5g1f3b8c6f1b5g8f6e1g1d7d6d2d4f6d7'),
    (FCode: 'C67'; FName: 'Ruy Lopez: Berlin defence, open variation'; FMoves: 'e2e4e7e5g1f3b8c6f1b5g8f6e1g1f6e4'),
    (FCode: 'C67'; FName: 'Ruy Lopez: open Berlin defence, l''Hermet variation'; FMoves: 'e2e4e7e5g1f3b8c6f1b5g8f6e1g1f6e4d2d4e4d6d4e5'),
    (FCode: 'C67'; FName: 'Ruy Lopez: open Berlin defence, Showalter variation'; FMoves: 'e2e4e7e5g1f3b8c6f1b5g8f6e1g1f6e4d2d4e4d6b5a4'),
    (FCode: 'C67'; FName: 'Ruy Lopez: open Berlin defence, 5...Be7'; FMoves: 'e2e4e7e5g1f3b8c6f1b5g8f6e1g1f6e4d2d4f8e7'),
    (FCode: 'C67'; FName: 'Ruy Lopez: Berlin defence, Rio de Janeiro variation'; FMoves: 'e2e4e7e5g1f3b8c6f1b5g8f6e1g1f6e4d2d4f8e7d1e2e4d6b5c6b7c6d4e5d6b7b1c3e8g8f1e1b7c5f3d4c5e6c1e3e6d4e3d4c6c5'),
    (FCode: 'C67'; FName: 'Ruy Lopez: Berlin defence, Zukertort variation'; FMoves: 'e2e4e7e5g1f3b8c6f1b5g8f6e1g1f6e4d2d4f8e7d1e2e4d6b5c6b7c6d4e5d6b7c2c4'),
    (FCode: 'C67'; FName: 'Ruy Lopez: Berlin defence, Pillsbury variation'; FMoves: 'e2e4e7e5g1f3b8c6f1b5g8f6e1g1f6e4d2d4f8e7d1e2e4d6b5c6b7c6d4e5d6b7b2b3'),
    (FCode: 'C67'; FName: 'Ruy Lopez: Berlin defence, Winawer attack'; FMoves: 'e2e4e7e5g1f3b8c6f1b5g8f6e1g1f6e4d2d4f8e7d1e2e4d6b5c6b7c6d4e5d6b7f3d4'),
    (FCode: 'C67'; FName: 'Ruy Lopez: Berlin defence, Cordel variation'; FMoves: 'e2e4e7e5g1f3b8c6f1b5g8f6e1g1f6e4d2d4f8e7d1e2e4d6b5c6b7c6d4e5d6f5'),
    (FCode: 'C67'; FName: 'Ruy Lopez: Berlin defence, Trifunovic variation'; FMoves: 'e2e4e7e5g1f3b8c6f1b5g8f6e1g1f6e4d2d4f8e7d1e2d7d5'),
    (FCode: 'C67'; FName: 'Ruy Lopez: Berlin defence, Minckwitz variation'; FMoves: 'e2e4e7e5g1f3b8c6f1b5g8f6e1g1f6e4d2d4f8e7d4e5'),
    (FCode: 'C67'; FName: 'Ruy Lopez: Berlin defence, Rosenthal variation'; FMoves: 'e2e4e7e5g1f3b8c6f1b5g8f6e1g1f6e4d2d4a7a6'),
    (FCode: 'C68'; FName: 'Ruy Lopez: exchange variation'; FMoves: 'e2e4e7e5g1f3b8c6f1b5a7a6b5c6'),
    (FCode: 'C68'; FName: 'Ruy Lopez: exchange, Alekhine variation'; FMoves: 'e2e4e7e5g1f3b8c6f1b5a7a6b5c6d7c6d2d4e5d4d1d4d8d4f3d4c8d7'),
    (FCode: 'C68'; FName: 'Ruy Lopez: exchange, Keres variation'; FMoves: 'e2e4e7e5g1f3b8c6f1b5a7a6b5c6d7c6b1c3'),
    (FCode: 'C68'; FName: 'Ruy Lopez: exchange, Romanovsky variation'; FMoves: 'e2e4e7e5g1f3b8c6f1b5a7a6b5c6d7c6b1c3f7f6d2d3'),
    (FCode: 'C69'; FName: 'Ruy Lopez: exchange variation, 5.O-O'; FMoves: 'e2e4e7e5g1f3b8c6f1b5a7a6b5c6d7c6e1g1'),
    (FCode: 'C69'; FName: 'Ruy Lopez: exchange variation, Alapin gambit'; FMoves: 'e2e4e7e5g1f3b8c6f1b5a7a6b5c6d7c6e1g1c8g4h2h3h7h5'),
    (FCode: 'C69'; FName: 'Ruy Lopez: exchange, Gligoric variation'; FMoves: 'e2e4e7e5g1f3b8c6f1b5a7a6b5c6d7c6e1g1f7f6'),
    (FCode: 'C69'; FName: 'Ruy Lopez: exchange, Bronstein variation'; FMoves: 'e2e4e7e5g1f3b8c6f1b5a7a6b5c6d7c6e1g1d8d6'),
    (FCode: 'C70'; FName: 'Ruy Lopez'; FMoves: 'e2e4e7e5g1f3b8c6f1b5a7a6b5a4'),
    (FCode: 'C70'; FName: 'Ruy Lopez: fianchetto defence deferred'; FMoves: 'e2e4e7e5g1f3b8c6f1b5a7a6b5a4g7g6'),
    (FCode: 'C70'; FName: 'Ruy Lopez: Cozio defence deferred'; FMoves: 'e2e4e7e5g1f3b8c6f1b5a7a6b5a4g8e7'),
    (FCode: 'C70'; FName: 'Ruy Lopez: Bird''s defence deferred'; FMoves: 'e2e4e7e5g1f3b8c6f1b5a7a6b5a4c6d4'),
    (FCode: 'C70'; FName: 'Ruy Lopez: Alapin''s defence deferred'; FMoves: 'e2e4e7e5g1f3b8c6f1b5a7a6b5a4f8b4'),
    (FCode: 'C70'; FName: 'Ruy Lopez: Classical defence deferred'; FMoves: 'e2e4e7e5g1f3b8c6f1b5a7a6b5a4f8c5'),
    (FCode: 'C70'; FName: 'Ruy Lopez: Caro variation'; FMoves: 'e2e4e7e5g1f3b8c6f1b5a7a6b5a4b7b5'),
    (FCode: 'C70'; FName: 'Ruy Lopez: Graz variation'; FMoves: 'e2e4e7e5g1f3b8c6f1b5a7a6b5a4b7b5a4b3f8c5'),
    (FCode: 'C70'; FName: 'Ruy Lopez: Taimanov (chase/wing/accelerated counterthrust) variation'; FMoves: 'e2e4e7e5g1f3b8c6f1b5a7a6b5a4b7b5a4b3c6a5'),
    (FCode: 'C70'; FName: 'Ruy Lopez: Schliemann defence deferred'; FMoves: 'e2e4e7e5g1f3b8c6f1b5a7a6b5a4f7f5'),
    (FCode: 'C71'; FName: 'Ruy Lopez: modern Steinitz defence'; FMoves: 'e2e4e7e5g1f3b8c6f1b5a7a6b5a4d7d6'),
    (FCode: 'C71'; FName: 'Ruy Lopez: Noah''s ark trap'; FMoves: 'e2e4e7e5g1f3b8c6f1b5a7a6b5a4d7d6d2d4b7b5a4b3c6d4f3d4e5d4d1d4c7c5'),
    (FCode: 'C71'; FName: 'Ruy Lopez: modern Steinitz defence, Three knights variation'; FMoves: 'e2e4e7e5g1f3b8c6f1b5a7a6b5a4d7d6b1c3'),
    (FCode: 'C71'; FName: 'Ruy Lopez: modern Steinitz defence, Duras (Keres) variation'; FMoves: 'e2e4e7e5g1f3b8c6f1b5a7a6b5a4d7d6c2c4'),
    (FCode: 'C72'; FName: 'Ruy Lopez: modern Steinitz defence, 5.O-O'; FMoves: 'e2e4e7e5g1f3b8c6f1b5a7a6b5a4d7d6e1g1'),
    (FCode: 'C73'; FName: 'Ruy Lopez: modern Steinitz defence, Richter variation'; FMoves: 'e2e4e7e5g1f3b8c6f1b5a7a6b5a4d7d6a4c6b7c6d2d4'),
    (FCode: 'C73'; FName: 'Ruy Lopez: modern Steinitz defence, Alapin variation'; FMoves: 'e2e4e7e5g1f3b8c6f1b5a7a6b5a4d7d6a4c6b7c6d2d4f7f6'),
    (FCode: 'C74'; FName: 'Ruy Lopez: modern Steinitz defence'; FMoves: 'e2e4e7e5g1f3b8c6f1b5a7a6b5a4d7d6c2c3'),
    (FCode: 'C74'; FName: 'Ruy Lopez: modern Steinitz defence, siesta variation'; FMoves: 'e2e4e7e5g1f3b8c6f1b5a7a6b5a4d7d6c2c3f7f5'),
    (FCode: 'C74'; FName: 'Ruy Lopez: Siesta, Kopayev variation'; FMoves: 'e2e4e7e5g1f3b8c6f1b5a7a6b5a4d7d6c2c3f7f5e4f5c8f5e1g1'),
    (FCode: 'C75'; FName: 'Ruy Lopez: modern Steinitz defence'; FMoves: 'e2e4e7e5g1f3b8c6f1b5a7a6b5a4d7d6c2c3c8d7'),
    (FCode: 'C75'; FName: 'Ruy Lopez: modern Steinitz defence, Rubinstein variation'; FMoves: 'e2e4e7e5g1f3b8c6f1b5a7a6b5a4d7d6c2c3c8d7d2d4g8e7'),
    (FCode: 'C76'; FName: 'Ruy Lopez: modern Steinitz defence, fianchetto (Bronstein) variation'; FMoves: 'e2e4e7e5g1f3b8c6f1b5a7a6b5a4d7d6c2c3c8d7d2d4g7g6'),
    (FCode: 'C77'; FName: 'Ruy Lopez: Morphy defence'; FMoves: 'e2e4e7e5g1f3b8c6f1b5a7a6b5a4g8f6'),
    (FCode: 'C77'; FName: 'Ruy Lopez: four knights (Tarrasch) variation'; FMoves: 'e2e4e7e5g1f3b8c6f1b5a7a6b5a4g8f6b1c3'),
    (FCode: 'C77'; FName: 'Ruy Lopez: Treybal (Bayreuth) variation (exchange var. deferred)'; FMoves: 'e2e4e7e5g1f3b8c6f1b5a7a6b5a4g8f6a4c6'),
    (FCode: 'C77'; FName: 'Ruy Lopez: Wormald (Alapin) attack'; FMoves: 'e2e4e7e5g1f3b8c6f1b5a7a6b5a4g8f6d1e2'),
    (FCode: 'C77'; FName: 'Ruy Lopez: Wormald attack, Gruenfeld variation'; FMoves: 'e2e4e7e5g1f3b8c6f1b5a7a6b5a4g8f6d1e2b7b5a4b3f8e7d2d4d7d6c2c3c8g4'),
    (FCode: 'C77'; FName: 'Ruy Lopez: Anderssen variation'; FMoves: 'e2e4e7e5g1f3b8c6f1b5a7a6b5a4g8f6d2d3'),
    (FCode: 'C77'; FName: 'Ruy Lopez: Morphy defence, Duras variation'; FMoves: 'e2e4e7e5g1f3b8c6f1b5a7a6b5a4g8f6d2d3d7d6c2c4'),
    (FCode: 'C78'; FName: 'Ruy Lopez: 5.O-O'; FMoves: 'e2e4e7e5g1f3b8c6f1b5a7a6b5a4g8f6e1g1'),
    (FCode: 'C78'; FName: 'Ruy Lopez: Wing attack'; FMoves: 'e2e4e7e5g1f3b8c6f1b5a7a6b5a4g8f6e1g1b7b5a4b3f8e7a2a4'),
    (FCode: 'C78'; FName: 'Ruy Lopez: Rabinovich variation'; FMoves: 'e2e4e7e5g1f3b8c6f1b5a7a6b5a4g8f6e1g1b7b5a4b3d7d6f3g5d6d5e4d5c6d4f1e1f8c5e1e5e8f8'),
    (FCode: 'C78'; FName: 'Ruy Lopez: Archangelsk (counterthrust) variation'; FMoves: 'e2e4e7e5g1f3b8c6f1b5a7a6b5a4g8f6e1g1b7b5a4b3c8b7'),
    (FCode: 'C78'; FName: 'Ruy Lopez: Moeller defence'; FMoves: 'e2e4e7e5g1f3b8c6f1b5a7a6b5a4g8f6e1g1f8c5'),
    (FCode: 'C79'; FName: 'Ruy Lopez: Steinitz defence deferred (Russian defence)'; FMoves: 'e2e4e7e5g1f3b8c6f1b5a7a6b5a4g8f6e1g1d7d6'),
    (FCode: 'C79'; FName: 'Ruy Lopez: Steinitz defence deferred, Lipnitsky variation'; FMoves: 'e2e4e7e5g1f3b8c6f1b5a7a6b5a4g8f6e1g1d7d6a4c6b7c6d2d4c8g4'),
    (FCode: 'C79'; FName: 'Ruy Lopez: Steinitz defence deferred, Rubinstein variation'; FMoves: 'e2e4e7e5g1f3b8c6f1b5a7a6b5a4g8f6e1g1d7d6a4c6b7c6d2d4f6e4'),
    (FCode: 'C79'; FName: 'Ruy Lopez: Steinitz defence deferred, Boleslavsky variation'; FMoves: 'e2e4e7e5g1f3b8c6f1b5a7a6b5a4g8f6e1g1d7d6a4c6b7c6d2d4f6e4f1e1f7f5d4e5d6d5b1c3'),
    (FCode: 'C80'; FName: 'Ruy Lopez: open (Tarrasch) defence'; FMoves: 'e2e4e7e5g1f3b8c6f1b5a7a6b5a4g8f6e1g1f6e4'),
    (FCode: 'C80'; FName: 'Ruy Lopez: open, Tartakower variation'; FMoves: 'e2e4e7e5g1f3b8c6f1b5a7a6b5a4g8f6e1g1f6e4d1e2'),
    (FCode: 'C80'; FName: 'Ruy Lopez: open, Knorre variation'; FMoves: 'e2e4e7e5g1f3b8c6f1b5a7a6b5a4g8f6e1g1f6e4b1c3'),
    (FCode: 'C80'; FName: 'Ruy Lopez: open, 6.d4'; FMoves: 'e2e4e7e5g1f3b8c6f1b5a7a6b5a4g8f6e1g1f6e4d2d4'),
    (FCode: 'C80'; FName: 'Ruy Lopez: open, Riga variation'; FMoves: 'e2e4e7e5g1f3b8c6f1b5a7a6b5a4g8f6e1g1f6e4d2d4e5d4'),
    (FCode: 'C80'; FName: 'Ruy Lopez: open, 6.d4 b5'; FMoves: 'e2e4e7e5g1f3b8c6f1b5a7a6b5a4g8f6e1g1f6e4d2d4b7b5'),
    (FCode: 'C80'; FName: 'Ruy Lopez: open, Friess attack'; FMoves: 'e2e4e7e5g1f3b8c6f1b5a7a6b5a4g8f6e1g1f6e4d2d4b7b5f3e5'),
    (FCode: 'C80'; FName: 'Ruy Lopez: open, Richter variation'; FMoves: 'e2e4e7e5g1f3b8c6f1b5a7a6b5a4g8f6e1g1f6e4d2d4b7b5d4d5'),
    (FCode: 'C80'; FName: 'Ruy Lopez: open, 7.Bb3'; FMoves: 'e2e4e7e5g1f3b8c6f1b5a7a6b5a4g8f6e1g1f6e4d2d4b7b5a4b3'),
    (FCode: 'C80'; FName: 'Ruy Lopez: open, Schlechter defence'; FMoves: 'e2e4e7e5g1f3b8c6f1b5a7a6b5a4g8f6e1g1f6e4d2d4b7b5a4b3d7d5a2a4c6d4'),
    (FCode: 'C80'; FName: 'Ruy Lopez: open, Berger variation'; FMoves: 'e2e4e7e5g1f3b8c6f1b5a7a6b5a4g8f6e1g1f6e4d2d4b7b5a4b3d7d5a2a4c6d4f3d4e5d4b1c3'),
    (FCode: 'C80'; FName: 'Ruy Lopez: open, Harksen gambit'; FMoves: 'e2e4e7e5g1f3b8c6f1b5a7a6b5a4g8f6e1g1f6e4d2d4b7b5a4b3d7d5c2c4'),
    (FCode: 'C80'; FName: 'Ruy Lopez: open, 8.de'; FMoves: 'e2e4e7e5g1f3b8c6f1b5a7a6b5a4g8f6e1g1f6e4d2d4b7b5a4b3d7d5d4e5'),
    (FCode: 'C80'; FName: 'Ruy Lopez: open, Zukertort variation'; FMoves: 'e2e4e7e5g1f3b8c6f1b5a7a6b5a4g8f6e1g1f6e4d2d4b7b5a4b3d7d5d4e5c6e7'),
    (FCode: 'C80'; FName: 'Ruy Lopez: open, 8...Be6'; FMoves: 'e2e4e7e5g1f3b8c6f1b5a7a6b5a4g8f6e1g1f6e4d2d4b7b5a4b3d7d5d4e5c8e6'),
    (FCode: 'C80'; FName: 'Ruy Lopez: open, Bernstein variation'; FMoves: 'e2e4e7e5g1f3b8c6f1b5a7a6b5a4g8f6e1g1f6e4d2d4b7b5a4b3d7d5d4e5c8e6b1d2'),
    (FCode: 'C80'; FName: 'Ruy Lopez: open, Bernstein variation, Karpov gambit'; FMoves: 'e2e4e7e5g1f3b8c6f1b5a7a6b5a4g8f6e1g1f6e4d2d4b7b5a4b3d7d5d4e5c8e6b1d2e4c5c2c3d5d4f3g5'),
    (FCode: 'C81'; FName: 'Ruy Lopez: open, Howell attack'; FMoves: 'e2e4e7e5g1f3b8c6f1b5a7a6b5a4g8f6e1g1f6e4d2d4b7b5a4b3d7d5d4e5c8e6d1e2'),
    (FCode: 'C81'; FName: 'Ruy Lopez: open, Howell attack, Ekstroem variation'; FMoves: 'e2e4e7e5g1f3b8c6f1b5a7a6b5a4g8f6e1g1f6e4d2d4b7b5a4b3d7d5d4e5c8e6d1e2f8e7f1d1e8g8c2c4b5c4b3c4d8d7'),
    (FCode: 'C81'; FName: 'Ruy Lopez: open, Howell attack, Adam variation'; FMoves: 'e2e4e7e5g1f3b8c6f1b5a7a6b5a4g8f6e1g1f6e4d2d4b7b5a4b3d7d5d4e5c8e6d1e2f8e7c2c4'),
    (FCode: 'C82'; FName: 'Ruy Lopez: open, 9.c3'; FMoves: 'e2e4e7e5g1f3b8c6f1b5a7a6b5a4g8f6e1g1f6e4d2d4b7b5a4b3d7d5d4e5c8e6c2c3'),
    (FCode: 'C82'; FName: 'Ruy Lopez: open, Berlin variation'; FMoves: 'e2e4e7e5g1f3b8c6f1b5a7a6b5a4g8f6e1g1f6e4d2d4b7b5a4b3d7d5d4e5c8e6c2c3e4c5'),
    (FCode: 'C82'; FName: 'Ruy Lopez: open, Italian variation'; FMoves: 'e2e4e7e5g1f3b8c6f1b5a7a6b5a4g8f6e1g1f6e4d2d4b7b5a4b3d7d5d4e5c8e6c2c3f8c5'),
    (FCode: 'C82'; FName: 'Ruy Lopez: open, St. Petersburg variation'; FMoves: 'e2e4e7e5g1f3b8c6f1b5a7a6b5a4g8f6e1g1f6e4d2d4b7b5a4b3d7d5d4e5c8e6c2c3f8c5b1d2'),
    (FCode: 'C82'; FName: 'Ruy Lopez: open, Dilworth variation'; FMoves: 'e2e4e7e5g1f3b8c6f1b5a7a6b5a4g8f6e1g1f6e4d2d4b7b5a4b3d7d5d4e5c8e6c2c3f8c5b1d2e8g8b3c2e4f2'),
    (FCode: 'C82'; FName: 'Ruy Lopez: open, Motzko attack'; FMoves: 'e2e4e7e5g1f3b8c6f1b5a7a6b5a4g8f6e1g1f6e4d2d4b7b5a4b3d7d5d4e5c8e6c2c3f8c5d1d3'),
    (FCode: 'C82'; FName: 'Ruy Lopez: open, Motzko attack, Nenarokov variation'; FMoves: 'e2e4e7e5g1f3b8c6f1b5a7a6b5a4g8f6e1g1f6e4d2d4b7b5a4b3d7d5d4e5c8e6c2c3f8c5d1d3c6e7'),
    (FCode: 'C83'; FName: 'Ruy Lopez: open, classical defence'; FMoves: 'e2e4e7e5g1f3b8c6f1b5a7a6b5a4g8f6e1g1f6e4d2d4b7b5a4b3d7d5d4e5c8e6c2c3f8e7'),
    (FCode: 'C83'; FName: 'Ruy Lopez: open, Malkin variation'; FMoves: 'e2e4e7e5g1f3b8c6f1b5a7a6b5a4g8f6e1g1f6e4d2d4b7b5a4b3d7d5d4e5c8e6c2c3f8e7b1d2e8g8d1e2'),
    (FCode: 'C83'; FName: 'Ruy Lopez: open, 9...Be7, 10.Re1'; FMoves: 'e2e4e7e5g1f3b8c6f1b5a7a6b5a4g8f6e1g1f6e4d2d4b7b5a4b3d7d5d4e5c8e6c2c3f8e7f1e1'),
    (FCode: 'C83'; FName: 'Ruy Lopez: open, Tarrasch trap'; FMoves: 'e2e4e7e5g1f3b8c6f1b5a7a6b5a4g8f6e1g1f6e4d2d4b7b5a4b3d7d5d4e5c8e6c2c3f8e7f1e1e8g8f3d4d8d7d4e6f7e6e1e4'),
    (FCode: 'C83'; FName: 'Ruy Lopez: open, Breslau variation'; FMoves: 'e2e4e7e5g1f3b8c6f1b5a7a6b5a4g8f6e1g1f6e4d2d4b7b5a4b3d7d5d4e5c8e6c2c3f8e7f1e1e8g8f3d4c6e5'),
    (FCode: 'C84'; FName: 'Ruy Lopez: closed defence'; FMoves: 'e2e4e7e5g1f3b8c6f1b5a7a6b5a4g8f6e1g1f8e7'),
    (FCode: 'C84'; FName: 'Ruy Lopez: closed, centre attack'; FMoves: 'e2e4e7e5g1f3b8c6f1b5a7a6b5a4g8f6e1g1f8e7d2d4'),
    (FCode: 'C84'; FName: 'Ruy Lopez: closed, Basque gambit (North Spanish variation)'; FMoves: 'e2e4e7e5g1f3b8c6f1b5a7a6b5a4g8f6e1g1f8e7d2d4e5d4e4e5f6e4c2c3'),
    (FCode: 'C85'; FName: 'Ruy Lopez: Exchange variation doubly deferred (DERLD)'; FMoves: 'e2e4e7e5g1f3b8c6f1b5a7a6b5a4g8f6e1g1f8e7a4c6'),
    (FCode: 'C86'; FName: 'Ruy Lopez: Worrall attack'; FMoves: 'e2e4e7e5g1f3b8c6f1b5a7a6b5a4g8f6e1g1f8e7d1e2'),
    (FCode: 'C86'; FName: 'Ruy Lopez: Worrall attack, sharp line'; FMoves: 'e2e4e7e5g1f3b8c6f1b5a7a6b5a4g8f6e1g1f8e7d1e2b7b5a4b3e8g8'),
    (FCode: 'C86'; FName: 'Ruy Lopez: Worrall attack, solid line'; FMoves: 'e2e4e7e5g1f3b8c6f1b5a7a6b5a4g8f6e1g1f8e7d1e2b7b5a4b3d7d6'),
    (FCode: 'C87'; FName: 'Ruy Lopez: closed, Averbach variation'; FMoves: 'e2e4e7e5g1f3b8c6f1b5a7a6b5a4g8f6e1g1f8e7f1e1d7d6'),
    (FCode: 'C88'; FName: 'Ruy Lopez: closed'; FMoves: 'e2e4e7e5g1f3b8c6f1b5a7a6b5a4g8f6e1g1f8e7f1e1b7b5a4b3'),
    (FCode: 'C88'; FName: 'Ruy Lopez: closed, Leonhardt variation'; FMoves: 'e2e4e7e5g1f3b8c6f1b5a7a6b5a4g8f6e1g1f8e7f1e1b7b5a4b3d7d6c2c3c6a5b3c2c7c5d2d4d8c7h2h3a5c6d4d5c6b8b1d2g7g5'),
    (FCode: 'C88'; FName: 'Ruy Lopez: closed, Balla variation'; FMoves: 'e2e4e7e5g1f3b8c6f1b5a7a6b5a4g8f6e1g1f8e7f1e1b7b5a4b3d7d6c2c3c6a5b3c2c7c5d2d4d8c7a2a4'),
    (FCode: 'C88'; FName: 'Ruy Lopez: closed, 7...d6, 8.d4'; FMoves: 'e2e4e7e5g1f3b8c6f1b5a7a6b5a4g8f6e1g1f8e7f1e1b7b5a4b3d7d6d2d4'),
    (FCode: 'C88'; FName: 'Ruy Lopez: Noah''s ark trap'; FMoves: 'e2e4e7e5g1f3b8c6f1b5a7a6b5a4g8f6e1g1f8e7f1e1b7b5a4b3d7d6d2d4c6d4f3d4e5d4d1d4c7c5'),
    (FCode: 'C88'; FName: 'Ruy Lopez: Trajkovic counter-attack'; FMoves: 'e2e4e7e5g1f3b8c6f1b5a7a6b5a4g8f6e1g1f8e7f1e1b7b5a4b3c8b7'),
    (FCode: 'C88'; FName: 'Ruy Lopez: closed, 7...O-O'; FMoves: 'e2e4e7e5g1f3b8c6f1b5a7a6b5a4g8f6e1g1f8e7f1e1b7b5a4b3e8g8'),
    (FCode: 'C88'; FName: 'Ruy Lopez: closed, anti-Marshall 8.a4'; FMoves: 'e2e4e7e5g1f3b8c6f1b5a7a6b5a4g8f6e1g1f8e7f1e1b7b5a4b3e8g8a2a4'),
    (FCode: 'C88'; FName: 'Ruy Lopez: closed, 8.c3'; FMoves: 'e2e4e7e5g1f3b8c6f1b5a7a6b5a4g8f6e1g1f8e7f1e1b7b5a4b3e8g8c2c3'),
    (FCode: 'C89'; FName: 'Ruy Lopez: Marshall counter-attack'; FMoves: 'e2e4e7e5g1f3b8c6f1b5a7a6b5a4g8f6e1g1f8e7f1e1b7b5a4b3e8g8c2c3d7d5'),
    (FCode: 'C89'; FName: 'Ruy Lopez: Marshall counter-attack, 11...c6'; FMoves: 'e2e4e7e5g1f3b8c6f1b5a7a6b5a4g8f6e1g1f8e7f1e1b7b5a4b3e8g8c2c3d7d5e4d5f6d5f3e5c6e5e1e5c7c6'),
    (FCode: 'C89'; FName: 'Ruy Lopez: Marshall, Kevitz variation'; FMoves: 'e2e4e7e5g1f3b8c6f1b5a7a6b5a4g8f6e1g1f8e7f1e1b7b5a4b3e8g8c2c3d7d5e4d5f6d5f3e5c6e5e1e5c7c6b3d5c6d5d2d4e7d6e5e3'),
    (FCode: 'C89'; FName: 'Ruy Lopez: Marshall, main line, 12.d2d4'; FMoves: 'e2e4e7e5g1f3b8c6f1b5a7a6b5a4g8f6e1g1f8e7f1e1b7b5a4b3e8g8c2c3d7d5e4d5f6d5f3e5c6e5e1e5c7c6d2d4'),
    (FCode: 'C89'; FName: 'Ruy Lopez: Marshall, main line, 14...Qh3'; FMoves: 'e2e4e7e5g1f3b8c6f1b5a7a6b5a4g8f6e1g1f8e7f1e1b7b5a4b3e8g8c2c3d7d5e4d5f6d5f3e5c6e5e1e5c7c6d2d4e7d6e5e1d8h4g2g3h4h3'),
    (FCode: 'C89'; FName: 'Ruy Lopez: Marshall, main line, Spassky variation'; FMoves: 'e2e4e7e5g1f3b8c6f1b5a7a6b5a4g8f6e1g1f8e7f1e1b7b5a4b3e8g8c2c3d7d5e4d5f6d5f3e5c6e5e1e5c7c6d2d4e7d6e5e1d8h4g2g3h4h3c1e3c8g4d1d3a8e8b1d2e8e6a2a4h3h5'),
    (FCode: 'C89'; FName: 'Ruy Lopez: Marshall, Herman Steiner variation'; FMoves: 'e2e4e7e5g1f3b8c6f1b5a7a6b5a4g8f6e1g1f8e7f1e1b7b5a4b3e8g8c2c3d7d5e4d5e5e4'),
    (FCode: 'C90'; FName: 'Ruy Lopez: closed (with ...d6)'; FMoves: 'e2e4e7e5g1f3b8c6f1b5a7a6b5a4g8f6e1g1f8e7f1e1b7b5a4b3e8g8c2c3d7d6'),
    (FCode: 'C90'; FName: 'Ruy Lopez: closed, Pilnik variation'; FMoves: 'e2e4e7e5g1f3b8c6f1b5a7a6b5a4g8f6e1g1f8e7f1e1b7b5a4b3e8g8c2c3d7d6d2d3'),
    (FCode: 'C90'; FName: 'Ruy Lopez: closed, Lutikov variation'; FMoves: 'e2e4e7e5g1f3b8c6f1b5a7a6b5a4g8f6e1g1f8e7f1e1b7b5a4b3e8g8c2c3d7d6b3c2'),
    (FCode: 'C90'; FName: 'Ruy Lopez: closed, Suetin variation'; FMoves: 'e2e4e7e5g1f3b8c6f1b5a7a6b5a4g8f6e1g1f8e7f1e1b7b5a4b3e8g8c2c3d7d6a2a3'),
    (FCode: 'C91'; FName: 'Ruy Lopez: closed, 9.d4'; FMoves: 'e2e4e7e5g1f3b8c6f1b5a7a6b5a4g8f6e1g1f8e7f1e1b7b5a4b3e8g8c2c3d7d6d2d4'),
    (FCode: 'C91'; FName: 'Ruy Lopez: closed, Bogolyubov variation'; FMoves: 'e2e4e7e5g1f3b8c6f1b5a7a6b5a4g8f6e1g1f8e7f1e1b7b5a4b3e8g8c2c3d7d6d2d4c8g4'),
    (FCode: 'C92'; FName: 'Ruy Lopez: closed, 9.h3'; FMoves: 'e2e4e7e5g1f3b8c6f1b5a7a6b5a4g8f6e1g1f8e7f1e1b7b5a4b3e8g8c2c3d7d6h2h3'),
    (FCode: 'C92'; FName: 'Ruy Lopez: closed, Keres (9...a5) variation'; FMoves: 'e2e4e7e5g1f3b8c6f1b5a7a6b5a4g8f6e1g1f8e7f1e1b7b5a4b3e8g8c2c3d7d6h2h3a6a5'),
    (FCode: 'C92'; FName: 'Ruy Lopez: closed, Kholmov variation'; FMoves: 'e2e4e7e5g1f3b8c6f1b5a7a6b5a4g8f6e1g1f8e7f1e1b7b5a4b3e8g8c2c3d7d6h2h3c8e6'),
    (FCode: 'C92'; FName: 'Ruy Lopez: closed, Flohr-Zaitsev system (Lenzerheide variation)'; FMoves: 'e2e4e7e5g1f3b8c6f1b5a7a6b5a4g8f6e1g1f8e7f1e1b7b5a4b3e8g8c2c3d7d6h2h3c8b7'),
    (FCode: 'C93'; FName: 'Ruy Lopez: closed, Smyslov defence'; FMoves: 'e2e4e7e5g1f3b8c6f1b5a7a6b5a4g8f6e1g1f8e7f1e1b7b5a4b3e8g8c2c3d7d6h2h3h7h6'),
    (FCode: 'C94'; FName: 'Ruy Lopez: closed, Breyer defence'; FMoves: 'e2e4e7e5g1f3b8c6f1b5a7a6b5a4g8f6e1g1f8e7f1e1b7b5a4b3e8g8c2c3d7d6h2h3c6b8'),
    (FCode: 'C95'; FName: 'Ruy Lopez: closed, Breyer, 10.d4'; FMoves: 'e2e4e7e5g1f3b8c6f1b5a7a6b5a4g8f6e1g1f8e7f1e1b7b5a4b3e8g8c2c3d7d6h2h3c6b8d2d4'),
    (FCode: 'C95'; FName: 'Ruy Lopez: closed, Breyer, Borisenko variation'; FMoves: 'e2e4e7e5g1f3b8c6f1b5a7a6b5a4g8f6e1g1f8e7f1e1b7b5a4b3e8g8c2c3d7d6h2h3c6b8d2d4b8d7'),
    (FCode: 'C95'; FName: 'Ruy Lopez: closed, Breyer, Gligoric variation'; FMoves: 'e2e4e7e5g1f3b8c6f1b5a7a6b5a4g8f6e1g1f8e7f1e1b7b5a4b3e8g8c2c3d7d6h2h3c6b8d2d4b8d7b1d2c8b7b3c2c7c5'),
    (FCode: 'C95'; FName: 'Ruy Lopez: closed, Breyer, Simagin variation'; FMoves: 'e2e4e7e5g1f3b8c6f1b5a7a6b5a4g8f6e1g1f8e7f1e1b7b5a4b3e8g8c2c3d7d6h2h3c6b8d2d4b8d7f3h4'),
    (FCode: 'C96'; FName: 'Ruy Lopez: closed (8...Na5)'; FMoves: 'e2e4e7e5g1f3b8c6f1b5a7a6b5a4g8f6e1g1f8e7f1e1b7b5a4b3e8g8c2c3d7d6h2h3c6a5b3c2'),
    (FCode: 'C96'; FName: 'Ruy Lopez: closed, Rossolimo defence'; FMoves: 'e2e4e7e5g1f3b8c6f1b5a7a6b5a4g8f6e1g1f8e7f1e1b7b5a4b3e8g8c2c3d7d6h2h3c6a5b3c2c7c6d2d4d8c7'),
    (FCode: 'C96'; FName: 'Ruy Lopez: closed (10...c5)'; FMoves: 'e2e4e7e5g1f3b8c6f1b5a7a6b5a4g8f6e1g1f8e7f1e1b7b5a4b3e8g8c2c3d7d6h2h3c6a5b3c2c7c5'),
    (FCode: 'C96'; FName: 'Ruy Lopez: closed, Borisenko defence'; FMoves: 'e2e4e7e5g1f3b8c6f1b5a7a6b5a4g8f6e1g1f8e7f1e1b7b5a4b3e8g8c2c3d7d6h2h3c6a5b3c2c7c5d2d4a5c6'),
    (FCode: 'C96'; FName: 'Ruy Lopez: closed, Keres (...Nd7) defence'; FMoves: 'e2e4e7e5g1f3b8c6f1b5a7a6b5a4g8f6e1g1f8e7f1e1b7b5a4b3e8g8c2c3d7d6h2h3c6a5b3c2c7c5d2d4f6d7'),
    (FCode: 'C97'; FName: 'Ruy Lopez: closed, Chigorin defence'; FMoves: 'e2e4e7e5g1f3b8c6f1b5a7a6b5a4g8f6e1g1f8e7f1e1b7b5a4b3e8g8c2c3d7d6h2h3c6a5b3c2c7c5d2d4d8c7'),
    (FCode: 'C97'; FName: 'Ruy Lopez: closed, Chigorin, Yugoslav system'; FMoves: 'e2e4e7e5g1f3b8c6f1b5a7a6b5a4g8f6e1g1f8e7f1e1b7b5a4b3e8g8c2c3d7d6h2h3c6a5b3c2c7c5d2d4d8c7b1d2c8d7d2f1f8e8f1e3g7g6'),
    (FCode: 'C98'; FName: 'Ruy Lopez: closed, Chigorin, 12...Nc6'; FMoves: 'e2e4e7e5g1f3b8c6f1b5a7a6b5a4g8f6e1g1f8e7f1e1b7b5a4b3e8g8c2c3d7d6h2h3c6a5b3c2c7c5d2d4d8c7b1d2a5c6'),
    (FCode: 'C98'; FName: 'Ruy Lopez: closed, Chigorin, Rauzer attack'; FMoves: 'e2e4e7e5g1f3b8c6f1b5a7a6b5a4g8f6e1g1f8e7f1e1b7b5a4b3e8g8c2c3d7d6h2h3c6a5b3c2c7c5d2d4d8c7b1d2a5c6d4c5'),
    (FCode: 'C99'; FName: 'Ruy Lopez: closed, Chigorin, 12...c5d4'; FMoves: 'e2e4e7e5g1f3b8c6f1b5a7a6b5a4g8f6e1g1f8e7f1e1b7b5a4b3e8g8c2c3d7d6h2h3c6a5b3c2c7c5d2d4d8c7b1d2c5d4c3d4'),
    (FCode: 'D00'; FName: 'Queen''s pawn game'; FMoves: 'd2d4d7d5'),
    (FCode: 'D00'; FName: 'Queen''s pawn, Mason variation'; FMoves: 'd2d4d7d5c1f4'),
    (FCode: 'D00'; FName: 'Queen''s pawn, Mason variation, Steinitz counter-gambit'; FMoves: 'd2d4d7d5c1f4c7c5'),
    (FCode: 'D00'; FName: 'Levitsky attack (Queen''s bishop attack)'; FMoves: 'd2d4d7d5c1g5'),
    (FCode: 'D00'; FName: 'Blackmar gambit'; FMoves: 'd2d4d7d5e2e4'),
    (FCode: 'D00'; FName: 'Queen''s pawn: stonewall attack'; FMoves: 'd2d4d7d5e2e3g8f6f1d3'),
    (FCode: 'D00'; FName: 'Queen''s pawn: Chigorin variation'; FMoves: 'd2d4d7d5b1c3'),
    (FCode: 'D00'; FName: 'Queen''s pawn: Anti-Veresov'; FMoves: 'd2d4d7d5b1c3c8g4'),
    (FCode: 'D00'; FName: 'Blackmar-Diemer gambit'; FMoves: 'd2d4d7d5b1c3g8f6e2e4'),
    (FCode: 'D00'; FName: 'Blackmar-Diemer: Euwe defence'; FMoves: 'd2d4d7d5b1c3g8f6e2e4d5e4f2f3e4f3g1f3e7e6'),
    (FCode: 'D00'; FName: 'Blackmar-Diemer: Lemberg counter-gambit'; FMoves: 'd2d4d7d5b1c3g8f6e2e4e7e5'),
    (FCode: 'D01'; FName: 'Richter-Veresov attack'; FMoves: 'd2d4d7d5b1c3g8f6c1g5'),
    (FCode: 'D01'; FName: 'Richter-Veresov attack, Veresov variation'; FMoves: 'd2d4d7d5b1c3g8f6c1g5c8f5g5f6'),
    (FCode: 'D01'; FName: 'Richter-Veresov attack, Richter variation'; FMoves: 'd2d4d7d5b1c3g8f6c1g5c8f5f2f3'),
    (FCode: 'D02'; FName: 'Queen''s pawn game'; FMoves: 'd2d4d7d5g1f3'),
    (FCode: 'D02'; FName: 'Queen''s pawn game, Chigorin variation'; FMoves: 'd2d4d7d5g1f3b8c6'),
    (FCode: 'D02'; FName: 'Queen''s pawn game, Krause variation'; FMoves: 'd2d4d7d5g1f3c7c5'),
    (FCode: 'D02'; FName: 'Queen''s pawn game'; FMoves: 'd2d4d7d5g1f3g8f6'),
    (FCode: 'D02'; FName: 'Queen''s bishop game'; FMoves: 'd2d4d7d5g1f3g8f6c1f4'),
    (FCode: 'D03'; FName: 'Torre attack (Tartakower variation)'; FMoves: 'd2d4d7d5g1f3g8f6c1g5'),
    (FCode: 'D04'; FName: 'Queen''s pawn game'; FMoves: 'd2d4d7d5g1f3g8f6e2e3'),
    (FCode: 'D05'; FName: 'Queen''s pawn game'; FMoves: 'd2d4d7d5g1f3g8f6e2e3e7e6'),
    (FCode: 'D05'; FName: 'Queen''s pawn game, Zukertort variation'; FMoves: 'd2d4d7d5g1f3g8f6e2e3e7e6b1d2c7c5b2b3'),
    (FCode: 'D05'; FName: 'Queen''s pawn game'; FMoves: 'd2d4d7d5g1f3g8f6e2e3e7e6f1d3'),
    (FCode: 'D05'; FName: 'Queen''s pawn game, Rubinstein (Colle-Zukertort) variation'; FMoves: 'd2d4d7d5g1f3g8f6e2e3e7e6f1d3c7c5b2b3'),
    (FCode: 'D05'; FName: 'Colle system'; FMoves: 'd2d4d7d5g1f3g8f6e2e3e7e6f1d3c7c5c2c3'),
    (FCode: 'D06'; FName: 'Queen''s Gambit'; FMoves: 'd2d4d7d5c2c4'),
    (FCode: 'D06'; FName: 'QGD: Grau (Sahovic) defence'; FMoves: 'd2d4d7d5c2c4c8f5'),
    (FCode: 'D06'; FName: 'QGD: Marshall defence'; FMoves: 'd2d4d7d5c2c4g8f6'),
    (FCode: 'D06'; FName: 'QGD: symmetrical (Austrian) defence'; FMoves: 'd2d4d7d5c2c4c7c5'),
    (FCode: 'D07'; FName: 'QGD: Chigorin defence'; FMoves: 'd2d4d7d5c2c4b8c6'),
    (FCode: 'D07'; FName: 'QGD: Chigorin defence, Janowski variation'; FMoves: 'd2d4d7d5c2c4b8c6b1c3d5c4g1f3'),
    (FCode: 'D08'; FName: 'QGD: Albin counter-gambit'; FMoves: 'd2d4d7d5c2c4e7e5'),
    (FCode: 'D08'; FName: 'QGD: Albin counter-gambit, Lasker trap'; FMoves: 'd2d4d7d5c2c4e7e5d4e5d5d4e2e3f8b4c1d2d4e3'),
    (FCode: 'D08'; FName: 'QGD: Albin counter-gambit'; FMoves: 'd2d4d7d5c2c4e7e5d4e5d5d4g1f3'),
    (FCode: 'D08'; FName: 'QGD: Albin counter-gambit, Alapin variation'; FMoves: 'd2d4d7d5c2c4e7e5d4e5d5d4g1f3b8c6b1d2'),
    (FCode: 'D08'; FName: 'QGD: Albin counter-gambit, Krenosz variation'; FMoves: 'd2d4d7d5c2c4e7e5d4e5d5d4g1f3b8c6b1d2c8g4h2h3g4f3d2f3f8b4c1d2d8e7'),
    (FCode: 'D08'; FName: 'QGD: Albin counter-gambit, Janowski variation'; FMoves: 'd2d4d7d5c2c4e7e5d4e5d5d4g1f3b8c6b1d2f7f6'),
    (FCode: 'D08'; FName: 'QGD: Albin counter-gambit, Balogh variation'; FMoves: 'd2d4d7d5c2c4e7e5d4e5d5d4g1f3b8c6b1d2d8e7'),
    (FCode: 'D09'; FName: 'QGD: Albin counter-gambit, 5.g3'; FMoves: 'd2d4d7d5c2c4e7e5d4e5d5d4g1f3b8c6g2g3'),
    (FCode: 'D10'; FName: 'QGD Slav defence'; FMoves: 'd2d4d7d5c2c4c7c6'),
    (FCode: 'D10'; FName: 'QGD Slav defence, Alekhine variation'; FMoves: 'd2d4d7d5c2c4c7c6b1c3d5c4e2e4'),
    (FCode: 'D10'; FName: 'QGD Slav: Winawer counter-gambit'; FMoves: 'd2d4d7d5c2c4c7c6b1c3e7e5'),
    (FCode: 'D10'; FName: 'QGD Slav defence: exchange variation'; FMoves: 'd2d4d7d5c2c4c7c6c4d5'),
    (FCode: 'D11'; FName: 'QGD Slav: 3.Nf3'; FMoves: 'd2d4d7d5c2c4c7c6g1f3'),
    (FCode: 'D11'; FName: 'QGD Slav: Breyer variation'; FMoves: 'd2d4d7d5c2c4c7c6g1f3g8f6b1d2'),
    (FCode: 'D11'; FName: 'QGD Slav: 4.e3'; FMoves: 'd2d4d7d5c2c4c7c6g1f3g8f6e2e3'),
    (FCode: 'D12'; FName: 'QGD Slav: 4.e3 Bf5'; FMoves: 'd2d4d7d5c2c4c7c6g1f3g8f6e2e3c8f5'),
    (FCode: 'D12'; FName: 'QGD Slav: Landau variation'; FMoves: 'd2d4d7d5c2c4c7c6g1f3g8f6e2e3c8f5c4d5c6d5d1b3d8c8c1d2e7e6b1a3'),
    (FCode: 'D12'; FName: 'QGD Slav: exchange variation'; FMoves: 'd2d4d7d5c2c4c7c6g1f3g8f6e2e3c8f5c4d5c6d5b1c3'),
    (FCode: 'D12'; FName: 'QGD Slav: Amsterdam variation'; FMoves: 'd2d4d7d5c2c4c7c6g1f3g8f6e2e3c8f5c4d5c6d5b1c3e7e6f3e5f6d7'),
    (FCode: 'D13'; FName: 'QGD Slav: exchange variation'; FMoves: 'd2d4d7d5c2c4c7c6g1f3g8f6c4d5c6d5'),
    (FCode: 'D14'; FName: 'QGD Slav: exchange variation, 6.Bf4 Bf5'; FMoves: 'd2d4d7d5c2c4c7c6g1f3g8f6c4d5c6d5b1c3b8c6c1f4c8f5'),
    (FCode: 'D14'; FName: 'QGD Slav: exchange, Trifunovic variation'; FMoves: 'd2d4d7d5c2c4c7c6g1f3g8f6c4d5c6d5b1c3b8c6c1f4c8f5e2e3e7e6d1b3f8b4'),
    (FCode: 'D15'; FName: 'QGD Slav: 4.Nc3'; FMoves: 'd2d4d7d5c2c4c7c6g1f3g8f6b1c3'),
    (FCode: 'D15'; FName: 'QGD Slav: Suechting variation'; FMoves: 'd2d4d7d5c2c4c7c6g1f3g8f6b1c3d8b6'),
    (FCode: 'D15'; FName: 'QGD Slav: Schlechter variation'; FMoves: 'd2d4d7d5c2c4c7c6g1f3g8f6b1c3g7g6'),
    (FCode: 'D15'; FName: 'QGD Slav accepted'; FMoves: 'd2d4d7d5c2c4c7c6g1f3g8f6b1c3d5c4'),
    (FCode: 'D15'; FName: 'QGD Slav: 5.e3 (Alekhine variation)'; FMoves: 'd2d4d7d5c2c4c7c6g1f3g8f6b1c3d5c4e2e3'),
    (FCode: 'D15'; FName: 'QGD Slav: Slav gambit'; FMoves: 'd2d4d7d5c2c4c7c6g1f3g8f6b1c3d5c4e2e4'),
    (FCode: 'D15'; FName: 'QGD Slav: Tolush-Geller gambit'; FMoves: 'd2d4d7d5c2c4c7c6g1f3g8f6b1c3d5c4e2e4b7b5e4e5'),
    (FCode: 'D16'; FName: 'QGD Slav accepted: Alapin variation'; FMoves: 'd2d4d7d5c2c4c7c6g1f3g8f6b1c3d5c4a2a4'),
    (FCode: 'D16'; FName: 'QGD Slav: Smyslov variation'; FMoves: 'd2d4d7d5c2c4c7c6g1f3g8f6b1c3d5c4a2a4b8a6e2e4c8g4'),
    (FCode: 'D16'; FName: 'QGD Slav: Soultanbeieff variation'; FMoves: 'd2d4d7d5c2c4c7c6g1f3g8f6b1c3d5c4a2a4e7e6'),
    (FCode: 'D16'; FName: 'QGD Slav: Steiner variation'; FMoves: 'd2d4d7d5c2c4c7c6g1f3g8f6b1c3d5c4a2a4c8g4'),
    (FCode: 'D17'; FName: 'QGD Slav: Czech defence'; FMoves: 'd2d4d7d5c2c4c7c6g1f3g8f6b1c3d5c4a2a4c8f5'),
    (FCode: 'D17'; FName: 'QGD Slav: Krause attack'; FMoves: 'd2d4d7d5c2c4c7c6g1f3g8f6b1c3d5c4a2a4c8f5f3e5'),
    (FCode: 'D17'; FName: 'QGD Slav: Carlsbad variation'; FMoves: 'd2d4d7d5c2c4c7c6g1f3g8f6b1c3d5c4a2a4c8f5f3e5b8d7e5c4d8c7g2g3e7e5'),
    (FCode: 'D17'; FName: 'QGD Slav: Wiesbaden variation'; FMoves: 'd2d4d7d5c2c4c7c6g1f3g8f6b1c3d5c4a2a4c8f5f3e5e7e6'),
    (FCode: 'D18'; FName: 'QGD Slav: Dutch variation'; FMoves: 'd2d4d7d5c2c4c7c6g1f3g8f6b1c3d5c4a2a4c8f5e2e3'),
    (FCode: 'D18'; FName: 'QGD Slav: Dutch, Lasker variation'; FMoves: 'd2d4d7d5c2c4c7c6g1f3g8f6b1c3d5c4a2a4c8f5e2e3b8a6'),
    (FCode: 'D19'; FName: 'QGD Slav: Dutch variation'; FMoves: 'd2d4d7d5c2c4c7c6g1f3g8f6b1c3d5c4a2a4c8f5e2e3e7e6f1c4f8b4e1g1'),
    (FCode: 'D19'; FName: 'QGD Slav: Dutch variation, main line'; FMoves: 'd2d4d7d5c2c4c7c6g1f3g8f6b1c3d5c4a2a4c8f5e2e3e7e6f1c4f8b4e1g1e8g8d1e2'),
    (FCode: 'D19'; FName: 'QGD Slav: Dutch, Saemisch variation'; FMoves: 'd2d4d7d5c2c4c7c6g1f3g8f6b1c3d5c4a2a4c8f5e2e3e7e6f1c4f8b4e1g1e8g8d1e2f6e4g2g4'),
    (FCode: 'D20'; FName: 'Queen''s gambit accepted'; FMoves: 'd2d4d7d5c2c4d5c4'),
    (FCode: 'D20'; FName: 'QGA: 3.e4'; FMoves: 'd2d4d7d5c2c4d5c4e2e4'),
    (FCode: 'D20'; FName: 'QGA: Linares variation'; FMoves: 'd2d4d7d5c2c4d5c4e2e4c7c5d4d5g8f6b1c3b7b5'),
    (FCode: 'D20'; FName: 'QGA: Schwartz defence'; FMoves: 'd2d4d7d5c2c4d5c4e2e4f7f5'),
    (FCode: 'D21'; FName: 'QGA: 3.Nf3'; FMoves: 'd2d4d7d5c2c4d5c4g1f3'),
    (FCode: 'D21'; FName: 'QGA: Ericson variation'; FMoves: 'd2d4d7d5c2c4d5c4g1f3b7b5'),
    (FCode: 'D21'; FName: 'QGA: Alekhine defense, Borisenko-Furman variation'; FMoves: 'd2d4d7d5c2c4d5c4g1f3a7a6e2e4'),
    (FCode: 'D22'; FName: 'QGA: Alekhine defence'; FMoves: 'd2d4d7d5c2c4d5c4g1f3a7a6'),
    (FCode: 'D22'; FName: 'QGA: Alekhine defence, Alatortsev variation'; FMoves: 'd2d4d7d5c2c4d5c4g1f3a7a6e2e3c8g4f1c4e7e6d4d5'),
    (FCode: 'D22'; FName: 'QGA: Haberditz variation'; FMoves: 'd2d4d7d5c2c4d5c4g1f3a7a6e2e3b7b5'),
    (FCode: 'D23'; FName: 'Queen''s gambit accepted'; FMoves: 'd2d4d7d5c2c4d5c4g1f3g8f6'),
    (FCode: 'D23'; FName: 'QGA: Mannheim variation'; FMoves: 'd2d4d7d5c2c4d5c4g1f3g8f6d1a4'),
    (FCode: 'D24'; FName: 'QGA, 4.Nc3'; FMoves: 'd2d4d7d5c2c4d5c4g1f3g8f6b1c3'),
    (FCode: 'D24'; FName: 'QGA, Bogolyubov variation'; FMoves: 'd2d4d7d5c2c4d5c4g1f3g8f6b1c3a7a6e2e4'),
    (FCode: 'D25'; FName: 'QGA, 4.e3'; FMoves: 'd2d4d7d5c2c4d5c4g1f3g8f6e2e3'),
    (FCode: 'D25'; FName: 'QGA, Smyslov variation'; FMoves: 'd2d4d7d5c2c4d5c4g1f3g8f6e2e3g7g6'),
    (FCode: 'D25'; FName: 'QGA, Janowsky-Larsen variation'; FMoves: 'd2d4d7d5c2c4d5c4g1f3g8f6e2e3c8g4'),
    (FCode: 'D25'; FName: 'QGA, Flohr variation'; FMoves: 'd2d4d7d5c2c4d5c4g1f3g8f6e2e3c8e6'),
    (FCode: 'D26'; FName: 'QGA: 4...e6'; FMoves: 'd2d4d7d5c2c4d5c4g1f3g8f6e2e3e7e6'),
    (FCode: 'D26'; FName: 'QGA: classical variation'; FMoves: 'd2d4d7d5c2c4d5c4g1f3g8f6e2e3e7e6f1c4c7c5'),
    (FCode: 'D26'; FName: 'QGA: classical, Furman variation'; FMoves: 'd2d4d7d5c2c4d5c4g1f3g8f6e2e3e7e6f1c4c7c5d1e2a7a6d4c5f8c5e1g1b8c6e3e4b7b5e4e5'),
    (FCode: 'D26'; FName: 'QGA: classical variation, 6.O-O'; FMoves: 'd2d4d7d5c2c4d5c4g1f3g8f6e2e3e7e6f1c4c7c5e1g1'),
    (FCode: 'D26'; FName: 'QGA: classical, Steinitz variation'; FMoves: 'd2d4d7d5c2c4d5c4g1f3g8f6e2e3e7e6f1c4c7c5e1g1c5d4'),
    (FCode: 'D27'; FName: 'QGA: classical, 6...a6'; FMoves: 'd2d4d7d5c2c4d5c4g1f3g8f6e2e3e7e6f1c4c7c5e1g1a7a6'),
    (FCode: 'D27'; FName: 'QGA: classical, Rubinstein variation'; FMoves: 'd2d4d7d5c2c4d5c4g1f3g8f6e2e3e7e6f1c4c7c5e1g1a7a6a2a4'),
    (FCode: 'D27'; FName: 'QGA: classical, Geller variation'; FMoves: 'd2d4d7d5c2c4d5c4g1f3g8f6e2e3e7e6f1c4c7c5e1g1a7a6e3e4'),
    (FCode: 'D28'; FName: 'QGA: classical, 7.Qe2'; FMoves: 'd2d4d7d5c2c4d5c4g1f3g8f6e2e3e7e6f1c4c7c5e1g1a7a6d1e2'),
    (FCode: 'D28'; FName: 'QGA: classical, 7...b5'; FMoves: 'd2d4d7d5c2c4d5c4g1f3g8f6e2e3e7e6f1c4c7c5e1g1a7a6d1e2b7b5'),
    (FCode: 'D28'; FName: 'QGA: classical, Flohr variation'; FMoves: 'd2d4d7d5c2c4d5c4g1f3g8f6e2e3e7e6f1c4c7c5e1g1a7a6d1e2b7b5c4b3b8c6f1d1c5c4b3c2c6b4b1c3b4c2e2c2c8b7d4d5d8c7'),
    (FCode: 'D29'; FName: 'QGA: classical, 8...Bb7'; FMoves: 'd2d4d7d5c2c4d5c4g1f3g8f6e2e3e7e6f1c4c7c5e1g1a7a6d1e2b7b5c4b3c8b7'),
    (FCode: 'D29'; FName: 'QGA: classical, Smyslov variation'; FMoves: 'd2d4d7d5c2c4d5c4g1f3g8f6e2e3e7e6f1c4c7c5e1g1a7a6d1e2b7b5c4b3c8b7f1d1b8d7b1c3f8d6'),
    (FCode: 'D30'; FName: 'Queen''s gambit declined'; FMoves: 'd2d4d7d5c2c4e7e6'),
    (FCode: 'D30'; FName: 'QGD Slav'; FMoves: 'd2d4d7d5c2c4e7e6g1f3g8f6e2e3c7c6b1d2'),
    (FCode: 'D30'; FName: 'QGD: Stonewall variation'; FMoves: 'd2d4d7d5c2c4e7e6g1f3g8f6e2e3c7c6b1d2f6e4f1d3f7f5'),
    (FCode: 'D30'; FName: 'QGD Slav'; FMoves: 'd2d4d7d5c2c4e7e6g1f3g8f6e2e3c7c6b1d2b8d7'),
    (FCode: 'D30'; FName: 'QGD Slav: Semmering variation'; FMoves: 'd2d4d7d5c2c4e7e6g1f3g8f6e2e3c7c6b1d2b8d7f1d3c6c5'),
    (FCode: 'D30'; FName: 'QGD: Spielmann variation'; FMoves: 'd2d4d7d5c2c4e7e6g1f3g8f6e2e3c7c6b1d2g7g6'),
    (FCode: 'D30'; FName: 'QGD'; FMoves: 'd2d4d7d5c2c4e7e6g1f3g8f6c1g5'),
    (FCode: 'D30'; FName: 'QGD: Capablanca variation'; FMoves: 'd2d4d7d5c2c4e7e6g1f3g8f6c1g5b8d7e2e3c7c6b1d2'),
    (FCode: 'D30'; FName: 'QGD: Vienna variation'; FMoves: 'd2d4d7d5c2c4e7e6g1f3g8f6c1g5f8b4'),
    (FCode: 'D30'; FName: 'QGD: Capablanca-Duras variation'; FMoves: 'd2d4d7d5c2c4e7e6g1f3g8f6c1g5h7h6'),
    (FCode: 'D30'; FName: 'QGD: Hastings variation'; FMoves: 'd2d4d7d5c2c4e7e6g1f3g8f6c1g5h7h6g5f6d8f6b1c3c7c6d1b3'),
    (FCode: 'D31'; FName: 'QGD: 3.Nc3'; FMoves: 'd2d4d7d5c2c4e7e6b1c3'),
    (FCode: 'D31'; FName: 'QGD: Janowski variation'; FMoves: 'd2d4d7d5c2c4e7e6b1c3a7a6'),
    (FCode: 'D31'; FName: 'QGD: Alapin variation'; FMoves: 'd2d4d7d5c2c4e7e6b1c3b7b6'),
    (FCode: 'D31'; FName: 'QGD: Charousek (Petrosian) variation'; FMoves: 'd2d4d7d5c2c4e7e6b1c3f8e7'),
    (FCode: 'D31'; FName: 'QGD: semi-Slav'; FMoves: 'd2d4d7d5c2c4e7e6b1c3c7c6'),
    (FCode: 'D31'; FName: 'QGD: semi-Slav, Noteboom variation'; FMoves: 'd2d4d7d5c2c4e7e6b1c3c7c6g1f3d5c4'),
    (FCode: 'D31'; FName: 'QGD: semi-Slav, Koomen variation'; FMoves: 'd2d4d7d5c2c4e7e6b1c3c7c6g1f3d5c4a2a4f8b4e2e3b7b5c1d2d8e7'),
    (FCode: 'D31'; FName: 'QGD: semi-Slav, Junge variation'; FMoves: 'd2d4d7d5c2c4e7e6b1c3c7c6g1f3d5c4a2a4f8b4e2e3b7b5c1d2d8b6'),
    (FCode: 'D31'; FName: 'QGD: semi-Slav, Abrahams variation'; FMoves: 'd2d4d7d5c2c4e7e6b1c3c7c6g1f3d5c4a2a4f8b4e2e3b7b5c1d2a7a5'),
    (FCode: 'D31'; FName: 'QGD: semi-Slav, Marshall gambit'; FMoves: 'd2d4d7d5c2c4e7e6b1c3c7c6e2e4'),
    (FCode: 'D32'; FName: 'QGD: Tarrasch defence'; FMoves: 'd2d4d7d5c2c4e7e6b1c3c7c5'),
    (FCode: 'D32'; FName: 'QGD: Tarrasch, von Hennig-Schara gambit'; FMoves: 'd2d4d7d5c2c4e7e6b1c3c7c5c4d5c5d4'),
    (FCode: 'D32'; FName: 'QGD: Tarrasch defence, 4.cd ed'; FMoves: 'd2d4d7d5c2c4e7e6b1c3c7c5c4d5e6d5'),
    (FCode: 'D32'; FName: 'QGD: Tarrasch defence, Tarrasch gambit'; FMoves: 'd2d4d7d5c2c4e7e6b1c3c7c5c4d5e6d5d4c5d5d4c3a4b7b5'),
    (FCode: 'D32'; FName: 'QGD: Tarrasch defence, Marshall gambit'; FMoves: 'd2d4d7d5c2c4e7e6b1c3c7c5c4d5e6d5e2e4'),
    (FCode: 'D32'; FName: 'QGD: Tarrasch defence'; FMoves: 'd2d4d7d5c2c4e7e6b1c3c7c5c4d5e6d5g1f3'),
    (FCode: 'D33'; FName: 'QGD: Tarrasch, Schlechter-Rubinstein system'; FMoves: 'd2d4d7d5c2c4e7e6b1c3c7c5c4d5e6d5g1f3b8c6g2g3'),
    (FCode: 'D33'; FName: 'QGD: Tarrasch, Folkestone (Swedish) variation'; FMoves: 'd2d4d7d5c2c4e7e6b1c3c7c5c4d5e6d5g1f3b8c6g2g3c5c4'),
    (FCode: 'D33'; FName: 'QGD: Tarrasch, Schlechter-Rubinstein system, Rey Ardid variation'; FMoves: 'd2d4d7d5c2c4e7e6b1c3c7c5c4d5e6d5g1f3b8c6g2g3c5c4e2e4'),
    (FCode: 'D33'; FName: 'QGD: Tarrasch, Prague variation'; FMoves: 'd2d4d7d5c2c4e7e6b1c3c7c5c4d5e6d5g1f3b8c6g2g3g8f6'),
    (FCode: 'D33'; FName: 'QGD: Tarrasch, Wagner variation'; FMoves: 'd2d4d7d5c2c4e7e6b1c3c7c5c4d5e6d5g1f3b8c6g2g3g8f6f1g2c8g4'),
    (FCode: 'D34'; FName: 'QGD: Tarrasch, Prague variation, 7...Be7'; FMoves: 'd2d4d7d5c2c4e7e6b1c3c7c5c4d5e6d5g1f3b8c6g2g3g8f6f1g2f8e7'),
    (FCode: 'D34'; FName: 'QGD: Tarrasch, Prague variation, Normal position'; FMoves: 'd2d4d7d5c2c4e7e6b1c3c7c5c4d5e6d5g1f3b8c6g2g3g8f6f1g2f8e7e1g1e8g8'),
    (FCode: 'D34'; FName: 'QGD: Tarrasch, Reti variation'; FMoves: 'd2d4d7d5c2c4e7e6b1c3c7c5c4d5e6d5g1f3b8c6g2g3g8f6f1g2f8e7e1g1e8g8d4c5e7c5c3a4'),
    (FCode: 'D34'; FName: 'QGD: Tarrasch, Prague variation, 9.Bg5'; FMoves: 'd2d4d7d5c2c4e7e6b1c3c7c5c4d5e6d5g1f3b8c6g2g3g8f6f1g2f8e7e1g1e8g8c1g5'),
    (FCode: 'D34'; FName: 'QGD: Tarrasch, Bogolyubov variation'; FMoves: 'd2d4d7d5c2c4e7e6b1c3c7c5c4d5e6d5g1f3b8c6g2g3g8f6f1g2f8e7e1g1e8g8c1g5c8e6a1c1c5c4'),
    (FCode: 'D34'; FName: 'QGD: Tarrasch, Stoltz variation'; FMoves: 'd2d4d7d5c2c4e7e6b1c3c7c5c4d5e6d5g1f3b8c6g2g3g8f6f1g2f8e7e1g1e8g8c1g5c8e6a1c1b7b6'),
    (FCode: 'D35'; FName: 'QGD: 3...Nf6'; FMoves: 'd2d4d7d5c2c4e7e6b1c3g8f6'),
    (FCode: 'D35'; FName: 'QGD: Harrwitz attack'; FMoves: 'd2d4d7d5c2c4e7e6b1c3g8f6c1f4'),
    (FCode: 'D35'; FName: 'QGD: exchange variation'; FMoves: 'd2d4d7d5c2c4e7e6b1c3g8f6c4d5'),
    (FCode: 'D35'; FName: 'QGD: exchange, Saemisch variation'; FMoves: 'd2d4d7d5c2c4e7e6b1c3g8f6c4d5e6d5g1f3b8d7c1f4'),
    (FCode: 'D35'; FName: 'QGD: exchange, positional line'; FMoves: 'd2d4d7d5c2c4e7e6b1c3g8f6c4d5e6d5c1g5'),
    (FCode: 'D35'; FName: 'QGD: exchange, chameleon variation'; FMoves: 'd2d4d7d5c2c4e7e6b1c3g8f6c4d5e6d5c1g5f8e7e2e3e8g8f1d3b8d7d1c2f8e8g1e2d7f8e1c1'),
    (FCode: 'D35'; FName: 'QGD: exchange, positional line, 5...c6'; FMoves: 'd2d4d7d5c2c4e7e6b1c3g8f6c4d5e6d5c1g5c7c6'),
    (FCode: 'D36'; FName: 'QGD: exchange, positional line, 6.Qc2'; FMoves: 'd2d4d7d5c2c4e7e6b1c3g8f6c4d5e6d5c1g5c7c6d1c2'),
    (FCode: 'D37'; FName: 'QGD: 4.Nf3'; FMoves: 'd2d4d7d5c2c4e7e6b1c3g8f6g1f3'),
    (FCode: 'D37'; FName: 'QGD: classical variation (5.Bf4)'; FMoves: 'd2d4d7d5c2c4e7e6b1c3g8f6g1f3f8e7c1f4'),
    (FCode: 'D38'; FName: 'QGD: Ragozin variation'; FMoves: 'd2d4d7d5c2c4e7e6b1c3g8f6g1f3f8b4'),
    (FCode: 'D39'; FName: 'QGD: Ragozin, Vienna variation'; FMoves: 'd2d4d7d5c2c4e7e6b1c3g8f6g1f3f8b4c1g5d5c4'),
    (FCode: 'D40'; FName: 'QGD: Semi-Tarrasch defence'; FMoves: 'd2d4d7d5c2c4e7e6b1c3g8f6g1f3c7c5'),
    (FCode: 'D40'; FName: 'QGD: Semi-Tarrasch, symmetrical variation'; FMoves: 'd2d4d7d5c2c4e7e6b1c3g8f6g1f3c7c5e2e3b8c6f1d3f8d6e1g1e8g8'),
    (FCode: 'D40'; FName: 'QGD: Semi-Tarrasch, Levenfish variation'; FMoves: 'd2d4d7d5c2c4e7e6b1c3g8f6g1f3c7c5e2e3b8c6f1d3f8d6e1g1e8g8d1e2d8e7d4c5d6c5e3e4'),
    (FCode: 'D40'; FName: 'QGD: Semi-Tarrasch defence, Pillsbury variation'; FMoves: 'd2d4d7d5c2c4e7e6b1c3g8f6g1f3c7c5c1g5'),
    (FCode: 'D41'; FName: 'QGD: Semi-Tarrasch, 5.cd'; FMoves: 'd2d4d7d5c2c4e7e6b1c3g8f6g1f3c7c5c4d5'),
    (FCode: 'D41'; FName: 'QGD: Semi-Tarrasch, Kmoch variation'; FMoves: 'd2d4d7d5c2c4e7e6b1c3g8f6g1f3c7c5c4d5f6d5e2e4d5c3b2c3c5d4c3d4f8b4c1d2b4d2d1d2e8g8f1b5'),
    (FCode: 'D41'; FName: 'QGD: Semi-Tarrasch, San Sebastian variation'; FMoves: 'd2d4d7d5c2c4e7e6b1c3g8f6g1f3c7c5c4d5f6d5e2e4d5c3b2c3c5d4c3d4f8b4c1d2d8a5'),
    (FCode: 'D41'; FName: 'QGD: Semi-Tarrasch with e3'; FMoves: 'd2d4d7d5c2c4e7e6b1c3g8f6g1f3c7c5c4d5f6d5e2e3'),
    (FCode: 'D42'; FName: 'QGD: Semi-Tarrasch, 7.Bd3'; FMoves: 'd2d4d7d5c2c4e7e6b1c3g8f6g1f3c7c5c4d5f6d5e2e3b8c6f1d3'),
    (FCode: 'D43'; FName: 'QGD semi-Slav'; FMoves: 'd2d4d7d5c2c4e7e6b1c3g8f6g1f3c7c6'),
    (FCode: 'D43'; FName: 'QGD semi-Slav: Hastings variation'; FMoves: 'd2d4d7d5c2c4e7e6b1c3g8f6g1f3c7c6c1g5h7h6g5f6d8f6d1b3'),
    (FCode: 'D44'; FName: 'QGD semi-Slav: 5.Bg5 dc'; FMoves: 'd2d4d7d5c2c4e7e6b1c3g8f6g1f3c7c6c1g5d5c4'),
    (FCode: 'D44'; FName: 'QGD semi-Slav: Botvinnik system (anti-Meran)'; FMoves: 'd2d4d7d5c2c4e7e6b1c3g8f6g1f3c7c6c1g5d5c4e2e4'),
    (FCode: 'D44'; FName: 'QGD semi-Slav: Ekstrom variation'; FMoves: 'd2d4d7d5c2c4e7e6b1c3g8f6g1f3c7c6c1g5d5c4e2e4b7b5e4e5h7h6g5h4g7g5e5f6g5h4f3e5'),
    (FCode: 'D44'; FName: 'QGD semi-Slav: anti-Meran gambit'; FMoves: 'd2d4d7d5c2c4e7e6b1c3g8f6g1f3c7c6c1g5d5c4e2e4b7b5e4e5h7h6g5h4g7g5f3g5'),
    (FCode: 'D44'; FName: 'QGD semi-Slav: anti-Meran, Lilienthal variation'; FMoves: 'd2d4d7d5c2c4e7e6b1c3g8f6g1f3c7c6c1g5d5c4e2e4b7b5e4e5h7h6g5h4g7g5f3g5h6g5h4g5b8d7g2g3'),
    (FCode: 'D44'; FName: 'QGD semi-Slav: anti-Meran, Szabo variation'; FMoves: 'd2d4d7d5c2c4e7e6b1c3g8f6g1f3c7c6c1g5d5c4e2e4b7b5e4e5h7h6g5h4g7g5f3g5h6g5h4g5b8d7d1f3'),
    (FCode: 'D44'; FName: 'QGD semi-Slav: anti-Meran, Alatortsev system'; FMoves: 'd2d4d7d5c2c4e7e6b1c3g8f6g1f3c7c6c1g5d5c4e2e4b7b5e4e5h7h6g5h4g7g5f3g5f6d5'),
    (FCode: 'D45'; FName: 'QGD semi-Slav: 5.e3'; FMoves: 'd2d4d7d5c2c4e7e6b1c3g8f6g1f3c7c6e2e3'),
    (FCode: 'D45'; FName: 'QGD semi-Slav: stonewall defence'; FMoves: 'd2d4d7d5c2c4e7e6b1c3g8f6g1f3c7c6e2e3f6e4f1d3f7f5'),
    (FCode: 'D45'; FName: 'QGD semi-Slav: accelerated Meran (Alekhine variation)'; FMoves: 'd2d4d7d5c2c4e7e6b1c3g8f6g1f3c7c6e2e3a7a6'),
    (FCode: 'D45'; FName: 'QGD semi-Slav: 5...Nd7'; FMoves: 'd2d4d7d5c2c4e7e6b1c3g8f6g1f3c7c6e2e3b8d7'),
    (FCode: 'D45'; FName: 'QGD semi-Slav: Stoltz variation'; FMoves: 'd2d4d7d5c2c4e7e6b1c3g8f6g1f3c7c6e2e3b8d7d1c2'),
    (FCode: 'D45'; FName: 'QGD semi-Slav: Rubinstein (anti-Meran) system'; FMoves: 'd2d4d7d5c2c4e7e6b1c3g8f6g1f3c7c6e2e3b8d7f3e5'),
    (FCode: 'D46'; FName: 'QGD semi-Slav: 6.Bd3'; FMoves: 'd2d4d7d5c2c4e7e6b1c3g8f6g1f3c7c6e2e3b8d7f1d3'),
    (FCode: 'D46'; FName: 'QGD semi-Slav: Bogolyubov variation'; FMoves: 'd2d4d7d5c2c4e7e6b1c3g8f6g1f3c7c6e2e3b8d7f1d3f8e7'),
    (FCode: 'D46'; FName: 'QGD semi-Slav: Romih variation'; FMoves: 'd2d4d7d5c2c4e7e6b1c3g8f6g1f3c7c6e2e3b8d7f1d3f8b4'),
    (FCode: 'D46'; FName: 'QGD semi-Slav: Chigorin defence'; FMoves: 'd2d4d7d5c2c4e7e6b1c3g8f6g1f3c7c6e2e3b8d7f1d3f8d6'),
    (FCode: 'D47'; FName: 'QGD semi-Slav: 7.Bc4'; FMoves: 'd2d4d7d5c2c4e7e6b1c3g8f6g1f3c7c6e2e3b8d7f1d3d5c4d3c4'),
    (FCode: 'D47'; FName: 'QGD semi-Slav: Meran variation'; FMoves: 'd2d4d7d5c2c4e7e6b1c3g8f6g1f3c7c6e2e3b8d7f1d3d5c4d3c4b7b5'),
    (FCode: 'D47'; FName: 'QGD semi-Slav: neo-Meran (Lundin variation)'; FMoves: 'd2d4d7d5c2c4e7e6b1c3g8f6g1f3c7c6e2e3b8d7f1d3d5c4d3c4b7b5c4d3b5b4'),
    (FCode: 'D47'; FName: 'QGD semi-Slav: Meran, Wade variation'; FMoves: 'd2d4d7d5c2c4e7e6b1c3g8f6g1f3c7c6e2e3b8d7f1d3d5c4d3c4b7b5c4d3c8b7'),
    (FCode: 'D48'; FName: 'QGD semi-Slav: Meran, 8...a6'; FMoves: 'd2d4d7d5c2c4e7e6b1c3g8f6g1f3c7c6e2e3b8d7f1d3d5c4d3c4b7b5c4d3a7a6'),
    (FCode: 'D48'; FName: 'QGD semi-Slav: Meran, Pirc variation'; FMoves: 'd2d4d7d5c2c4e7e6b1c3g8f6g1f3c7c6e2e3b8d7f1d3d5c4d3c4b7b5c4d3a7a6e3e4b5b4'),
    (FCode: 'D48'; FName: 'QGD semi-Slav: Meran'; FMoves: 'd2d4d7d5c2c4e7e6b1c3g8f6g1f3c7c6e2e3b8d7f1d3d5c4d3c4b7b5c4d3a7a6e3e4c6c5'),
    (FCode: 'D48'; FName: 'QGD semi-Slav: Meran, Reynolds'' variation'; FMoves: 'd2d4d7d5c2c4e7e6b1c3g8f6g1f3c7c6e2e3b8d7f1d3d5c4d3c4b7b5c4d3a7a6e3e4c6c5d4d5'),
    (FCode: 'D48'; FName: 'QGD semi-Slav: Meran, old main line'; FMoves: 'd2d4d7d5c2c4e7e6b1c3g8f6g1f3c7c6e2e3b8d7f1d3d5c4d3c4b7b5c4d3a7a6e3e4c6c5e4e5'),
    (FCode: 'D49'; FName: 'QGD semi-Slav: Meran, Blumenfeld variation'; FMoves: 'd2d4d7d5c2c4e7e6b1c3g8f6g1f3c7c6e2e3b8d7f1d3d5c4d3c4b7b5c4d3a7a6e3e4c6c5e4e5c5d4c3b5'),
    (FCode: 'D49'; FName: 'QGD semi-Slav: Meran, Rabinovich variation'; FMoves: 'd2d4d7d5c2c4e7e6b1c3g8f6g1f3c7c6e2e3b8d7f1d3d5c4d3c4b7b5c4d3a7a6e3e4c6c5e4e5c5d4c3b5f6g4'),
    (FCode: 'D49'; FName: 'QGD semi-Slav: Meran, Sozin variation'; FMoves: 'd2d4d7d5c2c4e7e6b1c3g8f6g1f3c7c6e2e3b8d7f1d3d5c4d3c4b7b5c4d3a7a6e3e4c6c5e4e5c5d4c3b5d7e5'),
    (FCode: 'D49'; FName: 'QGD semi-Slav: Meran, Stahlberg variation'; FMoves: 'd2d4d7d5c2c4e7e6b1c3g8f6g1f3c7c6e2e3b8d7f1d3d5c4d3c4b7b5c4d3a7a6e3e4c6c5e4e5c5d4c3b5d7e5f3e5a6b5d1f3'),
    (FCode: 'D49'; FName: 'QGD semi-Slav: Meran, Sozin variation'; FMoves: 'd2d4d7d5c2c4e7e6b1c3g8f6g1f3c7c6e2e3b8d7f1d3d5c4d3c4b7b5c4d3a7a6e3e4c6c5e4e5c5d4c3b5d7e5f3e5a6b5e1g1'),
    (FCode: 'D49'; FName: 'QGD semi-Slav: Meran, Rellstab attack'; FMoves: 'd2d4d7d5c2c4e7e6b1c3g8f6g1f3c7c6e2e3b8d7f1d3d5c4d3c4b7b5c4d3a7a6e3e4c6c5e4e5c5d4c3b5d7e5f3e5a6b5e1g1d8d5d1e2c8a6c1g5'),
    (FCode: 'D50'; FName: 'QGD: 4.Bg5'; FMoves: 'd2d4d7d5c2c4e7e6b1c3g8f6c1g5'),
    (FCode: 'D50'; FName: 'QGD: Been-Koomen variation'; FMoves: 'd2d4d7d5c2c4e7e6b1c3g8f6c1g5c7c5'),
    (FCode: 'D50'; FName: 'QGD: Semi-Tarrasch, Krause variation'; FMoves: 'd2d4d7d5c2c4e7e6b1c3g8f6c1g5c7c5g1f3c5d4f3d4e6e5d4b5a7a6d1a4'),
    (FCode: 'D50'; FName: 'QGD: Semi-Tarrasch, Primitive Pillsbury variation'; FMoves: 'd2d4d7d5c2c4e7e6b1c3g8f6c1g5c7c5g1f3c5d4d1d4'),
    (FCode: 'D50'; FName: 'QGD: Semi-Tarrasch'; FMoves: 'd2d4d7d5c2c4e7e6b1c3g8f6c1g5c7c5c4d5'),
    (FCode: 'D50'; FName: 'QGD: Canal (Venice) variation'; FMoves: 'd2d4d7d5c2c4e7e6b1c3g8f6c1g5c7c5c4d5d8b6'),
    (FCode: 'D51'; FName: 'QGD: 4.Bg5 Nbd7'; FMoves: 'd2d4d7d5c2c4e7e6b1c3g8f6c1g5b8d7'),
    (FCode: 'D51'; FName: 'QGD: Rochlin variation'; FMoves: 'd2d4d7d5c2c4e7e6b1c3g8f6c1g5b8d7g1f3c7c6a1c1d8a5g5d2'),
    (FCode: 'D51'; FName: 'QGD: Alekhine variation'; FMoves: 'd2d4d7d5c2c4e7e6b1c3g8f6c1g5b8d7g1f3c7c6e2e4'),
    (FCode: 'D51'; FName: 'QGD'; FMoves: 'd2d4d7d5c2c4e7e6b1c3g8f6c1g5b8d7e2e3'),
    (FCode: 'D51'; FName: 'QGD: Manhattan variation'; FMoves: 'd2d4d7d5c2c4e7e6b1c3g8f6c1g5b8d7e2e3f8b4'),
    (FCode: 'D51'; FName: 'QGD: 5...c6'; FMoves: 'd2d4d7d5c2c4e7e6b1c3g8f6c1g5b8d7e2e3c7c6'),
    (FCode: 'D51'; FName: 'QGD: Capablanca anti-Cambridge Springs variation'; FMoves: 'd2d4d7d5c2c4e7e6b1c3g8f6c1g5b8d7e2e3c7c6a2a3'),
    (FCode: 'D52'; FName: 'QGD'; FMoves: 'd2d4d7d5c2c4e7e6b1c3g8f6c1g5b8d7e2e3c7c6g1f3'),
    (FCode: 'D52'; FName: 'QGD: Cambridge Springs defence'; FMoves: 'd2d4d7d5c2c4e7e6b1c3g8f6c1g5b8d7e2e3c7c6g1f3d8a5'),
    (FCode: 'D52'; FName: 'QGD: Cambridge Springs defence, Bogoljubow variation'; FMoves: 'd2d4d7d5c2c4e7e6b1c3g8f6c1g5b8d7e2e3c7c6g1f3d8a5f3d2f8b4d1c2'),
    (FCode: 'D52'; FName: 'QGD: Cambridge Springs defence, Argentine variation'; FMoves: 'd2d4d7d5c2c4e7e6b1c3g8f6c1g5b8d7e2e3c7c6g1f3d8a5f3d2f8b4d1c2e8g8g5h4'),
    (FCode: 'D52'; FName: 'QGD: Cambridge Springs defence, Rubinstein variation'; FMoves: 'd2d4d7d5c2c4e7e6b1c3g8f6c1g5b8d7e2e3c7c6g1f3d8a5f3d2d5c4'),
    (FCode: 'D52'; FName: 'QGD: Cambridge Springs defence, Capablanca variation'; FMoves: 'd2d4d7d5c2c4e7e6b1c3g8f6c1g5b8d7e2e3c7c6g1f3d8a5g5f6'),
    (FCode: 'D52'; FName: 'QGD: Cambridge Springs defence, 7.cd'; FMoves: 'd2d4d7d5c2c4e7e6b1c3g8f6c1g5b8d7e2e3c7c6g1f3d8a5c4d5'),
    (FCode: 'D52'; FName: 'QGD: Cambridge Springs defence, Yugoslav variation'; FMoves: 'd2d4d7d5c2c4e7e6b1c3g8f6c1g5b8d7e2e3c7c6g1f3d8a5c4d5f6d5'),
    (FCode: 'D53'; FName: 'QGD: 4.Bg5 Be7'; FMoves: 'd2d4d7d5c2c4e7e6b1c3g8f6c1g5f8e7'),
    (FCode: 'D53'; FName: 'QGD: Lasker variation'; FMoves: 'd2d4d7d5c2c4e7e6b1c3g8f6c1g5f8e7e2e3f6e4'),
    (FCode: 'D53'; FName: 'QGD: 4.Bg5 Be7, 5.e3 O-O'; FMoves: 'd2d4d7d5c2c4e7e6b1c3g8f6c1g5f8e7e2e3e8g8'),
    (FCode: 'D54'; FName: 'QGD: Anti-neo-orthodox variation'; FMoves: 'd2d4d7d5c2c4e7e6b1c3g8f6c1g5f8e7e2e3e8g8a1c1'),
    (FCode: 'D55'; FName: 'QGD: 6.Nf3'; FMoves: 'd2d4d7d5c2c4e7e6b1c3g8f6c1g5f8e7e2e3e8g8g1f3'),
    (FCode: 'D55'; FName: 'QGD: Pillsbury attack'; FMoves: 'd2d4d7d5c2c4e7e6b1c3g8f6c1g5f8e7e2e3e8g8g1f3b7b6f1d3c8b7c4d5e6d5f3e5'),
    (FCode: 'D55'; FName: 'QGD: Neo-orthodox variation'; FMoves: 'd2d4d7d5c2c4e7e6b1c3g8f6c1g5f8e7e2e3e8g8g1f3h7h6'),
    (FCode: 'D55'; FName: 'QGD: Neo-orthodox variation, 7.Bxf6'; FMoves: 'd2d4d7d5c2c4e7e6b1c3g8f6c1g5f8e7e2e3e8g8g1f3h7h6g5f6'),
    (FCode: 'D55'; FName: 'QGD: Petrosian variation'; FMoves: 'd2d4d7d5c2c4e7e6b1c3g8f6c1g5f8e7e2e3e8g8g1f3h7h6g5f6e7f6a1c1c7c6f1d3b8d7e1g1d5c4d3c4'),
    (FCode: 'D55'; FName: 'QGD: Neo-orthodox variation, 7.Bh4'; FMoves: 'd2d4d7d5c2c4e7e6b1c3g8f6c1g5f8e7e2e3e8g8g1f3h7h6g5h4'),
    (FCode: 'D56'; FName: 'QGD: Lasker defence'; FMoves: 'd2d4d7d5c2c4e7e6b1c3g8f6c1g5f8e7e2e3e8g8g1f3h7h6g5h4f6e4'),
    (FCode: 'D56'; FName: 'QGD: Lasker defence, Teichmann variation'; FMoves: 'd2d4d7d5c2c4e7e6b1c3g8f6c1g5f8e7e2e3e8g8g1f3h7h6g5h4f6e4h4e7d8e7d1c2'),
    (FCode: 'D56'; FName: 'QGD: Lasker defence, Russian variation'; FMoves: 'd2d4d7d5c2c4e7e6b1c3g8f6c1g5f8e7e2e3e8g8g1f3h7h6g5h4f6e4h4e7d8e7d1c2e4f6f1d3d5c4d3c4c7c5e1g1b8c6f1d1c8d7'),
    (FCode: 'D57'; FName: 'QGD: Lasker defence, main line'; FMoves: 'd2d4d7d5c2c4e7e6b1c3g8f6c1g5f8e7e2e3e8g8g1f3h7h6g5h4f6e4h4e7d8e7c4d5e4c3b2c3'),
    (FCode: 'D57'; FName: 'QGD: Lasker defence, Bernstein variation'; FMoves: 'd2d4d7d5c2c4e7e6b1c3g8f6c1g5f8e7e2e3e8g8g1f3h7h6g5h4f6e4h4e7d8e7c4d5e4c3b2c3e6d5d1b3e7d6'),
    (FCode: 'D58'; FName: 'QGD: Tartakower (Makagonov-Bondarevsky) system'; FMoves: 'd2d4d7d5c2c4e7e6b1c3g8f6c1g5f8e7e2e3e8g8g1f3h7h6g5h4b7b6'),
    (FCode: 'D59'; FName: 'QGD: Tartakower (Makagonov-Bondarevsky) system, 8.cd Nxd5'; FMoves: 'd2d4d7d5c2c4e7e6b1c3g8f6c1g5f8e7e2e3e8g8g1f3h7h6g5h4b7b6c4d5f6d5'),
    (FCode: 'D59'; FName: 'QGD: Tartakower variation'; FMoves: 'd2d4d7d5c2c4e7e6b1c3g8f6c1g5f8e7e2e3e8g8g1f3h7h6g5h4b7b6c4d5f6d5h4e7d8e7c3d5e6d5a1c1c8e6'),
    (FCode: 'D60'; FName: 'QGD: Orthodox defence'; FMoves: 'd2d4d7d5c2c4e7e6b1c3g8f6c1g5f8e7e2e3e8g8g1f3b8d7'),
    (FCode: 'D60'; FName: 'QGD: Orthodox defence, Botvinnik variation'; FMoves: 'd2d4d7d5c2c4e7e6b1c3g8f6c1g5f8e7e2e3e8g8g1f3b8d7f1d3'),
    (FCode: 'D60'; FName: 'QGD: Orthodox defence, Rauzer variation'; FMoves: 'd2d4d7d5c2c4e7e6b1c3g8f6c1g5f8e7e2e3e8g8g1f3b8d7d1b3'),
    (FCode: 'D61'; FName: 'QGD: Orthodox defence, Rubinstein variation'; FMoves: 'd2d4d7d5c2c4e7e6b1c3g8f6c1g5f8e7e2e3e8g8g1f3b8d7d1c2'),
    (FCode: 'D62'; FName: 'QGD: Orthodox defence, 7.Qc2 c5, 8.cd (Rubinstein)'; FMoves: 'd2d4d7d5c2c4e7e6b1c3g8f6c1g5f8e7e2e3e8g8g1f3b8d7d1c2c7c5c4d5'),
    (FCode: 'D63'; FName: 'QGD: Orthodox defence, 7.Rc1'; FMoves: 'd2d4d7d5c2c4e7e6b1c3g8f6c1g5f8e7e2e3e8g8g1f3b8d7a1c1'),
    (FCode: 'D63'; FName: 'QGD: Orthodox defence, Pillsbury attack'; FMoves: 'd2d4d7d5c2c4e7e6b1c3g8f6c1g5f8e7e2e3e8g8g1f3b8d7a1c1b7b6c4d5e6d5f1d3'),
    (FCode: 'D63'; FName: 'QGD: Orthodox defence, Capablanca variation'; FMoves: 'd2d4d7d5c2c4e7e6b1c3g8f6c1g5f8e7e2e3e8g8g1f3b8d7a1c1b7b6c4d5e6d5f1b5'),
    (FCode: 'D63'; FName: 'QGD: Orthodox defence, Swiss (Henneberger) variation'; FMoves: 'd2d4d7d5c2c4e7e6b1c3g8f6c1g5f8e7e2e3e8g8g1f3b8d7a1c1a7a6'),
    (FCode: 'D63'; FName: 'QGD: Orthodox defence, Swiss, Karlsbad variation'; FMoves: 'd2d4d7d5c2c4e7e6b1c3g8f6c1g5f8e7e2e3e8g8g1f3b8d7a1c1a7a6c4d5'),
    (FCode: 'D63'; FName: 'QGD: Orthodox defence'; FMoves: 'd2d4d7d5c2c4e7e6b1c3g8f6c1g5f8e7e2e3e8g8g1f3b8d7a1c1c7c6'),
    (FCode: 'D64'; FName: 'QGD: Orthodox defence, Rubinstein attack (with Rc1)'; FMoves: 'd2d4d7d5c2c4e7e6b1c3g8f6c1g5f8e7e2e3e8g8g1f3b8d7a1c1c7c6d1c2'),
    (FCode: 'D64'; FName: 'QGD: Orthodox defence, Rubinstein attack, Wolf variation'; FMoves: 'd2d4d7d5c2c4e7e6b1c3g8f6c1g5f8e7e2e3e8g8g1f3b8d7a1c1c7c6d1c2f6e4'),
    (FCode: 'D64'; FName: 'QGD: Orthodox defence, Rubinstein attack, Karlsbad variation'; FMoves: 'd2d4d7d5c2c4e7e6b1c3g8f6c1g5f8e7e2e3e8g8g1f3b8d7a1c1c7c6d1c2a7a6'),
    (FCode: 'D64'; FName: 'QGD: Orthodox defence, Rubinstein attack, Gruenfeld variation'; FMoves: 'd2d4d7d5c2c4e7e6b1c3g8f6c1g5f8e7e2e3e8g8g1f3b8d7a1c1c7c6d1c2a7a6a2a3'),
    (FCode: 'D65'; FName: 'QGD: Orthodox defence, Rubinstein attack, main line'; FMoves: 'd2d4d7d5c2c4e7e6b1c3g8f6c1g5f8e7e2e3e8g8g1f3b8d7a1c1c7c6d1c2a7a6c4d5'),
    (FCode: 'D66'; FName: 'QGD: Orthodox defence, Bd3 line'; FMoves: 'd2d4d7d5c2c4e7e6b1c3g8f6c1g5f8e7e2e3e8g8g1f3b8d7a1c1c7c6f1d3'),
    (FCode: 'D66'; FName: 'QGD: Orthodox defence, Bd3 line, fianchetto variation'; FMoves: 'd2d4d7d5c2c4e7e6b1c3g8f6c1g5f8e7e2e3e8g8g1f3b8d7a1c1c7c6f1d3d5c4d3c4b7b5'),
    (FCode: 'D67'; FName: 'QGD: Orthodox defence, Bd3 line, Capablanca freeing manoevre'; FMoves: 'd2d4d7d5c2c4e7e6b1c3g8f6c1g5f8e7e2e3e8g8g1f3b8d7a1c1c7c6f1d3d5c4d3c4f6d5'),
    (FCode: 'D67'; FName: 'QGD: Orthodox defence, Bd3 line, Janowski variation'; FMoves: 'd2d4d7d5c2c4e7e6b1c3g8f6c1g5f8e7e2e3e8g8g1f3b8d7a1c1c7c6f1d3d5c4d3c4f6d5h2h4'),
    (FCode: 'D67'; FName: 'QGD: Orthodox defence, Bd3 line'; FMoves: 'd2d4d7d5c2c4e7e6b1c3g8f6c1g5f8e7e2e3e8g8g1f3b8d7a1c1c7c6f1d3d5c4d3c4f6d5g5e7d8e7'),
    (FCode: 'D67'; FName: 'QGD: Orthodox defence, Bd3 line, Alekhine variation'; FMoves: 'd2d4d7d5c2c4e7e6b1c3g8f6c1g5f8e7e2e3e8g8g1f3b8d7a1c1c7c6f1d3d5c4d3c4f6d5g5e7d8e7c3e4'),
    (FCode: 'D67'; FName: 'QGD: Orthodox defence, Bd3 line, 11.O-O'; FMoves: 'd2d4d7d5c2c4e7e6b1c3g8f6c1g5f8e7e2e3e8g8g1f3b8d7a1c1c7c6f1d3d5c4d3c4f6d5g5e7d8e7e1g1'),
    (FCode: 'D68'; FName: 'QGD: Orthodox defence, classical variation'; FMoves: 'd2d4d7d5c2c4e7e6b1c3g8f6c1g5f8e7e2e3e8g8g1f3b8d7a1c1c7c6f1d3d5c4d3c4f6d5g5e7d8e7e1g1d5c3c1c3e6e5'),
    (FCode: 'D68'; FName: 'QGD: Orthodox defence, classical, 13.d1b1 (Maroczy)'; FMoves: 'd2d4d7d5c2c4e7e6b1c3g8f6c1g5f8e7e2e3e8g8g1f3b8d7a1c1c7c6f1d3d5c4d3c4f6d5g5e7d8e7e1g1d5c3c1c3e6e5d1b1'),
    (FCode: 'D68'; FName: 'QGD: Orthodox defence, classical, 13.d1c2 (Vidmar)'; FMoves: 'd2d4d7d5c2c4e7e6b1c3g8f6c1g5f8e7e2e3e8g8g1f3b8d7a1c1c7c6f1d3d5c4d3c4f6d5g5e7d8e7e1g1d5c3c1c3e6e5d1c2'),
    (FCode: 'D69'; FName: 'QGD: Orthodox defence, classical, 13.de'; FMoves: 'd2d4d7d5c2c4e7e6b1c3g8f6c1g5f8e7e2e3e8g8g1f3b8d7a1c1c7c6f1d3d5c4d3c4f6d5g5e7d8e7e1g1d5c3c1c3e6e5d4e5d7e5f3e5e7e5'),
    (FCode: 'D70'; FName: 'Neo-Gruenfeld defence'; FMoves: 'd2d4g8f6c2c4g7g6f2f3d7d5'),
    (FCode: 'D70'; FName: 'Neo-Gruenfeld (Kemeri) defence'; FMoves: 'd2d4g8f6c2c4g7g6g2g3d7d5'),
    (FCode: 'D71'; FName: 'Neo-Gruenfeld, 5.cd'; FMoves: 'd2d4g8f6c2c4g7g6g2g3d7d5f1g2f8g7c4d5f6d5'),
    (FCode: 'D72'; FName: 'Neo-Gruenfeld, 5.cd, main line'; FMoves: 'd2d4g8f6c2c4g7g6g2g3d7d5f1g2f8g7c4d5f6d5e2e4d5b6g1e2'),
    (FCode: 'D73'; FName: 'Neo-Gruenfeld, 5.Nf3'; FMoves: 'd2d4g8f6c2c4g7g6g2g3d7d5f1g2f8g7g1f3'),
    (FCode: 'D74'; FName: 'Neo-Gruenfeld, 6.cd Nxd5, 7.O-O'; FMoves: 'd2d4g8f6c2c4g7g6g2g3d7d5f1g2f8g7g1f3e8g8c4d5f6d5e1g1'),
    (FCode: 'D75'; FName: 'Neo-Gruenfeld, 6.cd Nxd5, 7.O-O c5, 8.Nc3'; FMoves: 'd2d4g8f6c2c4g7g6g2g3d7d5f1g2f8g7g1f3e8g8c4d5f6d5e1g1c7c5b1c3'),
    (FCode: 'D75'; FName: 'Neo-Gruenfeld, 6.cd Nxd5, 7.O-O c5, 8.dc'; FMoves: 'd2d4g8f6c2c4g7g6g2g3d7d5f1g2f8g7g1f3e8g8c4d5f6d5e1g1c7c5d4c5'),
    (FCode: 'D76'; FName: 'Neo-Gruenfeld, 6.cd Nxd5, 7.O-O Nb6'; FMoves: 'd2d4g8f6c2c4g7g6g2g3d7d5f1g2f8g7g1f3e8g8c4d5f6d5e1g1d5b6'),
    (FCode: 'D77'; FName: 'Neo-Gruenfeld, 6.O-O'; FMoves: 'd2d4g8f6c2c4g7g6g2g3d7d5f1g2f8g7g1f3e8g8e1g1'),
    (FCode: 'D78'; FName: 'Neo-Gruenfeld, 6.O-O c6'; FMoves: 'd2d4g8f6c2c4g7g6g2g3d7d5f1g2f8g7g1f3e8g8e1g1c7c6'),
    (FCode: 'D79'; FName: 'Neo-Gruenfeld, 6.O-O, main line'; FMoves: 'd2d4g8f6c2c4g7g6g2g3d7d5f1g2f8g7g1f3e8g8e1g1c7c6c4d5c6d5'),
    (FCode: 'D80'; FName: 'Gruenfeld defence'; FMoves: 'd2d4g8f6c2c4g7g6b1c3d7d5'),
    (FCode: 'D80'; FName: 'Gruenfeld: Spike gambit'; FMoves: 'd2d4g8f6c2c4g7g6b1c3d7d5g2g4'),
    (FCode: 'D80'; FName: 'Gruenfeld: Stockholm variation'; FMoves: 'd2d4g8f6c2c4g7g6b1c3d7d5c1g5'),
    (FCode: 'D80'; FName: 'Gruenfeld: Lundin variation'; FMoves: 'd2d4g8f6c2c4g7g6b1c3d7d5c1g5f6e4c3e4d5e4d1d2c7c5'),
    (FCode: 'D81'; FName: 'Gruenfeld: Russian variation'; FMoves: 'd2d4g8f6c2c4g7g6b1c3d7d5d1b3'),
    (FCode: 'D82'; FName: 'Gruenfeld: 4.Bf4'; FMoves: 'd2d4g8f6c2c4g7g6b1c3d7d5c1f4'),
    (FCode: 'D83'; FName: 'Gruenfeld: Gruenfeld gambit'; FMoves: 'd2d4g8f6c2c4g7g6b1c3d7d5c1f4f8g7e2e3e8g8'),
    (FCode: 'D83'; FName: 'Gruenfeld: Gruenfeld gambit, Capablanca variation'; FMoves: 'd2d4g8f6c2c4g7g6b1c3d7d5c1f4f8g7e2e3e8g8a1c1'),
    (FCode: 'D83'; FName: 'Gruenfeld: Gruenfeld gambit, Botvinnik variation'; FMoves: 'd2d4g8f6c2c4g7g6b1c3d7d5c1f4f8g7e2e3e8g8a1c1c7c5d4c5c8e6'),
    (FCode: 'D84'; FName: 'Gruenfeld: Gruenfeld gambit accepted'; FMoves: 'd2d4g8f6c2c4g7g6b1c3d7d5c1f4f8g7e2e3e8g8c4d5f6d5c3d5d8d5f4c7'),
    (FCode: 'D85'; FName: 'Gruenfeld: exchange variation'; FMoves: 'd2d4g8f6c2c4g7g6b1c3d7d5c4d5f6d5'),
    (FCode: 'D85'; FName: 'Gruenfeld: modern exchange variation'; FMoves: 'd2d4g8f6c2c4g7g6b1c3d7d5c4d5f6d5e2e4d5c3b2c3f8g7g1f3'),
    (FCode: 'D86'; FName: 'Gruenfeld: exchange, classical variation'; FMoves: 'd2d4g8f6c2c4g7g6b1c3d7d5c4d5f6d5e2e4d5c3b2c3f8g7f1c4'),
    (FCode: 'D86'; FName: 'Gruenfeld: exchange, Larsen variation'; FMoves: 'd2d4g8f6c2c4g7g6b1c3d7d5c4d5f6d5e2e4d5c3b2c3f8g7f1c4e8g8g1e2d8d7e1g1b7b6'),
    (FCode: 'D86'; FName: 'Gruenfeld: exchange, Simagin''s lesser variation'; FMoves: 'd2d4g8f6c2c4g7g6b1c3d7d5c4d5f6d5e2e4d5c3b2c3f8g7f1c4e8g8g1e2b7b6'),
    (FCode: 'D86'; FName: 'Gruenfeld: exchange, Simagin''s improved variation'; FMoves: 'd2d4g8f6c2c4g7g6b1c3d7d5c4d5f6d5e2e4d5c3b2c3f8g7f1c4e8g8g1e2b8c6'),
    (FCode: 'D87'; FName: 'Gruenfeld: exchange, Spassky variation'; FMoves: 'd2d4g8f6c2c4g7g6b1c3d7d5c4d5f6d5e2e4d5c3b2c3f8g7f1c4e8g8g1e2c7c5'),
    (FCode: 'D87'; FName: 'Gruenfeld: exchange, Seville variation'; FMoves: 'd2d4g8f6c2c4g7g6b1c3d7d5c4d5f6d5e2e4d5c3b2c3f8g7f1c4e8g8g1e2c7c5e1g1b8c6c1e3c8g4f2f3c6a5c4f7'),
    (FCode: 'D88'; FName: 'Gruenfeld: Spassky variation, main line, 10...cd, 11.cd'; FMoves: 'd2d4g8f6c2c4g7g6b1c3d7d5c4d5f6d5e2e4d5c3b2c3f8g7f1c4e8g8g1e2c7c5e1g1b8c6c1e3c5d4c3d4'),
    (FCode: 'D89'; FName: 'Gruenfeld: Spassky variation, main line, 13.Bd3'; FMoves: 'd2d4g8f6c2c4g7g6b1c3d7d5c4d5f6d5e2e4d5c3b2c3f8g7f1c4e8g8g1e2c7c5e1g1b8c6c1e3c5d4c3d4c8g4f2f3c6a5c4d3g4e6'),
    (FCode: 'D89'; FName: 'Gruenfeld: exchange, Sokolsky variation'; FMoves: 'd2d4g8f6c2c4g7g6b1c3d7d5c4d5f6d5e2e4d5c3b2c3f8g7f1c4e8g8g1e2c7c5e1g1b8c6c1e3c5d4c3d4c8g4f2f3c6a5c4d3g4e6d4d5'),
    (FCode: 'D90'; FName: 'Gruenfeld: Three knights variation'; FMoves: 'd2d4g8f6c2c4g7g6b1c3d7d5g1f3'),
    (FCode: 'D90'; FName: 'Gruenfeld: Schlechter variation'; FMoves: 'd2d4g8f6c2c4g7g6b1c3d7d5g1f3c7c6'),
    (FCode: 'D90'; FName: 'Gruenfeld: Three knights variation'; FMoves: 'd2d4g8f6c2c4g7g6b1c3d7d5g1f3f8g7'),
    (FCode: 'D90'; FName: 'Gruenfeld: Flohr variation'; FMoves: 'd2d4g8f6c2c4g7g6b1c3d7d5g1f3f8g7d1a4'),
    (FCode: 'D91'; FName: 'Gruenfeld: 5.Bg5'; FMoves: 'd2d4g8f6c2c4g7g6b1c3d7d5g1f3f8g7c1g5'),
    (FCode: 'D92'; FName: 'Gruenfeld: 5.Bf4'; FMoves: 'd2d4g8f6c2c4g7g6b1c3d7d5g1f3f8g7c1f4'),
    (FCode: 'D93'; FName: 'Gruenfeld with Bf4    e3'; FMoves: 'd2d4g8f6c2c4g7g6b1c3d7d5g1f3f8g7c1f4e8g8e2e3'),
    (FCode: 'D94'; FName: 'Gruenfeld: 5.e3'; FMoves: 'd2d4g8f6c2c4g7g6b1c3d7d5g1f3f8g7e2e3'),
    (FCode: 'D94'; FName: 'Gruenfeld: Makogonov variation'; FMoves: 'd2d4g8f6c2c4g7g6b1c3d7d5g1f3f8g7e2e3e8g8b2b4'),
    (FCode: 'D94'; FName: 'Gruenfeld: Opovcensky variation'; FMoves: 'd2d4g8f6c2c4g7g6b1c3d7d5g1f3f8g7e2e3e8g8c1d2'),
    (FCode: 'D94'; FName: 'Gruenfeld with e3    Bd3'; FMoves: 'd2d4g8f6c2c4g7g6b1c3d7d5g1f3f8g7e2e3e8g8f1d3'),
    (FCode: 'D94'; FName: 'Gruenfeld: Smyslov defence'; FMoves: 'd2d4g8f6c2c4g7g6b1c3d7d5g1f3f8g7e2e3e8g8f1d3c7c6e1g1c8g4'),
    (FCode: 'D94'; FName: 'Gruenfeld: Flohr defence'; FMoves: 'd2d4g8f6c2c4g7g6b1c3d7d5g1f3f8g7e2e3e8g8f1d3c7c6e1g1c8f5'),
    (FCode: 'D95'; FName: 'Gruenfeld: Botvinnik variation'; FMoves: 'd2d4g8f6c2c4g7g6b1c3d7d5g1f3f8g7e2e3e8g8d1b3e7e6'),
    (FCode: 'D95'; FName: 'Gruenfeld: Pachman variation'; FMoves: 'd2d4g8f6c2c4g7g6b1c3d7d5g1f3f8g7e2e3e8g8d1b3d5c4f1c4b8d7f3g5'),
    (FCode: 'D96'; FName: 'Gruenfeld: Russian variation'; FMoves: 'd2d4g8f6c2c4g7g6b1c3d7d5g1f3f8g7d1b3'),
    (FCode: 'D97'; FName: 'Gruenfeld: Russian variation with e4'; FMoves: 'd2d4g8f6c2c4g7g6b1c3d7d5g1f3f8g7d1b3d5c4b3c4e8g8e2e4'),
    (FCode: 'D97'; FName: 'Gruenfeld: Russian, Alekhine (Hungarian) variation'; FMoves: 'd2d4g8f6c2c4g7g6b1c3d7d5g1f3f8g7d1b3d5c4b3c4e8g8e2e4a7a6'),
    (FCode: 'D97'; FName: 'Gruenfeld: Russian, Szabo (Boleslavsky) variation'; FMoves: 'd2d4g8f6c2c4g7g6b1c3d7d5g1f3f8g7d1b3d5c4b3c4e8g8e2e4c7c6'),
    (FCode: 'D97'; FName: 'Gruenfeld: Russian, Levenfish variation'; FMoves: 'd2d4g8f6c2c4g7g6b1c3d7d5g1f3f8g7d1b3d5c4b3c4e8g8e2e4b7b6'),
    (FCode: 'D97'; FName: 'Gruenfeld: Russian, Byrne (Simagin) variation'; FMoves: 'd2d4g8f6c2c4g7g6b1c3d7d5g1f3f8g7d1b3d5c4b3c4e8g8e2e4b8c6'),
    (FCode: 'D97'; FName: 'Gruenfeld: Russian, Prins variation'; FMoves: 'd2d4g8f6c2c4g7g6b1c3d7d5g1f3f8g7d1b3d5c4b3c4e8g8e2e4b8a6'),
    (FCode: 'D98'; FName: 'Gruenfeld: Russian, Smyslov variation'; FMoves: 'd2d4g8f6c2c4g7g6b1c3d7d5g1f3f8g7d1b3d5c4b3c4e8g8e2e4c8g4'),
    (FCode: 'D98'; FName: 'Gruenfeld: Russian, Keres variation'; FMoves: 'd2d4g8f6c2c4g7g6b1c3d7d5g1f3f8g7d1b3d5c4b3c4e8g8e2e4c8g4c1e3f6d7f1e2d7b6c4d3b8c6e1c1'),
    (FCode: 'D99'; FName: 'Gruenfeld defence: Smyslov, main line'; FMoves: 'd2d4g8f6c2c4g7g6b1c3d7d5g1f3f8g7d1b3d5c4b3c4e8g8e2e4c8g4c1e3f6d7c4b3'),
    (FCode: 'D99'; FName: 'Gruenfeld defence: Smyslov, Yugoslav variation'; FMoves: 'd2d4g8f6c2c4g7g6b1c3d7d5g1f3f8g7d1b3d5c4b3c4e8g8e2e4c8g4c1e3f6d7c4b3c7c5'),
    (FCode: 'E00'; FName: 'Queen''s pawn game'; FMoves: 'd2d4g8f6c2c4e7e6'),
    (FCode: 'E00'; FName: 'Neo-Indian (Seirawan) attack'; FMoves: 'd2d4g8f6c2c4e7e6c1g5'),
    (FCode: 'E00'; FName: 'Catalan opening'; FMoves: 'd2d4g8f6c2c4e7e6g2g3'),
    (FCode: 'E01'; FName: 'Catalan: closed'; FMoves: 'd2d4g8f6c2c4e7e6g2g3d7d5f1g2'),
    (FCode: 'E02'; FName: 'Catalan: open, 5.Qa4'; FMoves: 'd2d4g8f6c2c4e7e6g2g3d7d5f1g2d5c4d1a4'),
    (FCode: 'E03'; FName: 'Catalan: open, Alekhine variation'; FMoves: 'd2d4g8f6c2c4e7e6g2g3d7d5f1g2d5c4d1a4b8d7a4c4a7a6c4c2'),
    (FCode: 'E03'; FName: 'Catalan: open, 5.Qa4 Nbd7, 6.Qxc4'; FMoves: 'd2d4g8f6c2c4e7e6g2g3d7d5f1g2d5c4d1a4b8d7a4c4'),
    (FCode: 'E04'; FName: 'Catalan: open, 5.Nf3'; FMoves: 'd2d4g8f6c2c4e7e6g2g3d7d5f1g2d5c4g1f3'),
    (FCode: 'E05'; FName: 'Catalan: open, classical line'; FMoves: 'd2d4g8f6c2c4e7e6g2g3d7d5f1g2d5c4g1f3f8e7'),
    (FCode: 'E06'; FName: 'Catalan: closed, 5.Nf3'; FMoves: 'd2d4g8f6c2c4e7e6g2g3d7d5f1g2f8e7g1f3'),
    (FCode: 'E07'; FName: 'Catalan: closed, 6...Nbd7'; FMoves: 'd2d4g8f6c2c4e7e6g2g3d7d5f1g2f8e7g1f3e8g8e1g1b8d7'),
    (FCode: 'E07'; FName: 'Catalan: closed, Botvinnik variation'; FMoves: 'd2d4g8f6c2c4e7e6g2g3d7d5f1g2f8e7g1f3e8g8e1g1b8d7b1c3c7c6d1d3'),
    (FCode: 'E08'; FName: 'Catalan: closed, 7.Qc2'; FMoves: 'd2d4g8f6c2c4e7e6g2g3d7d5f1g2f8e7g1f3e8g8e1g1b8d7d1c2'),
    (FCode: 'E08'; FName: 'Catalan: closed, Zagoryansky variation'; FMoves: 'd2d4g8f6c2c4e7e6g2g3d7d5f1g2f8e7g1f3e8g8e1g1b8d7d1c2c7c6f1d1b7b6a2a4'),
    (FCode: 'E08'; FName: 'Catalan: closed, Spassky gambit'; FMoves: 'd2d4g8f6c2c4e7e6g2g3d7d5f1g2f8e7g1f3e8g8e1g1b8d7d1c2c7c6b2b3b7b6f1d1c8b7b1c3b6b5'),
    (FCode: 'E09'; FName: 'Catalan: closed, main line'; FMoves: 'd2d4g8f6c2c4e7e6g2g3d7d5f1g2f8e7g1f3e8g8e1g1b8d7d1c2c7c6b1d2'),
    (FCode: 'E09'; FName: 'Catalan: closed, Sokolsky variation'; FMoves: 'd2d4g8f6c2c4e7e6g2g3d7d5f1g2f8e7g1f3e8g8e1g1b8d7d1c2c7c6b1d2b7b6b2b3a7a5c1b2c8a6'),
    (FCode: 'E10'; FName: 'Queen''s pawn game'; FMoves: 'd2d4g8f6c2c4e7e6g1f3'),
    (FCode: 'E10'; FName: 'Blumenfeld counter-gambit'; FMoves: 'd2d4g8f6c2c4e7e6g1f3c7c5d4d5b7b5'),
    (FCode: 'E10'; FName: 'Blumenfeld counter-gambit accepted'; FMoves: 'd2d4g8f6c2c4e7e6g1f3c7c5d4d5b7b5d5e6f7e6c4b5d7d5'),
    (FCode: 'E10'; FName: 'Blumenfeld counter-gambit, Dus-Chotimursky variation'; FMoves: 'd2d4g8f6c2c4e7e6g1f3c7c5d4d5b7b5c1g5'),
    (FCode: 'E10'; FName: 'Blumenfeld counter-gambit, Spielmann variation'; FMoves: 'd2d4g8f6c2c4e7e6g1f3c7c5d4d5b7b5c1g5e6d5c4d5h7h6'),
    (FCode: 'E10'; FName: 'Dzindzikhashvili defence'; FMoves: 'd2d4g8f6c2c4e7e6g1f3a7a6'),
    (FCode: 'E10'; FName: 'Doery defence'; FMoves: 'd2d4g8f6c2c4e7e6g1f3f6e4'),
    (FCode: 'E11'; FName: 'Bogo-Indian defence'; FMoves: 'd2d4g8f6c2c4e7e6g1f3f8b4'),
    (FCode: 'E11'; FName: 'Bogo-Indian defence, Gruenfeld variation'; FMoves: 'd2d4g8f6c2c4e7e6g1f3f8b4b1d2'),
    (FCode: 'E11'; FName: 'Bogo-Indian defence, Nimzovich variation'; FMoves: 'd2d4g8f6c2c4e7e6g1f3f8b4c1d2d8e7'),
    (FCode: 'E11'; FName: 'Bogo-Indian defence, Monticelli trap'; FMoves: 'd2d4g8f6c2c4e7e6g1f3f8b4c1d2b4d2d1d2b7b6g2g3c8b7f1g2e8g8b1c3f6e4d2c2e4c3f3g5'),
    (FCode: 'E12'; FName: 'Queen''s Indian defence'; FMoves: 'd2d4g8f6c2c4e7e6g1f3b7b6'),
    (FCode: 'E12'; FName: 'Queen''s Indian: Miles variation'; FMoves: 'd2d4g8f6c2c4e7e6g1f3b7b6c1f4'),
    (FCode: 'E12'; FName: 'Queen''s Indian: Petrosian system'; FMoves: 'd2d4g8f6c2c4e7e6g1f3b7b6a2a3'),
    (FCode: 'E12'; FName: 'Queen''s Indian: 4.Nc3'; FMoves: 'd2d4g8f6c2c4e7e6g1f3b7b6b1c3'),
    (FCode: 'E12'; FName: 'Queen''s Indian: 4.Nc3, Botvinnik variation'; FMoves: 'd2d4g8f6c2c4e7e6g1f3b7b6b1c3c8b7c1g5h7h6g5h4g7g5h4g3f6h5'),
    (FCode: 'E13'; FName: 'Queen''s Indian: 4.Nc3, main line'; FMoves: 'd2d4g8f6c2c4e7e6g1f3b7b6b1c3c8b7c1g5h7h6g5h4f8b4'),
    (FCode: 'E14'; FName: 'Queen''s Indian: 4.e3'; FMoves: 'd2d4g8f6c2c4e7e6g1f3b7b6e2e3'),
    (FCode: 'E14'; FName: 'Queen''s Indian: Averbakh variation'; FMoves: 'd2d4g8f6c2c4e7e6g1f3b7b6e2e3c8b7f1d3c7c5e1g1f8e7b2b3e8g8c1b2c5d4f3d4'),
    (FCode: 'E15'; FName: 'Queen''s Indian: 4.g3'; FMoves: 'd2d4g8f6c2c4e7e6g1f3b7b6g2g3'),
    (FCode: 'E15'; FName: 'Queen''s Indian: Nimzovich variation (exaggerated fianchetto)'; FMoves: 'd2d4g8f6c2c4e7e6g1f3b7b6g2g3c8a6'),
    (FCode: 'E15'; FName: 'Queen''s Indian: 4.g3 Bb7'; FMoves: 'd2d4g8f6c2c4e7e6g1f3b7b6g2g3c8b7'),
    (FCode: 'E15'; FName: 'Queen''s Indian: Rubinstein variation'; FMoves: 'd2d4g8f6c2c4e7e6g1f3b7b6g2g3c8b7f1g2c7c5d4d5e6d5f3h4'),
    (FCode: 'E15'; FName: 'Queen''s Indian: Buerger variation'; FMoves: 'd2d4g8f6c2c4e7e6g1f3b7b6g2g3c8b7f1g2c7c5d4d5e6d5f3g5'),
    (FCode: 'E16'; FName: 'Queen''s Indian: Capablanca variation'; FMoves: 'd2d4g8f6c2c4e7e6g1f3b7b6g2g3c8b7f1g2f8b4'),
    (FCode: 'E16'; FName: 'Queen''s Indian: Yates variation'; FMoves: 'd2d4g8f6c2c4e7e6g1f3b7b6g2g3c8b7f1g2f8b4c1d2a7a5'),
    (FCode: 'E16'; FName: 'Queen''s Indian: Riumin variation'; FMoves: 'd2d4g8f6c2c4e7e6g1f3b7b6g2g3c8b7f1g2f8b4c1d2b4e7'),
    (FCode: 'E17'; FName: 'Queen''s Indian: 5.Bg2 Be7'; FMoves: 'd2d4g8f6c2c4e7e6g1f3b7b6g2g3c8b7f1g2f8e7'),
    (FCode: 'E17'; FName: 'Queen''s Indian: anti-Queen''s Indian system'; FMoves: 'd2d4g8f6c2c4e7e6g1f3b7b6g2g3c8b7f1g2f8e7b1c3'),
    (FCode: 'E17'; FName: 'Queen''s Indian: Opovcensky variation'; FMoves: 'd2d4g8f6c2c4e7e6g1f3b7b6g2g3c8b7f1g2f8e7b1c3f6e4c1d2'),
    (FCode: 'E17'; FName: 'Queen''s Indian: old main line, 6.O-O'; FMoves: 'd2d4g8f6c2c4e7e6g1f3b7b6g2g3c8b7f1g2f8e7e1g1'),
    (FCode: 'E17'; FName: 'Queen''s Indian: Euwe variation'; FMoves: 'd2d4g8f6c2c4e7e6g1f3b7b6g2g3c8b7f1g2f8e7e1g1e8g8b2b3'),
    (FCode: 'E18'; FName: 'Queen''s Indian: old main line, 7.Nc3'; FMoves: 'd2d4g8f6c2c4e7e6g1f3b7b6g2g3c8b7f1g2f8e7e1g1e8g8b1c3'),
    (FCode: 'E19'; FName: 'Queen''s Indian: old main line, 9.Qxc3'; FMoves: 'd2d4g8f6c2c4e7e6g1f3b7b6g2g3c8b7f1g2f8e7e1g1e8g8b1c3f6e4d1c2e4c3c2c3'),
    (FCode: 'E20'; FName: 'Nimzo-Indian defence'; FMoves: 'd2d4g8f6c2c4e7e6b1c3f8b4'),
    (FCode: 'E20'; FName: 'Nimzo-Indian: Kmoch variation'; FMoves: 'd2d4g8f6c2c4e7e6b1c3f8b4f2f3'),
    (FCode: 'E20'; FName: 'Nimzo-Indian: Mikenas attack'; FMoves: 'd2d4g8f6c2c4e7e6b1c3f8b4d1d3'),
    (FCode: 'E20'; FName: 'Nimzo-Indian: Romanishin-Kasparov (Steiner) system'; FMoves: 'd2d4g8f6c2c4e7e6b1c3f8b4g2g3'),
    (FCode: 'E21'; FName: 'Nimzo-Indian: three knights variation'; FMoves: 'd2d4g8f6c2c4e7e6b1c3f8b4g1f3'),
    (FCode: 'E21'; FName: 'Nimzo-Indian: three knights, Korchnoi variation'; FMoves: 'd2d4g8f6c2c4e7e6b1c3f8b4g1f3c7c5d4d5'),
    (FCode: 'E21'; FName: 'Nimzo-Indian: three knights, Euwe variation'; FMoves: 'd2d4g8f6c2c4e7e6b1c3f8b4g1f3c7c5d4d5f6e4'),
    (FCode: 'E22'; FName: 'Nimzo-Indian: Spielmann variation'; FMoves: 'd2d4g8f6c2c4e7e6b1c3f8b4d1b3'),
    (FCode: 'E23'; FName: 'Nimzo-Indian: Spielmann, 4...c5, 5.dc Nc6'; FMoves: 'd2d4g8f6c2c4e7e6b1c3f8b4d1b3c7c5d4c5b8c6'),
    (FCode: 'E23'; FName: 'Nimzo-Indian: Spielmann, Karlsbad variation'; FMoves: 'd2d4g8f6c2c4e7e6b1c3f8b4d1b3c7c5d4c5b8c6g1f3f6e4c1d2e4d2'),
    (FCode: 'E23'; FName: 'Nimzo-Indian: Spielmann, San Remo variation'; FMoves: 'd2d4g8f6c2c4e7e6b1c3f8b4d1b3c7c5d4c5b8c6g1f3f6e4c1d2e4c5'),
    (FCode: 'E23'; FName: 'Nimzo-Indian: Spielmann, Staahlberg variation'; FMoves: 'd2d4g8f6c2c4e7e6b1c3f8b4d1b3c7c5d4c5b8c6g1f3f6e4c1d2e4c5b3c2f7f5g2g3'),
    (FCode: 'E24'; FName: 'Nimzo-Indian: Saemisch variation'; FMoves: 'd2d4g8f6c2c4e7e6b1c3f8b4a2a3b4c3b2c3'),
    (FCode: 'E24'; FName: 'Nimzo-Indian: Saemisch, Botvinnik variation'; FMoves: 'd2d4g8f6c2c4e7e6b1c3f8b4a2a3b4c3b2c3c7c5f2f3d7d5e2e3e8g8c4d5f6d5'),
    (FCode: 'E25'; FName: 'Nimzo-Indian: Saemisch variation'; FMoves: 'd2d4g8f6c2c4e7e6b1c3f8b4a2a3b4c3b2c3c7c5f2f3d7d5c4d5'),
    (FCode: 'E25'; FName: 'Nimzo-Indian: Saemisch, Keres variation'; FMoves: 'd2d4g8f6c2c4e7e6b1c3f8b4a2a3b4c3b2c3c7c5f2f3d7d5c4d5f6d5d4c5'),
    (FCode: 'E25'; FName: 'Nimzo-Indian: Saemisch, Romanovsky variation'; FMoves: 'd2d4g8f6c2c4e7e6b1c3f8b4a2a3b4c3b2c3c7c5f2f3d7d5c4d5f6d5d4c5f7f5'),
    (FCode: 'E26'; FName: 'Nimzo-Indian: Saemisch variation'; FMoves: 'd2d4g8f6c2c4e7e6b1c3f8b4a2a3b4c3b2c3c7c5e2e3'),
    (FCode: 'E26'; FName: 'Nimzo-Indian: Saemisch, O''Kelly variation'; FMoves: 'd2d4g8f6c2c4e7e6b1c3f8b4a2a3b4c3b2c3c7c5e2e3b7b6'),
    (FCode: 'E27'; FName: 'Nimzo-Indian: Saemisch variation'; FMoves: 'd2d4g8f6c2c4e7e6b1c3f8b4a2a3b4c3b2c3e8g8'),
    (FCode: 'E28'; FName: 'Nimzo-Indian: Saemisch variation'; FMoves: 'd2d4g8f6c2c4e7e6b1c3f8b4a2a3b4c3b2c3e8g8e2e3'),
    (FCode: 'E29'; FName: 'Nimzo-Indian: Saemisch, main line'; FMoves: 'd2d4g8f6c2c4e7e6b1c3f8b4a2a3b4c3b2c3e8g8e2e3c7c5f1d3b8c6'),
    (FCode: 'E29'; FName: 'Nimzo-Indian: Saemisch, Capablanca variation'; FMoves: 'd2d4g8f6c2c4e7e6b1c3f8b4a2a3b4c3b2c3e8g8e2e3c7c5f1d3b8c6g1e2b7b6e3e4f6e8'),
    (FCode: 'E30'; FName: 'Nimzo-Indian: Leningrad variation'; FMoves: 'd2d4g8f6c2c4e7e6b1c3f8b4c1g5'),
    (FCode: 'E30'; FName: 'Nimzo-Indian: Leningrad, ...b5 gambit'; FMoves: 'd2d4g8f6c2c4e7e6b1c3f8b4c1g5h7h6g5h4c7c5d4d5b7b5'),
    (FCode: 'E31'; FName: 'Nimzo-Indian: Leningrad, main line'; FMoves: 'd2d4g8f6c2c4e7e6b1c3f8b4c1g5h7h6g5h4c7c5d4d5d7d6'),
    (FCode: 'E32'; FName: 'Nimzo-Indian: classical variation'; FMoves: 'd2d4g8f6c2c4e7e6b1c3f8b4d1c2'),
    (FCode: 'E32'; FName: 'Nimzo-Indian: classical, Adorjan gambit'; FMoves: 'd2d4g8f6c2c4e7e6b1c3f8b4d1c2e8g8a2a3b4c3c2c3b7b5'),
    (FCode: 'E33'; FName: 'Nimzo-Indian: classical, 4...Nc6'; FMoves: 'd2d4g8f6c2c4e7e6b1c3f8b4d1c2b8c6'),
    (FCode: 'E33'; FName: 'Nimzo-Indian: classical, Milner-Barry (Zurich) variation'; FMoves: 'd2d4g8f6c2c4e7e6b1c3f8b4d1c2b8c6g1f3d7d6'),
    (FCode: 'E34'; FName: 'Nimzo-Indian: classical, Noa variation'; FMoves: 'd2d4g8f6c2c4e7e6b1c3f8b4d1c2d7d5'),
    (FCode: 'E35'; FName: 'Nimzo-Indian: classical, Noa variation, 5.cd ed'; FMoves: 'd2d4g8f6c2c4e7e6b1c3f8b4d1c2d7d5c4d5e6d5'),
    (FCode: 'E36'; FName: 'Nimzo-Indian: classical, Noa variation, 5.a3'; FMoves: 'd2d4g8f6c2c4e7e6b1c3f8b4d1c2d7d5a2a3'),
    (FCode: 'E36'; FName: 'Nimzo-Indian: classical, Botvinnik variation'; FMoves: 'd2d4g8f6c2c4e7e6b1c3f8b4d1c2d7d5a2a3b4c3c2c3b8c6'),
    (FCode: 'E36'; FName: 'Nimzo-Indian: classical, Noa variation, main line'; FMoves: 'd2d4g8f6c2c4e7e6b1c3f8b4d1c2d7d5a2a3b4c3c2c3f6e4'),
    (FCode: 'E37'; FName: 'Nimzo-Indian: classical, Noa variation, main line, 7.Qc2'; FMoves: 'd2d4g8f6c2c4e7e6b1c3f8b4d1c2d7d5a2a3b4c3c2c3f6e4c3c2'),
    (FCode: 'E37'; FName: 'Nimzo-Indian: classical, San Remo variation'; FMoves: 'd2d4g8f6c2c4e7e6b1c3f8b4d1c2d7d5a2a3b4c3c2c3f6e4c3c2b8c6e2e3e6e5'),
    (FCode: 'E38'; FName: 'Nimzo-Indian: classical, 4...c5'; FMoves: 'd2d4g8f6c2c4e7e6b1c3f8b4d1c2c7c5'),
    (FCode: 'E39'; FName: 'Nimzo-Indian: classical, Pirc variation'; FMoves: 'd2d4g8f6c2c4e7e6b1c3f8b4d1c2c7c5d4c5e8g8'),
    (FCode: 'E40'; FName: 'Nimzo-Indian: 4.e3'; FMoves: 'd2d4g8f6c2c4e7e6b1c3f8b4e2e3'),
    (FCode: 'E40'; FName: 'Nimzo-Indian: 4.e3, Taimanov variation'; FMoves: 'd2d4g8f6c2c4e7e6b1c3f8b4e2e3b8c6'),
    (FCode: 'E41'; FName: 'Nimzo-Indian: 4.e3 c5'; FMoves: 'd2d4g8f6c2c4e7e6b1c3f8b4e2e3c7c5'),
    (FCode: 'E41'; FName: 'Nimzo-Indian: e3, Huebner variation'; FMoves: 'd2d4g8f6c2c4e7e6b1c3f8b4e2e3c7c5f1d3b8c6g1f3b4c3b2c3d7d6'),
    (FCode: 'E42'; FName: 'Nimzo-Indian: 4.e3 c5, 5.Ne2 (Rubinstein)'; FMoves: 'd2d4g8f6c2c4e7e6b1c3f8b4e2e3c7c5g1e2'),
    (FCode: 'E43'; FName: 'Nimzo-Indian: Fischer variation'; FMoves: 'd2d4g8f6c2c4e7e6b1c3f8b4e2e3b7b6'),
    (FCode: 'E44'; FName: 'Nimzo-Indian: Fischer variation, 5.Ne2'; FMoves: 'd2d4g8f6c2c4e7e6b1c3f8b4e2e3b7b6g1e2'),
    (FCode: 'E45'; FName: 'Nimzo-Indian: 4.e3, Bronstein (Byrne) variation'; FMoves: 'd2d4g8f6c2c4e7e6b1c3f8b4e2e3b7b6g1e2c8a6'),
    (FCode: 'E46'; FName: 'Nimzo-Indian: 4.e3 O-O'; FMoves: 'd2d4g8f6c2c4e7e6b1c3f8b4e2e3e8g8'),
    (FCode: 'E46'; FName: 'Nimzo-Indian: Reshevsky variation'; FMoves: 'd2d4g8f6c2c4e7e6b1c3f8b4e2e3e8g8g1e2'),
    (FCode: 'E46'; FName: 'Nimzo-Indian: Simagin variation'; FMoves: 'd2d4g8f6c2c4e7e6b1c3f8b4e2e3e8g8g1e2d7d5a2a3b4d6'),
    (FCode: 'E47'; FName: 'Nimzo-Indian: 4.e3 O-O, 5.Bd3'; FMoves: 'd2d4g8f6c2c4e7e6b1c3f8b4e2e3e8g8f1d3'),
    (FCode: 'E48'; FName: 'Nimzo-Indian: 4.e3 O-O, 5.Bd3 d5'; FMoves: 'd2d4g8f6c2c4e7e6b1c3f8b4e2e3e8g8f1d3d7d5'),
    (FCode: 'E49'; FName: 'Nimzo-Indian: 4.e3, Botvinnik system'; FMoves: 'd2d4g8f6c2c4e7e6b1c3f8b4e2e3e8g8f1d3d7d5a2a3b4c3b2c3'),
    (FCode: 'E50'; FName: 'Nimzo-Indian: 4.e3 e8g8, 5.Nf3, without ...d5'; FMoves: 'd2d4g8f6c2c4e7e6b1c3f8b4e2e3e8g8g1f3'),
    (FCode: 'E51'; FName: 'Nimzo-Indian: 4.e3 e8g8, 5.Nf3 d7d5'; FMoves: 'd2d4g8f6c2c4e7e6b1c3f8b4e2e3e8g8g1f3d7d5'),
    (FCode: 'E51'; FName: 'Nimzo-Indian: 4.e3, Ragozin variation'; FMoves: 'd2d4g8f6c2c4e7e6b1c3f8b4e2e3e8g8g1f3d7d5f1d3b8c6e1g1d5c4'),
    (FCode: 'E52'; FName: 'Nimzo-Indian: 4.e3, main line with ...b6'; FMoves: 'd2d4g8f6c2c4e7e6b1c3f8b4e2e3e8g8g1f3d7d5f1d3b7b6'),
    (FCode: 'E53'; FName: 'Nimzo-Indian: 4.e3, main line with ...c5'; FMoves: 'd2d4g8f6c2c4e7e6b1c3f8b4e2e3e8g8g1f3d7d5f1d3c7c5'),
    (FCode: 'E53'; FName: 'Nimzo-Indian: 4.e3, Keres variation'; FMoves: 'd2d4g8f6c2c4e7e6b1c3f8b4e2e3e8g8g1f3d7d5f1d3c7c5e1g1b7b6'),
    (FCode: 'E53'; FName: 'Nimzo-Indian: 4.e3, Gligoric system with 7...Nbd7'; FMoves: 'd2d4g8f6c2c4e7e6b1c3f8b4e2e3e8g8g1f3d7d5f1d3c7c5e1g1b8d7'),
    (FCode: 'E54'; FName: 'Nimzo-Indian: 4.e3, Gligoric system with 7...dc'; FMoves: 'd2d4g8f6c2c4e7e6b1c3f8b4e2e3e8g8g1f3d7d5f1d3c7c5e1g1d5c4d3c4'),
    (FCode: 'E54'; FName: 'Nimzo-Indian: 4.e3, Gligoric system, Smyslov variation'; FMoves: 'd2d4g8f6c2c4e7e6b1c3f8b4e2e3e8g8g1f3d7d5f1d3c7c5e1g1d5c4d3c4d8e7'),
    (FCode: 'E55'; FName: 'Nimzo-Indian: 4.e3, Gligoric system, Bronstein variation'; FMoves: 'd2d4g8f6c2c4e7e6b1c3f8b4e2e3e8g8g1f3d7d5f1d3c7c5e1g1d5c4d3c4b8d7'),
    (FCode: 'E56'; FName: 'Nimzo-Indian: 4.e3, main line with 7...Nc6'; FMoves: 'd2d4g8f6c2c4e7e6b1c3f8b4e2e3e8g8g1f3d7d5f1d3c7c5e1g1b8c6'),
    (FCode: 'E57'; FName: 'Nimzo-Indian: 4.e3, main line with 8...dc and 9...cd'; FMoves: 'd2d4g8f6c2c4e7e6b1c3f8b4e2e3e8g8g1f3d7d5f1d3c7c5e1g1b8c6a2a3d5c4d3c4c5d4'),
    (FCode: 'E58'; FName: 'Nimzo-Indian: 4.e3, main line with 8...Bxc3'; FMoves: 'd2d4g8f6c2c4e7e6b1c3f8b4e2e3e8g8g1f3d7d5f1d3c7c5e1g1b8c6a2a3b4c3b2c3'),
    (FCode: 'E59'; FName: 'Nimzo-Indian: 4.e3, main line'; FMoves: 'd2d4g8f6c2c4e7e6b1c3f8b4e2e3e8g8g1f3d7d5f1d3c7c5e1g1b8c6a2a3b4c3b2c3d5c4d3c4'),
    (FCode: 'E60'; FName: 'King''s Indian defence'; FMoves: 'd2d4g8f6c2c4g7g6'),
    (FCode: 'E60'; FName: 'King''s Indian, 3.Nf3'; FMoves: 'd2d4g8f6c2c4g7g6g1f3'),
    (FCode: 'E60'; FName: 'Queen''s pawn: Mengarini attack'; FMoves: 'd2d4g8f6c2c4g7g6d1c2'),
    (FCode: 'E60'; FName: 'King''s Indian: Anti-Gruenfeld'; FMoves: 'd2d4g8f6c2c4g7g6d4d5'),
    (FCode: 'E60'; FName: 'King''s Indian: Danube gambit'; FMoves: 'd2d4g8f6c2c4g7g6d4d5b7b5'),
    (FCode: 'E60'; FName: 'King''s Indian: 3.g3'; FMoves: 'd2d4g8f6c2c4g7g6g2g3'),
    (FCode: 'E60'; FName: 'King''s Indian: 3.g3, counterthrust variation'; FMoves: 'd2d4g8f6c2c4g7g6g2g3f8g7f1g2d7d5'),
    (FCode: 'E61'; FName: 'King''s Indian defence, 3.Nc3'; FMoves: 'd2d4g8f6c2c4g7g6b1c3'),
    (FCode: 'E61'; FName: 'King''s Indian: Smyslov system'; FMoves: 'd2d4g8f6c2c4g7g6b1c3f8g7g1f3d7d6c1g5'),
    (FCode: 'E62'; FName: 'King''s Indian: fianchetto variation'; FMoves: 'd2d4g8f6c2c4g7g6b1c3f8g7g1f3d7d6g2g3'),
    (FCode: 'E62'; FName: 'King''s Indian: fianchetto, Larsen system'; FMoves: 'd2d4g8f6c2c4g7g6b1c3f8g7g1f3d7d6g2g3e8g8f1g2c7c6e1g1c8f5'),
    (FCode: 'E62'; FName: 'King''s Indian: fianchetto, Kavalek (Bronstein) variation'; FMoves: 'd2d4g8f6c2c4g7g6b1c3f8g7g1f3d7d6g2g3e8g8f1g2c7c6e1g1d8a5'),
    (FCode: 'E62'; FName: 'King''s Indian: fianchetto with ...Nc6'; FMoves: 'd2d4g8f6c2c4g7g6b1c3f8g7g1f3d7d6g2g3e8g8f1g2b8c6'),
    (FCode: 'E62'; FName: 'King''s Indian: fianchetto, Uhlmann (Szabo) variation'; FMoves: 'd2d4g8f6c2c4g7g6b1c3f8g7g1f3d7d6g2g3e8g8f1g2b8c6e1g1e7e5'),
    (FCode: 'E62'; FName: 'King''s Indian: fianchetto, lesser Simagin (Spassky) variation'; FMoves: 'd2d4g8f6c2c4g7g6b1c3f8g7g1f3d7d6g2g3e8g8f1g2b8c6e1g1c8f5'),
    (FCode: 'E62'; FName: 'King''s Indian: fianchetto, Simagin variation'; FMoves: 'd2d4g8f6c2c4g7g6b1c3f8g7g1f3d7d6g2g3e8g8f1g2b8c6e1g1c8g4'),
    (FCode: 'E63'; FName: 'King''s Indian: fianchetto, Panno variation'; FMoves: 'd2d4g8f6c2c4g7g6b1c3f8g7g1f3d7d6g2g3e8g8f1g2b8c6e1g1a7a6'),
    (FCode: 'E64'; FName: 'King''s Indian: fianchetto, Yugoslav system'; FMoves: 'd2d4g8f6c2c4g7g6b1c3f8g7g1f3d7d6g2g3e8g8f1g2c7c5'),
    (FCode: 'E65'; FName: 'King''s Indian: fianchetto, Yugoslav, 7.O-O'; FMoves: 'd2d4g8f6c2c4g7g6b1c3f8g7g1f3d7d6g2g3e8g8f1g2c7c5e1g1'),
    (FCode: 'E66'; FName: 'King''s Indian: fianchetto, Yugoslav Panno'; FMoves: 'd2d4g8f6c2c4g7g6b1c3f8g7g1f3d7d6g2g3e8g8f1g2c7c5e1g1b8c6d4d5'),
    (FCode: 'E67'; FName: 'King''s Indian: fianchetto with ...Nd7'; FMoves: 'd2d4g8f6c2c4g7g6b1c3f8g7g1f3d7d6g2g3e8g8f1g2b8d7'),
    (FCode: 'E67'; FName: 'King''s Indian: fianchetto, classical variation'; FMoves: 'd2d4g8f6c2c4g7g6b1c3f8g7g1f3d7d6g2g3e8g8f1g2b8d7e1g1e7e5'),
    (FCode: 'E68'; FName: 'King''s Indian: fianchetto, classical variation, 8.e4'; FMoves: 'd2d4g8f6c2c4g7g6b1c3f8g7g1f3d7d6g2g3e8g8f1g2b8d7e1g1e7e5e2e4'),
    (FCode: 'E69'; FName: 'King''s Indian: fianchetto, classical main line'; FMoves: 'd2d4g8f6c2c4g7g6b1c3f8g7g1f3d7d6g2g3e8g8f1g2b8d7e1g1e7e5e2e4c7c6h2h3'),
    (FCode: 'E70'; FName: 'King''s Indian: 4.e4'; FMoves: 'd2d4g8f6c2c4g7g6b1c3f8g7e2e4'),
    (FCode: 'E70'; FName: 'King''s Indian: Kramer system'; FMoves: 'd2d4g8f6c2c4g7g6b1c3f8g7e2e4d7d6g1e2'),
    (FCode: 'E70'; FName: 'King''s Indian: accelerated Averbakh system'; FMoves: 'd2d4g8f6c2c4g7g6b1c3f8g7e2e4d7d6c1g5'),
    (FCode: 'E71'; FName: 'King''s Indian: Makagonov system (5.h3)'; FMoves: 'd2d4g8f6c2c4g7g6b1c3f8g7e2e4d7d6h2h3'),
    (FCode: 'E72'; FName: 'King''s Indian: Pomar system'; FMoves: 'd2d4g8f6c2c4g7g6b1c3f8g7e2e4d7d6g2g3e8g8f1g2e7e5g1e2'),
    (FCode: 'E73'; FName: 'King''s Indian: 5.Be2'; FMoves: 'd2d4g8f6c2c4g7g6b1c3f8g7e2e4d7d6f1e2'),
    (FCode: 'E73'; FName: 'King''s Indian: Semi-Averbakh system'; FMoves: 'd2d4g8f6c2c4g7g6b1c3f8g7e2e4d7d6f1e2e8g8c1e3'),
    (FCode: 'E73'; FName: 'King''s Indian: Averbakh system'; FMoves: 'd2d4g8f6c2c4g7g6b1c3f8g7e2e4d7d6f1e2e8g8c1g5'),
    (FCode: 'E74'; FName: 'King''s Indian: Averbakh, 6...c5'; FMoves: 'd2d4g8f6c2c4g7g6b1c3f8g7e2e4d7d6f1e2e8g8c1g5c7c5'),
    (FCode: 'E75'; FName: 'King''s Indian: Averbakh, main line'; FMoves: 'd2d4g8f6c2c4g7g6b1c3f8g7e2e4d7d6f1e2e8g8c1g5c7c5d4d5e7e6'),
    (FCode: 'E76'; FName: 'King''s Indian: Four pawns attack'; FMoves: 'd2d4g8f6c2c4g7g6b1c3f8g7e2e4d7d6f2f4'),
    (FCode: 'E76'; FName: 'King''s Indian: Four pawns attack, dynamic line'; FMoves: 'd2d4g8f6c2c4g7g6b1c3f8g7e2e4d7d6f2f4e8g8g1f3c7c5d4d5'),
    (FCode: 'E77'; FName: 'King''s Indian: Four pawns attack, 6.Be2'; FMoves: 'd2d4g8f6c2c4g7g6b1c3f8g7e2e4d7d6f2f4e8g8f1e2'),
    (FCode: 'E77'; FName: 'King''s Indian: Six pawns attack'; FMoves: 'd2d4g8f6c2c4g7g6b1c3f8g7e2e4d7d6f2f4e8g8f1e2c7c5d4d5e7e6d5e6f7e6g2g4b8c6h2h4'),
    (FCode: 'E77'; FName: 'King''s Indian: Four pawns attack'; FMoves: 'd2d4g8f6c2c4g7g6b1c3f8g7e2e4d7d6f2f4e8g8f1e2c7c5d4d5e7e6g1f3'),
    (FCode: 'E77'; FName: 'King''s Indian: Four pawns attack, Florentine gambit'; FMoves: 'd2d4g8f6c2c4g7g6b1c3f8g7e2e4d7d6f2f4e8g8f1e2c7c5d4d5e7e6g1f3e6d5e4e5'),
    (FCode: 'E78'; FName: 'King''s Indian: Four pawns attack, with Be2 and Nf3'; FMoves: 'd2d4g8f6c2c4g7g6b1c3f8g7e2e4d7d6f2f4e8g8f1e2c7c5g1f3'),
    (FCode: 'E79'; FName: 'King''s Indian: Four pawns attack, main line'; FMoves: 'd2d4g8f6c2c4g7g6b1c3f8g7e2e4d7d6f2f4e8g8f1e2c7c5g1f3c5d4f3d4b8c6c1e3'),
    (FCode: 'E80'; FName: 'King''s Indian: Saemisch variation'; FMoves: 'd2d4g8f6c2c4g7g6b1c3f8g7e2e4d7d6f2f3'),
    (FCode: 'E81'; FName: 'King''s Indian: Saemisch, 5...O-O'; FMoves: 'd2d4g8f6c2c4g7g6b1c3f8g7e2e4d7d6f2f3e8g8'),
    (FCode: 'E81'; FName: 'King''s Indian: Saemisch, Byrne variation'; FMoves: 'd2d4g8f6c2c4g7g6b1c3f8g7e2e4d7d6f2f3e8g8c1e3c7c6f1d3a7a6'),
    (FCode: 'E82'; FName: 'King''s Indian: Saemisch, double fianchetto variation'; FMoves: 'd2d4g8f6c2c4g7g6b1c3f8g7e2e4d7d6f2f3e8g8c1e3b7b6'),
    (FCode: 'E83'; FName: 'King''s Indian: Saemisch, 6...Nc6'; FMoves: 'd2d4g8f6c2c4g7g6b1c3f8g7e2e4d7d6f2f3e8g8c1e3b8c6'),
    (FCode: 'E83'; FName: 'King''s Indian: Saemisch, Ruban variation'; FMoves: 'd2d4g8f6c2c4g7g6b1c3f8g7e2e4d7d6f2f3e8g8c1e3b8c6g1e2a8b8'),
    (FCode: 'E83'; FName: 'King''s Indian: Saemisch, Panno formation'; FMoves: 'd2d4g8f6c2c4g7g6b1c3f8g7e2e4d7d6f2f3e8g8c1e3b8c6g1e2a7a6'),
    (FCode: 'E84'; FName: 'King''s Indian: Saemisch, Panno main line'; FMoves: 'd2d4g8f6c2c4g7g6b1c3f8g7e2e4d7d6f2f3e8g8c1e3b8c6g1e2a7a6d1d2a8b8'),
    (FCode: 'E85'; FName: 'King''s Indian: Saemisch, orthodox variation'; FMoves: 'd2d4g8f6c2c4g7g6b1c3f8g7e2e4d7d6f2f3e8g8c1e3e7e5'),
    (FCode: 'E86'; FName: 'King''s Indian: Saemisch, orthodox, 7.Nge2 c6'; FMoves: 'd2d4g8f6c2c4g7g6b1c3f8g7e2e4d7d6f2f3e8g8c1e3e7e5g1e2c7c6'),
    (FCode: 'E87'; FName: 'King''s Indian: Saemisch, orthodox, 7.d5'; FMoves: 'd2d4g8f6c2c4g7g6b1c3f8g7e2e4d7d6f2f3e8g8c1e3e7e5d4d5'),
    (FCode: 'E87'; FName: 'King''s Indian: Saemisch, orthodox, Bronstein variation'; FMoves: 'd2d4g8f6c2c4g7g6b1c3f8g7e2e4d7d6f2f3e8g8c1e3e7e5d4d5f6h5d1d2d8h4g2g3h5g3d2f2g3f1f2h4f1e3e1e2e3c4'),
    (FCode: 'E88'; FName: 'King''s Indian: Saemisch, orthodox, 7.d5 c6'; FMoves: 'd2d4g8f6c2c4g7g6b1c3f8g7e2e4d7d6f2f3e8g8c1e3e7e5d4d5c7c6'),
    (FCode: 'E89'; FName: 'King''s Indian: Saemisch, orthodox main line'; FMoves: 'd2d4g8f6c2c4g7g6b1c3f8g7e2e4d7d6f2f3e8g8c1e3e7e5d4d5c7c6g1e2c6d5'),
    (FCode: 'E90'; FName: 'King''s Indian: 5.Nf3'; FMoves: 'd2d4g8f6c2c4g7g6b1c3f8g7e2e4d7d6g1f3'),
    (FCode: 'E90'; FName: 'King''s Indian: Larsen variation'; FMoves: 'd2d4g8f6c2c4g7g6b1c3f8g7e2e4d7d6g1f3e8g8c1e3'),
    (FCode: 'E90'; FName: 'King''s Indian: Zinnowitz variation'; FMoves: 'd2d4g8f6c2c4g7g6b1c3f8g7e2e4d7d6g1f3e8g8c1g5'),
    (FCode: 'E91'; FName: 'King''s Indian: 6.Be2'; FMoves: 'd2d4g8f6c2c4g7g6b1c3f8g7e2e4d7d6g1f3e8g8f1e2'),
    (FCode: 'E91'; FName: 'King''s Indian: Kazakh variation'; FMoves: 'd2d4g8f6c2c4g7g6b1c3f8g7e2e4d7d6g1f3e8g8f1e2b8a6'),
    (FCode: 'E92'; FName: 'King''s Indian: classical variation'; FMoves: 'd2d4g8f6c2c4g7g6b1c3f8g7e2e4d7d6g1f3e8g8f1e2e7e5'),
    (FCode: 'E92'; FName: 'King''s Indian: Andersson variation'; FMoves: 'd2d4g8f6c2c4g7g6b1c3f8g7e2e4d7d6g1f3e8g8f1e2e7e5d4e5'),
    (FCode: 'E92'; FName: 'King''s Indian: Gligoric-Taimanov system'; FMoves: 'd2d4g8f6c2c4g7g6b1c3f8g7e2e4d7d6g1f3e8g8f1e2e7e5c1e3'),
    (FCode: 'E92'; FName: 'King''s Indian: Petrosian system'; FMoves: 'd2d4g8f6c2c4g7g6b1c3f8g7e2e4d7d6g1f3e8g8f1e2e7e5d4d5'),
    (FCode: 'E92'; FName: 'King''s Indian: Petrosian system, Stein variation'; FMoves: 'd2d4g8f6c2c4g7g6b1c3f8g7e2e4d7d6g1f3e8g8f1e2e7e5d4d5a7a5'),
    (FCode: 'E93'; FName: 'King''s Indian: Petrosian system, main line'; FMoves: 'd2d4g8f6c2c4g7g6b1c3f8g7e2e4d7d6g1f3e8g8f1e2e7e5d4d5b8d7'),
    (FCode: 'E93'; FName: 'King''s Indian: Petrosian system, Keres variation'; FMoves: 'd2d4g8f6c2c4g7g6b1c3f8g7e2e4d7d6g1f3e8g8f1e2e7e5d4d5b8d7c1g5h7h6g5h4g6g5h4g3f6h5h2h4'),
    (FCode: 'E94'; FName: 'King''s Indian: orthodox variation'; FMoves: 'd2d4g8f6c2c4g7g6b1c3f8g7e2e4d7d6g1f3e8g8f1e2e7e5e1g1'),
    (FCode: 'E94'; FName: 'King''s Indian: orthodox, Donner variation'; FMoves: 'd2d4g8f6c2c4g7g6b1c3f8g7e2e4d7d6g1f3e8g8f1e2e7e5e1g1c7c6'),
    (FCode: 'E94'; FName: 'King''s Indian: orthodox, 7...Nbd7'; FMoves: 'd2d4g8f6c2c4g7g6b1c3f8g7e2e4d7d6g1f3e8g8f1e2e7e5e1g1b8d7'),
    (FCode: 'E95'; FName: 'King''s Indian: orthodox, 7...Nbd7, 8.Re1'; FMoves: 'd2d4g8f6c2c4g7g6b1c3f8g7e2e4d7d6g1f3e8g8f1e2e7e5e1g1b8d7f1e1'),
    (FCode: 'E96'; FName: 'King''s Indian: orthodox, 7...Nbd7, main line'; FMoves: 'd2d4g8f6c2c4g7g6b1c3f8g7e2e4d7d6g1f3e8g8f1e2e7e5e1g1b8d7f1e1c7c6e2f1a7a5'),
    (FCode: 'E97'; FName: 'King''s Indian: orthodox, Aronin-Taimanov variation'; FMoves: 'd2d4g8f6c2c4g7g6b1c3f8g7e2e4d7d6g1f3e8g8f1e2e7e5e1g1b8c6'),
    (FCode: 'E97'; FName: 'King''s Indian: orthodox, Aronin-Taimanov, bayonet attack'; FMoves: 'd2d4g8f6c2c4g7g6b1c3f8g7e2e4d7d6g1f3e8g8f1e2e7e5e1g1b8c6d4d5c6e7b2b4'),
    (FCode: 'E98'; FName: 'King''s Indian: orthodox, Aronin-Taimanov, 9.Ne1'; FMoves: 'd2d4g8f6c2c4g7g6b1c3f8g7e2e4d7d6g1f3e8g8f1e2e7e5e1g1b8c6d4d5c6e7f3e1'),
    (FCode: 'E99'; FName: 'King''s Indian: orthodox, Aronin-Taimanov, main line'; FMoves: 'd2d4g8f6c2c4g7g6b1c3f8g7e2e4d7d6g1f3e8g8f1e2e7e5e1g1b8c6d4d5c6e7f3e1f6d7f2f3f7f5'),
    (FCode: 'E99'; FName: 'King''s Indian: orthodox, Aronin-Taimanov, Benko attack'; FMoves: 'd2d4g8f6c2c4g7g6b1c3f8g7e2e4d7d6g1f3e8g8f1e2e7e5e1g1b8c6d4d5c6e7f3e1f6d7f2f3f7f5g2g4')
  );

type
  TIntClass = class
    FInt: integer;
  end;
  
var
  LList: TStringList;
 
function GetOpening(const AMoves: string): string;
var
  i: integer;
begin
  if LList.Find(AMoves, i) then
  begin
    i := TIntClass(LList.Objects[i]).FInt;
    result := Concat(CData[i].FCode, ' ', CData[i].FName);
  end else
    result := '';
end;

var
  i: integer;
  c: TIntClass;

initialization
  LList := TStringList.Create;
  LList.Sorted := TRUE;
  for i := Low(CData) to High(CData) do
  begin
    c := TIntClass.Create;
    c.FInt := i;
    LList.AddObject(CData[i].FMoves, TObject(c));
  end;
  
finalization
  for i := 0 to Pred(LList.Count) do
    LList.Objects[i].Free;
  LList.Free;
  
end.
